/*
 * Internal module API header file.
 *
 * Generated by SIP 6.7.6
 *
 * Copyright (c) 2023 Riverbank Computing Limited <info@riverbankcomputing.com>
 * 
 * This file is part of PyQt6.
 * 
 * This file may be used under the terms of the GNU General Public License
 * version 3.0 as published by the Free Software Foundation and appearing in
 * the file LICENSE included in the packaging of this file.  Please review the
 * following information to ensure the GNU General Public License version 3.0
 * requirements will be met: http://www.gnu.org/copyleft/gpl.html.
 * 
 * If you do not wish to use this file under the terms of the GPL version 3.0
 * then you may purchase a commercial license.  For more information contact
 * info@riverbankcomputing.com.
 * 
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#ifndef _QtSvgAPI_H
#define _QtSvgAPI_H

#if !defined(Py_LIMITED_API)
#define Py_LIMITED_API
#endif

#include "sip.h"

#include <QMetaType>
#include <QThread>

/* These are the qualifiers that are enabled. */
#define SIP_FEATURE_PyQt_DTLS
#define SIP_FEATURE_PyQt_WebChannel
#define SIP_FEATURE_PyQt_Process
#define SIP_FEATURE_PyQt_OpenGL
#define SIP_FEATURE_PyQt_RawFont
#define SIP_FEATURE_PyQt_PrintPreviewDialog
#define SIP_FEATURE_PyQt_PrintPreviewWidget
#define SIP_FEATURE_PyQt_Printer
#define SIP_FEATURE_PyQt_PrintDialog
#define SIP_FEATURE_PyQt_qreal_double
#define SIP_FEATURE_PyQt_SSL
#define SIP_FEATURE_PyQt_SessionManager
#define SIP_FEATURE_PyQt_Accessibility
#define SIP_PLATFORM_Linux
#define SIP_TIMELINE_Qt_6_4_0


/*
 * Convenient names to refer to various strings defined in this module.
 * Only the class names are part of the public API.
 */
#define sipNameNr_transformForElement 0
#define sipName_transformForElement &sipStrings_QtSvg[0]
#define sipNameNr_setAspectRatioMode 20
#define sipName_setAspectRatioMode &sipStrings_QtSvg[20]
#define sipNameNr_setFramesPerSecond 39
#define sipName_setFramesPerSecond &sipStrings_QtSvg[39]
#define sipNameNr_animationDuration 58
#define sipName_animationDuration &sipStrings_QtSvg[58]
#define sipNameNr_disconnectNotify 76
#define sipName_disconnectNotify &sipStrings_QtSvg[76]
#define sipNameNr_aspectRatioMode 93
#define sipName_aspectRatioMode &sipStrings_QtSvg[93]
#define sipNameNr_boundsOnElement 109
#define sipName_boundsOnElement &sipStrings_QtSvg[109]
#define sipNameNr_framesPerSecond 125
#define sipName_framesPerSecond &sipStrings_QtSvg[125]
#define sipNameNr_setCurrentFrame 141
#define sipName_setCurrentFrame &sipStrings_QtSvg[141]
#define sipNameNr_setOutputDevice 157
#define sipName_setOutputDevice &sipStrings_QtSvg[157]
#define sipNameNr_setDescription 173
#define sipName_setDescription &sipStrings_QtSvg[173]
#define sipNameNr_QSvgGenerator 188
#define sipName_QSvgGenerator &sipStrings_QtSvg[188]
#define sipNameNr_connectNotify 79
#define sipName_connectNotify &sipStrings_QtSvg[79]
#define sipNameNr_elementExists 202
#define sipName_elementExists &sipStrings_QtSvg[202]
#define sipNameNr_repaintNeeded 216
#define sipName_repaintNeeded &sipStrings_QtSvg[216]
#define sipNameNr_setResolution 230
#define sipName_setResolution &sipStrings_QtSvg[230]
#define sipNameNr_QSvgRenderer 244
#define sipName_QSvgRenderer &sipStrings_QtSvg[244]
#define sipNameNr_currentFrame 257
#define sipName_currentFrame &sipStrings_QtSvg[257]
#define sipNameNr_outputDevice 270
#define sipName_outputDevice &sipStrings_QtSvg[270]
#define sipNameNr_PyQt6_QtSvg 283
#define sipName_PyQt6_QtSvg &sipStrings_QtSvg[283]
#define sipNameNr_customEvent 295
#define sipName_customEvent &sipStrings_QtSvg[295]
#define sipNameNr_defaultSize 307
#define sipName_defaultSize &sipStrings_QtSvg[307]
#define sipNameNr_description 319
#define sipName_description &sipStrings_QtSvg[319]
#define sipNameNr_eventFilter 331
#define sipName_eventFilter &sipStrings_QtSvg[331]
#define sipNameNr_paintEngine 343
#define sipName_paintEngine &sipStrings_QtSvg[343]
#define sipNameNr_setFileName 355
#define sipName_setFileName &sipStrings_QtSvg[355]
#define sipNameNr_childEvent 367
#define sipName_childEvent &sipStrings_QtSvg[367]
#define sipNameNr_resolution 378
#define sipName_resolution &sipStrings_QtSvg[378]
#define sipNameNr_setViewBox 389
#define sipName_setViewBox &sipStrings_QtSvg[389]
#define sipNameNr_timerEvent 400
#define sipName_timerEvent &sipStrings_QtSvg[400]
#define sipNameNr_animated 411
#define sipName_animated &sipStrings_QtSvg[411]
#define sipNameNr_fileName 420
#define sipName_fileName &sipStrings_QtSvg[420]
#define sipNameNr_setTitle 429
#define sipName_setTitle &sipStrings_QtSvg[429]
#define sipNameNr_viewBoxF 438
#define sipName_viewBoxF &sipStrings_QtSvg[438]
#define sipNameNr_isValid 447
#define sipName_isValid &sipStrings_QtSvg[447]
#define sipNameNr_setSize 455
#define sipName_setSize &sipStrings_QtSvg[455]
#define sipNameNr_viewBox 463
#define sipName_viewBox &sipStrings_QtSvg[463]
#define sipNameNr_bounds 471
#define sipName_bounds &sipStrings_QtSvg[471]
#define sipNameNr_metric 478
#define sipName_metric &sipStrings_QtSvg[478]
#define sipNameNr_parent 485
#define sipName_parent &sipStrings_QtSvg[485]
#define sipNameNr_render 492
#define sipName_render &sipStrings_QtSvg[492]
#define sipNameNr_event 499
#define sipName_event &sipStrings_QtSvg[499]
#define sipNameNr_title 505
#define sipName_title &sipStrings_QtSvg[505]
#define sipNameNr_load 511
#define sipName_load &sipStrings_QtSvg[511]
#define sipNameNr_size 516
#define sipName_size &sipStrings_QtSvg[516]

#define sipMalloc                   sipAPI_QtSvg->api_malloc
#define sipFree                     sipAPI_QtSvg->api_free
#define sipBuildResult              sipAPI_QtSvg->api_build_result
#define sipCallMethod               sipAPI_QtSvg->api_call_method
#define sipCallProcedureMethod      sipAPI_QtSvg->api_call_procedure_method
#define sipCallErrorHandler         sipAPI_QtSvg->api_call_error_handler
#define sipParseResultEx            sipAPI_QtSvg->api_parse_result_ex
#define sipParseResult              sipAPI_QtSvg->api_parse_result
#define sipParseArgs                sipAPI_QtSvg->api_parse_args
#define sipParseKwdArgs             sipAPI_QtSvg->api_parse_kwd_args
#define sipParsePair                sipAPI_QtSvg->api_parse_pair
#define sipInstanceDestroyed        sipAPI_QtSvg->api_instance_destroyed
#define sipInstanceDestroyedEx      sipAPI_QtSvg->api_instance_destroyed_ex
#define sipConvertFromSequenceIndex sipAPI_QtSvg->api_convert_from_sequence_index
#define sipConvertFromSliceObject   sipAPI_QtSvg->api_convert_from_slice_object
#define sipConvertFromVoidPtr       sipAPI_QtSvg->api_convert_from_void_ptr
#define sipConvertToVoidPtr         sipAPI_QtSvg->api_convert_to_void_ptr
#define sipAddException             sipAPI_QtSvg->api_add_exception
#define sipNoFunction               sipAPI_QtSvg->api_no_function
#define sipNoMethod                 sipAPI_QtSvg->api_no_method
#define sipAbstractMethod           sipAPI_QtSvg->api_abstract_method
#define sipBadClass                 sipAPI_QtSvg->api_bad_class
#define sipBadCatcherResult         sipAPI_QtSvg->api_bad_catcher_result
#define sipBadCallableArg           sipAPI_QtSvg->api_bad_callable_arg
#define sipBadOperatorArg           sipAPI_QtSvg->api_bad_operator_arg
#define sipTrace                    sipAPI_QtSvg->api_trace
#define sipTransferBack             sipAPI_QtSvg->api_transfer_back
#define sipTransferTo               sipAPI_QtSvg->api_transfer_to
#define sipSimpleWrapper_Type       sipAPI_QtSvg->api_simplewrapper_type
#define sipWrapper_Type             sipAPI_QtSvg->api_wrapper_type
#define sipWrapperType_Type         sipAPI_QtSvg->api_wrappertype_type
#define sipVoidPtr_Type             sipAPI_QtSvg->api_voidptr_type
#define sipGetPyObject              sipAPI_QtSvg->api_get_pyobject
#define sipGetAddress               sipAPI_QtSvg->api_get_address
#define sipGetMixinAddress          sipAPI_QtSvg->api_get_mixin_address
#define sipGetCppPtr                sipAPI_QtSvg->api_get_cpp_ptr
#define sipGetComplexCppPtr         sipAPI_QtSvg->api_get_complex_cpp_ptr
#define sipCallHook                 sipAPI_QtSvg->api_call_hook
#define sipEndThread                sipAPI_QtSvg->api_end_thread
#define sipRaiseUnknownException    sipAPI_QtSvg->api_raise_unknown_exception
#define sipRaiseTypeException       sipAPI_QtSvg->api_raise_type_exception
#define sipBadLengthForSlice        sipAPI_QtSvg->api_bad_length_for_slice
#define sipAddTypeInstance          sipAPI_QtSvg->api_add_type_instance
#define sipPySlotExtend             sipAPI_QtSvg->api_pyslot_extend
#define sipAddDelayedDtor           sipAPI_QtSvg->api_add_delayed_dtor
#define sipCanConvertToType         sipAPI_QtSvg->api_can_convert_to_type
#define sipConvertToType            sipAPI_QtSvg->api_convert_to_type
#define sipForceConvertToType       sipAPI_QtSvg->api_force_convert_to_type
#define sipConvertToEnum            sipAPI_QtSvg->api_convert_to_enum
#define sipConvertToBool            sipAPI_QtSvg->api_convert_to_bool
#define sipReleaseType              sipAPI_QtSvg->api_release_type
#define sipConvertFromType          sipAPI_QtSvg->api_convert_from_type
#define sipConvertFromNewType       sipAPI_QtSvg->api_convert_from_new_type
#define sipConvertFromNewPyType     sipAPI_QtSvg->api_convert_from_new_pytype
#define sipConvertFromEnum          sipAPI_QtSvg->api_convert_from_enum
#define sipGetState                 sipAPI_QtSvg->api_get_state
#define sipExportSymbol             sipAPI_QtSvg->api_export_symbol
#define sipImportSymbol             sipAPI_QtSvg->api_import_symbol
#define sipFindType                 sipAPI_QtSvg->api_find_type
#define sipBytes_AsChar             sipAPI_QtSvg->api_bytes_as_char
#define sipBytes_AsString           sipAPI_QtSvg->api_bytes_as_string
#define sipString_AsASCIIChar       sipAPI_QtSvg->api_string_as_ascii_char
#define sipString_AsASCIIString     sipAPI_QtSvg->api_string_as_ascii_string
#define sipString_AsLatin1Char      sipAPI_QtSvg->api_string_as_latin1_char
#define sipString_AsLatin1String    sipAPI_QtSvg->api_string_as_latin1_string
#define sipString_AsUTF8Char        sipAPI_QtSvg->api_string_as_utf8_char
#define sipString_AsUTF8String      sipAPI_QtSvg->api_string_as_utf8_string
#define sipUnicode_AsWChar          sipAPI_QtSvg->api_unicode_as_wchar
#define sipUnicode_AsWString        sipAPI_QtSvg->api_unicode_as_wstring
#define sipConvertFromConstVoidPtr  sipAPI_QtSvg->api_convert_from_const_void_ptr
#define sipConvertFromVoidPtrAndSize    sipAPI_QtSvg->api_convert_from_void_ptr_and_size
#define sipConvertFromConstVoidPtrAndSize   sipAPI_QtSvg->api_convert_from_const_void_ptr_and_size
#define sipWrappedTypeName(wt)      ((wt)->wt_td->td_cname)
#define sipDeprecated               sipAPI_QtSvg->api_deprecated
#define sipGetReference             sipAPI_QtSvg->api_get_reference
#define sipKeepReference            sipAPI_QtSvg->api_keep_reference
#define sipRegisterProxyResolver    sipAPI_QtSvg->api_register_proxy_resolver
#define sipRegisterPyType           sipAPI_QtSvg->api_register_py_type
#define sipTypeFromPyTypeObject     sipAPI_QtSvg->api_type_from_py_type_object
#define sipTypeScope                sipAPI_QtSvg->api_type_scope
#define sipResolveTypedef           sipAPI_QtSvg->api_resolve_typedef
#define sipRegisterAttributeGetter  sipAPI_QtSvg->api_register_attribute_getter
#define sipEnableAutoconversion     sipAPI_QtSvg->api_enable_autoconversion
#define sipInitMixin                sipAPI_QtSvg->api_init_mixin
#define sipExportModule             sipAPI_QtSvg->api_export_module
#define sipInitModule               sipAPI_QtSvg->api_init_module
#define sipGetInterpreter           sipAPI_QtSvg->api_get_interpreter
#define sipSetTypeUserData          sipAPI_QtSvg->api_set_type_user_data
#define sipGetTypeUserData          sipAPI_QtSvg->api_get_type_user_data
#define sipPyTypeDict               sipAPI_QtSvg->api_py_type_dict
#define sipPyTypeName               sipAPI_QtSvg->api_py_type_name
#define sipGetCFunction             sipAPI_QtSvg->api_get_c_function
#define sipGetMethod                sipAPI_QtSvg->api_get_method
#define sipFromMethod               sipAPI_QtSvg->api_from_method
#define sipGetDate                  sipAPI_QtSvg->api_get_date
#define sipFromDate                 sipAPI_QtSvg->api_from_date
#define sipGetDateTime              sipAPI_QtSvg->api_get_datetime
#define sipFromDateTime             sipAPI_QtSvg->api_from_datetime
#define sipGetTime                  sipAPI_QtSvg->api_get_time
#define sipFromTime                 sipAPI_QtSvg->api_from_time
#define sipIsUserType               sipAPI_QtSvg->api_is_user_type
#define sipCheckPluginForType       sipAPI_QtSvg->api_check_plugin_for_type
#define sipUnicodeNew               sipAPI_QtSvg->api_unicode_new
#define sipUnicodeWrite             sipAPI_QtSvg->api_unicode_write
#define sipUnicodeData              sipAPI_QtSvg->api_unicode_data
#define sipGetBufferInfo            sipAPI_QtSvg->api_get_buffer_info
#define sipReleaseBufferInfo        sipAPI_QtSvg->api_release_buffer_info
#define sipIsOwnedByPython          sipAPI_QtSvg->api_is_owned_by_python
#define sipIsDerivedClass           sipAPI_QtSvg->api_is_derived_class
#define sipGetUserObject            sipAPI_QtSvg->api_get_user_object
#define sipSetUserObject            sipAPI_QtSvg->api_set_user_object
#define sipRegisterEventHandler     sipAPI_QtSvg->api_register_event_handler
#define sipConvertToArray           sipAPI_QtSvg->api_convert_to_array
#define sipConvertToTypedArray      sipAPI_QtSvg->api_convert_to_typed_array
#define sipEnableGC                 sipAPI_QtSvg->api_enable_gc
#define sipPrintObject              sipAPI_QtSvg->api_print_object
#define sipLong_AsChar              sipAPI_QtSvg->api_long_as_char
#define sipLong_AsSignedChar        sipAPI_QtSvg->api_long_as_signed_char
#define sipLong_AsUnsignedChar      sipAPI_QtSvg->api_long_as_unsigned_char
#define sipLong_AsShort             sipAPI_QtSvg->api_long_as_short
#define sipLong_AsUnsignedShort     sipAPI_QtSvg->api_long_as_unsigned_short
#define sipLong_AsInt               sipAPI_QtSvg->api_long_as_int
#define sipLong_AsUnsignedInt       sipAPI_QtSvg->api_long_as_unsigned_int
#define sipLong_AsLong              sipAPI_QtSvg->api_long_as_long
#define sipLong_AsUnsignedLong      sipAPI_QtSvg->api_long_as_unsigned_long
#define sipLong_AsLongLong          sipAPI_QtSvg->api_long_as_long_long
#define sipLong_AsUnsignedLongLong  sipAPI_QtSvg->api_long_as_unsigned_long_long
#define sipLong_AsSizeT             sipAPI_QtSvg->api_long_as_size_t
#define sipVisitWrappers            sipAPI_QtSvg->api_visit_wrappers
#define sipRegisterExitNotifier     sipAPI_QtSvg->api_register_exit_notifier
#define sipNextExceptionHandler     sipAPI_QtSvg->api_next_exception_handler
#define sipIsEnumFlag               sipAPI_QtSvg->api_is_enum_flag
#define sipConvertToTypeUS          sipAPI_QtSvg->api_convert_to_type_us
#define sipForceConvertToTypeUS     sipAPI_QtSvg->api_force_convert_to_type_us
#define sipReleaseTypeUS            sipAPI_QtSvg->api_release_type_us
#define sipIsPyMethod               sipAPI_QtSvg->api_is_py_method_12_8

/* The strings used by this module. */
extern const char sipStrings_QtSvg[];

#define sipType_QSvgGenerator sipExportedTypes_QtSvg[0]

extern sipClassTypeDef sipTypeDef_QtSvg_QSvgGenerator;

#define sipType_QSvgRenderer sipExportedTypes_QtSvg[1]

extern sipClassTypeDef sipTypeDef_QtSvg_QSvgRenderer;

/* The SIP API, this module's API and the APIs of any imported modules. */
extern const sipAPIDef *sipAPI_QtSvg;
extern sipExportedModuleDef sipModuleAPI_QtSvg;
extern sipTypeDef *sipExportedTypes_QtSvg[];

#define sipType_Qt_AspectRatioMode sipImportedTypes_QtSvg_QtCore[12].it_td

#define sipType_QObject sipImportedTypes_QtSvg_QtCore[5].it_td

#define sipType_QIODevice sipImportedTypes_QtSvg_QtCore[3].it_td

#define sipType_QByteArray sipImportedTypes_QtSvg_QtCore[0].it_td

#define sipType_QEvent sipImportedTypes_QtSvg_QtCore[2].it_td

#define sipType_QTimerEvent sipImportedTypes_QtSvg_QtCore[10].it_td

#define sipType_QChildEvent sipImportedTypes_QtSvg_QtCore[1].it_td

#define sipType_QMetaMethod sipImportedTypes_QtSvg_QtCore[4].it_td

#define sipType_QRect sipImportedTypes_QtSvg_QtCore[6].it_td

#define sipType_QRectF sipImportedTypes_QtSvg_QtCore[7].it_td

#define sipType_QSize sipImportedTypes_QtSvg_QtCore[8].it_td

#define sipType_QXmlStreamReader sipImportedTypes_QtSvg_QtCore[11].it_td

#define sipType_QString sipImportedTypes_QtSvg_QtCore[9].it_td
extern sipImportedTypeDef sipImportedTypes_QtSvg_QtCore[];
extern sipImportedVirtErrorHandlerDef sipImportedVirtErrorHandlers_QtSvg_QtCore[];

#define sipType_QPaintDevice sipImportedTypes_QtSvg_QtGui[0].it_td

#define sipType_QPaintDevice_PaintDeviceMetric sipImportedTypes_QtSvg_QtGui[1].it_td

#define sipType_QPaintEngine sipImportedTypes_QtSvg_QtGui[2].it_td

#define sipType_QPainter sipImportedTypes_QtSvg_QtGui[3].it_td

#define sipType_QTransform sipImportedTypes_QtSvg_QtGui[4].it_td
extern sipImportedTypeDef sipImportedTypes_QtSvg_QtGui[];

typedef const QMetaObject *(*sip_qt_metaobject_func)(sipSimpleWrapper *,sipTypeDef *);
extern sip_qt_metaobject_func sip_QtSvg_qt_metaobject;

typedef int (*sip_qt_metacall_func)(sipSimpleWrapper *,sipTypeDef *,QMetaObject::Call,int,void **);
extern sip_qt_metacall_func sip_QtSvg_qt_metacall;

typedef bool (*sip_qt_metacast_func)(sipSimpleWrapper *, const sipTypeDef *, const char *, void **);
extern sip_qt_metacast_func sip_QtSvg_qt_metacast;

#endif
