/*
 * Internal module API header file.
 *
 * Generated by SIP 6.7.6
 *
 * Copyright (c) 2023 Riverbank Computing Limited <info@riverbankcomputing.com>
 * 
 * This file is part of PyQt6.
 * 
 * This file may be used under the terms of the GNU General Public License
 * version 3.0 as published by the Free Software Foundation and appearing in
 * the file LICENSE included in the packaging of this file.  Please review the
 * following information to ensure the GNU General Public License version 3.0
 * requirements will be met: http://www.gnu.org/copyleft/gpl.html.
 * 
 * If you do not wish to use this file under the terms of the GPL version 3.0
 * then you may purchase a commercial license.  For more information contact
 * info@riverbankcomputing.com.
 * 
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#ifndef _QtGuiAPI_H
#define _QtGuiAPI_H

#if !defined(Py_LIMITED_API)
#define Py_LIMITED_API
#endif

#include "sip.h"

#include <QMetaType>
#include <QThread>

/* These are the qualifiers that are enabled. */
#define SIP_FEATURE_PyQt_DTLS
#define SIP_FEATURE_PyQt_WebChannel
#define SIP_FEATURE_PyQt_Process
#define SIP_FEATURE_PyQt_OpenGL
#define SIP_FEATURE_PyQt_RawFont
#define SIP_FEATURE_PyQt_PrintPreviewDialog
#define SIP_FEATURE_PyQt_PrintPreviewWidget
#define SIP_FEATURE_PyQt_Printer
#define SIP_FEATURE_PyQt_PrintDialog
#define SIP_FEATURE_PyQt_qreal_double
#define SIP_FEATURE_PyQt_SSL
#define SIP_FEATURE_PyQt_SessionManager
#define SIP_FEATURE_PyQt_Accessibility
#define SIP_PLATFORM_Linux
#define SIP_TIMELINE_Qt_6_4_0


/*
 * Convenient names to refer to various strings defined in this module.
 * Only the class names are part of the public API.
 */
#define sipNameNr_QTextCharFormat__FontPropertiesInheritanceBehavior 0
#define sipName_QTextCharFormat__FontPropertiesInheritanceBehavior &sipStrings_QtGui[0]
#define sipNameNr_51 51
#define sipName_51 &sipStrings_QtGui[51]
#define sipNameNr_QAbstractTextDocumentLayout__PaintContext 97
#define sipName_QAbstractTextDocumentLayout__PaintContext &sipStrings_QtGui[97]
#define sipNameNr_139 139
#define sipName_139 &sipStrings_QtGui[139]
#define sipNameNr_181 181
#define sipName_181 &sipStrings_QtGui[181]
#define sipNameNr_222 222
#define sipName_222 &sipStrings_QtGui[222]
#define sipNameNr_QPlatformSurfaceEvent__SurfaceEventType 262
#define sipName_QPlatformSurfaceEvent__SurfaceEventType &sipStrings_QtGui[262]
#define sipNameNr_QAbstractTextDocumentLayout__Selection 302
#define sipName_QAbstractTextDocumentLayout__Selection &sipStrings_QtGui[302]
#define sipNameNr_341 341
#define sipName_341 &sipStrings_QtGui[341]
#define sipNameNr_AddSpaceForLineAndParagraphSeparators 380
#define sipName_AddSpaceForLineAndParagraphSeparators &sipStrings_QtGui[380]
#define sipNameNr_418 418
#define sipName_418 &sipStrings_QtGui[418]
#define sipNameNr_455 455
#define sipName_455 &sipStrings_QtGui[455]
#define sipNameNr_492 492
#define sipName_492 &sipStrings_QtGui[492]
#define sipNameNr_QSurfaceFormat__OpenGLContextProfile 529
#define sipName_QSurfaceFormat__OpenGLContextProfile &sipStrings_QtGui[529]
#define sipNameNr_QAbstractFileIconProvider__IconType 566
#define sipName_QAbstractFileIconProvider__IconType &sipStrings_QtGui[566]
#define sipNameNr_602 602
#define sipName_602 &sipStrings_QtGui[602]
#define sipNameNr_638 638
#define sipName_638 &sipStrings_QtGui[638]
#define sipNameNr_RasterOp_NotSourceAndNotDestination 674
#define sipName_RasterOp_NotSourceAndNotDestination &sipStrings_QtGui[674]
#define sipNameNr_mouseQuickSelectionThresholdChanged 710
#define sipName_mouseQuickSelectionThresholdChanged &sipStrings_QtGui[710]
#define sipNameNr_setHighDpiScaleFactorRoundingPolicy 746
#define sipName_setHighDpiScaleFactorRoundingPolicy &sipStrings_QtGui[746]
#define sipNameNr_782 782
#define sipName_782 &sipStrings_QtGui[782]
#define sipNameNr_QTextCharFormat__VerticalAlignment 817
#define sipName_QTextCharFormat__VerticalAlignment &sipStrings_QtGui[817]
#define sipNameNr_RasterOp_NotSourceOrNotDestination 852
#define sipName_RasterOp_NotSourceOrNotDestination &sipStrings_QtGui[852]
#define sipNameNr_showShortcutsInContextMenusChanged 887
#define sipName_showShortcutsInContextMenusChanged &sipStrings_QtGui[887]
#define sipNameNr_BlockTrailingHorizontalRulerWidth 922
#define sipName_BlockTrailingHorizontalRulerWidth &sipStrings_QtGui[922]
#define sipNameNr_FontPropertiesInheritanceBehavior 17
#define sipName_FontPropertiesInheritanceBehavior &sipStrings_QtGui[17]
#define sipNameNr_QAbstractFileIconProvider__Option 956
#define sipName_QAbstractFileIconProvider__Option &sipStrings_QtGui[956]
#define sipNameNr_QIconEngine__ScaledPixmapArgument 990
#define sipName_QIconEngine__ScaledPixmapArgument &sipStrings_QtGui[990]
#define sipNameNr_QTextBlockFormat__LineHeightTypes 1024
#define sipName_QTextBlockFormat__LineHeightTypes &sipStrings_QtGui[1024]
#define sipNameNr_1058 1058
#define sipName_1058 &sipStrings_QtGui[1058]
#define sipNameNr_1091 1091
#define sipName_1091 &sipStrings_QtGui[1091]
#define sipNameNr_1124 1124
#define sipName_1124 &sipStrings_QtGui[1124]
#define sipNameNr_QInputMethodEvent__AttributeType 1157
#define sipName_QInputMethodEvent__AttributeType &sipStrings_QtGui[1157]
#define sipNameNr_QOpenGLContext__OpenGLModuleType 1190
#define sipName_QOpenGLContext__OpenGLModuleType &sipStrings_QtGui[1190]
#define sipNameNr_QPaintEngine__PaintEngineFeature 1223
#define sipName_QPaintEngine__PaintEngineFeature &sipStrings_QtGui[1223]
#define sipNameNr_QPixelFormat__AlphaPremultiplied 1256
#define sipName_QPixelFormat__AlphaPremultiplied &sipStrings_QtGui[1256]
#define sipNameNr_QPixelFormat__TypeInterpretation 1289
#define sipName_QPixelFormat__TypeInterpretation &sipStrings_QtGui[1289]
#define sipNameNr_RasterOp_NotSourceAndDestination 1322
#define sipName_RasterOp_NotSourceAndDestination &sipStrings_QtGui[1322]
#define sipNameNr_RasterOp_NotSourceXorDestination 1355
#define sipName_RasterOp_NotSourceXorDestination &sipStrings_QtGui[1355]
#define sipNameNr_RasterOp_SourceAndNotDestination 1388
#define sipName_RasterOp_SourceAndNotDestination &sipStrings_QtGui[1388]
#define sipNameNr_highDpiScaleFactorRoundingPolicy 1421
#define sipName_highDpiScaleFactorRoundingPolicy &sipStrings_QtGui[1421]
#define sipNameNr_mousePressAndHoldIntervalChanged 1454
#define sipName_mousePressAndHoldIntervalChanged &sipStrings_QtGui[1454]
#define sipNameNr_CompositionMode_DestinationAtop 1487
#define sipName_CompositionMode_DestinationAtop &sipStrings_QtGui[1487]
#define sipNameNr_CompositionMode_DestinationOver 1519
#define sipName_CompositionMode_DestinationOver &sipStrings_QtGui[1519]
#define sipNameNr_Format_RGBA16FPx4_Premultiplied 1551
#define sipName_Format_RGBA16FPx4_Premultiplied &sipStrings_QtGui[1551]
#define sipNameNr_Format_RGBA32FPx4_Premultiplied 1583
#define sipName_Format_RGBA32FPx4_Premultiplied &sipStrings_QtGui[1583]
#define sipNameNr_1615 1615
#define sipName_1615 &sipStrings_QtGui[1615]
#define sipNameNr_1647 1647
#define sipName_1647 &sipStrings_QtGui[1647]
#define sipNameNr_1679 1679
#define sipName_1679 &sipStrings_QtGui[1679]
#define sipNameNr_QImageIOHandler__Transformation 1711
#define sipName_QImageIOHandler__Transformation &sipStrings_QtGui[1711]
#define sipNameNr_1743 1743
#define sipName_1743 &sipStrings_QtGui[1743]
#define sipNameNr_1775 1775
#define sipName_1775 &sipStrings_QtGui[1775]
#define sipNameNr_QPaintDevice__PaintDeviceMetric 1807
#define sipName_QPaintDevice__PaintDeviceMetric &sipStrings_QtGui[1807]
#define sipNameNr_QTextCharFormat__UnderlineStyle 1839
#define sipName_QTextCharFormat__UnderlineStyle &sipStrings_QtGui[1839]
#define sipNameNr_RasterOp_NotSourceOrDestination 1871
#define sipName_RasterOp_NotSourceOrDestination &sipStrings_QtGui[1871]
#define sipNameNr_RasterOp_SourceOrNotDestination 1903
#define sipName_RasterOp_SourceOrNotDestination &sipStrings_QtGui[1903]
#define sipNameNr_TransformationMirrorAndRotate90 1935
#define sipName_TransformationMirrorAndRotate90 &sipStrings_QtGui[1935]
#define sipNameNr_availableVirtualGeometryChanged 1967
#define sipName_availableVirtualGeometryChanged &sipStrings_QtGui[1967]
#define sipNameNr_mouseDoubleClickIntervalChanged 1999
#define sipName_mouseDoubleClickIntervalChanged &sipStrings_QtGui[1999]
#define sipNameNr_setShortcutVisibleInContextMenu 2031
#define sipName_setShortcutVisibleInContextMenu &sipStrings_QtGui[2031]
#define sipNameNr_CompositionMode_DestinationOut 2063
#define sipName_CompositionMode_DestinationOut &sipStrings_QtGui[2063]
#define sipNameNr_QImageReader__ImageReaderError 2094
#define sipName_QImageReader__ImageReaderError &sipStrings_QtGui[2094]
#define sipNameNr_QImageWriter__ImageWriterError 2125
#define sipName_QImageWriter__ImageWriterError &sipStrings_QtGui[2125]
#define sipNameNr_QSurfaceFormat__RenderableType 2156
#define sipName_QSurfaceFormat__RenderableType &sipStrings_QtGui[2156]
#define sipNameNr_QTextDocument__MarkdownFeature 2187
#define sipName_QTextDocument__MarkdownFeature &sipStrings_QtGui[2187]
#define sipNameNr_QTextDocument__MetaInformation 2218
#define sipName_QTextDocument__MetaInformation &sipStrings_QtGui[2218]
#define sipNameNr_QTransform__TransformationType 2249
#define sipName_QTransform__TransformationType &sipStrings_QtGui[2249]
#define sipNameNr_ShowLineAndParagraphSeparators 2280
#define sipName_ShowLineAndParagraphSeparators &sipStrings_QtGui[2280]
#define sipNameNr_isShortcutVisibleInContextMenu 2311
#define sipName_isShortcutVisibleInContextMenu &sipStrings_QtGui[2311]
#define sipNameNr_reportContentOrientationChange 2342
#define sipName_reportContentOrientationChange &sipStrings_QtGui[2342]
#define sipNameNr_setShowShortcutsInContextMenus 2373
#define sipName_setShowShortcutsInContextMenus &sipStrings_QtGui[2373]
#define sipNameNr_CompositionMode_DestinationIn 2404
#define sipName_CompositionMode_DestinationIn &sipStrings_QtGui[2404]
#define sipNameNr_Format_ARGB4444_Premultiplied 2434
#define sipName_Format_ARGB4444_Premultiplied &sipStrings_QtGui[2434]
#define sipNameNr_Format_ARGB6666_Premultiplied 2464
#define sipName_Format_ARGB6666_Premultiplied &sipStrings_QtGui[2464]
#define sipNameNr_Format_ARGB8555_Premultiplied 2494
#define sipName_Format_ARGB8555_Premultiplied &sipStrings_QtGui[2494]
#define sipNameNr_Format_ARGB8565_Premultiplied 2524
#define sipName_Format_ARGB8565_Premultiplied &sipStrings_QtGui[2524]
#define sipNameNr_Format_RGBA8888_Premultiplied 2554
#define sipName_Format_RGBA8888_Premultiplied &sipStrings_QtGui[2554]
#define sipNameNr_QActionGroup__ExclusionPolicy 2584
#define sipName_QActionGroup__ExclusionPolicy &sipStrings_QtGui[2584]
#define sipNameNr_QColorSpace__TransferFunction 2614
#define sipName_QColorSpace__TransferFunction &sipStrings_QtGui[2614]
#define sipNameNr_2644 2644
#define sipName_2644 &sipStrings_QtGui[2644]
#define sipNameNr_QPagedPaintDevice__PdfVersion 2674
#define sipName_QPagedPaintDevice__PdfVersion &sipStrings_QtGui[2674]
#define sipNameNr_QPaintEngine__PolygonDrawMode 2704
#define sipName_QPaintEngine__PolygonDrawMode &sipStrings_QtGui[2704]
#define sipNameNr_QTextFrameFormat__BorderStyle 2734
#define sipName_QTextFrameFormat__BorderStyle &sipStrings_QtGui[2734]
#define sipNameNr_RasterOp_SourceAndDestination 2764
#define sipName_RasterOp_SourceAndDestination &sipStrings_QtGui[2764]
#define sipNameNr_RasterOp_SourceXorDestination 2794
#define sipName_RasterOp_SourceXorDestination &sipStrings_QtGui[2794]
#define sipNameNr_TransformationFlipAndRotate90 2824
#define sipName_TransformationFlipAndRotate90 &sipStrings_QtGui[2824]
#define sipNameNr_applicationDisplayNameChanged 2854
#define sipName_applicationDisplayNameChanged &sipStrings_QtGui[2854]
#define sipNameNr_inputItemClipRectangleChanged 2884
#define sipName_inputItemClipRectangleChanged &sipStrings_QtGui[2884]
#define sipNameNr_qt_set_sequence_auto_mnemonic 2914
#define sipName_qt_set_sequence_auto_mnemonic &sipStrings_QtGui[2914]
#define sipNameNr_Format_A2BGR30_Premultiplied 2944
#define sipName_Format_A2BGR30_Premultiplied &sipStrings_QtGui[2944]
#define sipNameNr_Format_A2RGB30_Premultiplied 2973
#define sipName_Format_A2RGB30_Premultiplied &sipStrings_QtGui[2973]
#define sipNameNr_QColorSpace__NamedColorSpace 3002
#define sipName_QColorSpace__NamedColorSpace &sipStrings_QtGui[3002]
#define sipNameNr_3031 3031
#define sipName_3031 &sipStrings_QtGui[3031]
#define sipNameNr_3060 3060
#define sipName_3060 &sipStrings_QtGui[3060]
#define sipNameNr_QFontDatabase__WritingSystem 3089
#define sipName_QFontDatabase__WritingSystem &sipStrings_QtGui[3089]
#define sipNameNr_QImageIOHandler__ImageOption 3118
#define sipName_QImageIOHandler__ImageOption &sipStrings_QtGui[3118]
#define sipNameNr_QInputMethodEvent__Attribute 3147
#define sipName_QInputMethodEvent__Attribute &sipStrings_QtGui[3147]
#define sipNameNr_QKeySequence__SequenceFormat 3176
#define sipName_QKeySequence__SequenceFormat &sipStrings_QtGui[3176]
#define sipNameNr_QPainter__PixmapFragmentHint 3205
#define sipName_QPainter__PixmapFragmentHint &sipStrings_QtGui[3205]
#define sipNameNr_QPointingDevice__PointerType 3234
#define sipName_QPointingDevice__PointerType &sipStrings_QtGui[3234]
#define sipNameNr_QSessionManager__RestartHint 3263
#define sipName_QSessionManager__RestartHint &sipStrings_QtGui[3263]
#define sipNameNr_QStaticText__PerformanceHint 3292
#define sipName_QStaticText__PerformanceHint &sipStrings_QtGui[3292]
#define sipNameNr_QSurfaceFormat__FormatOption 3321
#define sipName_QSurfaceFormat__FormatOption &sipStrings_QtGui[3321]
#define sipNameNr_QSurfaceFormat__SwapBehavior 3350
#define sipName_QSurfaceFormat__SwapBehavior &sipStrings_QtGui[3350]
#define sipNameNr_QTextBlockFormat__MarkerType 3379
#define sipName_QTextBlockFormat__MarkerType &sipStrings_QtGui[3379]
#define sipNameNr_RasterOp_SourceOrDestination 3408
#define sipName_RasterOp_SourceOrDestination &sipStrings_QtGui[3408]
#define sipNameNr_WrapAtWordBoundaryOrAnywhere 3437
#define sipName_WrapAtWordBoundaryOrAnywhere &sipStrings_QtGui[3437]
#define sipNameNr_keyboardInputIntervalChanged 3466
#define sipName_keyboardInputIntervalChanged &sipStrings_QtGui[3466]
#define sipNameNr_mouseQuickSelectionThreshold 3495
#define sipName_mouseQuickSelectionThreshold &sipStrings_QtGui[3495]
#define sipNameNr_CompositionMode_Destination 3524
#define sipName_CompositionMode_Destination &sipStrings_QtGui[3524]
#define sipNameNr_DontUseCustomDirectoryIcons 3552
#define sipName_DontUseCustomDirectoryIcons &sipStrings_QtGui[3552]
#define sipNameNr_FontPropertiesSpecifiedOnly 3580
#define sipName_FontPropertiesSpecifiedOnly &sipStrings_QtGui[3580]
#define sipNameNr_Format_ARGB32_Premultiplied 3608
#define sipName_Format_ARGB32_Premultiplied &sipStrings_QtGui[3608]
#define sipNameNr_Format_RGBA64_Premultiplied 3636
#define sipName_Format_RGBA64_Premultiplied &sipStrings_QtGui[3636]
#define sipNameNr_ObjectBoundingModeGradients 3664
#define sipName_ObjectBoundingModeGradients &sipStrings_QtGui[3664]
#define sipNameNr_QAbstractTextDocumentLayout 3692
#define sipName_QAbstractTextDocumentLayout &sipStrings_QtGui[3692]
#define sipNameNr_QIconEngine__IconEngineHook 3720
#define sipName_QIconEngine__IconEngineHook &sipStrings_QtGui[3720]
#define sipNameNr_QKeySequence__SequenceMatch 3748
#define sipName_QKeySequence__SequenceMatch &sipStrings_QtGui[3748]
#define sipNameNr_QPixelFormat__AlphaPosition 3776
#define sipName_QPixelFormat__AlphaPosition &sipStrings_QtGui[3776]
#define sipNameNr_QRegularExpressionValidator 3804
#define sipName_QRegularExpressionValidator &sipStrings_QtGui[3804]
#define sipNameNr_QTextDocument__ResourceType 3832
#define sipName_QTextDocument__ResourceType &sipStrings_QtGui[3832]
#define sipNameNr_TableColumnWidthConstraints 3860
#define sipName_TableColumnWidthConstraints &sipStrings_QtGui[3860]
#define sipNameNr_VerticalSubpixelPositioning 3888
#define sipName_VerticalSubpixelPositioning &sipStrings_QtGui[3888]
#define sipNameNr_clearColumnWidthConstraints 3916
#define sipName_clearColumnWidthConstraints &sipStrings_QtGui[3916]
#define sipNameNr_showShortcutsInContextMenus 3944
#define sipName_showShortcutsInContextMenus &sipStrings_QtGui[3944]
#define sipNameNr_CompositionMode_ColorDodge 3972
#define sipName_CompositionMode_ColorDodge &sipStrings_QtGui[3972]
#define sipNameNr_CompositionMode_Difference 3999
#define sipName_CompositionMode_Difference &sipStrings_QtGui[3999]
#define sipNameNr_CompositionMode_SourceAtop 4026
#define sipName_CompositionMode_SourceAtop &sipStrings_QtGui[4026]
#define sipNameNr_CompositionMode_SourceOver 4053
#define sipName_CompositionMode_SourceOver &sipStrings_QtGui[4053]
#define sipNameNr_QDoubleValidator__Notation 4080
#define sipName_QDoubleValidator__Notation &sipStrings_QtGui[4080]
#define sipNameNr_4107 4107
#define sipName_4107 &sipStrings_QtGui[4107]
#define sipNameNr_QPageSize__SizeMatchPolicy 4134
#define sipName_QPageSize__SizeMatchPolicy &sipStrings_QtGui[4134]
#define sipNameNr_QRawFont__AntialiasingType 4161
#define sipName_QRawFont__AntialiasingType &sipStrings_QtGui[4161]
#define sipNameNr_QTextCursor__MoveOperation 4188
#define sipName_QTextCursor__MoveOperation &sipStrings_QtGui[4188]
#define sipNameNr_QTextCursor__SelectionType 4215
#define sipName_QTextCursor__SelectionType &sipStrings_QtGui[4215]
#define sipNameNr_QTextFormat__PageBreakFlag 4242
#define sipName_QTextFormat__PageBreakFlag &sipStrings_QtGui[4242]
#define sipNameNr_QTextFrameFormat__Position 4269
#define sipName_QTextFrameFormat__Position &sipStrings_QtGui[4269]
#define sipNameNr_TableCellBottomBorderBrush 4296
#define sipName_TableCellBottomBorderBrush &sipStrings_QtGui[4296]
#define sipNameNr_TableCellBottomBorderStyle 4323
#define sipName_TableCellBottomBorderStyle &sipStrings_QtGui[4323]
#define sipNameNr_addApplicationFontFromData 4350
#define sipName_addApplicationFontFromData &sipStrings_QtGui[4350]
#define sipNameNr_physicalDotsPerInchChanged 4377
#define sipName_physicalDotsPerInchChanged &sipStrings_QtGui[4377]
#define sipNameNr_setDecideFormatFromContent 4404
#define sipName_setDecideFormatFromContent &sipStrings_QtGui[4404]
#define sipNameNr_setDefaultResourceProvider 4431
#define sipName_setDefaultResourceProvider &sipStrings_QtGui[4431]
#define sipNameNr_transformationToColorSpace 4458
#define sipName_transformationToColorSpace &sipStrings_QtGui[4458]
#define sipNameNr_CompositionMode_ColorBurn 4485
#define sipName_CompositionMode_ColorBurn &sipStrings_QtGui[4485]
#define sipNameNr_CompositionMode_Exclusion 4511
#define sipName_CompositionMode_Exclusion &sipStrings_QtGui[4511]
#define sipNameNr_CompositionMode_HardLight 4537
#define sipName_CompositionMode_HardLight &sipStrings_QtGui[4537]
#define sipNameNr_CompositionMode_SoftLight 4563
#define sipName_CompositionMode_SoftLight &sipStrings_QtGui[4563]
#define sipNameNr_CompositionMode_SourceOut 4589
#define sipName_CompositionMode_SourceOut &sipStrings_QtGui[4589]
#define sipNameNr_MarkdownDialectCommonMark 4615
#define sipName_MarkdownDialectCommonMark &sipStrings_QtGui[4615]
#define sipNameNr_PdmDevicePixelRatioScaled 4641
#define sipName_PdmDevicePixelRatioScaled &sipStrings_QtGui[4641]
#define sipNameNr_QAbstractFileIconProvider 4667
#define sipName_QAbstractFileIconProvider &sipStrings_QtGui[4667]
#define sipNameNr_QContextMenuEvent__Reason 4693
#define sipName_QContextMenuEvent__Reason &sipStrings_QtGui[4693]
#define sipNameNr_4719 4719
#define sipName_4719 &sipStrings_QtGui[4719]
#define sipNameNr_QFontDatabase__SystemFont 4745
#define sipName_QFontDatabase__SystemFont &sipStrings_QtGui[4745]
#define sipNameNr_QGradient__CoordinateMode 4771
#define sipName_QGradient__CoordinateMode &sipStrings_QtGui[4771]
#define sipNameNr_QKeySequence__StandardKey 4797
#define sipName_QKeySequence__StandardKey &sipStrings_QtGui[4797]
#define sipNameNr_4823 4823
#define sipName_4823 &sipStrings_QtGui[4823]
#define sipNameNr_QPainter__CompositionMode 4849
#define sipName_QPainter__CompositionMode &sipStrings_QtGui[4849]
#define sipNameNr_QPainterPath__ElementType 4875
#define sipName_QPainterPath__ElementType &sipStrings_QtGui[4875]
#define sipNameNr_QScrollEvent__ScrollState 4901
#define sipName_QScrollEvent__ScrollState &sipStrings_QtGui[4901]
#define sipNameNr_QTextLine__CursorPosition 4927
#define sipName_QTextLine__CursorPosition &sipStrings_QtGui[4927]
#define sipNameNr_RasterOp_ClearDestination 4953
#define sipName_RasterOp_ClearDestination &sipStrings_QtGui[4953]
#define sipNameNr_SurfaceAboutToBeDestroyed 4979
#define sipName_SurfaceAboutToBeDestroyed &sipStrings_QtGui[4979]
#define sipNameNr_TableCellRightBorderBrush 5005
#define sipName_TableCellRightBorderBrush &sipStrings_QtGui[5005]
#define sipNameNr_TableCellRightBorderStyle 5031
#define sipName_TableCellRightBorderStyle &sipStrings_QtGui[5031]
#define sipNameNr_contentOrientationChanged 5057
#define sipName_contentOrientationChanged &sipStrings_QtGui[5057]
#define sipNameNr_logicalDotsPerInchChanged 5083
#define sipName_logicalDotsPerInchChanged &sipStrings_QtGui[5083]
#define sipNameNr_mousePressAndHoldInterval 5109
#define sipName_mousePressAndHoldInterval &sipStrings_QtGui[5109]
#define sipNameNr_primaryOrientationChanged 5135
#define sipName_primaryOrientationChanged &sipStrings_QtGui[5135]
#define sipNameNr_removeAllApplicationFonts 5161
#define sipName_removeAllApplicationFonts &sipStrings_QtGui[5161]
#define sipNameNr_setApplicationDisplayName 5187
#define sipName_setApplicationDisplayName &sipStrings_QtGui[5187]
#define sipNameNr_setColumnWidthConstraints 5213
#define sipName_setColumnWidthConstraints &sipStrings_QtGui[5213]
#define sipNameNr_setDefaultCursorMoveStyle 5239
#define sipName_setDefaultCursorMoveStyle &sipStrings_QtGui[5239]
#define sipNameNr_setHorizontalHeaderLabels 5265
#define sipName_setHorizontalHeaderLabels &sipStrings_QtGui[5265]
#define sipNameNr_setQuitOnLastWindowClosed 5291
#define sipName_setQuitOnLastWindowClosed &sipStrings_QtGui[5291]
#define sipNameNr_CompositionMode_Multiply 5317
#define sipName_CompositionMode_Multiply &sipStrings_QtGui[5317]
#define sipNameNr_CompositionMode_SourceIn 5342
#define sipName_CompositionMode_SourceIn &sipStrings_QtGui[5342]
#define sipNameNr_InsertParagraphSeparator 5367
#define sipName_InsertParagraphSeparator &sipStrings_QtGui[5367]
#define sipNameNr_NonCosmeticBrushPatterns 5392
#define sipName_NonCosmeticBrushPatterns &sipStrings_QtGui[5392]
#define sipNameNr_OldFontLetterSpacingType 5417
#define sipName_OldFontLetterSpacingType &sipStrings_QtGui[5417]
#define sipNameNr_QFileSystemModel__Option 5442
#define sipName_QFileSystemModel__Option &sipStrings_QtGui[5442]
#define sipNameNr_QFont__HintingPreference 5467
#define sipName_QFont__HintingPreference &sipStrings_QtGui[5467]
#define sipNameNr_QInputDevice__Capability 5492
#define sipName_QInputDevice__Capability &sipStrings_QtGui[5492]
#define sipNameNr_QInputDevice__DeviceType 5517
#define sipName_QInputDevice__DeviceType &sipStrings_QtGui[5517]
#define sipNameNr_QPageLayout__Orientation 5542
#define sipName_QPageLayout__Orientation &sipStrings_QtGui[5542]
#define sipNameNr_QPainter__PixmapFragment 5567
#define sipName_QPainter__PixmapFragment &sipStrings_QtGui[5567]
#define sipNameNr_QPixelFormat__AlphaUsage 5592
#define sipName_QPixelFormat__AlphaUsage &sipStrings_QtGui[5592]
#define sipNameNr_QPixelFormat__ColorModel 5617
#define sipName_QPixelFormat__ColorModel &sipStrings_QtGui[5617]
#define sipNameNr_QTextFormat__ObjectTypes 5642
#define sipName_QTextFormat__ObjectTypes &sipStrings_QtGui[5642]
#define sipNameNr_QTextLayout__FormatRange 5667
#define sipName_QTextLayout__FormatRange &sipStrings_QtGui[5667]
#define sipNameNr_TableCellLeftBorderBrush 5692
#define sipName_TableCellLeftBorderBrush &sipStrings_QtGui[5692]
#define sipNameNr_TableCellLeftBorderStyle 5717
#define sipName_TableCellLeftBorderStyle &sipStrings_QtGui[5717]
#define sipNameNr_availableGeometryChanged 5742
#define sipName_availableGeometryChanged &sipStrings_QtGui[5742]
#define sipNameNr_availableVirtualGeometry 5767
#define sipName_availableVirtualGeometry &sipStrings_QtGui[5767]
#define sipNameNr_defaultFramebufferObject 5792
#define sipName_defaultFramebufferObject &sipStrings_QtGui[5792]
#define sipNameNr_keyboardRectangleChanged 5817
#define sipName_keyboardRectangleChanged &sipStrings_QtGui[5817]
#define sipNameNr_mouseDoubleClickDistance 5842
#define sipName_mouseDoubleClickDistance &sipStrings_QtGui[5842]
#define sipNameNr_mouseDoubleClickInterval 5867
#define sipName_mouseDoubleClickInterval &sipStrings_QtGui[5867]
#define sipNameNr_setAccessibleDescription 5892
#define sipName_setAccessibleDescription &sipStrings_QtGui[5892]
#define sipNameNr_setAutoDetectImageFormat 5917
#define sipName_setAutoDetectImageFormat &sipStrings_QtGui[5917]
#define sipNameNr_setExclusivePointGrabber 5942
#define sipName_setExclusivePointGrabber &sipStrings_QtGui[5942]
#define sipNameNr_setFontHintingPreference 5967
#define sipName_setFontHintingPreference &sipStrings_QtGui[5967]
#define sipNameNr_setFontLetterSpacingType 5992
#define sipName_setFontLetterSpacingType &sipStrings_QtGui[5992]
#define sipNameNr_startDragDistanceChanged 6017
#define sipName_startDragDistanceChanged &sipStrings_QtGui[6017]
#define sipNameNr_supportedDocumentFormats 6042
#define sipName_supportedDocumentFormats &sipStrings_QtGui[6042]
#define sipNameNr_takeHorizontalHeaderItem 6067
#define sipName_takeHorizontalHeaderItem &sipStrings_QtGui[6067]
#define sipNameNr_ApplicationSpecificRole 6092
#define sipName_ApplicationSpecificRole &sipStrings_QtGui[6092]
#define sipNameNr_CompositionMode_Lighten 6116
#define sipName_CompositionMode_Lighten &sipStrings_QtGui[6116]
#define sipNameNr_CompositionMode_Overlay 6140
#define sipName_CompositionMode_Overlay &sipStrings_QtGui[6140]
#define sipNameNr_CursorBetweenCharacters 6164
#define sipName_CursorBetweenCharacters &sipStrings_QtGui[6164]
#define sipNameNr_PyQt6_sip_simplewrapper 6188
#define sipName_PyQt6_sip_simplewrapper &sipStrings_QtGui[6188]
#define sipNameNr_QFileSystemModel__Roles 6212
#define sipName_QFileSystemModel__Roles &sipStrings_QtGui[6212]
#define sipNameNr_QGlyphRun__GlyphRunFlag 6236
#define sipName_QGlyphRun__GlyphRunFlag &sipStrings_QtGui[6236]
#define sipNameNr_6260 6260
#define sipName_6260 &sipStrings_QtGui[6260]
#define sipNameNr_QPaintEngine__DirtyFlag 6284
#define sipName_QPaintEngine__DirtyFlag &sipStrings_QtGui[6284]
#define sipNameNr_QPixelFormat__ByteOrder 6308
#define sipName_QPixelFormat__ByteOrder &sipStrings_QtGui[6308]
#define sipNameNr_QPixelFormat__YUVLayout 6332
#define sipName_QPixelFormat__YUVLayout &sipStrings_QtGui[6332]
#define sipNameNr_QPointingDeviceUniqueId 6356
#define sipName_QPointingDeviceUniqueId &sipStrings_QtGui[6356]
#define sipNameNr_QStandardItem__ItemType 6380
#define sipName_QStandardItem__ItemType &sipStrings_QtGui[6380]
#define sipNameNr_QTextDocument__FindFlag 6404
#define sipName_QTextDocument__FindFlag &sipStrings_QtGui[6404]
#define sipNameNr_QTextFormat__FormatType 6428
#define sipName_QTextFormat__FormatType &sipStrings_QtGui[6428]
#define sipNameNr_QTextLayout__CursorMode 6452
#define sipName_QTextLayout__CursorMode &sipStrings_QtGui[6452]
#define sipNameNr_QWindowStateChangeEvent 6476
#define sipName_QWindowStateChangeEvent &sipStrings_QtGui[6476]
#define sipNameNr_RasterOp_NotDestination 6500
#define sipName_RasterOp_NotDestination &sipStrings_QtGui[6500]
#define sipNameNr_RasterOp_SetDestination 6524
#define sipName_RasterOp_SetDestination &sipStrings_QtGui[6524]
#define sipNameNr_TableCellTopBorderBrush 6548
#define sipName_TableCellTopBorderBrush &sipStrings_QtGui[6548]
#define sipNameNr_TableCellTopBorderStyle 6572
#define sipName_TableCellTopBorderStyle &sipStrings_QtGui[6572]
#define sipNameNr_TextSuperScriptBaseline 6596
#define sipName_TextSuperScriptBaseline &sipStrings_QtGui[6596]
#define sipNameNr_TransformationRotate180 6620
#define sipName_TransformationRotate180 &sipStrings_QtGui[6620]
#define sipNameNr_TransformationRotate270 6644
#define sipName_TransformationRotate270 &sipStrings_QtGui[6644]
#define sipNameNr_advancesForGlyphIndexes 6668
#define sipName_advancesForGlyphIndexes &sipStrings_QtGui[6668]
#define sipNameNr_applicationFontFamilies 6692
#define sipName_applicationFontFamilies &sipStrings_QtGui[6692]
#define sipNameNr_applicationStateChanged 6716
#define sipName_applicationStateChanged &sipStrings_QtGui[6716]
#define sipNameNr_decideFormatFromContent 6740
#define sipName_decideFormatFromContent &sipStrings_QtGui[6740]
#define sipNameNr_defaultResourceProvider 6764
#define sipName_defaultResourceProvider &sipStrings_QtGui[6764]
#define sipNameNr_imageFormatsForMimeType 6788
#define sipName_imageFormatsForMimeType &sipStrings_QtGui[6788]
#define sipNameNr_setCurrentBlockUserData 6812
#define sipName_setCurrentBlockUserData &sipStrings_QtGui[6812]
#define sipNameNr_setDesktopSettingsAware 6836
#define sipName_setDesktopSettingsAware &sipStrings_QtGui[6836]
#define sipNameNr_setHorizontalHeaderItem 6860
#define sipName_setHorizontalHeaderItem &sipStrings_QtGui[6860]
#define sipNameNr_setKeepPositionOnInsert 6884
#define sipName_setKeepPositionOnInsert &sipStrings_QtGui[6884]
#define sipNameNr_setProgressiveScanWrite 6908
#define sipName_setProgressiveScanWrite &sipStrings_QtGui[6908]
#define sipNameNr_setVerticalHeaderLabels 6932
#define sipName_setVerticalHeaderLabels &sipStrings_QtGui[6932]
#define sipNameNr_setViewTransformEnabled 6956
#define sipName_setViewTransformEnabled &sipStrings_QtGui[6956]
#define sipNameNr_supportedWritingSystems 6980
#define sipName_supportedWritingSystems &sipStrings_QtGui[6980]
#define sipNameNr_tabFocusBehaviorChanged 7004
#define sipName_tabFocusBehaviorChanged &sipStrings_QtGui[7004]
#define sipNameNr_wheelScrollLinesChanged 7028
#define sipName_wheelScrollLinesChanged &sipStrings_QtGui[7028]
#define sipNameNr_BlockNonBreakableLines 7052
#define sipName_BlockNonBreakableLines &sipStrings_QtGui[7052]
#define sipNameNr_BorderStyle_DotDotDash 7075
#define sipName_BorderStyle_DotDotDash &sipStrings_QtGui[7075]
#define sipNameNr_CompositionMode_Darken 7098
#define sipName_CompositionMode_Darken &sipStrings_QtGui[7098]
#define sipNameNr_CompositionMode_Screen 7121
#define sipName_CompositionMode_Screen &sipStrings_QtGui[7121]
#define sipNameNr_CompositionMode_Source 7144
#define sipName_CompositionMode_Source &sipStrings_QtGui[7144]
#define sipNameNr_LosslessImageRendering 7167
#define sipName_LosslessImageRendering &sipStrings_QtGui[7167]
#define sipNameNr_PageBreak_AlwaysBefore 7190
#define sipName_PageBreak_AlwaysBefore &sipStrings_QtGui[7190]
#define sipNameNr_PaintOutsidePaintEvent 7213
#define sipName_PaintOutsidePaintEvent &sipStrings_QtGui[7213]
#define sipNameNr_QColorSpace__Primaries 7236
#define sipName_QColorSpace__Primaries &sipStrings_QtGui[7236]
#define sipNameNr_QInputMethodQueryEvent 7259
#define sipName_QInputMethodQueryEvent &sipStrings_QtGui[7259]
#define sipNameNr_7282 7282
#define sipName_7282 &sipStrings_QtGui[7282]
#define sipNameNr_QSurface__SurfaceClass 7305
#define sipName_QSurface__SurfaceClass &sipStrings_QtGui[7305]
#define sipNameNr_QTextListFormat__Style 7328
#define sipName_QTextListFormat__Style &sipStrings_QtGui[7328]
#define sipNameNr_QWhatsThisClickedEvent 7351
#define sipName_QWhatsThisClickedEvent &sipStrings_QtGui[7351]
#define sipNameNr_ShowDocumentTerminator 7374
#define sipName_ShowDocumentTerminator &sipStrings_QtGui[7374]
#define sipNameNr_TableCellBottomPadding 7397
#define sipName_TableCellBottomPadding &sipStrings_QtGui[7397]
#define sipNameNr_TransformationRotate90 7420
#define sipName_TransformationRotate90 &sipStrings_QtGui[7420]
#define sipNameNr_UnsupportedFormatError 7443
#define sipName_UnsupportedFormatError &sipStrings_QtGui[7443]
#define sipNameNr_allowsErrorInteraction 7466
#define sipName_allowsErrorInteraction &sipStrings_QtGui[7466]
#define sipNameNr_anchorRectangleChanged 7489
#define sipName_anchorRectangleChanged &sipStrings_QtGui[7489]
#define sipNameNr_applicationDisplayName 7512
#define sipName_applicationDisplayName &sipStrings_QtGui[7512]
#define sipNameNr_columnWidthConstraints 7535
#define sipName_columnWidthConstraints &sipStrings_QtGui[7535]
#define sipNameNr_cursorFlashTimeChanged 7558
#define sipName_cursorFlashTimeChanged &sipStrings_QtGui[7558]
#define sipNameNr_cursorRectangleChanged 7581
#define sipName_cursorRectangleChanged &sipStrings_QtGui[7581]
#define sipNameNr_defaultCursorMoveStyle 7604
#define sipName_defaultCursorMoveStyle &sipStrings_QtGui[7604]
#define sipNameNr_devicePixelRatioFScale 7627
#define sipName_devicePixelRatioFScale &sipStrings_QtGui[7627]
#define sipNameNr_inputItemClipRectangle 7650
#define sipName_inputItemClipRectangle &sipStrings_QtGui[7650]
#define sipNameNr_keyboardAutoRepeatRate 7673
#define sipName_keyboardAutoRepeatRate &sipStrings_QtGui[7673]
#define sipNameNr_layoutDirectionChanged 7696
#define sipName_layoutDirectionChanged &sipStrings_QtGui[7696]
#define sipNameNr_previousCursorPosition 7719
#define sipName_previousCursorPosition &sipStrings_QtGui[7719]
#define sipNameNr_queryKeyboardModifiers 7742
#define sipName_queryKeyboardModifiers &sipStrings_QtGui[7742]
#define sipNameNr_quitOnLastWindowClosed 7765
#define sipName_quitOnLastWindowClosed &sipStrings_QtGui[7765]
#define sipNameNr_setDocumentXmpMetadata 7788
#define sipName_setDocumentXmpMetadata &sipStrings_QtGui[7788]
#define sipNameNr_setFallbackSearchPaths 7811
#define sipName_setFallbackSearchPaths &sipStrings_QtGui[7811]
#define sipNameNr_setFocusOnTouchRelease 7834
#define sipName_setFocusOnTouchRelease &sipStrings_QtGui[7834]
#define sipNameNr_setKeyboardGrabEnabled 7857
#define sipName_setKeyboardGrabEnabled &sipStrings_QtGui[7857]
#define sipNameNr_setSuperScriptBaseline 7880
#define sipName_setSuperScriptBaseline &sipStrings_QtGui[7880]
#define sipNameNr_setTableCellColumnSpan 7903
#define sipName_setTableCellColumnSpan &sipStrings_QtGui[7903]
#define sipNameNr_supportsThreadedOpenGL 7926
#define sipName_supportsThreadedOpenGL &sipStrings_QtGui[7926]
#define sipNameNr_takeVerticalHeaderItem 7949
#define sipName_takeVerticalHeaderItem &sipStrings_QtGui[7949]
#define sipNameNr_touchDoubleTapDistance 7972
#define sipName_touchDoubleTapDistance &sipStrings_QtGui[7972]
#define sipNameNr_useHoverEffectsChanged 7995
#define sipName_useHoverEffectsChanged &sipStrings_QtGui[7995]
#define sipNameNr_virtualGeometryChanged 8018
#define sipName_virtualGeometryChanged &sipStrings_QtGui[8018]
#define sipNameNr_CompositionMode_Clear 8041
#define sipName_CompositionMode_Clear &sipStrings_QtGui[8041]
#define sipNameNr_DefaultRenderableType 8063
#define sipName_DefaultRenderableType &sipStrings_QtGui[8063]
#define sipNameNr_FontHintingPreference 5970
#define sipName_FontHintingPreference &sipStrings_QtGui[5970]
#define sipNameNr_FontLetterSpacingType 5420
#define sipName_FontLetterSpacingType &sipStrings_QtGui[5420]
#define sipNameNr_FuzzyOrientationMatch 8085
#define sipName_FuzzyOrientationMatch &sipStrings_QtGui[8085]
#define sipNameNr_IncludeTrailingSpaces 8107
#define sipName_IncludeTrailingSpaces &sipStrings_QtGui[8107]
#define sipNameNr_MarkdownDialectGitHub 8129
#define sipName_MarkdownDialectGitHub &sipStrings_QtGui[8129]
#define sipNameNr_MoveToStartOfDocument 8151
#define sipName_MoveToStartOfDocument &sipStrings_QtGui[8151]
#define sipNameNr_OldTextUnderlineColor 8173
#define sipName_OldTextUnderlineColor &sipStrings_QtGui[8173]
#define sipNameNr_PageBreak_AlwaysAfter 8195
#define sipName_PageBreak_AlwaysAfter &sipStrings_QtGui[8195]
#define sipNameNr_PreferVerticalHinting 8217
#define sipName_PreferVerticalHinting &sipStrings_QtGui[8217]
#define sipNameNr_QFont__Capitalization 8239
#define sipName_QFont__Capitalization &sipStrings_QtGui[8239]
#define sipNameNr_8261 8261
#define sipName_8261 &sipStrings_QtGui[8261]
#define sipNameNr_QPageSize__PageSizeId 8283
#define sipName_QPageSize__PageSizeId &sipStrings_QtGui[8283]
#define sipNameNr_QPainterPath__Element 8305
#define sipName_QPainterPath__Element &sipStrings_QtGui[8305]
#define sipNameNr_QPlatformSurfaceEvent 8327
#define sipName_QPlatformSurfaceEvent &sipStrings_QtGui[8327]
#define sipNameNr_QSurface__SurfaceType 8349
#define sipName_QSurface__SurfaceType &sipStrings_QtGui[8349]
#define sipNameNr_QTextCursor__MoveMode 8371
#define sipName_QTextCursor__MoveMode &sipStrings_QtGui[8371]
#define sipNameNr_QTextDocument__Stacks 8393
#define sipName_QTextDocument__Stacks &sipStrings_QtGui[8393]
#define sipNameNr_QTextDocumentFragment 8415
#define sipName_QTextDocumentFragment &sipStrings_QtGui[8415]
#define sipNameNr_QTextFormat__Property 8437
#define sipName_QTextFormat__Property &sipStrings_QtGui[8437]
#define sipNameNr_QTextItem__RenderFlag 8459
#define sipName_QTextItem__RenderFlag &sipStrings_QtGui[8459]
#define sipNameNr_QTextOption__WrapMode 8481
#define sipName_QTextOption__WrapMode &sipStrings_QtGui[8481]
#define sipNameNr_QWindow__AncestorMode 8503
#define sipName_QWindow__AncestorMode &sipStrings_QtGui[8503]
#define sipNameNr_SelectStartOfDocument 8525
#define sipName_SelectStartOfDocument &sipStrings_QtGui[8525]
#define sipNameNr_SmoothPixmapTransform 8547
#define sipName_SmoothPixmapTransform &sipStrings_QtGui[8547]
#define sipNameNr_TableCellBottomBorder 8569
#define sipName_TableCellBottomBorder &sipStrings_QtGui[8569]
#define sipNameNr_TableCellRightPadding 8591
#define sipName_TableCellRightPadding &sipStrings_QtGui[8591]
#define sipNameNr_TextSubScriptBaseline 8613
#define sipName_TextSubScriptBaseline &sipStrings_QtGui[8613]
#define sipNameNr_TextVerticalAlignment 8635
#define sipName_TextVerticalAlignment &sipStrings_QtGui[8635]
#define sipNameNr_accessibleDescription 8657
#define sipName_accessibleDescription &sipStrings_QtGui[8657]
#define sipNameNr_autoDetectImageFormat 8679
#define sipName_autoDetectImageFormat &sipStrings_QtGui[8679]
#define sipNameNr_convertedToColorSpace 8701
#define sipName_convertedToColorSpace &sipStrings_QtGui[8701]
#define sipNameNr_cursorPositionChanged 8723
#define sipName_cursorPositionChanged &sipStrings_QtGui[8723]
#define sipNameNr_deviceIndependentSize 8745
#define sipName_deviceIndependentSize &sipStrings_QtGui[8745]
#define sipNameNr_documentLayoutChanged 8767
#define sipName_documentLayoutChanged &sipStrings_QtGui[8767]
#define sipNameNr_exclusivePointGrabber 8789
#define sipName_exclusivePointGrabber &sipStrings_QtGui[8789]
#define sipNameNr_findBlockByLineNumber 8811
#define sipName_findBlockByLineNumber &sipStrings_QtGui[8811]
#define sipNameNr_fontHintingPreference 8833
#define sipName_fontHintingPreference &sipStrings_QtGui[8833]
#define sipNameNr_fontLetterSpacingType 8855
#define sipName_fontLetterSpacingType &sipStrings_QtGui[8855]
#define sipNameNr_glyphIndexesForString 8877
#define sipName_glyphIndexesForString &sipStrings_QtGui[8877]
#define sipNameNr_inputDirectionChanged 8899
#define sipName_inputDirectionChanged &sipStrings_QtGui[8899]
#define sipNameNr_isValidCursorPosition 8921
#define sipName_isValidCursorPosition &sipStrings_QtGui[8921]
#define sipNameNr_joinPreviousEditBlock 8943
#define sipName_joinPreviousEditBlock &sipStrings_QtGui[8943]
#define sipNameNr_keyboardInputInterval 8965
#define sipName_keyboardInputInterval &sipStrings_QtGui[8965]
#define sipNameNr_mouseDoubleClickEvent 8987
#define sipName_mouseDoubleClickEvent &sipStrings_QtGui[8987]
#define sipNameNr_passwordMaskCharacter 9009
#define sipName_passwordMaskCharacter &sipStrings_QtGui[9009]
#define sipNameNr_primaryPointingDevice 9031
#define sipName_primaryPointingDevice &sipStrings_QtGui[9031]
#define sipNameNr_qPixelFormatGrayscale 9053
#define sipName_qPixelFormatGrayscale &sipStrings_QtGui[9053]
#define sipNameNr_removeApplicationFont 9075
#define sipName_removeApplicationFont &sipStrings_QtGui[9075]
#define sipNameNr_restoreOverrideCursor 9097
#define sipName_restoreOverrideCursor &sipStrings_QtGui[9097]
#define sipNameNr_setFontCapitalization 9119
#define sipName_setFontCapitalization &sipStrings_QtGui[9119]
#define sipNameNr_setInputItemRectangle 9141
#define sipName_setInputItemRectangle &sipStrings_QtGui[9141]
#define sipNameNr_setInputItemTransform 9163
#define sipName_setInputItemTransform &sipStrings_QtGui[9163]
#define sipNameNr_setNameFilterDisables 9185
#define sipName_setNameFilterDisables &sipStrings_QtGui[9185]
#define sipNameNr_setVerticalHeaderItem 9207
#define sipName_setVerticalHeaderItem &sipStrings_QtGui[9207]
#define sipNameNr_setWorldMatrixEnabled 9229
#define sipName_setWorldMatrixEnabled &sipStrings_QtGui[9229]
#define sipNameNr_singleClickActivation 9251
#define sipName_singleClickActivation &sipStrings_QtGui[9251]
#define sipNameNr_supportedImageFormats 9273
#define sipName_supportedImageFormats &sipStrings_QtGui[9273]
#define sipNameNr_withTransferFunctions 9295
#define sipName_withTransferFunctions &sipStrings_QtGui[9295]
#define sipNameNr_CompatibilityProfile 9317
#define sipName_CompatibilityProfile &sipStrings_QtGui[9317]
#define sipNameNr_CompositionMode_Plus 9338
#define sipName_CompositionMode_Plus &sipStrings_QtGui[9338]
#define sipNameNr_DirtyCompositionMode 9359
#define sipName_DirtyCompositionMode &sipStrings_QtGui[9359]
#define sipNameNr_OpenGLContextProfile 545
#define sipName_OpenGLContextProfile &sipStrings_QtGui[545]
#define sipNameNr_PerspectiveTransform 9380
#define sipName_PerspectiveTransform &sipStrings_QtGui[9380]
#define sipNameNr_PreferDefaultHinting 9401
#define sipName_PreferDefaultHinting &sipStrings_QtGui[9401]
#define sipNameNr_ProgressiveScanWrite 6911
#define sipName_ProgressiveScanWrite &sipStrings_QtGui[6911]
#define sipNameNr_QAction__ActionEvent 9422
#define sipName_QAction__ActionEvent &sipStrings_QtGui[9422]
#define sipNameNr_QColorConstants__Svg 9443
#define sipName_QColorConstants__Svg &sipStrings_QtGui[9443]
#define sipNameNr_QFont__StyleStrategy 9464
#define sipName_QFont__StyleStrategy &sipStrings_QtGui[9464]
#define sipNameNr_QInputMethod__Action 9485
#define sipName_QInputMethod__Action &sipStrings_QtGui[9485]
#define sipNameNr_9506 9506
#define sipName_9506 &sipStrings_QtGui[9506]
#define sipNameNr_QPainter__RenderHint 9527
#define sipName_QPainter__RenderHint &sipStrings_QtGui[9527]
#define sipNameNr_QPalette__ColorGroup 9548
#define sipName_QPalette__ColorGroup &sipStrings_QtGui[9548]
#define sipNameNr_QRawFont__LayoutFlag 9569
#define sipName_QRawFont__LayoutFlag &sipStrings_QtGui[9569]
#define sipNameNr_QTextBlock__iterator 9590
#define sipName_QTextBlock__iterator &sipStrings_QtGui[9590]
#define sipNameNr_QTextFrame__iterator 9611
#define sipName_QTextFrame__iterator &sipStrings_QtGui[9611]
#define sipNameNr_QTextObjectInterface 9632
#define sipName_QTextObjectInterface &sipStrings_QtGui[9632]
#define sipNameNr_QTextOption__TabType 9653
#define sipName_QTextOption__TabType &sipStrings_QtGui[9653]
#define sipNameNr_QTextTableCellFormat 9674
#define sipName_QTextTableCellFormat &sipStrings_QtGui[9674]
#define sipNameNr_ScaledPixmapArgument 1003
#define sipName_ScaledPixmapArgument &sipStrings_QtGui[1003]
#define sipNameNr_SmallestReadableFont 9695
#define sipName_SmallestReadableFont &sipStrings_QtGui[9695]
#define sipNameNr_SubPixelAntialiasing 9716
#define sipName_SubPixelAntialiasing &sipStrings_QtGui[9716]
#define sipNameNr_TableCellLeftPadding 9737
#define sipName_TableCellLeftPadding &sipStrings_QtGui[9737]
#define sipNameNr_TableCellRightBorder 9758
#define sipName_TableCellRightBorder &sipStrings_QtGui[9758]
#define sipNameNr_TransformationMirror 9779
#define sipName_TransformationMirror &sipStrings_QtGui[9779]
#define sipNameNr_acceptProposedAction 9800
#define sipName_acceptProposedAction &sipStrings_QtGui[9800]
#define sipNameNr_activatedAmbiguously 9821
#define sipName_activatedAmbiguously &sipStrings_QtGui[9821]
#define sipNameNr_availableVirtualSize 9842
#define sipName_availableVirtualSize &sipStrings_QtGui[9842]
#define sipNameNr_changeOverrideCursor 9863
#define sipName_changeOverrideCursor &sipStrings_QtGui[9863]
#define sipNameNr_convertFromPlainText 9884
#define sipName_convertFromPlainText &sipStrings_QtGui[9884]
#define sipNameNr_currentBlockUserData 9905
#define sipName_currentBlockUserData &sipStrings_QtGui[9905]
#define sipNameNr_desktopSettingsAware 9926
#define sipName_desktopSettingsAware &sipStrings_QtGui[9926]
#define sipNameNr_horizontalHeaderItem 9947
#define sipName_horizontalHeaderItem &sipStrings_QtGui[9947]
#define sipNameNr_keepPositionOnInsert 9968
#define sipName_keepPositionOnInsert &sipStrings_QtGui[9968]
#define sipNameNr_lengthVectorProperty 9989
#define sipName_lengthVectorProperty &sipStrings_QtGui[9989]
#define sipNameNr_lightgoldenrodyellow 10010
#define sipName_lightgoldenrodyellow &sipStrings_QtGui[10010]
#define sipNameNr_maximumHeightChanged 10031
#define sipName_maximumHeightChanged &sipStrings_QtGui[10031]
#define sipNameNr_mergeBlockCharFormat 10052
#define sipName_mergeBlockCharFormat &sipStrings_QtGui[10052]
#define sipNameNr_minimumHeightChanged 10073
#define sipName_minimumHeightChanged &sipStrings_QtGui[10073]
#define sipNameNr_physicalDotsPerInchX 10094
#define sipName_physicalDotsPerInchX &sipStrings_QtGui[10094]
#define sipNameNr_physicalDotsPerInchY 10115
#define sipName_physicalDotsPerInchY &sipStrings_QtGui[10115]
#define sipNameNr_positionInlineObject 10136
#define sipName_positionInlineObject &sipStrings_QtGui[10136]
#define sipNameNr_primaryScreenChanged 10157
#define sipName_primaryScreenChanged &sipStrings_QtGui[10157]
#define sipNameNr_progressiveScanWrite 10178
#define sipName_progressiveScanWrite &sipStrings_QtGui[10178]
#define sipNameNr_setBottomBorderBrush 10199
#define sipName_setBottomBorderBrush &sipStrings_QtGui[10199]
#define sipNameNr_setBottomBorderStyle 10220
#define sipName_setBottomBorderStyle &sipStrings_QtGui[10220]
#define sipNameNr_setCurrentBlockState 10241
#define sipName_setCurrentBlockState &sipStrings_QtGui[10241]
#define sipNameNr_setCurrentColorGroup 10262
#define sipName_setCurrentColorGroup &sipStrings_QtGui[10262]
#define sipNameNr_setDefaultStyleSheet 10283
#define sipName_setDefaultStyleSheet &sipStrings_QtGui[10283]
#define sipNameNr_setDefaultTextOption 10304
#define sipName_setDefaultTextOption &sipStrings_QtGui[10304]
#define sipNameNr_setElementPositionAt 10325
#define sipName_setElementPositionAt &sipStrings_QtGui[10325]
#define sipNameNr_setFallbackThemeName 10346
#define sipName_setFallbackThemeName &sipStrings_QtGui[10346]
#define sipNameNr_setFontLetterSpacing 10367
#define sipName_setFontLetterSpacing &sipStrings_QtGui[10367]
#define sipNameNr_setFontStyleStrategy 10388
#define sipName_setFontStyleStrategy &sipStrings_QtGui[10388]
#define sipNameNr_setHintingPreference 10409
#define sipName_setHintingPreference &sipStrings_QtGui[10409]
#define sipNameNr_setIconVisibleInMenu 10430
#define sipName_setIconVisibleInMenu &sipStrings_QtGui[10430]
#define sipNameNr_setMaximumBlockCount 10451
#define sipName_setMaximumBlockCount &sipStrings_QtGui[10451]
#define sipNameNr_setNonBreakableLines 10472
#define sipName_setNonBreakableLines &sipStrings_QtGui[10472]
#define sipNameNr_setRegularExpression 10493
#define sipName_setRegularExpression &sipStrings_QtGui[10493]
#define sipNameNr_setStencilBufferSize 10514
#define sipName_setStencilBufferSize &sipStrings_QtGui[10514]
#define sipNameNr_setSubScriptBaseline 10535
#define sipName_setSubScriptBaseline &sipStrings_QtGui[10535]
#define sipNameNr_setTransferFunctions 10556
#define sipName_setTransferFunctions &sipStrings_QtGui[10556]
#define sipNameNr_setVerticalAlignment 10577
#define sipName_setVerticalAlignment &sipStrings_QtGui[10577]
#define sipNameNr_setVerticalMovementX 10598
#define sipName_setVerticalMovementX &sipStrings_QtGui[10598]
#define sipNameNr_startDragTimeChanged 10619
#define sipName_startDragTimeChanged &sipStrings_QtGui[10619]
#define sipNameNr_supportedDragActions 10640
#define sipName_supportedDragActions &sipStrings_QtGui[10640]
#define sipNameNr_supportedDropActions 10661
#define sipName_supportedDropActions &sipStrings_QtGui[10661]
#define sipNameNr_tableCellFormatIndex 10682
#define sipName_tableCellFormatIndex &sipStrings_QtGui[10682]
#define sipNameNr_viewTransformEnabled 10703
#define sipName_viewTransformEnabled &sipStrings_QtGui[10703]
#define sipNameNr_withTransferFunction 10724
#define sipName_withTransferFunction &sipStrings_QtGui[10724]
#define sipNameNr_AutomaticVisibility 10745
#define sipName_AutomaticVisibility &sipStrings_QtGui[10745]
#define sipNameNr_BorderStyle_DotDash 10765
#define sipName_BorderStyle_DotDash &sipStrings_QtGui[10765]
#define sipNameNr_CompositionMode_Xor 10785
#define sipName_CompositionMode_Xor &sipStrings_QtGui[10785]
#define sipNameNr_ConicalGradientFill 10805
#define sipName_ConicalGradientFill &sipStrings_QtGui[10805]
#define sipNameNr_CurrentSystemEndian 10825
#define sipName_CurrentSystemEndian &sipStrings_QtGui[10825]
#define sipNameNr_DefaultSwapBehavior 10845
#define sipName_DefaultSwapBehavior &sipStrings_QtGui[10845]
#define sipNameNr_DeprecatedFunctions 10865
#define sipName_DeprecatedFunctions &sipStrings_QtGui[10865]
#define sipNameNr_DirtyBackgroundMode 10885
#define sipName_DirtyBackgroundMode &sipStrings_QtGui[10885]
#define sipNameNr_DontResolveSymlinks 10905
#define sipName_DontResolveSymlinks &sipStrings_QtGui[10905]
#define sipNameNr_DontWatchForChanges 10925
#define sipName_DontWatchForChanges &sipStrings_QtGui[10925]
#define sipNameNr_FindCaseSensitively 10945
#define sipName_FindCaseSensitively &sipStrings_QtGui[10945]
#define sipNameNr_ImageTransformation 10965
#define sipName_ImageTransformation &sipStrings_QtGui[10965]
#define sipNameNr_InsertLineSeparator 10985
#define sipName_InsertLineSeparator &sipStrings_QtGui[10985]
#define sipNameNr_MoveToEndOfDocument 11005
#define sipName_MoveToEndOfDocument &sipStrings_QtGui[11005]
#define sipNameNr_NoSubpixelAntialias 11025
#define sipName_NoSubpixelAntialias &sipStrings_QtGui[11025]
#define sipNameNr_PdmDevicePixelRatio 11045
#define sipName_PdmDevicePixelRatio &sipStrings_QtGui[11045]
#define sipNameNr_11065 11065
#define sipName_11065 &sipStrings_QtGui[11065]
#define sipNameNr_QNativeGestureEvent 11085
#define sipName_QNativeGestureEvent &sipStrings_QtGui[11085]
#define sipNameNr_QOpenGLContextGroup 11105
#define sipName_QOpenGLContextGroup &sipStrings_QtGui[11105]
#define sipNameNr_QPainterPathStroker 11125
#define sipName_QPainterPathStroker &sipStrings_QtGui[11125]
#define sipNameNr_QPalette__ColorRole 11145
#define sipName_QPalette__ColorRole &sipStrings_QtGui[11145]
#define sipNameNr_QRegion__RegionType 11165
#define sipName_QRegion__RegionType &sipStrings_QtGui[11165]
#define sipNameNr_QScrollPrepareEvent 11185
#define sipName_QScrollPrepareEvent &sipStrings_QtGui[11185]
#define sipNameNr_QTextDocumentWriter 11205
#define sipName_QTextDocumentWriter &sipStrings_QtGui[11205]
#define sipNameNr_QWindow__Visibility 11225
#define sipName_QWindow__Visibility &sipStrings_QtGui[11225]
#define sipNameNr_SelectEndOfDocument 11245
#define sipName_SelectEndOfDocument &sipStrings_QtGui[11245]
#define sipNameNr_SpellCheckUnderline 11265
#define sipName_SpellCheckUnderline &sipStrings_QtGui[11265]
#define sipNameNr_StretchToDeviceMode 11285
#define sipName_StretchToDeviceMode &sipStrings_QtGui[11285]
#define sipNameNr_TableBorderCollapse 11305
#define sipName_TableBorderCollapse &sipStrings_QtGui[11305]
#define sipNameNr_TableCellColumnSpan 7906
#define sipName_TableCellColumnSpan &sipStrings_QtGui[7906]
#define sipNameNr_TableCellLeftBorder 11325
#define sipName_TableCellLeftBorder &sipStrings_QtGui[11325]
#define sipNameNr_TableCellTopPadding 11345
#define sipName_TableCellTopPadding &sipStrings_QtGui[11345]
#define sipNameNr_TableHeaderRowCount 11365
#define sipName_TableHeaderRowCount &sipStrings_QtGui[11365]
#define sipNameNr_applyColorTransform 11385
#define sipName_applyColorTransform &sipStrings_QtGui[11385]
#define sipNameNr_beginNativePainting 11405
#define sipName_beginNativePainting &sipStrings_QtGui[11405]
#define sipNameNr_brushNeedsResolving 11425
#define sipName_brushNeedsResolving &sipStrings_QtGui[11425]
#define sipNameNr_clearUndoRedoStacks 11445
#define sipName_clearUndoRedoStacks &sipStrings_QtGui[11445]
#define sipNameNr_convertToColorSpace 11465
#define sipName_convertToColorSpace &sipStrings_QtGui[11465]
#define sipNameNr_createHeuristicMask 11485
#define sipName_createHeuristicMask &sipStrings_QtGui[11485]
#define sipNameNr_createMaskFromColor 11505
#define sipName_createMaskFromColor &sipStrings_QtGui[11505]
#define sipNameNr_currentContextGroup 11525
#define sipName_currentContextGroup &sipStrings_QtGui[11525]
#define sipNameNr_documentSizeChanged 11545
#define sipName_documentSizeChanged &sipStrings_QtGui[11545]
#define sipNameNr_documentXmpMetadata 11565
#define sipName_documentXmpMetadata &sipStrings_QtGui[11565]
#define sipNameNr_drawPixmapFragments 11585
#define sipName_drawPixmapFragments &sipStrings_QtGui[11585]
#define sipNameNr_fallbackSearchPaths 11605
#define sipName_fallbackSearchPaths &sipStrings_QtGui[11605]
#define sipNameNr_firstCursorPosition 11625
#define sipName_firstCursorPosition &sipStrings_QtGui[11625]
#define sipNameNr_fontDatabaseChanged 11645
#define sipName_fontDatabaseChanged &sipStrings_QtGui[11645]
#define sipNameNr_globalPressPosition 11665
#define sipName_globalPressPosition &sipStrings_QtGui[11665]
#define sipNameNr_hasComplexSelection 11685
#define sipName_hasComplexSelection &sipStrings_QtGui[11685]
#define sipNameNr_insertSubstitutions 11705
#define sipName_insertSubstitutions &sipStrings_QtGui[11705]
#define sipNameNr_isIconVisibleInMenu 11725
#define sipName_isIconVisibleInMenu &sipStrings_QtGui[11725]
#define sipNameNr_lineForTextPosition 11745
#define sipName_lineForTextPosition &sipStrings_QtGui[11745]
#define sipNameNr_logicalDotsPerInchX 11765
#define sipName_logicalDotsPerInchX &sipStrings_QtGui[11765]
#define sipNameNr_logicalDotsPerInchY 11785
#define sipName_logicalDotsPerInchY &sipStrings_QtGui[11785]
#define sipNameNr_maximumWidthChanged 11805
#define sipName_maximumWidthChanged &sipStrings_QtGui[11805]
#define sipNameNr_minimumWidthChanged 11825
#define sipName_minimumWidthChanged &sipStrings_QtGui[11825]
#define sipNameNr_modificationChanged 11845
#define sipName_modificationChanged &sipStrings_QtGui[11845]
#define sipNameNr_physicalDotsPerInch 11865
#define sipName_physicalDotsPerInch &sipStrings_QtGui[11865]
#define sipNameNr_physicalSizeChanged 11885
#define sipName_physicalSizeChanged &sipStrings_QtGui[11885]
#define sipNameNr_preeditAreaPosition 11905
#define sipName_preeditAreaPosition &sipStrings_QtGui[11905]
#define sipNameNr_reinterpretAsFormat 11925
#define sipName_reinterpretAsFormat &sipStrings_QtGui[11925]
#define sipNameNr_removeSubstitutions 11945
#define sipName_removeSubstitutions &sipStrings_QtGui[11945]
#define sipNameNr_rightCursorPosition 11965
#define sipName_rightCursorPosition &sipStrings_QtGui[11965]
#define sipNameNr_setDevicePixelRatio 11985
#define sipName_setDevicePixelRatio &sipStrings_QtGui[11985]
#define sipNameNr_setMouseGrabEnabled 12005
#define sipName_setMouseGrabEnabled &sipStrings_QtGui[12005]
#define sipNameNr_setResourceProvider 12025
#define sipName_setResourceProvider &sipStrings_QtGui[12025]
#define sipNameNr_setRightBorderBrush 12045
#define sipName_setRightBorderBrush &sipStrings_QtGui[12045]
#define sipNameNr_setRightBorderStyle 12065
#define sipName_setRightBorderStyle &sipStrings_QtGui[12065]
#define sipNameNr_setTableCellRowSpan 12085
#define sipName_setTableCellRowSpan &sipStrings_QtGui[12085]
#define sipNameNr_setThemeSearchPaths 12105
#define sipName_setThemeSearchPaths &sipStrings_QtGui[12105]
#define sipNameNr_setTransferFunction 12125
#define sipName_setTransferFunction &sipStrings_QtGui[12125]
#define sipNameNr_setUseDesignMetrics 12145
#define sipName_setUseDesignMetrics &sipStrings_QtGui[12145]
#define sipNameNr_setVisualNavigation 12165
#define sipName_setVisualNavigation &sipStrings_QtGui[12165]
#define sipNameNr_superScriptBaseline 12185
#define sipName_superScriptBaseline &sipStrings_QtGui[12185]
#define sipNameNr_tableCellColumnSpan 12205
#define sipName_tableCellColumnSpan &sipStrings_QtGui[12205]
#define sipNameNr_writingSystemSample 12225
#define sipName_writingSystemSample &sipStrings_QtGui[12225]
#define sipNameNr_AlphaPremultiplied 1270
#define sipName_AlphaPremultiplied &sipStrings_QtGui[1270]
#define sipNameNr_BackgroundImageUrl 12245
#define sipName_BackgroundImageUrl &sipStrings_QtGui[12245]
#define sipNameNr_BorderStyle_Dashed 12264
#define sipName_BorderStyle_Dashed &sipStrings_QtGui[12264]
#define sipNameNr_BorderStyle_Dotted 12283
#define sipName_BorderStyle_Dotted &sipStrings_QtGui[12283]
#define sipNameNr_BorderStyle_Double 12302
#define sipName_BorderStyle_Double &sipStrings_QtGui[12302]
#define sipNameNr_BorderStyle_Groove 12321
#define sipName_BorderStyle_Groove &sipStrings_QtGui[12321]
#define sipNameNr_BorderStyle_Outset 12340
#define sipName_BorderStyle_Outset &sipStrings_QtGui[12340]
#define sipNameNr_CurveToDataElement 12359
#define sipName_CurveToDataElement &sipStrings_QtGui[12359]
#define sipNameNr_DeleteCompleteLine 12378
#define sipName_DeleteCompleteLine &sipStrings_QtGui[12378]
#define sipNameNr_FanFoldGermanLegal 12397
#define sipName_FanFoldGermanLegal &sipStrings_QtGui[12397]
#define sipNameNr_FontCapitalization 9122
#define sipName_FontCapitalization &sipStrings_QtGui[9122]
#define sipNameNr_FontSizeAdjustment 12416
#define sipName_FontSizeAdjustment &sipStrings_QtGui[12416]
#define sipNameNr_Format_Grayscale16 12435
#define sipName_Format_Grayscale16 &sipStrings_QtGui[12435]
#define sipNameNr_FullWidthSelection 12454
#define sipName_FullWidthSelection &sipStrings_QtGui[12454]
#define sipNameNr_IncrementalReading 12473
#define sipName_IncrementalReading &sipStrings_QtGui[12473]
#define sipNameNr_LineDistanceHeight 12492
#define sipName_LineDistanceHeight &sipStrings_QtGui[12492]
#define sipNameNr_LinearGradientFill 12511
#define sipName_LinearGradientFill &sipStrings_QtGui[12511]
#define sipNameNr_MoveToPreviousChar 12530
#define sipName_MoveToPreviousChar &sipStrings_QtGui[12530]
#define sipNameNr_MoveToPreviousLine 12549
#define sipName_MoveToPreviousLine &sipStrings_QtGui[12549]
#define sipNameNr_MoveToPreviousPage 12568
#define sipName_MoveToPreviousPage &sipStrings_QtGui[12568]
#define sipNameNr_MoveToPreviousWord 12587
#define sipName_MoveToPreviousWord &sipStrings_QtGui[12587]
#define sipNameNr_MoveToStartOfBlock 12606
#define sipName_MoveToStartOfBlock &sipStrings_QtGui[12606]
#define sipNameNr_NormalizedPosition 12625
#define sipName_NormalizedPosition &sipStrings_QtGui[12625]
#define sipNameNr_ObjectBoundingMode 12644
#define sipName_ObjectBoundingMode &sipStrings_QtGui[12644]
#define sipNameNr_PaintEngineFeature 1237
#define sipName_PaintEngineFeature &sipStrings_QtGui[1237]
#define sipNameNr_PixmapFragmentHint 3215
#define sipName_PixmapFragmentHint &sipStrings_QtGui[3215]
#define sipNameNr_PrimitiveTransform 12663
#define sipName_PrimitiveTransform &sipStrings_QtGui[12663]
#define sipNameNr_ProportionalHeight 12682
#define sipName_ProportionalHeight &sipStrings_QtGui[12682]
#define sipNameNr_QColor__NameFormat 12701
#define sipName_QColor__NameFormat &sipStrings_QtGui[12701]
#define sipNameNr_QEventPoint__State 12720
#define sipName_QEventPoint__State &sipStrings_QtGui[12720]
#define sipNameNr_QFont__SpacingType 12739
#define sipName_QFont__SpacingType &sipStrings_QtGui[12739]
#define sipNameNr_QImage__InvertMode 12758
#define sipName_QImage__InvertMode &sipStrings_QtGui[12758]
#define sipNameNr_12777 12777
#define sipName_12777 &sipStrings_QtGui[12777]
#define sipNameNr_12796 12796
#define sipName_12796 &sipStrings_QtGui[12796]
#define sipNameNr_12815 12815
#define sipName_12815 &sipStrings_QtGui[12815]
#define sipNameNr_12834 12834
#define sipName_12834 &sipStrings_QtGui[12834]
#define sipNameNr_12853 12853
#define sipName_12853 &sipStrings_QtGui[12853]
#define sipNameNr_QMovie__MovieState 12872
#define sipName_QMovie__MovieState &sipStrings_QtGui[12872]
#define sipNameNr_QPageRanges__Range 12891
#define sipName_QPageRanges__Range &sipStrings_QtGui[12891]
#define sipNameNr_QPaintDeviceWindow 12910
#define sipName_QPaintDeviceWindow &sipStrings_QtGui[12910]
#define sipNameNr_QPaintEngine__Type 12929
#define sipName_QPaintEngine__Type &sipStrings_QtGui[12929]
#define sipNameNr_QStandardItemModel 12948
#define sipName_QStandardItemModel &sipStrings_QtGui[12948]
#define sipNameNr_QSyntaxHighlighter 12967
#define sipName_QSyntaxHighlighter &sipStrings_QtGui[12967]
#define sipNameNr_QTextBlockUserData 12986
#define sipName_QTextBlockUserData &sipStrings_QtGui[12986]
#define sipNameNr_RadialGradientFill 13005
#define sipName_RadialGradientFill &sipStrings_QtGui[13005]
#define sipNameNr_RasterOp_NotSource 13024
#define sipName_RasterOp_NotSource &sipStrings_QtGui[13024]
#define sipNameNr_RestartImmediately 13043
#define sipName_RestartImmediately &sipStrings_QtGui[13043]
#define sipNameNr_ScientificNotation 13062
#define sipName_ScientificNotation &sipStrings_QtGui[13062]
#define sipNameNr_SelectPreviousChar 13081
#define sipName_SelectPreviousChar &sipStrings_QtGui[13081]
#define sipNameNr_SelectPreviousLine 13100
#define sipName_SelectPreviousLine &sipStrings_QtGui[13100]
#define sipNameNr_SelectPreviousPage 13119
#define sipName_SelectPreviousPage &sipStrings_QtGui[13119]
#define sipNameNr_SelectPreviousWord 13138
#define sipName_SelectPreviousWord &sipStrings_QtGui[13138]
#define sipNameNr_SelectStartOfBlock 13157
#define sipName_SelectStartOfBlock &sipStrings_QtGui[13157]
#define sipNameNr_StyleSheetResource 13176
#define sipName_StyleSheetResource &sipStrings_QtGui[13176]
#define sipNameNr_TableCellTopBorder 13195
#define sipName_TableCellTopBorder &sipStrings_QtGui[13195]
#define sipNameNr_TangentialPressure 13214
#define sipName_TangentialPressure &sipStrings_QtGui[13214]
#define sipNameNr_TextBaselineOffset 13233
#define sipName_TextBaselineOffset &sipStrings_QtGui[13233]
#define sipNameNr_TextUnderlineColor 8176
#define sipName_TextUnderlineColor &sipStrings_QtGui[8176]
#define sipNameNr_TextUnderlineStyle 13252
#define sipName_TextUnderlineStyle &sipStrings_QtGui[13252]
#define sipNameNr_TraditionalChinese 13271
#define sipName_TraditionalChinese &sipStrings_QtGui[13271]
#define sipNameNr_TransformationFlip 13290
#define sipName_TransformationFlip &sipStrings_QtGui[13290]
#define sipNameNr_TransformationNone 13309
#define sipName_TransformationNone &sipStrings_QtGui[13309]
#define sipNameNr_TransformationType 2261
#define sipName_TransformationType &sipStrings_QtGui[2261]
#define sipNameNr_TypeInterpretation 1303
#define sipName_TypeInterpretation &sipStrings_QtGui[1303]
#define sipNameNr_aboutToBeDestroyed 13328
#define sipName_aboutToBeDestroyed &sipStrings_QtGui[13328]
#define sipNameNr_activeStackChanged 13347
#define sipName_activeStackChanged &sipStrings_QtGui[13347]
#define sipNameNr_addApplicationFont 13366
#define sipName_addApplicationFont &sipStrings_QtGui[13366]
#define sipNameNr_availableRedoSteps 13385
#define sipName_availableRedoSteps &sipStrings_QtGui[13385]
#define sipNameNr_availableUndoSteps 13404
#define sipName_availableUndoSteps &sipStrings_QtGui[13404]
#define sipNameNr_blockFormatChanged 13423
#define sipName_blockFormatChanged &sipStrings_QtGui[13423]
#define sipNameNr_contentOrientation 13442
#define sipName_contentOrientation &sipStrings_QtGui[13442]
#define sipNameNr_currentFrameNumber 13461
#define sipName_currentFrameNumber &sipStrings_QtGui[13461]
#define sipNameNr_currentImageNumber 13480
#define sipName_currentImageNumber &sipStrings_QtGui[13480]
#define sipNameNr_deletePreviousChar 13499
#define sipName_deletePreviousChar &sipStrings_QtGui[13499]
#define sipNameNr_focusObjectChanged 13518
#define sipName_focusObjectChanged &sipStrings_QtGui[13518]
#define sipNameNr_focusWindowChanged 13537
#define sipName_focusWindowChanged &sipStrings_QtGui[13537]
#define sipNameNr_fontCapitalization 13556
#define sipName_fontCapitalization &sipStrings_QtGui[13556]
#define sipNameNr_fontSmoothingGamma 13575
#define sipName_fontSmoothingGamma &sipStrings_QtGui[13575]
#define sipNameNr_fromRotationMatrix 13594
#define sipName_fromRotationMatrix &sipStrings_QtGui[13594]
#define sipNameNr_globalGrabPosition 13613
#define sipName_globalGrabPosition &sipStrings_QtGui[13613]
#define sipNameNr_globalLastPosition 13632
#define sipName_globalLastPosition &sipStrings_QtGui[13632]
#define sipNameNr_globalShareContext 13651
#define sipName_globalShareContext &sipStrings_QtGui[13651]
#define sipNameNr_inputItemRectangle 13670
#define sipName_inputItemRectangle &sipStrings_QtGui[13670]
#define sipNameNr_inputItemTransform 13689
#define sipName_inputItemTransform &sipStrings_QtGui[13689]
#define sipNameNr_insertSubstitution 13708
#define sipName_insertSubstitution &sipStrings_QtGui[13708]
#define sipNameNr_isSmoothlyScalable 13727
#define sipName_isSmoothlyScalable &sipStrings_QtGui[13727]
#define sipNameNr_lastCursorPosition 13746
#define sipName_lastCursorPosition &sipStrings_QtGui[13746]
#define sipNameNr_leftCursorPosition 13765
#define sipName_leftCursorPosition &sipStrings_QtGui[13765]
#define sipNameNr_logicalDotsPerInch 13784
#define sipName_logicalDotsPerInch &sipStrings_QtGui[13784]
#define sipNameNr_nameFilterDisables 13803
#define sipName_nameFilterDisables &sipStrings_QtGui[13803]
#define sipNameNr_nextCursorPosition 13822
#define sipName_nextCursorPosition &sipStrings_QtGui[13822]
#define sipNameNr_normalizedPosition 13841
#define sipName_normalizedPosition &sipStrings_QtGui[13841]
#define sipNameNr_orientationChanged 13860
#define sipName_orientationChanged &sipStrings_QtGui[13860]
#define sipNameNr_previousBlockState 13879
#define sipName_previousBlockState &sipStrings_QtGui[13879]
#define sipNameNr_primaryOrientation 13898
#define sipName_primaryOrientation &sipStrings_QtGui[13898]
#define sipNameNr_refreshRateChanged 13917
#define sipName_refreshRateChanged &sipStrings_QtGui[13917]
#define sipNameNr_removeSelectedText 13936
#define sipName_removeSelectedText &sipStrings_QtGui[13936]
#define sipNameNr_resizeInlineObject 13955
#define sipName_resizeInlineObject &sipStrings_QtGui[13955]
#define sipNameNr_scenePressPosition 13974
#define sipName_scenePressPosition &sipStrings_QtGui[13974]
#define sipNameNr_selectedTableCells 13993
#define sipName_selectedTableCells &sipStrings_QtGui[13993]
#define sipNameNr_setAllocationLimit 14012
#define sipName_setAllocationLimit &sipStrings_QtGui[14012]
#define sipNameNr_setAlphaBufferSize 14031
#define sipName_setAlphaBufferSize &sipStrings_QtGui[14031]
#define sipNameNr_setBackgroundColor 14050
#define sipName_setBackgroundColor &sipStrings_QtGui[14050]
#define sipNameNr_setBlockCharFormat 14069
#define sipName_setBlockCharFormat &sipStrings_QtGui[14069]
#define sipNameNr_setCompositionMode 14088
#define sipName_setCompositionMode &sipStrings_QtGui[14088]
#define sipNameNr_setContentPosRange 14107
#define sipName_setContentPosRange &sipStrings_QtGui[14107]
#define sipNameNr_setCursorMoveStyle 14126
#define sipName_setCursorMoveStyle &sipStrings_QtGui[14126]
#define sipNameNr_setDepthBufferSize 14145
#define sipName_setDepthBufferSize &sipStrings_QtGui[14145]
#define sipNameNr_setDesktopFileName 14164
#define sipName_setDesktopFileName &sipStrings_QtGui[14164]
#define sipNameNr_setExclusionPolicy 14183
#define sipName_setExclusionPolicy &sipStrings_QtGui[14183]
#define sipNameNr_setFontWordSpacing 14202
#define sipName_setFontWordSpacing &sipStrings_QtGui[14202]
#define sipNameNr_setGreenBufferSize 14221
#define sipName_setGreenBufferSize &sipStrings_QtGui[14221]
#define sipNameNr_setLayoutDirection 14240
#define sipName_setLayoutDirection &sipStrings_QtGui[14240]
#define sipNameNr_setLeadingIncluded 14259
#define sipName_setLeadingIncluded &sipStrings_QtGui[14259]
#define sipNameNr_setLeftBorderBrush 14278
#define sipName_setLeftBorderBrush &sipStrings_QtGui[14278]
#define sipNameNr_setLeftBorderStyle 14297
#define sipName_setLeftBorderStyle &sipStrings_QtGui[14297]
#define sipNameNr_setManagerProperty 14316
#define sipName_setManagerProperty &sipStrings_QtGui[14316]
#define sipNameNr_setMetaInformation 14335
#define sipName_setMetaInformation &sipStrings_QtGui[14335]
#define sipNameNr_setPageBreakPolicy 14354
#define sipName_setPageBreakPolicy &sipStrings_QtGui[14354]
#define sipNameNr_setPageOrientation 14373
#define sipName_setPageOrientation &sipStrings_QtGui[14373]
#define sipNameNr_setPerformanceHint 14392
#define sipName_setPerformanceHint &sipStrings_QtGui[14392]
#define sipNameNr_setResolveSymlinks 14411
#define sipName_setResolveSymlinks &sipStrings_QtGui[14411]
#define sipNameNr_setShortcutContext 14430
#define sipName_setShortcutContext &sipStrings_QtGui[14430]
#define sipNameNr_setTabStopDistance 14449
#define sipName_setTabStopDistance &sipStrings_QtGui[14449]
#define sipNameNr_setTransientParent 14468
#define sipName_setTransientParent &sipStrings_QtGui[14468]
#define sipNameNr_setUndoRedoEnabled 14487
#define sipName_setUndoRedoEnabled &sipStrings_QtGui[14487]
#define sipNameNr_setUseHoverEffects 14506
#define sipName_setUseHoverEffects &sipStrings_QtGui[14506]
#define sipNameNr_supportedMimeTypes 14525
#define sipName_supportedMimeTypes &sipStrings_QtGui[14525]
#define sipNameNr_supportsFindBuffer 14544
#define sipName_supportsFindBuffer &sipStrings_QtGui[14544]
#define sipNameNr_tangentialPressure 14563
#define sipName_tangentialPressure &sipStrings_QtGui[14563]
#define sipNameNr_typeInterpretation 14582
#define sipName_typeInterpretation &sipStrings_QtGui[14582]
#define sipNameNr_verticalHeaderItem 14601
#define sipName_verticalHeaderItem &sipStrings_QtGui[14601]
#define sipNameNr_windowStateChanged 14620
#define sipName_windowStateChanged &sipStrings_QtGui[14620]
#define sipNameNr_windowTitleChanged 14639
#define sipName_windowTitleChanged &sipStrings_QtGui[14639]
#define sipNameNr_worldMatrixEnabled 14658
#define sipName_worldMatrixEnabled &sipStrings_QtGui[14658]
#define sipNameNr_AggressiveCaching 14677
#define sipName_AggressiveCaching &sipStrings_QtGui[14677]
#define sipNameNr_BlockBottomMargin 14695
#define sipName_BlockBottomMargin &sipStrings_QtGui[14695]
#define sipNameNr_BlockCodeLanguage 14713
#define sipName_BlockCodeLanguage &sipStrings_QtGui[14713]
#define sipNameNr_BorderStyle_Inset 14731
#define sipName_BorderStyle_Inset &sipStrings_QtGui[14731]
#define sipNameNr_BorderStyle_Ridge 14749
#define sipName_BorderStyle_Ridge &sipStrings_QtGui[14749]
#define sipNameNr_BorderStyle_Solid 14767
#define sipName_BorderStyle_Solid &sipStrings_QtGui[14767]
#define sipNameNr_CursorOnCharacter 14785
#define sipName_CursorOnCharacter &sipStrings_QtGui[14785]
#define sipNameNr_DeleteStartOfWord 14803
#define sipName_DeleteStartOfWord &sipStrings_QtGui[14803]
#define sipNameNr_ExcludeTransients 14821
#define sipName_ExcludeTransients &sipStrings_QtGui[14821]
#define sipNameNr_ExclusiveOptional 14839
#define sipName_ExclusiveOptional &sipStrings_QtGui[14839]
#define sipNameNr_ExecutiveStandard 14857
#define sipName_ExecutiveStandard &sipStrings_QtGui[14857]
#define sipNameNr_FileNotFoundError 14875
#define sipName_FileNotFoundError &sipStrings_QtGui[14875]
#define sipNameNr_FirstFontProperty 14893
#define sipName_FirstFontProperty &sipStrings_QtGui[14893]
#define sipNameNr_FontLetterSpacing 10370
#define sipName_FontLetterSpacing &sipStrings_QtGui[10370]
#define sipNameNr_FontPropertiesAll 14911
#define sipName_FontPropertiesAll &sipStrings_QtGui[14911]
#define sipNameNr_FontSizeIncrement 14929
#define sipName_FontSizeIncrement &sipStrings_QtGui[14929]
#define sipNameNr_FontStyleStrategy 10391
#define sipName_FontStyleStrategy &sipStrings_QtGui[10391]
#define sipNameNr_Format_Grayscale8 14947
#define sipName_Format_Grayscale8 &sipStrings_QtGui[14947]
#define sipNameNr_Format_RGBA16FPx4 14965
#define sipName_Format_RGBA16FPx4 &sipStrings_QtGui[14965]
#define sipNameNr_Format_RGBA32FPx4 14983
#define sipName_Format_RGBA32FPx4 &sipStrings_QtGui[14983]
#define sipNameNr_Format_RGBX16FPx4 15001
#define sipName_Format_RGBX16FPx4 &sipStrings_QtGui[15001]
#define sipNameNr_Format_RGBX32FPx4 15019
#define sipName_Format_RGBX32FPx4 &sipStrings_QtGui[15019]
#define sipNameNr_FrameBottomMargin 15037
#define sipName_FrameBottomMargin &sipStrings_QtGui[15037]
#define sipNameNr_HintingPreference 5474
#define sipName_HintingPreference &sipStrings_QtGui[5474]
#define sipNameNr_IncludeTransients 15055
#define sipName_IncludeTransients &sipStrings_QtGui[15055]
#define sipNameNr_InvalidImageError 15073
#define sipName_InvalidImageError &sipStrings_QtGui[15073]
#define sipNameNr_MoveToStartOfLine 15091
#define sipName_MoveToStartOfLine &sipStrings_QtGui[15091]
#define sipNameNr_PaintDeviceMetric 1821
#define sipName_PaintDeviceMetric &sipStrings_QtGui[1821]
#define sipNameNr_PercentageSpacing 15109
#define sipName_PercentageSpacing &sipStrings_QtGui[15109]
#define sipNameNr_PixelAntialiasing 9719
#define sipName_PixelAntialiasing &sipStrings_QtGui[9719]
#define sipNameNr_PreferFullHinting 15127
#define sipName_PreferFullHinting &sipStrings_QtGui[15127]
#define sipNameNr_PreviousCharacter 15145
#define sipName_PreviousCharacter &sipStrings_QtGui[15145]
#define sipNameNr_QAction__MenuRole 15163
#define sipName_QAction__MenuRole &sipStrings_QtGui[15163]
#define sipNameNr_QAction__Priority 15181
#define sipName_QAction__Priority &sipStrings_QtGui[15181]
#define sipNameNr_QContextMenuEvent 15199
#define sipName_QContextMenuEvent &sipStrings_QtGui[15199]
#define sipNameNr_QGradient__Preset 15217
#define sipName_QGradient__Preset &sipStrings_QtGui[15217]
#define sipNameNr_QGradient__Spread 15235
#define sipName_QGradient__Spread &sipStrings_QtGui[15235]
#define sipNameNr_QInputMethodEvent 15253
#define sipName_QInputMethodEvent &sipStrings_QtGui[15253]
#define sipNameNr_15271 15271
#define sipName_15271 &sipStrings_QtGui[15271]
#define sipNameNr_QMovie__CacheMode 15289
#define sipName_QMovie__CacheMode &sipStrings_QtGui[15289]
#define sipNameNr_QOffscreenSurface 15307
#define sipName_QOffscreenSurface &sipStrings_QtGui[15307]
#define sipNameNr_QPageLayout__Mode 15325
#define sipName_QPageLayout__Mode &sipStrings_QtGui[15325]
#define sipNameNr_QPageLayout__Unit 15343
#define sipName_QPageLayout__Unit &sipStrings_QtGui[15343]
#define sipNameNr_QPagedPaintDevice 15361
#define sipName_QPagedPaintDevice &sipStrings_QtGui[15361]
#define sipNameNr_QPaintEngineState 15379
#define sipName_QPaintEngineState &sipStrings_QtGui[15379]
#define sipNameNr_QPixmapCache__Key 15397
#define sipName_QPixmapCache__Key &sipStrings_QtGui[15397]
#define sipNameNr_QSinglePointEvent 15415
#define sipName_QSinglePointEvent &sipStrings_QtGui[15415]
#define sipNameNr_QTextInlineObject 15433
#define sipName_QTextInlineObject &sipStrings_QtGui[15433]
#define sipNameNr_QTextLength__Type 15451
#define sipName_QTextLength__Type &sipStrings_QtGui[15451]
#define sipNameNr_QTextOption__Flag 15469
#define sipName_QTextOption__Flag &sipStrings_QtGui[15469]
#define sipNameNr_QValidator__State 15487
#define sipName_QValidator__State &sipStrings_QtGui[15487]
#define sipNameNr_ResetNotification 15505
#define sipName_ResetNotification &sipStrings_QtGui[15505]
#define sipNameNr_SelectStartOfLine 15523
#define sipName_SelectStartOfLine &sipStrings_QtGui[15523]
#define sipNameNr_ShowTabsAndSpaces 15541
#define sipName_ShowTabsAndSpaces &sipStrings_QtGui[15541]
#define sipNameNr_SimplifiedChinese 15559
#define sipName_SimplifiedChinese &sipStrings_QtGui[15559]
#define sipNameNr_SupportedSubTypes 15577
#define sipName_SupportedSubTypes &sipStrings_QtGui[15577]
#define sipNameNr_TextHeuristicRole 15595
#define sipName_TextHeuristicRole &sipStrings_QtGui[15595]
#define sipNameNr_UndoAndRedoStacks 15613
#define sipName_UndoAndRedoStacks &sipStrings_QtGui[15613]
#define sipNameNr_VerticalAlignment 834
#define sipName_VerticalAlignment &sipStrings_QtGui[834]
#define sipNameNr_addFileAttachment 15631
#define sipName_addFileAttachment &sipStrings_QtGui[15631]
#define sipNameNr_allPointsAccepted 15649
#define sipName_allPointsAccepted &sipStrings_QtGui[15649]
#define sipNameNr_allowsInteraction 15667
#define sipName_allowsInteraction &sipStrings_QtGui[15667]
#define sipNameNr_associatedObjects 15685
#define sipName_associatedObjects &sipStrings_QtGui[15685]
#define sipNameNr_availableGeometry 15703
#define sipName_availableGeometry &sipStrings_QtGui[15703]
#define sipNameNr_blockBoundingRect 15721
#define sipName_blockBoundingRect &sipStrings_QtGui[15721]
#define sipNameNr_blockCountChanged 15739
#define sipName_blockCountChanged &sipStrings_QtGui[15739]
#define sipNameNr_blockWithMarkerAt 15757
#define sipName_blockWithMarkerAt &sipStrings_QtGui[15757]
#define sipNameNr_bottomBorderBrush 15775
#define sipName_bottomBorderBrush &sipStrings_QtGui[15775]
#define sipNameNr_bottomBorderStyle 15793
#define sipName_bottomBorderStyle &sipStrings_QtGui[15793]
#define sipNameNr_combinedTransform 15811
#define sipName_combinedTransform &sipStrings_QtGui[15811]
#define sipNameNr_commitDataRequest 15829
#define sipName_commitDataRequest &sipStrings_QtGui[15829]
#define sipNameNr_currentBlockState 15847
#define sipName_currentBlockState &sipStrings_QtGui[15847]
#define sipNameNr_currentColorGroup 15865
#define sipName_currentColorGroup &sipStrings_QtGui[15865]
#define sipNameNr_defaultStyleSheet 15883
#define sipName_defaultStyleSheet &sipStrings_QtGui[15883]
#define sipNameNr_defaultTextOption 15901
#define sipName_defaultTextOption &sipStrings_QtGui[15901]
#define sipNameNr_devicePixelRatioF 15919
#define sipName_devicePixelRatioF &sipStrings_QtGui[15919]
#define sipNameNr_drawConvexPolygon 15937
#define sipName_drawConvexPolygon &sipStrings_QtGui[15937]
#define sipNameNr_endNativePainting 15955
#define sipName_endNativePainting &sipStrings_QtGui[15955]
#define sipNameNr_fallbackThemeName 15973
#define sipName_fallbackThemeName &sipStrings_QtGui[15973]
#define sipNameNr_findBlockByNumber 15991
#define sipName_findBlockByNumber &sipStrings_QtGui[15991]
#define sipNameNr_findBufferChanged 16009
#define sipName_findBufferChanged &sipStrings_QtGui[16009]
#define sipNameNr_fontLetterSpacing 16027
#define sipName_fontLetterSpacing &sipStrings_QtGui[16027]
#define sipNameNr_fontStyleStrategy 16045
#define sipName_fontStyleStrategy &sipStrings_QtGui[16045]
#define sipNameNr_frameBoundingRect 16063
#define sipName_frameBoundingRect &sipStrings_QtGui[16063]
#define sipNameNr_hasStaticContents 16081
#define sipName_hasStaticContents &sipStrings_QtGui[16081]
#define sipNameNr_hintingPreference 16099
#define sipName_hintingPreference &sipStrings_QtGui[16099]
#define sipNameNr_horizontalAdvance 16117
#define sipName_horizontalAdvance &sipStrings_QtGui[16117]
#define sipNameNr_invisibleRootItem 16135
#define sipName_invisibleRootItem &sipStrings_QtGui[16135]
#define sipNameNr_isSessionRestored 16153
#define sipName_isSessionRestored &sipStrings_QtGui[16153]
#define sipNameNr_isTableCellFormat 16171
#define sipName_isTableCellFormat &sipStrings_QtGui[16171]
#define sipNameNr_isUndoRedoEnabled 16189
#define sipName_isUndoRedoEnabled &sipStrings_QtGui[16189]
#define sipNameNr_keyboardModifiers 16207
#define sipName_keyboardModifiers &sipStrings_QtGui[16207]
#define sipNameNr_keyboardRectangle 16225
#define sipName_keyboardRectangle &sipStrings_QtGui[16225]
#define sipNameNr_letterSpacingType 16243
#define sipName_letterSpacingType &sipStrings_QtGui[16243]
#define sipNameNr_markContentsDirty 16261
#define sipName_markContentsDirty &sipStrings_QtGui[16261]
#define sipNameNr_maximumBlockCount 16279
#define sipName_maximumBlockCount &sipStrings_QtGui[16279]
#define sipNameNr_mediumspringgreen 16297
#define sipName_mediumspringgreen &sipStrings_QtGui[16297]
#define sipNameNr_mouseReleaseEvent 16315
#define sipName_mouseReleaseEvent &sipStrings_QtGui[16315]
#define sipNameNr_nativeOrientation 16333
#define sipName_nativeOrientation &sipStrings_QtGui[16333]
#define sipNameNr_nonBreakableLines 16351
#define sipName_nonBreakableLines &sipStrings_QtGui[16351]
#define sipNameNr_overshootDistance 16369
#define sipName_overshootDistance &sipStrings_QtGui[16369]
#define sipNameNr_passwordMaskDelay 16387
#define sipName_passwordMaskDelay &sipStrings_QtGui[16387]
#define sipNameNr_penNeedsResolving 16405
#define sipName_penNeedsResolving &sipStrings_QtGui[16405]
#define sipNameNr_qPixelFormatAlpha 16423
#define sipName_qPixelFormatAlpha &sipStrings_QtGui[16423]
#define sipNameNr_regularExpression 16441
#define sipName_regularExpression &sipStrings_QtGui[16441]
#define sipNameNr_replacementLength 16459
#define sipName_replacementLength &sipStrings_QtGui[16459]
#define sipNameNr_resetInternalData 16477
#define sipName_resetInternalData &sipStrings_QtGui[16477]
#define sipNameNr_sceneGrabPosition 16495
#define sipName_sceneGrabPosition &sipStrings_QtGui[16495]
#define sipNameNr_sceneLastPosition 16513
#define sipName_sceneLastPosition &sipStrings_QtGui[16513]
#define sipNameNr_setAccessibleText 16531
#define sipName_setAccessibleText &sipStrings_QtGui[16531]
#define sipNameNr_setBackgroundMode 16549
#define sipName_setBackgroundMode &sipStrings_QtGui[16549]
#define sipNameNr_setBaselineOffset 16567
#define sipName_setBaselineOffset &sipStrings_QtGui[16567]
#define sipNameNr_setBlueBufferSize 16585
#define sipName_setBlueBufferSize &sipStrings_QtGui[16585]
#define sipNameNr_setBorderCollapse 16603
#define sipName_setBorderCollapse &sipStrings_QtGui[16603]
#define sipNameNr_setCapitalization 16621
#define sipName_setCapitalization &sipStrings_QtGui[16621]
#define sipNameNr_setCoordinateMode 16639
#define sipName_setCoordinateMode &sipStrings_QtGui[16639]
#define sipNameNr_setCurveThreshold 16657
#define sipName_setCurveThreshold &sipStrings_QtGui[16657]
#define sipNameNr_setDiscardCommand 16675
#define sipName_setDiscardCommand &sipStrings_QtGui[16675]
#define sipNameNr_setDocumentLayout 16693
#define sipName_setDocumentLayout &sipStrings_QtGui[16693]
#define sipNameNr_setDocumentMargin 16711
#define sipName_setDocumentMargin &sipStrings_QtGui[16711]
#define sipNameNr_setFontFixedPitch 16729
#define sipName_setFontFixedPitch &sipStrings_QtGui[16729]
#define sipNameNr_setHeaderRowCount 16747
#define sipName_setHeaderRowCount &sipStrings_QtGui[16747]
#define sipNameNr_setMinimumMargins 16765
#define sipName_setMinimumMargins &sipStrings_QtGui[16765]
#define sipNameNr_setOptimizedWrite 16783
#define sipName_setOptimizedWrite &sipStrings_QtGui[16783]
#define sipNameNr_setOverrideCursor 16801
#define sipName_setOverrideCursor &sipStrings_QtGui[16801]
#define sipNameNr_setRenderableType 16819
#define sipName_setRenderableType &sipStrings_QtGui[16819]
#define sipNameNr_setRestartCommand 16837
#define sipName_setRestartCommand &sipStrings_QtGui[16837]
#define sipNameNr_setScaledClipRect 16855
#define sipName_setScaledClipRect &sipStrings_QtGui[16855]
#define sipNameNr_setStaticContents 16873
#define sipName_setStaticContents &sipStrings_QtGui[16873]
#define sipNameNr_setTopBorderBrush 16891
#define sipName_setTopBorderBrush &sipStrings_QtGui[16891]
#define sipNameNr_setTopBorderStyle 16909
#define sipName_setTopBorderStyle &sipStrings_QtGui[16909]
#define sipNameNr_setTransformation 16927
#define sipName_setTransformation &sipStrings_QtGui[16927]
#define sipNameNr_setUnderlineColor 16945
#define sipName_setUnderlineColor &sipStrings_QtGui[16945]
#define sipNameNr_setUnderlineStyle 16963
#define sipName_setUnderlineStyle &sipStrings_QtGui[16963]
#define sipNameNr_setWorldTransform 16981
#define sipName_setWorldTransform &sipStrings_QtGui[16981]
#define sipNameNr_startDragDistance 16999
#define sipName_startDragDistance &sipStrings_QtGui[16999]
#define sipNameNr_startDragVelocity 17017
#define sipName_startDragVelocity &sipStrings_QtGui[17017]
#define sipNameNr_startSystemResize 17035
#define sipName_startSystemResize &sipStrings_QtGui[17035]
#define sipNameNr_stencilBufferSize 17053
#define sipName_stencilBufferSize &sipStrings_QtGui[17053]
#define sipNameNr_subScriptBaseline 17071
#define sipName_subScriptBaseline &sipStrings_QtGui[17071]
#define sipNameNr_supportedSubTypes 17089
#define sipName_supportedSubTypes &sipStrings_QtGui[17089]
#define sipNameNr_supportsAnimation 17107
#define sipName_supportsAnimation &sipStrings_QtGui[17107]
#define sipNameNr_supportsCharacter 17125
#define sipName_supportsCharacter &sipStrings_QtGui[17125]
#define sipNameNr_supportsSelection 17143
#define sipName_supportsSelection &sipStrings_QtGui[17143]
#define sipNameNr_tightBoundingRect 17161
#define sipName_tightBoundingRect &sipStrings_QtGui[17161]
#define sipNameNr_toSubpathPolygons 17179
#define sipName_toSubpathPolygons &sipStrings_QtGui[17179]
#define sipNameNr_toTableCellFormat 17197
#define sipName_toTableCellFormat &sipStrings_QtGui[17197]
#define sipNameNr_underlinePosition 17215
#define sipName_underlinePosition &sipStrings_QtGui[17215]
#define sipNameNr_unregisterHandler 17233
#define sipName_unregisterHandler &sipStrings_QtGui[17233]
#define sipNameNr_verticalAlignment 17251
#define sipName_verticalAlignment &sipStrings_QtGui[17251]
#define sipNameNr_verticalMovementX 17269
#define sipName_verticalMovementX &sipStrings_QtGui[17269]
#define sipNameNr_visibilityChanged 17287
#define sipName_visibilityChanged &sipStrings_QtGui[17287]
#define sipNameNr_writingSystemName 17305
#define sipName_writingSystemName &sipStrings_QtGui[17305]
#define sipNameNr_AlignSuperScript 17323
#define sipName_AlignSuperScript &sipStrings_QtGui[17323]
#define sipNameNr_AntialiasingType 4171
#define sipName_AntialiasingType &sipStrings_QtGui[4171]
#define sipNameNr_BlockRightMargin 17340
#define sipName_BlockRightMargin &sipStrings_QtGui[17340]
#define sipNameNr_BlockUnderCursor 17357
#define sipName_BlockUnderCursor &sipStrings_QtGui[17357]
#define sipNameNr_BorderStyle_None 17374
#define sipName_BorderStyle_None &sipStrings_QtGui[17374]
#define sipNameNr_CompressionRatio 17391
#define sipName_CompressionRatio &sipStrings_QtGui[17391]
#define sipNameNr_DirtyBrushOrigin 17408
#define sipName_DirtyBrushOrigin &sipStrings_QtGui[17408]
#define sipNameNr_DirtyClipEnabled 17425
#define sipName_DirtyClipEnabled &sipStrings_QtGui[17425]
#define sipNameNr_EnvelopePersonal 17442
#define sipName_EnvelopePersonal &sipStrings_QtGui[17442]
#define sipNameNr_EternalConstance 17459
#define sipName_EternalConstance &sipStrings_QtGui[17459]
#define sipNameNr_FrameBorderBrush 17476
#define sipName_FrameBorderBrush &sipStrings_QtGui[17476]
#define sipNameNr_FrameBorderStyle 17493
#define sipName_FrameBorderStyle &sipStrings_QtGui[17493]
#define sipNameNr_FrameRightMargin 17510
#define sipName_FrameRightMargin &sipStrings_QtGui[17510]
#define sipNameNr_ImageReaderError 2108
#define sipName_ImageReaderError &sipStrings_QtGui[2108]
#define sipNameNr_ImageWriterError 2139
#define sipName_ImageWriterError &sipStrings_QtGui[2139]
#define sipNameNr_InvalidDataError 17527
#define sipName_InvalidDataError &sipStrings_QtGui[17527]
#define sipNameNr_LastFontProperty 17544
#define sipName_LastFontProperty &sipStrings_QtGui[17544]
#define sipNameNr_ListNumberPrefix 17561
#define sipName_ListNumberPrefix &sipStrings_QtGui[17561]
#define sipNameNr_ListNumberSuffix 17578
#define sipName_ListNumberSuffix &sipStrings_QtGui[17578]
#define sipNameNr_MarkdownResource 17595
#define sipName_MarkdownResource &sipStrings_QtGui[17595]
#define sipNameNr_MoveToEndOfBlock 17612
#define sipName_MoveToEndOfBlock &sipStrings_QtGui[17612]
#define sipNameNr_NotPremultiplied 17629
#define sipName_NotPremultiplied &sipStrings_QtGui[17629]
#define sipNameNr_OpenGLModuleType 1206
#define sipName_OpenGLModuleType &sipStrings_QtGui[1206]
#define sipNameNr_PatternTransform 17646
#define sipName_PatternTransform &sipStrings_QtGui[17646]
#define sipNameNr_PercentageLength 17663
#define sipName_PercentageLength &sipStrings_QtGui[17663]
#define sipNameNr_ProtectedContent 17680
#define sipName_ProtectedContent &sipStrings_QtGui[17680]
#define sipNameNr_QClipboard__Mode 17697
#define sipName_QClipboard__Mode &sipStrings_QtGui[17697]
#define sipNameNr_QConicalGradient 17714
#define sipName_QConicalGradient &sipStrings_QtGui[17714]
#define sipNameNr_QDesktopServices 17731
#define sipName_QDesktopServices &sipStrings_QtGui[17731]
#define sipNameNr_QDoubleValidator 17748
#define sipName_QDoubleValidator &sipStrings_QtGui[17748]
#define sipNameNr_QFileSystemModel 17765
#define sipName_QFileSystemModel &sipStrings_QtGui[17765]
#define sipNameNr_QFont__StyleHint 17782
#define sipName_QFont__StyleHint &sipStrings_QtGui[17782]
#define sipNameNr_17799 17799
#define sipName_17799 &sipStrings_QtGui[17799]
#define sipNameNr_17816 17816
#define sipName_17816 &sipStrings_QtGui[17816]
#define sipNameNr_17833 17833
#define sipName_17833 &sipStrings_QtGui[17833]
#define sipNameNr_QTextBlockFormat 17850
#define sipName_QTextBlockFormat &sipStrings_QtGui[17850]
#define sipNameNr_QTextFrameFormat 17867
#define sipName_QTextFrameFormat &sipStrings_QtGui[17867]
#define sipNameNr_QTextImageFormat 17884
#define sipName_QTextImageFormat &sipStrings_QtGui[17884]
#define sipNameNr_QTextOption__Tab 17901
#define sipName_QTextOption__Tab &sipStrings_QtGui[17901]
#define sipNameNr_QTextTableFormat 17918
#define sipName_QTextTableFormat &sipStrings_QtGui[17918]
#define sipNameNr_RestartIfRunning 17935
#define sipName_RestartIfRunning &sipStrings_QtGui[17935]
#define sipNameNr_ScaledPixmapHook 17952
#define sipName_ScaledPixmapHook &sipStrings_QtGui[17952]
#define sipNameNr_SelectEndOfBlock 17969
#define sipName_SelectEndOfBlock &sipStrings_QtGui[17969]
#define sipNameNr_SeparateAdvances 17986
#define sipName_SeparateAdvances &sipStrings_QtGui[17986]
#define sipNameNr_StandardNotation 18003
#define sipName_StandardNotation &sipStrings_QtGui[18003]
#define sipNameNr_SurfaceEventType 285
#define sipName_SurfaceEventType &sipStrings_QtGui[285]
#define sipNameNr_TableCellPadding 18020
#define sipName_TableCellPadding &sipStrings_QtGui[18020]
#define sipNameNr_TableCellRowSpan 12088
#define sipName_TableCellRowSpan &sipStrings_QtGui[12088]
#define sipNameNr_TableCellSpacing 18037
#define sipName_TableCellSpacing &sipStrings_QtGui[18037]
#define sipNameNr_TextAntialiasing 18054
#define sipName_TextAntialiasing &sipStrings_QtGui[18054]
#define sipNameNr_TransferFunction 2627
#define sipName_TransferFunction &sipStrings_QtGui[2627]
#define sipNameNr_UseDesignMetrics 12148
#define sipName_UseDesignMetrics &sipStrings_QtGui[12148]
#define sipNameNr_alphaMapForGlyph 18071
#define sipName_alphaMapForGlyph &sipStrings_QtGui[18071]
#define sipNameNr_animatingChanged 18088
#define sipName_animatingChanged &sipStrings_QtGui[18088]
#define sipNameNr_antialiasingType 18105
#define sipName_antialiasingType &sipStrings_QtGui[18105]
#define sipNameNr_applicationState 18122
#define sipName_applicationState &sipStrings_QtGui[18122]
#define sipNameNr_averageCharWidth 18139
#define sipName_averageCharWidth &sipStrings_QtGui[18139]
#define sipNameNr_blockFormatIndex 18156
#define sipName_blockFormatIndex &sipStrings_QtGui[18156]
#define sipNameNr_boundingRectChar 18173
#define sipName_boundingRectChar &sipStrings_QtGui[18173]
#define sipNameNr_checkableChanged 18190
#define sipName_checkableChanged &sipStrings_QtGui[18190]
#define sipNameNr_clipBoundingRect 18207
#define sipName_clipBoundingRect &sipStrings_QtGui[18207]
#define sipNameNr_colorTransformed 18224
#define sipName_colorTransformed &sipStrings_QtGui[18224]
#define sipNameNr_controlPointRect 18241
#define sipName_controlPointRect &sipStrings_QtGui[18241]
#define sipNameNr_convertFromImage 18258
#define sipName_convertFromImage &sipStrings_QtGui[18258]
#define sipNameNr_createRedoAction 18275
#define sipName_createRedoAction &sipStrings_QtGui[18275]
#define sipNameNr_createUndoAction 18292
#define sipName_createUndoAction &sipStrings_QtGui[18292]
#define sipNameNr_currentImageRect 18309
#define sipName_currentImageRect &sipStrings_QtGui[18309]
#define sipNameNr_devicePixelRatio 18326
#define sipName_devicePixelRatio &sipStrings_QtGui[18326]
#define sipNameNr_disconnectNotify 18343
#define sipName_disconnectNotify &sipStrings_QtGui[18343]
#define sipNameNr_drawInlineObject 18360
#define sipName_drawInlineObject &sipStrings_QtGui[18360]
#define sipNameNr_ellipseDiameters 18377
#define sipName_ellipseDiameters &sipStrings_QtGui[18377]
#define sipNameNr_fromAxisAndAngle 18394
#define sipName_fromAxisAndAngle &sipStrings_QtGui[18394]
#define sipNameNr_handlerForObject 18411
#define sipName_handlerForObject &sipStrings_QtGui[18411]
#define sipNameNr_isBitmapScalable 18428
#define sipName_isBitmapScalable &sipStrings_QtGui[18428]
#define sipNameNr_isValidColorName 18445
#define sipName_isValidColorName &sipStrings_QtGui[18445]
#define sipNameNr_lastWindowClosed 18462
#define sipName_lastWindowClosed &sipStrings_QtGui[18462]
#define sipNameNr_mediumaquamarine 18479
#define sipName_mediumaquamarine &sipStrings_QtGui[18479]
#define sipNameNr_mergeBlockFormat 18496
#define sipName_mergeBlockFormat &sipStrings_QtGui[18496]
#define sipNameNr_nativeVirtualKey 18513
#define sipName_nativeVirtualKey &sipStrings_QtGui[18513]
#define sipNameNr_naturalTextWidth 18530
#define sipName_naturalTextWidth &sipStrings_QtGui[18530]
#define sipNameNr_openGLModuleType 18547
#define sipName_openGLModuleType &sipStrings_QtGui[18547]
#define sipNameNr_pageCountChanged 18564
#define sipName_pageCountChanged &sipStrings_QtGui[18564]
#define sipNameNr_qPixelFormatCmyk 18581
#define sipName_qPixelFormatCmyk &sipStrings_QtGui[18581]
#define sipNameNr_qPixelFormatRgba 18598
#define sipName_qPixelFormatRgba &sipStrings_QtGui[18598]
#define sipNameNr_queryFocusObject 18615
#define sipName_queryFocusObject &sipStrings_QtGui[18615]
#define sipNameNr_rehighlightBlock 18632
#define sipName_rehighlightBlock &sipStrings_QtGui[18632]
#define sipNameNr_replacementStart 18649
#define sipName_replacementStart &sipStrings_QtGui[18649]
#define sipNameNr_resourceProvider 18666
#define sipName_resourceProvider &sipStrings_QtGui[18666]
#define sipNameNr_rightBorderBrush 18683
#define sipName_rightBorderBrush &sipStrings_QtGui[18683]
#define sipNameNr_rightBorderStyle 18700
#define sipName_rightBorderStyle &sipStrings_QtGui[18700]
#define sipNameNr_saveStateRequest 18717
#define sipName_saveStateRequest &sipStrings_QtGui[18717]
#define sipNameNr_selectionChanged 18734
#define sipName_selectionChanged &sipStrings_QtGui[18734]
#define sipNameNr_setAutoTransform 18751
#define sipName_setAutoTransform &sipStrings_QtGui[18751]
#define sipNameNr_setBottomPadding 18768
#define sipName_setBottomPadding &sipStrings_QtGui[18768]
#define sipNameNr_setDefaultFormat 18785
#define sipName_setDefaultFormat &sipStrings_QtGui[18785]
#define sipNameNr_setDotsPerMeterX 18802
#define sipName_setDotsPerMeterX &sipStrings_QtGui[18802]
#define sipNameNr_setDotsPerMeterY 18819
#define sipName_setDotsPerMeterY &sipStrings_QtGui[18819]
#define sipNameNr_setFontPointSize 18836
#define sipName_setFontPointSize &sipStrings_QtGui[18836]
#define sipNameNr_setFontStrikeOut 18853
#define sipName_setFontStrikeOut &sipStrings_QtGui[18853]
#define sipNameNr_setFontStyleHint 18870
#define sipName_setFontStyleHint &sipStrings_QtGui[18870]
#define sipNameNr_setFontStyleName 18887
#define sipName_setFontStyleName &sipStrings_QtGui[18887]
#define sipNameNr_setFontUnderline 18904
#define sipName_setFontUnderline &sipStrings_QtGui[18904]
#define sipNameNr_setFramePosition 18921
#define sipName_setFramePosition &sipStrings_QtGui[18921]
#define sipNameNr_setItemPrototype 18938
#define sipName_setItemPrototype &sipStrings_QtGui[18938]
#define sipNameNr_setItemRoleNames 18955
#define sipName_setItemRoleNames &sipStrings_QtGui[18955]
#define sipNameNr_setLayoutEnabled 18972
#define sipName_setLayoutEnabled &sipStrings_QtGui[18972]
#define sipNameNr_setLetterSpacing 18989
#define sipName_setLetterSpacing &sipStrings_QtGui[18989]
#define sipNameNr_setMaximumHeight 19006
#define sipName_setMaximumHeight &sipStrings_QtGui[19006]
#define sipNameNr_setMinimumHeight 19023
#define sipName_setMinimumHeight &sipStrings_QtGui[19023]
#define sipNameNr_setRedBufferSize 19040
#define sipName_setRedBufferSize &sipStrings_QtGui[19040]
#define sipNameNr_setSizeIncrement 19057
#define sipName_setSizeIncrement &sipStrings_QtGui[19057]
#define sipNameNr_setStyleStrategy 19074
#define sipName_setStyleStrategy &sipStrings_QtGui[19074]
#define sipNameNr_setTextAlignment 19091
#define sipName_setTextAlignment &sipStrings_QtGui[19091]
#define sipNameNr_setTextDirection 19108
#define sipName_setTextDirection &sipStrings_QtGui[19108]
#define sipNameNr_showIsFullScreen 19125
#define sipName_showIsFullScreen &sipStrings_QtGui[19125]
#define sipNameNr_supportedActions 19142
#define sipName_supportedActions &sipStrings_QtGui[19142]
#define sipNameNr_supportedFormats 19159
#define sipName_supportedFormats &sipStrings_QtGui[19159]
#define sipNameNr_surfaceEventType 19176
#define sipName_surfaceEventType &sipStrings_QtGui[19176]
#define sipNameNr_tabFocusBehavior 19193
#define sipName_tabFocusBehavior &sipStrings_QtGui[19193]
#define sipNameNr_tableCellRowSpan 19210
#define sipName_tableCellRowSpan &sipStrings_QtGui[19210]
#define sipNameNr_themeSearchPaths 19227
#define sipName_themeSearchPaths &sipStrings_QtGui[19227]
#define sipNameNr_toRotationMatrix 19244
#define sipName_toRotationMatrix &sipStrings_QtGui[19244]
#define sipNameNr_toVector2DAffine 19261
#define sipName_toVector2DAffine &sipStrings_QtGui[19261]
#define sipNameNr_toVector3DAffine 19278
#define sipName_toVector3DAffine &sipStrings_QtGui[19278]
#define sipNameNr_touchPointStates 19295
#define sipName_touchPointStates &sipStrings_QtGui[19295]
#define sipNameNr_transferFunction 19312
#define sipName_transferFunction &sipStrings_QtGui[19312]
#define sipNameNr_transformBetween 19329
#define sipName_transformBetween &sipStrings_QtGui[19329]
#define sipNameNr_undoCommandAdded 19346
#define sipName_undoCommandAdded &sipStrings_QtGui[19346]
#define sipNameNr_useDesignMetrics 19363
#define sipName_useDesignMetrics &sipStrings_QtGui[19363]
#define sipNameNr_useRtlExtensions 19380
#define sipName_useRtlExtensions &sipStrings_QtGui[19380]
#define sipNameNr_virtualSiblingAt 19397
#define sipName_virtualSiblingAt &sipStrings_QtGui[19397]
#define sipNameNr_visualNavigation 19414
#define sipName_visualNavigation &sipStrings_QtGui[19414]
#define sipNameNr_wheelScrollLines 19431
#define sipName_wheelScrollLines &sipStrings_QtGui[19431]
#define sipNameNr_AbsoluteSpacing 19448
#define sipName_AbsoluteSpacing &sipStrings_QtGui[19448]
#define sipNameNr_AllPointerTypes 19464
#define sipName_AllPointerTypes &sipStrings_QtGui[19464]
#define sipNameNr_BackgroundBrush 19480
#define sipName_BackgroundBrush &sipStrings_QtGui[19480]
#define sipNameNr_BackgroundColor 14053
#define sipName_BackgroundColor &sipStrings_QtGui[14053]
#define sipNameNr_BlockLeftMargin 19496
#define sipName_BlockLeftMargin &sipStrings_QtGui[19496]
#define sipNameNr_BlockQuoteLevel 19512
#define sipName_BlockQuoteLevel &sipStrings_QtGui[19512]
#define sipNameNr_CheerfulCaramel 19528
#define sipName_CheerfulCaramel &sipStrings_QtGui[19528]
#define sipNameNr_CloudyKnoxville 19544
#define sipName_CloudyKnoxville &sipStrings_QtGui[19544]
#define sipNameNr_CompositionMode 4859
#define sipName_CompositionMode &sipStrings_QtGui[4859]
#define sipNameNr_ConicalGradient 17715
#define sipName_ConicalGradient &sipStrings_QtGui[17715]
#define sipNameNr_ConstantOpacity 19560
#define sipName_ConstantOpacity &sipStrings_QtGui[19560]
#define sipNameNr_DeleteEndOfLine 19576
#define sipName_DeleteEndOfLine &sipStrings_QtGui[19576]
#define sipNameNr_DeleteEndOfWord 19592
#define sipName_DeleteEndOfWord &sipStrings_QtGui[19592]
#define sipNameNr_Direct3DSurface 19608
#define sipName_Direct3DSurface &sipStrings_QtGui[19608]
#define sipNameNr_DirtyBackground 19624
#define sipName_DirtyBackground &sipStrings_QtGui[19624]
#define sipNameNr_DirtyClipRegion 19640
#define sipName_DirtyClipRegion &sipStrings_QtGui[19640]
#define sipNameNr_EnvelopeItalian 19656
#define sipName_EnvelopeItalian &sipStrings_QtGui[19656]
#define sipNameNr_EnvelopeMonarch 19672
#define sipName_EnvelopeMonarch &sipStrings_QtGui[19672]
#define sipNameNr_ExclusionPolicy 2598
#define sipName_ExclusionPolicy &sipStrings_QtGui[2598]
#define sipNameNr_FilePermissions 19688
#define sipName_FilePermissions &sipStrings_QtGui[19688]
#define sipNameNr_FontWordSpacing 14205
#define sipName_FontWordSpacing &sipStrings_QtGui[14205]
#define sipNameNr_ForegroundBrush 19704
#define sipName_ForegroundBrush &sipStrings_QtGui[19704]
#define sipNameNr_Format_Indexed8 19720
#define sipName_Format_Indexed8 &sipStrings_QtGui[19720]
#define sipNameNr_Format_RGBA8888 19736
#define sipName_Format_RGBA8888 &sipStrings_QtGui[19736]
#define sipNameNr_Format_RGBX8888 19752
#define sipName_Format_RGBX8888 &sipStrings_QtGui[19752]
#define sipNameNr_FrameLeftMargin 19768
#define sipName_FrameLeftMargin &sipStrings_QtGui[19768]
#define sipNameNr_HighlightedText 19784
#define sipName_HighlightedText &sipStrings_QtGui[19784]
#define sipNameNr_LandingAircraft 19800
#define sipName_LandingAircraft &sipStrings_QtGui[19800]
#define sipNameNr_LayoutDirection 14243
#define sipName_LayoutDirection &sipStrings_QtGui[14243]
#define sipNameNr_LineHeightTypes 1042
#define sipName_LineHeightTypes &sipStrings_QtGui[1042]
#define sipNameNr_LineUnderCursor 19816
#define sipName_LineUnderCursor &sipStrings_QtGui[19816]
#define sipNameNr_MarkdownFeature 2202
#define sipName_MarkdownFeature &sipStrings_QtGui[2202]
#define sipNameNr_MetaInformation 2233
#define sipName_MetaInformation &sipStrings_QtGui[2233]
#define sipNameNr_ModerateCaching 19832
#define sipName_ModerateCaching &sipStrings_QtGui[19832]
#define sipNameNr_MoveToEndOfLine 19848
#define sipName_MoveToEndOfLine &sipStrings_QtGui[19848]
#define sipNameNr_NamedColorSpace 3015
#define sipName_NamedColorSpace &sipStrings_QtGui[3015]
#define sipNameNr_PageBreakPolicy 14357
#define sipName_PageBreakPolicy &sipStrings_QtGui[14357]
#define sipNameNr_PdmPhysicalDpiX 19864
#define sipName_PdmPhysicalDpiX &sipStrings_QtGui[19864]
#define sipNameNr_PdmPhysicalDpiY 19880
#define sipName_PdmPhysicalDpiY &sipStrings_QtGui[19880]
#define sipNameNr_PerformanceHint 3305
#define sipName_PerformanceHint &sipStrings_QtGui[3305]
#define sipNameNr_PixmapTransform 8553
#define sipName_PixmapTransform &sipStrings_QtGui[8553]
#define sipNameNr_PlaceholderText 19896
#define sipName_PlaceholderText &sipStrings_QtGui[19896]
#define sipNameNr_PolygonDrawMode 2718
#define sipName_PolygonDrawMode &sipStrings_QtGui[2718]
#define sipNameNr_PreferAntialias 19912
#define sipName_PreferAntialias &sipStrings_QtGui[19912]
#define sipNameNr_PreferNoHinting 19928
#define sipName_PreferNoHinting &sipStrings_QtGui[19928]
#define sipNameNr_PreferNoShaping 19944
#define sipName_PreferNoShaping &sipStrings_QtGui[19944]
#define sipNameNr_PreferencesRole 19960
#define sipName_PreferencesRole &sipStrings_QtGui[19960]
#define sipNameNr_QColorConstants 19976
#define sipName_QColorConstants &sipStrings_QtGui[19976]
#define sipNameNr_QColorTransform 19992
#define sipName_QColorTransform &sipStrings_QtGui[19992]
#define sipNameNr_QDragEnterEvent 20008
#define sipName_QDragEnterEvent &sipStrings_QtGui[20008]
#define sipNameNr_QDragLeaveEvent 20024
#define sipName_QDragLeaveEvent &sipStrings_QtGui[20024]
#define sipNameNr_QGradient__Type 20040
#define sipName_QGradient__Type &sipStrings_QtGui[20040]
#define sipNameNr_QGuiApplication 20056
#define sipName_QGuiApplication &sipStrings_QtGui[20056]
#define sipNameNr_QImageIOHandler 20072
#define sipName_QImageIOHandler &sipStrings_QtGui[20072]
#define sipNameNr_QLinearGradient 20088
#define sipName_QLinearGradient &sipStrings_QtGui[20088]
#define sipNameNr_20104 20104
#define sipName_20104 &sipStrings_QtGui[20104]
#define sipNameNr_20120 20120
#define sipName_20120 &sipStrings_QtGui[20120]
#define sipNameNr_20136 20136
#define sipName_20136 &sipStrings_QtGui[20136]
#define sipNameNr_QPageSize__Unit 20152
#define sipName_QPageSize__Unit &sipStrings_QtGui[20152]
#define sipNameNr_QPointingDevice 20168
#define sipName_QPointingDevice &sipStrings_QtGui[20168]
#define sipNameNr_QRadialGradient 20184
#define sipName_QRadialGradient &sipStrings_QtGui[20184]
#define sipNameNr_QSessionManager 20200
#define sipName_QSessionManager &sipStrings_QtGui[20200]
#define sipNameNr_QStatusTipEvent 20216
#define sipName_QStatusTipEvent &sipStrings_QtGui[20216]
#define sipNameNr_QTextBlockGroup 20232
#define sipName_QTextBlockGroup &sipStrings_QtGui[20232]
#define sipNameNr_QTextCharFormat 20248
#define sipName_QTextCharFormat &sipStrings_QtGui[20248]
#define sipNameNr_QTextLine__Edge 20264
#define sipName_QTextLine__Edge &sipStrings_QtGui[20264]
#define sipNameNr_QTextListFormat 20280
#define sipName_QTextListFormat &sipStrings_QtGui[20280]
#define sipNameNr_RasterGLSurface 20296
#define sipName_RasterGLSurface &sipStrings_QtGui[20296]
#define sipNameNr_SaintPetersburg 20312
#define sipName_SaintPetersburg &sipStrings_QtGui[20312]
#define sipNameNr_SelectEndOfLine 20328
#define sipName_SelectEndOfLine &sipStrings_QtGui[20328]
#define sipNameNr_SingleUnderline 20344
#define sipName_SingleUnderline &sipStrings_QtGui[20344]
#define sipNameNr_SizeMatchPolicy 4145
#define sipName_SizeMatchPolicy &sipStrings_QtGui[4145]
#define sipNameNr_TableCellObject 20360
#define sipName_TableCellObject &sipStrings_QtGui[20360]
#define sipNameNr_UnknownResource 20376
#define sipName_UnknownResource &sipStrings_QtGui[20376]
#define sipNameNr_UnsignedInteger 20392
#define sipName_UnsignedInteger &sipStrings_QtGui[20392]
#define sipNameNr_WordUnderCursor 20408
#define sipName_WordUnderCursor &sipStrings_QtGui[20408]
#define sipNameNr_allocationLimit 20424
#define sipName_allocationLimit &sipStrings_QtGui[20424]
#define sipNameNr_alphaBufferSize 20440
#define sipName_alphaBufferSize &sipStrings_QtGui[20440]
#define sipNameNr_ambiguousMember 20456
#define sipName_ambiguousMember &sipStrings_QtGui[20456]
#define sipNameNr_anchorRectangle 20472
#define sipName_anchorRectangle &sipStrings_QtGui[20472]
#define sipNameNr_aspectRatioMode 20488
#define sipName_aspectRatioMode &sipStrings_QtGui[20488]
#define sipNameNr_backgroundBrush 20504
#define sipName_backgroundBrush &sipStrings_QtGui[20504]
#define sipNameNr_backgroundColor 20520
#define sipName_backgroundColor &sipStrings_QtGui[20520]
#define sipNameNr_blockCharFormat 20536
#define sipName_blockCharFormat &sipStrings_QtGui[20536]
#define sipNameNr_cacheStatistics 20552
#define sipName_cacheStatistics &sipStrings_QtGui[20552]
#define sipNameNr_canDropMimeData 20568
#define sipName_canDropMimeData &sipStrings_QtGui[20568]
#define sipNameNr_charFormatIndex 20584
#define sipName_charFormatIndex &sipStrings_QtGui[20584]
#define sipNameNr_cleanupFunction 20600
#define sipName_cleanupFunction &sipStrings_QtGui[20600]
#define sipNameNr_clearBackground 20616
#define sipName_clearBackground &sipStrings_QtGui[20616]
#define sipNameNr_clearForeground 20632
#define sipName_clearForeground &sipStrings_QtGui[20632]
#define sipNameNr_compositionMode 20648
#define sipName_compositionMode &sipStrings_QtGui[20648]
#define sipNameNr_contentPosRange 20664
#define sipName_contentPosRange &sipStrings_QtGui[20664]
#define sipNameNr_contentsChanged 20680
#define sipName_contentsChanged &sipStrings_QtGui[20680]
#define sipNameNr_convertToFormat 20696
#define sipName_convertToFormat &sipStrings_QtGui[20696]
#define sipNameNr_createAlphaMask 20712
#define sipName_createAlphaMask &sipStrings_QtGui[20712]
#define sipNameNr_currentPosition 20728
#define sipName_currentPosition &sipStrings_QtGui[20728]
#define sipNameNr_cursorFlashTime 20744
#define sipName_cursorFlashTime &sipStrings_QtGui[20744]
#define sipNameNr_cursorMoveStyle 20760
#define sipName_cursorMoveStyle &sipStrings_QtGui[20760]
#define sipNameNr_cursorRectangle 20776
#define sipName_cursorRectangle &sipStrings_QtGui[20776]
#define sipNameNr_definitionUnits 20792
#define sipName_definitionUnits &sipStrings_QtGui[20792]
#define sipNameNr_depthBufferSize 20808
#define sipName_depthBufferSize &sipStrings_QtGui[20808]
#define sipNameNr_desktopFileName 20824
#define sipName_desktopFileName &sipStrings_QtGui[20824]
#define sipNameNr_deviceTransform 20840
#define sipName_deviceTransform &sipStrings_QtGui[20840]
#define sipNameNr_directoryLoaded 20856
#define sipName_directoryLoaded &sipStrings_QtGui[20856]
#define sipNameNr_distanceToPlane 20872
#define sipName_distanceToPlane &sipStrings_QtGui[20872]
#define sipNameNr_distanceToPoint 20888
#define sipName_distanceToPoint &sipStrings_QtGui[20888]
#define sipNameNr_documentChanged 20904
#define sipName_documentChanged &sipStrings_QtGui[20904]
#define sipNameNr_drawRoundedRect 20920
#define sipName_drawRoundedRect &sipStrings_QtGui[20920]
#define sipNameNr_drawTiledPixmap 20936
#define sipName_drawTiledPixmap &sipStrings_QtGui[20936]
#define sipNameNr_emitDataChanged 20952
#define sipName_emitDataChanged &sipStrings_QtGui[20952]
#define sipNameNr_exclusionPolicy 20968
#define sipName_exclusionPolicy &sipStrings_QtGui[20968]
#define sipNameNr_firstLineNumber 20984
#define sipName_firstLineNumber &sipStrings_QtGui[20984]
#define sipNameNr_fontWordSpacing 21000
#define sipName_fontWordSpacing &sipStrings_QtGui[21000]
#define sipNameNr_fromEulerAngles 21016
#define sipName_fromEulerAngles &sipStrings_QtGui[21016]
#define sipNameNr_fromImageReader 21032
#define sipName_fromImageReader &sipStrings_QtGui[21032]
#define sipNameNr_geometryChanged 21048
#define sipName_geometryChanged &sipStrings_QtGui[21048]
#define sipNameNr_getAxisAndAngle 21064
#define sipName_getAxisAndAngle &sipStrings_QtGui[21064]
#define sipNameNr_greenBufferSize 21080
#define sipName_greenBufferSize &sipStrings_QtGui[21080]
#define sipNameNr_hasAlphaChannel 21096
#define sipName_hasAlphaChannel &sipStrings_QtGui[21096]
#define sipNameNr_highlightedText 21112
#define sipName_highlightedText &sipStrings_QtGui[21112]
#define sipNameNr_isLayoutEnabled 21128
#define sipName_isLayoutEnabled &sipStrings_QtGui[21128]
#define sipNameNr_isPrivateFamily 21144
#define sipName_isPrivateFamily &sipStrings_QtGui[21144]
#define sipNameNr_isRedoAvailable 21160
#define sipName_isRedoAvailable &sipStrings_QtGui[21160]
#define sipNameNr_isSavingSession 21176
#define sipName_isSavingSession &sipStrings_QtGui[21176]
#define sipNameNr_isUndoAvailable 21192
#define sipName_isUndoAvailable &sipStrings_QtGui[21192]
#define sipNameNr_jumpToNextFrame 21208
#define sipName_jumpToNextFrame &sipStrings_QtGui[21208]
#define sipNameNr_jumpToNextImage 21224
#define sipName_jumpToNextImage &sipStrings_QtGui[21224]
#define sipNameNr_keyReleaseEvent 21240
#define sipName_keyReleaseEvent &sipStrings_QtGui[21240]
#define sipNameNr_lastErrorString 21256
#define sipName_lastErrorString &sipStrings_QtGui[21256]
#define sipNameNr_layoutDirection 21272
#define sipName_layoutDirection &sipStrings_QtGui[21272]
#define sipNameNr_leadingIncluded 21288
#define sipName_leadingIncluded &sipStrings_QtGui[21288]
#define sipNameNr_leftBorderBrush 21304
#define sipName_leftBorderBrush &sipStrings_QtGui[21304]
#define sipNameNr_leftBorderStyle 21320
#define sipName_leftBorderStyle &sipStrings_QtGui[21320]
#define sipNameNr_mediumslateblue 21336
#define sipName_mediumslateblue &sipStrings_QtGui[21336]
#define sipNameNr_mediumturquoise 21352
#define sipName_mediumturquoise &sipStrings_QtGui[21352]
#define sipNameNr_mediumvioletred 21368
#define sipName_mediumvioletred &sipStrings_QtGui[21368]
#define sipNameNr_mergeCharFormat 21384
#define sipName_mergeCharFormat &sipStrings_QtGui[21384]
#define sipNameNr_metaInformation 21400
#define sipName_metaInformation &sipStrings_QtGui[21400]
#define sipNameNr_mightBeRichText 21416
#define sipName_mightBeRichText &sipStrings_QtGui[21416]
#define sipNameNr_minRightBearing 21432
#define sipName_minRightBearing &sipStrings_QtGui[21432]
#define sipNameNr_modalityChanged 21448
#define sipName_modalityChanged &sipStrings_QtGui[21448]
#define sipNameNr_mousePressEvent 21464
#define sipName_mousePressEvent &sipStrings_QtGui[21464]
#define sipNameNr_nativeModifiers 21480
#define sipName_nativeModifiers &sipStrings_QtGui[21480]
#define sipNameNr_naturalTextRect 21496
#define sipName_naturalTextRect &sipStrings_QtGui[21496]
#define sipNameNr_objectForFormat 21512
#define sipName_objectForFormat &sipStrings_QtGui[21512]
#define sipNameNr_pageBreakPolicy 21528
#define sipName_pageBreakPolicy &sipStrings_QtGui[21528]
#define sipNameNr_paintRectPixels 21544
#define sipName_paintRectPixels &sipStrings_QtGui[21544]
#define sipNameNr_paintRectPoints 21560
#define sipName_paintRectPoints &sipStrings_QtGui[21560]
#define sipNameNr_percentAtLength 21576
#define sipName_percentAtLength &sipStrings_QtGui[21576]
#define sipNameNr_performanceHint 21592
#define sipName_performanceHint &sipStrings_QtGui[21592]
#define sipNameNr_placeholderText 21608
#define sipName_placeholderText &sipStrings_QtGui[21608]
#define sipNameNr_positionInBlock 21624
#define sipName_positionInBlock &sipStrings_QtGui[21624]
#define sipNameNr_possibleActions 21640
#define sipName_possibleActions &sipStrings_QtGui[21640]
#define sipNameNr_preeditAreaText 21656
#define sipName_preeditAreaText &sipStrings_QtGui[21656]
#define sipNameNr_primaryKeyboard 21672
#define sipName_primaryKeyboard &sipStrings_QtGui[21672]
#define sipNameNr_qPixelFormatHsl 21688
#define sipName_qPixelFormatHsl &sipStrings_QtGui[21688]
#define sipNameNr_qPixelFormatHsv 21704
#define sipName_qPixelFormatHsv &sipStrings_QtGui[21704]
#define sipNameNr_qPixelFormatYuv 21720
#define sipName_qPixelFormatYuv &sipStrings_QtGui[21720]
#define sipNameNr_redoTextChanged 21736
#define sipName_redoTextChanged &sipStrings_QtGui[21736]
#define sipNameNr_registerHandler 17235
#define sipName_registerHandler &sipStrings_QtGui[17235]
#define sipNameNr_requestActivate 21752
#define sipName_requestActivate &sipStrings_QtGui[21752]
#define sipNameNr_requestedFormat 21768
#define sipName_requestedFormat &sipStrings_QtGui[21768]
#define sipNameNr_resolveSymlinks 21784
#define sipName_resolveSymlinks &sipStrings_QtGui[21784]
#define sipNameNr_rootPathChanged 21800
#define sipName_rootPathChanged &sipStrings_QtGui[21800]
#define sipNameNr_setAlphaChannel 21816
#define sipName_setAlphaChannel &sipStrings_QtGui[21816]
#define sipNameNr_setAutoTristate 21832
#define sipName_setAutoTristate &sipStrings_QtGui[21832]
#define sipNameNr_setBottomBorder 21848
#define sipName_setBottomBorder &sipStrings_QtGui[21848]
#define sipNameNr_setBottomMargin 21864
#define sipName_setBottomMargin &sipStrings_QtGui[21864]
#define sipNameNr_setBoundingRect 21880
#define sipName_setBoundingRect &sipStrings_QtGui[21880]
#define sipNameNr_setCacheEnabled 21896
#define sipName_setCacheEnabled &sipStrings_QtGui[21896]
#define sipNameNr_setCenterRadius 21912
#define sipName_setCenterRadius &sipStrings_QtGui[21912]
#define sipNameNr_setCommitString 21928
#define sipName_setCommitString &sipStrings_QtGui[21928]
#define sipNameNr_setFontFamilies 21944
#define sipName_setFontFamilies &sipStrings_QtGui[21944]
#define sipNameNr_setFontOverline 21960
#define sipName_setFontOverline &sipStrings_QtGui[21960]
#define sipNameNr_setGlyphIndexes 21976
#define sipName_setGlyphIndexes &sipStrings_QtGui[21976]
#define sipNameNr_setHeadingLevel 21992
#define sipName_setHeadingLevel &sipStrings_QtGui[21992]
#define sipNameNr_setIconProvider 22008
#define sipName_setIconProvider &sipStrings_QtGui[22008]
#define sipNameNr_setMajorVersion 22024
#define sipName_setMajorVersion &sipStrings_QtGui[22024]
#define sipNameNr_setMaximumWidth 22040
#define sipName_setMaximumWidth &sipStrings_QtGui[22040]
#define sipNameNr_setMinimumWidth 22056
#define sipName_setMinimumWidth &sipStrings_QtGui[22056]
#define sipNameNr_setMinorVersion 22072
#define sipName_setMinorVersion &sipStrings_QtGui[22072]
#define sipNameNr_setNumberPrefix 22088
#define sipName_setNumberPrefix &sipStrings_QtGui[22088]
#define sipNameNr_setNumberSuffix 22104
#define sipName_setNumberSuffix &sipStrings_QtGui[22104]
#define sipNameNr_setRightPadding 22120
#define sipName_setRightPadding &sipStrings_QtGui[22120]
#define sipNameNr_setShareContext 22136
#define sipName_setShareContext &sipStrings_QtGui[22136]
#define sipNameNr_setSwapBehavior 22152
#define sipName_setSwapBehavior &sipStrings_QtGui[22152]
#define sipNameNr_setSwapInterval 22168
#define sipName_setSwapInterval &sipStrings_QtGui[22168]
#define sipNameNr_setTabPositions 22184
#define sipName_setTabPositions &sipStrings_QtGui[22184]
#define sipNameNr_setTextureImage 22200
#define sipName_setTextureImage &sipStrings_QtGui[22200]
#define sipNameNr_setUserTristate 22216
#define sipName_setUserTristate &sipStrings_QtGui[22216]
#define sipNameNr_setViewportSize 22232
#define sipName_setViewportSize &sipStrings_QtGui[22232]
#define sipNameNr_setWindowStates 22248
#define sipName_setWindowStates &sipStrings_QtGui[22248]
#define sipNameNr_shortcutContext 22264
#define sipName_shortcutContext &sipStrings_QtGui[22264]
#define sipNameNr_showIsMaximized 22280
#define sipName_showIsMaximized &sipStrings_QtGui[22280]
#define sipNameNr_startSystemMove 22296
#define sipName_startSystemMove &sipStrings_QtGui[22296]
#define sipNameNr_tabStopDistance 22312
#define sipName_tabStopDistance &sipStrings_QtGui[22312]
#define sipNameNr_topLevelWindows 22328
#define sipName_topLevelWindows &sipStrings_QtGui[22328]
#define sipNameNr_transientParent 22344
#define sipName_transientParent &sipStrings_QtGui[22344]
#define sipNameNr_undoTextChanged 22360
#define sipName_undoTextChanged &sipStrings_QtGui[22360]
#define sipNameNr_unpremultiplied 22376
#define sipName_unpremultiplied &sipStrings_QtGui[22376]
#define sipNameNr_unsetUrlHandler 22392
#define sipName_unsetUrlHandler &sipStrings_QtGui[22392]
#define sipNameNr_useHoverEffects 22408
#define sipName_useHoverEffects &sipStrings_QtGui[22408]
#define sipNameNr_virtualGeometry 22424
#define sipName_virtualGeometry &sipStrings_QtGui[22424]
#define sipNameNr_virtualSiblings 22440
#define sipName_virtualSiblings &sipStrings_QtGui[22440]
#define sipNameNr_AlignSubScript 22456
#define sipName_AlignSubScript &sipStrings_QtGui[22456]
#define sipNameNr_BlockAlignment 22471
#define sipName_BlockAlignment &sipStrings_QtGui[22471]
#define sipNameNr_BlockCodeFence 22486
#define sipName_BlockCodeFence &sipStrings_QtGui[22486]
#define sipNameNr_BlockTopMargin 22501
#define sipName_BlockTopMargin &sipStrings_QtGui[22501]
#define sipNameNr_Capitalization 8246
#define sipName_Capitalization &sipStrings_QtGui[8246]
#define sipNameNr_ConfidentCloud 22516
#define sipName_ConfidentCloud &sipStrings_QtGui[22516]
#define sipNameNr_CoordinateMode 4782
#define sipName_CoordinateMode &sipStrings_QtGui[4782]
#define sipNameNr_CursorPosition 4938
#define sipName_CursorPosition &sipStrings_QtGui[4938]
#define sipNameNr_CurveToElement 22531
#define sipName_CurveToElement &sipStrings_QtGui[22531]
#define sipNameNr_DashDotDotLine 22546
#define sipName_DashDotDotLine &sipStrings_QtGui[22546]
#define sipNameNr_DirtyTransform 22561
#define sipName_DirtyTransform &sipStrings_QtGui[22561]
#define sipNameNr_DoublePostcard 22576
#define sipName_DoublePostcard &sipStrings_QtGui[22576]
#define sipNameNr_EnvelopeInvite 22591
#define sipName_EnvelopeInvite &sipStrings_QtGui[22591]
#define sipNameNr_EverlastingSky 22606
#define sipName_EverlastingSky &sipStrings_QtGui[22606]
#define sipNameNr_ExtraCondensed 22621
#define sipName_ExtraCondensed &sipStrings_QtGui[22621]
#define sipNameNr_FindWholeWords 22636
#define sipName_FindWholeWords &sipStrings_QtGui[22636]
#define sipNameNr_FontFixedPitch 16732
#define sipName_FontFixedPitch &sipStrings_QtGui[16732]
#define sipNameNr_Format_Invalid 22651
#define sipName_Format_Invalid &sipStrings_QtGui[22651]
#define sipNameNr_Format_MonoLSB 22666
#define sipName_Format_MonoLSB &sipStrings_QtGui[22666]
#define sipNameNr_FrameTopMargin 22681
#define sipName_FrameTopMargin &sipStrings_QtGui[22681]
#define sipNameNr_IconEngineHook 3733
#define sipName_IconEngineHook &sipStrings_QtGui[3733]
#define sipNameNr_KernedAdvances 22696
#define sipName_KernedAdvances &sipStrings_QtGui[22696]
#define sipNameNr_LineHeightType 22711
#define sipName_LineHeightType &sipStrings_QtGui[22711]
#define sipNameNr_LinearGradient 20089
#define sipName_LinearGradient &sipStrings_QtGui[20089]
#define sipNameNr_ListLowerAlpha 22726
#define sipName_ListLowerAlpha &sipStrings_QtGui[22726]
#define sipNameNr_ListLowerRoman 22741
#define sipName_ListLowerRoman &sipStrings_QtGui[22741]
#define sipNameNr_ListUpperAlpha 22756
#define sipName_ListUpperAlpha &sipStrings_QtGui[22756]
#define sipNameNr_ListUpperRoman 22771
#define sipName_ListUpperRoman &sipStrings_QtGui[22771]
#define sipNameNr_MarkdownNoHTML 22786
#define sipName_MarkdownNoHTML &sipStrings_QtGui[22786]
#define sipNameNr_MillenniumPine 22801
#define sipName_MillenniumPine &sipStrings_QtGui[22801]
#define sipNameNr_MouseEmulation 22816
#define sipName_MouseEmulation &sipStrings_QtGui[22816]
#define sipNameNr_MoveToNextChar 22831
#define sipName_MoveToNextChar &sipStrings_QtGui[22831]
#define sipNameNr_MoveToNextLine 22846
#define sipName_MoveToNextLine &sipStrings_QtGui[22846]
#define sipNameNr_MoveToNextPage 22861
#define sipName_MoveToNextPage &sipStrings_QtGui[22861]
#define sipNameNr_MoveToNextWord 22876
#define sipName_MoveToNextWord &sipStrings_QtGui[22876]
#define sipNameNr_NormalPriority 22891
#define sipName_NormalPriority &sipStrings_QtGui[22891]
#define sipNameNr_OctoberSilence 22906
#define sipName_OctoberSilence &sipStrings_QtGui[22906]
#define sipNameNr_OldFontStretch 22921
#define sipName_OldFontStretch &sipStrings_QtGui[22921]
#define sipNameNr_OptimizedWrite 16786
#define sipName_OptimizedWrite &sipStrings_QtGui[16786]
#define sipNameNr_PageBreak_Auto 22936
#define sipName_PageBreak_Auto &sipStrings_QtGui[22936]
#define sipNameNr_PdfVersion_1_4 22951
#define sipName_PdfVersion_1_4 &sipStrings_QtGui[22951]
#define sipNameNr_PdfVersion_1_6 22966
#define sipName_PdfVersion_1_6 &sipStrings_QtGui[22966]
#define sipNameNr_PdfVersion_A1b 22981
#define sipName_PdfVersion_A1b &sipStrings_QtGui[22981]
#define sipNameNr_PixmapFragment 5577
#define sipName_PixmapFragment &sipStrings_QtGui[5577]
#define sipNameNr_PurpleDivision 22996
#define sipName_PurpleDivision &sipStrings_QtGui[22996]
#define sipNameNr_QDragMoveEvent 23011
#define sipName_QDragMoveEvent &sipStrings_QtGui[23011]
#define sipNameNr_QFileOpenEvent 23026
#define sipName_QFileOpenEvent &sipStrings_QtGui[23026]
#define sipNameNr_QFont__Stretch 23041
#define sipName_QFont__Stretch &sipStrings_QtGui[23041]
#define sipNameNr_QIconDragEvent 23056
#define sipName_QIconDragEvent &sipStrings_QtGui[23056]
#define sipNameNr_QImage__Format 23071
#define sipName_QImage__Format &sipStrings_QtGui[23071]
#define sipNameNr_QOpenGLContext 23086
#define sipName_QOpenGLContext &sipStrings_QtGui[23086]
#define sipNameNr_QShortcutEvent 23101
#define sipName_QShortcutEvent &sipStrings_QtGui[23101]
#define sipNameNr_QSurfaceFormat 23116
#define sipName_QSurfaceFormat &sipStrings_QtGui[23116]
#define sipNameNr_QTextTableCell 23131
#define sipName_QTextTableCell &sipStrings_QtGui[23131]
#define sipNameNr_RadialGradient 20185
#define sipName_RadialGradient &sipStrings_QtGui[20185]
#define sipNameNr_RenderableType 2172
#define sipName_RenderableType &sipStrings_QtGui[2172]
#define sipNameNr_ScaledClipRect 16858
#define sipName_ScaledClipRect &sipStrings_QtGui[16858]
#define sipNameNr_ScrollFinished 23146
#define sipName_ScrollFinished &sipStrings_QtGui[23146]
#define sipNameNr_SelectNextChar 23161
#define sipName_SelectNextChar &sipStrings_QtGui[23161]
#define sipNameNr_SelectNextLine 23176
#define sipName_SelectNextLine &sipStrings_QtGui[23176]
#define sipNameNr_SelectNextPage 23191
#define sipName_SelectNextPage &sipStrings_QtGui[23191]
#define sipNameNr_SelectNextWord 23206
#define sipName_SelectNextWord &sipStrings_QtGui[23206]
#define sipNameNr_SequenceFormat 3190
#define sipName_SequenceFormat &sipStrings_QtGui[3190]
#define sipNameNr_SkipCharacters 23221
#define sipName_SkipCharacters &sipStrings_QtGui[23221]
#define sipNameNr_SleeplessNight 23236
#define sipName_SleeplessNight &sipStrings_QtGui[23236]
#define sipNameNr_StrictNovember 23251
#define sipName_StrictNovember &sipStrings_QtGui[23251]
#define sipNameNr_SuppressColors 23266
#define sipName_SuppressColors &sipStrings_QtGui[23266]
#define sipNameNr_SurfaceCreated 23281
#define sipName_SurfaceCreated &sipStrings_QtGui[23281]
#define sipNameNr_Transformation 1728
#define sipName_Transformation &sipStrings_QtGui[1728]
#define sipNameNr_UltraCondensed 23296
#define sipName_UltraCondensed &sipStrings_QtGui[23296]
#define sipNameNr_UnderlineStyle 1856
#define sipName_UnderlineStyle &sipStrings_QtGui[1856]
#define sipNameNr_VariableLength 23311
#define sipName_VariableLength &sipStrings_QtGui[23311]
#define sipNameNr_accessibleText 23326
#define sipName_accessibleText &sipStrings_QtGui[23326]
#define sipNameNr_addRoundedRect 23341
#define sipName_addRoundedRect &sipStrings_QtGui[23341]
#define sipNameNr_angleAtPercent 23356
#define sipName_angleAtPercent &sipStrings_QtGui[23356]
#define sipNameNr_availableSizes 23371
#define sipName_availableSizes &sipStrings_QtGui[23371]
#define sipNameNr_backgroundMode 23386
#define sipName_backgroundMode &sipStrings_QtGui[23386]
#define sipNameNr_baseUrlChanged 23401
#define sipName_baseUrlChanged &sipStrings_QtGui[23401]
#define sipNameNr_baselineOffset 23416
#define sipName_baselineOffset &sipStrings_QtGui[23416]
#define sipNameNr_beginEditBlock 23431
#define sipName_beginEditBlock &sipStrings_QtGui[23431]
#define sipNameNr_blanchedalmond 23446
#define sipName_blanchedalmond &sipStrings_QtGui[23446]
#define sipNameNr_blueBufferSize 23461
#define sipName_blueBufferSize &sipStrings_QtGui[23461]
#define sipNameNr_borderCollapse 23476
#define sipName_borderCollapse &sipStrings_QtGui[23476]
#define sipNameNr_brightnessSize 23491
#define sipName_brightnessSize &sipStrings_QtGui[23491]
#define sipNameNr_canRedoChanged 23506
#define sipName_canRedoChanged &sipStrings_QtGui[23506]
#define sipNameNr_canUndoChanged 23521
#define sipName_canUndoChanged &sipStrings_QtGui[23521]
#define sipNameNr_capitalization 23536
#define sipName_capitalization &sipStrings_QtGui[23536]
#define sipNameNr_characterCount 23551
#define sipName_characterCount &sipStrings_QtGui[23551]
#define sipNameNr_clearSelection 23566
#define sipName_clearSelection &sipStrings_QtGui[23566]
#define sipNameNr_contentsChange 23581
#define sipName_contentsChange &sipStrings_QtGui[23581]
#define sipNameNr_coordinateMode 23596
#define sipName_coordinateMode &sipStrings_QtGui[23596]
#define sipNameNr_cornflowerblue 23611
#define sipName_cornflowerblue &sipStrings_QtGui[23611]
#define sipNameNr_currentContext 23626
#define sipName_currentContext &sipStrings_QtGui[23626]
#define sipNameNr_cursorPosition 23641
#define sipName_cursorPosition &sipStrings_QtGui[23641]
#define sipNameNr_curveThreshold 23656
#define sipName_curveThreshold &sipStrings_QtGui[23656]
#define sipNameNr_darkolivegreen 23671
#define sipName_darkolivegreen &sipStrings_QtGui[23671]
#define sipNameNr_definitionSize 23686
#define sipName_definitionSize &sipStrings_QtGui[23686]
#define sipNameNr_discardCommand 23701
#define sipName_discardCommand &sipStrings_QtGui[23701]
#define sipNameNr_distanceToLine 23716
#define sipName_distanceToLine &sipStrings_QtGui[23716]
#define sipNameNr_documentLayout 23731
#define sipName_documentLayout &sipStrings_QtGui[23731]
#define sipNameNr_documentMargin 23746
#define sipName_documentMargin &sipStrings_QtGui[23746]
#define sipNameNr_doubleProperty 23761
#define sipName_doubleProperty &sipStrings_QtGui[23761]
#define sipNameNr_drawStaticText 23776
#define sipName_drawStaticText &sipStrings_QtGui[23776]
#define sipNameNr_enabledChanged 23791
#define sipName_enabledChanged &sipStrings_QtGui[23791]
#define sipNameNr_fontFixedPitch 23806
#define sipName_fontFixedPitch &sipStrings_QtGui[23806]
#define sipNameNr_fromIccProfile 23821
#define sipName_fromIccProfile &sipStrings_QtGui[23821]
#define sipNameNr_fullRectPixels 23836
#define sipName_fullRectPixels &sipStrings_QtGui[23836]
#define sipNameNr_fullRectPoints 23851
#define sipName_fullRectPoints &sipStrings_QtGui[23851]
#define sipNameNr_getEulerAngles 23866
#define sipName_getEulerAngles &sipStrings_QtGui[23866]
#define sipNameNr_getProcAddress 23881
#define sipName_getProcAddress &sipStrings_QtGui[23881]
#define sipNameNr_globalPosition 23896
#define sipName_globalPosition &sipStrings_QtGui[23896]
#define sipNameNr_headerRowCount 23911
#define sipName_headerRowCount &sipStrings_QtGui[23911]
#define sipNameNr_highlightBlock 18634
#define sipName_highlightBlock &sipStrings_QtGui[18634]
#define sipNameNr_hslSaturationF 23926
#define sipName_hslSaturationF &sipStrings_QtGui[23926]
#define sipNameNr_hsvSaturationF 23941
#define sipName_hsvSaturationF &sipStrings_QtGui[23941]
#define sipNameNr_inputDirection 23956
#define sipName_inputDirection &sipStrings_QtGui[23956]
#define sipNameNr_insertFragment 23971
#define sipName_insertFragment &sipStrings_QtGui[23971]
#define sipNameNr_insertMarkdown 23986
#define sipName_insertMarkdown &sipStrings_QtGui[23986]
#define sipNameNr_isAutoTristate 24001
#define sipName_isAutoTristate &sipStrings_QtGui[24001]
#define sipNameNr_isEquivalentTo 24016
#define sipName_isEquivalentTo &sipStrings_QtGui[24016]
#define sipNameNr_isUserTristate 24031
#define sipName_isUserTristate &sipStrings_QtGui[24031]
#define sipNameNr_keyCombination 24046
#define sipName_keyCombination &sipStrings_QtGui[24046]
#define sipNameNr_lengthProperty 24061
#define sipName_lengthProperty &sipStrings_QtGui[24061]
#define sipNameNr_lightslategray 24076
#define sipName_lightslategray &sipStrings_QtGui[24076]
#define sipNameNr_lightslategrey 24091
#define sipName_lightslategrey &sipStrings_QtGui[24091]
#define sipNameNr_lightsteelblue 24106
#define sipName_lightsteelblue &sipStrings_QtGui[24106]
#define sipNameNr_lineHeightType 24121
#define sipName_lineHeightType &sipStrings_QtGui[24121]
#define sipNameNr_listFromString 24136
#define sipName_listFromString &sipStrings_QtGui[24136]
#define sipNameNr_maximumMargins 24151
#define sipName_maximumMargins &sipStrings_QtGui[24151]
#define sipNameNr_mediumseagreen 24166
#define sipName_mediumseagreen &sipStrings_QtGui[24166]
#define sipNameNr_minLeftBearing 24181
#define sipName_minLeftBearing &sipStrings_QtGui[24181]
#define sipNameNr_minimumMargins 24196
#define sipName_minimumMargins &sipStrings_QtGui[24196]
#define sipNameNr_mouseMoveEvent 24211
#define sipName_mouseMoveEvent &sipStrings_QtGui[24211]
#define sipNameNr_nativeScanCode 24226
#define sipName_nativeScanCode &sipStrings_QtGui[24226]
#define sipNameNr_nextFrameDelay 24241
#define sipName_nextFrameDelay &sipStrings_QtGui[24241]
#define sipNameNr_nextImageDelay 24256
#define sipName_nextImageDelay &sipStrings_QtGui[24256]
#define sipNameNr_opacityChanged 24271
#define sipName_opacityChanged &sipStrings_QtGui[24271]
#define sipNameNr_optimizedWrite 24286
#define sipName_optimizedWrite &sipStrings_QtGui[24286]
#define sipNameNr_overrideCursor 24301
#define sipName_overrideCursor &sipStrings_QtGui[24301]
#define sipNameNr_ownsFindBuffer 24316
#define sipName_ownsFindBuffer &sipStrings_QtGui[24316]
#define sipNameNr_paintingActive 24331
#define sipName_paintingActive &sipStrings_QtGui[24331]
#define sipNameNr_pointAtPercent 24346
#define sipName_pointAtPercent &sipStrings_QtGui[24346]
#define sipNameNr_pointingDevice 24361
#define sipName_pointingDevice &sipStrings_QtGui[24361]
#define sipNameNr_pressTimestamp 24376
#define sipName_pressTimestamp &sipStrings_QtGui[24376]
#define sipNameNr_proposedAction 24391
#define sipName_proposedAction &sipStrings_QtGui[24391]
#define sipNameNr_qUnpremultiply 24406
#define sipName_qUnpremultiply &sipStrings_QtGui[24406]
#define sipNameNr_renderableType 24421
#define sipName_renderableType &sipStrings_QtGui[24421]
#define sipNameNr_resetTransform 24436
#define sipName_resetTransform &sipStrings_QtGui[24436]
#define sipNameNr_restartCommand 24451
#define sipName_restartCommand &sipStrings_QtGui[24451]
#define sipNameNr_saturationSize 24466
#define sipName_saturationSize &sipStrings_QtGui[24466]
#define sipNameNr_scaledClipRect 24481
#define sipName_scaledClipRect &sipStrings_QtGui[24481]
#define sipNameNr_scaledToHeight 24496
#define sipName_scaledToHeight &sipStrings_QtGui[24496]
#define sipNameNr_selectionStart 24511
#define sipName_selectionStart &sipStrings_QtGui[24511]
#define sipNameNr_setActionGroup 24526
#define sipName_setActionGroup &sipStrings_QtGui[24526]
#define sipNameNr_setActiveStack 24541
#define sipName_setActiveStack &sipStrings_QtGui[24541]
#define sipNameNr_setAnchorNames 24556
#define sipName_setAnchorNames &sipStrings_QtGui[24556]
#define sipNameNr_setBlockFormat 24571
#define sipName_setBlockFormat &sipStrings_QtGui[24571]
#define sipNameNr_setBorderBrush 24586
#define sipName_setBorderBrush &sipStrings_QtGui[24586]
#define sipNameNr_setBorderStyle 24601
#define sipName_setBorderStyle &sipStrings_QtGui[24601]
#define sipNameNr_setBrushOrigin 24616
#define sipName_setBrushOrigin &sipStrings_QtGui[24616]
#define sipNameNr_setCellPadding 24631
#define sipName_setCellPadding &sipStrings_QtGui[24631]
#define sipNameNr_setCellSpacing 24646
#define sipName_setCellSpacing &sipStrings_QtGui[24646]
#define sipNameNr_setColumnCount 24661
#define sipName_setColumnCount &sipStrings_QtGui[24661]
#define sipNameNr_setCompression 24676
#define sipName_setCompression &sipStrings_QtGui[24676]
#define sipNameNr_setDashPattern 24691
#define sipName_setDashPattern &sipStrings_QtGui[24691]
#define sipNameNr_setDefaultFont 24706
#define sipName_setDefaultFont &sipStrings_QtGui[24706]
#define sipNameNr_setDescription 24721
#define sipName_setDescription &sipStrings_QtGui[24721]
#define sipNameNr_setDragEnabled 24736
#define sipName_setDragEnabled &sipStrings_QtGui[24736]
#define sipNameNr_setDropEnabled 24751
#define sipName_setDropEnabled &sipStrings_QtGui[24751]
#define sipNameNr_setFocalRadius 24766
#define sipName_setFocalRadius &sipStrings_QtGui[24766]
#define sipNameNr_setFontKerning 24781
#define sipName_setFontKerning &sipStrings_QtGui[24781]
#define sipNameNr_setFontStretch 24796
#define sipName_setFontStretch &sipStrings_QtGui[24796]
#define sipNameNr_setFrameFormat 24811
#define sipName_setFrameFormat &sipStrings_QtGui[24811]
#define sipNameNr_setIndentWidth 24826
#define sipName_setIndentWidth &sipStrings_QtGui[24826]
#define sipNameNr_setLeftPadding 24841
#define sipName_setLeftPadding &sipStrings_QtGui[24841]
#define sipNameNr_setMaximumSize 24856
#define sipName_setMaximumSize &sipStrings_QtGui[24856]
#define sipNameNr_setMinimumSize 24871
#define sipName_setMinimumSize &sipStrings_QtGui[24871]
#define sipNameNr_setNameFilters 24886
#define sipName_setNameFilters &sipStrings_QtGui[24886]
#define sipNameNr_setObjectIndex 24901
#define sipName_setObjectIndex &sipStrings_QtGui[24901]
#define sipNameNr_setOrientation 24916
#define sipName_setOrientation &sipStrings_QtGui[24916]
#define sipNameNr_setPageMargins 24931
#define sipName_setPageMargins &sipStrings_QtGui[24931]
#define sipNameNr_setPaintDevice 24946
#define sipName_setPaintDevice &sipStrings_QtGui[24946]
#define sipNameNr_setPreeditArea 24961
#define sipName_setPreeditArea &sipStrings_QtGui[24961]
#define sipNameNr_setRenderHints 24976
#define sipName_setRenderHints &sipStrings_QtGui[24976]
#define sipNameNr_setRestartHint 24991
#define sipName_setRestartHint &sipStrings_QtGui[24991]
#define sipNameNr_setRightBorder 25006
#define sipName_setRightBorder &sipStrings_QtGui[25006]
#define sipNameNr_setRightMargin 25021
#define sipName_setRightMargin &sipStrings_QtGui[25021]
#define sipNameNr_setRightToLeft 25036
#define sipName_setRightToLeft &sipStrings_QtGui[25036]
#define sipNameNr_setSurfaceType 25051
#define sipName_setSurfaceType &sipStrings_QtGui[25051]
#define sipNameNr_setTextOutline 25066
#define sipName_setTextOutline &sipStrings_QtGui[25066]
#define sipNameNr_setWindowState 25081
#define sipName_setWindowState &sipStrings_QtGui[25081]
#define sipNameNr_setWordSpacing 25096
#define sipName_setWordSpacing &sipStrings_QtGui[25096]
#define sipNameNr_showFullScreen 25111
#define sipName_showFullScreen &sipStrings_QtGui[25111]
#define sipNameNr_showStatusText 25126
#define sipName_showStatusText &sipStrings_QtGui[25126]
#define sipNameNr_slopeAtPercent 25141
#define sipName_slopeAtPercent &sipStrings_QtGui[25141]
#define sipNameNr_staticContents 25156
#define sipName_staticContents &sipStrings_QtGui[25156]
#define sipNameNr_stringProperty 25171
#define sipName_stringProperty &sipStrings_QtGui[25171]
#define sipNameNr_supportsOpenGL 25186
#define sipName_supportsOpenGL &sipStrings_QtGui[25186]
#define sipNameNr_supportsOption 25201
#define sipName_supportsOption &sipStrings_QtGui[25201]
#define sipNameNr_testRenderHint 25216
#define sipName_testRenderHint &sipStrings_QtGui[25216]
#define sipNameNr_toFillPolygons 25231
#define sipName_toFillPolygons &sipStrings_QtGui[25231]
#define sipNameNr_topBorderBrush 25246
#define sipName_topBorderBrush &sipStrings_QtGui[25246]
#define sipNameNr_topBorderStyle 25261
#define sipName_topBorderStyle &sipStrings_QtGui[25261]
#define sipNameNr_transformation 25276
#define sipName_transformation &sipStrings_QtGui[25276]
#define sipNameNr_underlineColor 25291
#define sipName_underlineColor &sipStrings_QtGui[25291]
#define sipNameNr_underlineStyle 25306
#define sipName_underlineStyle &sipStrings_QtGui[25306]
#define sipNameNr_visibleChanged 25321
#define sipName_visibleChanged &sipStrings_QtGui[25321]
#define sipNameNr_worldTransform 25336
#define sipName_worldTransform &sipStrings_QtGui[25336]
#define sipNameNr_writingSystems 25351
#define sipName_writingSystems &sipStrings_QtGui[25351]
#define sipNameNr_AlignBaseline 25366
#define sipName_AlignBaseline &sipStrings_QtGui[25366]
#define sipNameNr_AlphaPosition 3790
#define sipName_AlphaPosition &sipStrings_QtGui[3790]
#define sipNameNr_AlternateBase 25380
#define sipName_AlternateBase &sipStrings_QtGui[25380]
#define sipNameNr_AttributeType 1176
#define sipName_AttributeType &sipStrings_QtGui[1176]
#define sipNameNr_BurningSpring 25394
#define sipName_BurningSpring &sipStrings_QtGui[25394]
#define sipNameNr_ColorfulPeach 25408
#define sipName_ColorfulPeach &sipStrings_QtGui[25408]
#define sipNameNr_DashUnderline 25422
#define sipName_DashUnderline &sipStrings_QtGui[25422]
#define sipNameNr_DirtyClipPath 25436
#define sipName_DirtyClipPath &sipStrings_QtGui[25436]
#define sipNameNr_DocumentTitle 25450
#define sipName_DocumentTitle &sipStrings_QtGui[25450]
#define sipNameNr_EnvelopeChou3 25464
#define sipName_EnvelopeChou3 &sipStrings_QtGui[25464]
#define sipNameNr_EnvelopeChou4 25478
#define sipName_EnvelopeChou4 &sipStrings_QtGui[25478]
#define sipNameNr_EnvelopeKaku2 25492
#define sipName_EnvelopeKaku2 &sipStrings_QtGui[25492]
#define sipNameNr_EnvelopeKaku3 25506
#define sipName_EnvelopeKaku3 &sipStrings_QtGui[25506]
#define sipNameNr_EnvelopePrc10 25520
#define sipName_EnvelopePrc10 &sipStrings_QtGui[25520]
#define sipNameNr_ExtraExpanded 25534
#define sipName_ExtraExpanded &sipStrings_QtGui[25534]
#define sipNameNr_FanFoldGerman 25548
#define sipName_FanFoldGerman &sipStrings_QtGui[25548]
#define sipNameNr_FloatingPoint 25562
#define sipName_FloatingPoint &sipStrings_QtGui[25562]
#define sipNameNr_FontPixelSize 25576
#define sipName_FontPixelSize &sipStrings_QtGui[25576]
#define sipNameNr_FontPointSize 18839
#define sipName_FontPointSize &sipStrings_QtGui[18839]
#define sipNameNr_FontStrikeOut 18856
#define sipName_FontStrikeOut &sipStrings_QtGui[18856]
#define sipNameNr_FontStyleHint 18873
#define sipName_FontStyleHint &sipStrings_QtGui[18873]
#define sipNameNr_FontStyleName 18890
#define sipName_FontStyleName &sipStrings_QtGui[18890]
#define sipNameNr_FontUnderline 18907
#define sipName_FontUnderline &sipStrings_QtGui[18907]
#define sipNameNr_Format_ARGB32 25590
#define sipName_Format_ARGB32 &sipStrings_QtGui[25590]
#define sipNameNr_Format_Alpha8 25604
#define sipName_Format_Alpha8 &sipStrings_QtGui[25604]
#define sipNameNr_Format_BGR888 25618
#define sipName_Format_BGR888 &sipStrings_QtGui[25618]
#define sipNameNr_Format_RGB444 25632
#define sipName_Format_RGB444 &sipStrings_QtGui[25632]
#define sipNameNr_Format_RGB555 25646
#define sipName_Format_RGB555 &sipStrings_QtGui[25646]
#define sipNameNr_Format_RGB666 25660
#define sipName_Format_RGB666 &sipStrings_QtGui[25660]
#define sipNameNr_Format_RGB888 25674
#define sipName_Format_RGB888 &sipStrings_QtGui[25674]
#define sipNameNr_Format_RGBA64 25688
#define sipName_Format_RGBA64 &sipStrings_QtGui[25688]
#define sipNameNr_Format_RGBX64 25702
#define sipName_Format_RGBX64 &sipStrings_QtGui[25702]
#define sipNameNr_HappyMemories 25716
#define sipName_HappyMemories &sipStrings_QtGui[25716]
#define sipNameNr_ImageResource 25730
#define sipName_ImageResource &sipStrings_QtGui[25730]
#define sipNameNr_Imperial10x11 25744
#define sipName_Imperial10x11 &sipStrings_QtGui[25744]
#define sipNameNr_Imperial10x13 25758
#define sipName_Imperial10x13 &sipStrings_QtGui[25758]
#define sipNameNr_Imperial10x14 25772
#define sipName_Imperial10x14 &sipStrings_QtGui[25772]
#define sipNameNr_Imperial12x11 25786
#define sipName_Imperial12x11 &sipStrings_QtGui[25786]
#define sipNameNr_Imperial15x11 25800
#define sipName_Imperial15x11 &sipStrings_QtGui[25800]
#define sipNameNr_InvalidFormat 25814
#define sipName_InvalidFormat &sipStrings_QtGui[25814]
#define sipNameNr_ItmeoBranding 25828
#define sipName_ItmeoBranding &sipStrings_QtGui[25828]
#define sipNameNr_LineToElement 25842
#define sipName_LineToElement &sipStrings_QtGui[25842]
#define sipNameNr_MidnightBloom 25856
#define sipName_MidnightBloom &sipStrings_QtGui[25856]
#define sipNameNr_MinimumHeight 19026
#define sipName_MinimumHeight &sipStrings_QtGui[19026]
#define sipNameNr_MoveOperation 4201
#define sipName_MoveOperation &sipStrings_QtGui[4201]
#define sipNameNr_MoveToElement 25870
#define sipName_MoveToElement &sipStrings_QtGui[25870]
#define sipNameNr_NextCharacter 25884
#define sipName_NextCharacter &sipStrings_QtGui[25884]
#define sipNameNr_NoFontMerging 25898
#define sipName_NoFontMerging &sipStrings_QtGui[25898]
#define sipNameNr_OldFontFamily 25912
#define sipName_OldFontFamily &sipStrings_QtGui[25912]
#define sipNameNr_OpenGLSurface 25926
#define sipName_OpenGLSurface &sipStrings_QtGui[25926]
#define sipNameNr_OpenVGSurface 25940
#define sipName_OpenVGSurface &sipStrings_QtGui[25940]
#define sipNameNr_PageBreakFlag 4255
#define sipName_PageBreakFlag &sipStrings_QtGui[4255]
#define sipNameNr_PassionateBed 25954
#define sipName_PassionateBed &sipStrings_QtGui[25954]
#define sipNameNr_PreferDefault 25968
#define sipName_PreferDefault &sipStrings_QtGui[25968]
#define sipNameNr_PreferOutline 25982
#define sipName_PreferOutline &sipStrings_QtGui[25982]
#define sipNameNr_PreferQuality 25996
#define sipName_PreferQuality &sipStrings_QtGui[25996]
#define sipNameNr_Premultiplied 1275
#define sipName_Premultiplied &sipStrings_QtGui[1275]
#define sipNameNr_PreviousBlock 26010
#define sipName_PreviousBlock &sipStrings_QtGui[26010]
#define sipNameNr_PreviousChild 26024
#define sipName_PreviousChild &sipStrings_QtGui[26024]
#define sipNameNr_QBackingStore 26038
#define sipName_QBackingStore &sipStrings_QtGui[26038]
#define sipNameNr_QFont__Weight 26052
#define sipName_QFont__Weight &sipStrings_QtGui[26052]
#define sipNameNr_QFontDatabase 26066
#define sipName_QFontDatabase &sipStrings_QtGui[26066]
#define sipNameNr_QFontMetricsF 26080
#define sipName_QFontMetricsF &sipStrings_QtGui[26080]
#define sipNameNr_QIntValidator 26094
#define sipName_QIntValidator &sipStrings_QtGui[26094]
#define sipNameNr_26108 26108
#define sipName_26108 &sipStrings_QtGui[26108]
#define sipNameNr_QPointerEvent 26122
#define sipName_QPointerEvent &sipStrings_QtGui[26122]
#define sipNameNr_QRasterWindow 26136
#define sipName_QRasterWindow &sipStrings_QtGui[26136]
#define sipNameNr_QStandardItem 26150
#define sipName_QStandardItem &sipStrings_QtGui[26150]
#define sipNameNr_QTextDocument 26164
#define sipName_QTextDocument &sipStrings_QtGui[26164]
#define sipNameNr_QTextFragment 26178
#define sipName_QTextFragment &sipStrings_QtGui[26178]
#define sipNameNr_QWindowSystem 26192
#define sipName_QWindowSystem &sipStrings_QtGui[26192]
#define sipNameNr_RainyAshville 26206
#define sipName_RainyAshville &sipStrings_QtGui[26206]
#define sipNameNr_RasterOpModes 26220
#define sipName_RasterOpModes &sipStrings_QtGui[26220]
#define sipNameNr_RasterSurface 26234
#define sipName_RasterSurface &sipStrings_QtGui[26234]
#define sipNameNr_ReflectSpread 26248
#define sipName_ReflectSpread &sipStrings_QtGui[26248]
#define sipNameNr_RestartAnyway 26262
#define sipName_RestartAnyway &sipStrings_QtGui[26262]
#define sipNameNr_RiskyConcrete 26276
#define sipName_RiskyConcrete &sipStrings_QtGui[26276]
#define sipNameNr_ScrollStarted 26290
#define sipName_ScrollStarted &sipStrings_QtGui[26290]
#define sipNameNr_ScrollUpdated 26304
#define sipName_ScrollUpdated &sipStrings_QtGui[26304]
#define sipNameNr_SelectionType 4228
#define sipName_SelectionType &sipStrings_QtGui[4228]
#define sipNameNr_SemiCondensed 26318
#define sipName_SemiCondensed &sipStrings_QtGui[26318]
#define sipNameNr_SequenceMatch 3762
#define sipName_SequenceMatch &sipStrings_QtGui[3762]
#define sipNameNr_SharpeyeEagle 26332
#define sipName_SharpeyeEagle &sipStrings_QtGui[26332]
#define sipNameNr_SplitLigature 26346
#define sipName_SplitLigature &sipStrings_QtGui[26346]
#define sipNameNr_StereoBuffers 26360
#define sipName_StereoBuffers &sipStrings_QtGui[26360]
#define sipNameNr_StyleStrategy 9471
#define sipName_StyleStrategy &sipStrings_QtGui[9471]
#define sipNameNr_SugarLollipop 26374
#define sipName_SugarLollipop &sipStrings_QtGui[26374]
#define sipNameNr_TemptingAzure 26388
#define sipName_TemptingAzure &sipStrings_QtGui[26388]
#define sipNameNr_UltraExpanded 26402
#define sipName_UltraExpanded &sipStrings_QtGui[26402]
#define sipNameNr_UnsignedShort 26416
#define sipName_UnsignedShort &sipStrings_QtGui[26416]
#define sipNameNr_ViciousStance 26430
#define sipName_ViciousStance &sipStrings_QtGui[26430]
#define sipNameNr_VulkanSurface 26444
#define sipName_VulkanSurface &sipStrings_QtGui[26444]
#define sipNameNr_WaveUnderline 26458
#define sipName_WaveUnderline &sipStrings_QtGui[26458]
#define sipNameNr_WritingSystem 3104
#define sipName_WritingSystem &sipStrings_QtGui[3104]
#define sipNameNr_actionChanged 26472
#define sipName_actionChanged &sipStrings_QtGui[26472]
#define sipNameNr_activeChanged 26486
#define sipName_activeChanged &sipStrings_QtGui[26486]
#define sipNameNr_alphaPosition 26500
#define sipName_alphaPosition &sipStrings_QtGui[26500]
#define sipNameNr_alternateBase 26514
#define sipName_alternateBase &sipStrings_QtGui[26514]
#define sipNameNr_appendColumns 26528
#define sipName_appendColumns &sipStrings_QtGui[26528]
#define sipNameNr_autoTransform 26542
#define sipName_autoTransform &sipStrings_QtGui[26542]
#define sipNameNr_availableSize 26556
#define sipName_availableSize &sipStrings_QtGui[26556]
#define sipNameNr_bitPlaneCount 26570
#define sipName_bitPlaneCount &sipStrings_QtGui[26570]
#define sipNameNr_blockInserted 26584
#define sipName_blockInserted &sipStrings_QtGui[26584]
#define sipNameNr_bottomPadding 26598
#define sipName_bottomPadding &sipStrings_QtGui[26598]
#define sipNameNr_brushProperty 26612
#define sipName_brushProperty &sipStrings_QtGui[26612]
#define sipNameNr_checkedAction 26626
#define sipName_checkedAction &sipStrings_QtGui[26626]
#define sipNameNr_clearItemData 26640
#define sipName_clearItemData &sipStrings_QtGui[26640]
#define sipNameNr_clearProperty 26654
#define sipName_clearProperty &sipStrings_QtGui[26654]
#define sipNameNr_clipOperation 26668
#define sipName_clipOperation &sipStrings_QtGui[26668]
#define sipNameNr_colorProperty 26682
#define sipName_colorProperty &sipStrings_QtGui[26682]
#define sipNameNr_connectNotify 18346
#define sipName_connectNotify &sipStrings_QtGui[18346]
#define sipNameNr_constScanLine 26696
#define sipName_constScanLine &sipStrings_QtGui[26696]
#define sipNameNr_containsPoint 26710
#define sipName_containsPoint &sipStrings_QtGui[26710]
#define sipNameNr_currentPixmap 26724
#define sipName_currentPixmap &sipStrings_QtGui[26724]
#define sipNameNr_darkgoldenrod 26738
#define sipName_darkgoldenrod &sipStrings_QtGui[26738]
#define sipNameNr_darkslateblue 26752
#define sipName_darkslateblue &sipStrings_QtGui[26752]
#define sipNameNr_darkslategray 26766
#define sipName_darkslategray &sipStrings_QtGui[26766]
#define sipNameNr_darkslategrey 26780
#define sipName_darkslategrey &sipStrings_QtGui[26780]
#define sipNameNr_darkturquoise 26794
#define sipName_darkturquoise &sipStrings_QtGui[26794]
#define sipNameNr_defaultAction 26808
#define sipName_defaultAction &sipStrings_QtGui[26808]
#define sipNameNr_defaultFamily 26822
#define sipName_defaultFamily &sipStrings_QtGui[26822]
#define sipNameNr_defaultFormat 26836
#define sipName_defaultFormat &sipStrings_QtGui[26836]
#define sipNameNr_dotsPerMeterX 26850
#define sipName_dotsPerMeterX &sipStrings_QtGui[26850]
#define sipNameNr_dotsPerMeterY 26864
#define sipName_dotsPerMeterY &sipStrings_QtGui[26864]
#define sipNameNr_firstPosition 26878
#define sipName_firstPosition &sipStrings_QtGui[26878]
#define sipNameNr_focusOutEvent 26892
#define sipName_focusOutEvent &sipStrings_QtGui[26892]
#define sipNameNr_fontPointSize 26906
#define sipName_fontPointSize &sipStrings_QtGui[26906]
#define sipNameNr_fontStrikeOut 26920
#define sipName_fontStrikeOut &sipStrings_QtGui[26920]
#define sipNameNr_fontStyleHint 26934
#define sipName_fontStyleHint &sipStrings_QtGui[26934]
#define sipNameNr_fontStyleName 26948
#define sipName_fontStyleName &sipStrings_QtGui[26948]
#define sipNameNr_fontUnderline 26962
#define sipName_fontUnderline &sipStrings_QtGui[26962]
#define sipNameNr_formatVersion 26976
#define sipName_formatVersion &sipStrings_QtGui[26976]
#define sipNameNr_frameGeometry 26990
#define sipName_frameGeometry &sipStrings_QtGui[26990]
#define sipNameNr_framePosition 27004
#define sipName_framePosition &sipStrings_QtGui[27004]
#define sipNameNr_fromDirection 27018
#define sipName_fromDirection &sipStrings_QtGui[27018]
#define sipNameNr_fromNumericId 27032
#define sipName_fromNumericId &sipStrings_QtGui[27032]
#define sipNameNr_fromPlainText 27046
#define sipName_fromPlainText &sipStrings_QtGui[27046]
#define sipNameNr_fromTranslate 27060
#define sipName_fromTranslate &sipStrings_QtGui[27060]
#define sipNameNr_hasCapability 27074
#define sipName_hasCapability &sipStrings_QtGui[27074]
#define sipNameNr_heightChanged 27088
#define sipName_heightChanged &sipStrings_QtGui[27088]
#define sipNameNr_hslSaturation 27102
#define sipName_hslSaturation &sipStrings_QtGui[27102]
#define sipNameNr_hsvSaturation 27116
#define sipName_hsvSaturation &sipStrings_QtGui[27116]
#define sipNameNr_indexFromItem 27130
#define sipName_indexFromItem &sipStrings_QtGui[27130]
#define sipNameNr_insertColumns 27144
#define sipName_insertColumns &sipStrings_QtGui[27144]
#define sipNameNr_intrinsicSize 27158
#define sipName_intrinsicSize &sipStrings_QtGui[27158]
#define sipNameNr_isBlockFormat 27172
#define sipName_isBlockFormat &sipStrings_QtGui[27172]
#define sipNameNr_isClipEnabled 27186
#define sipName_isClipEnabled &sipStrings_QtGui[27186]
#define sipNameNr_isDragEnabled 27200
#define sipName_isDragEnabled &sipStrings_QtGui[27200]
#define sipNameNr_isDropEnabled 27214
#define sipName_isDropEnabled &sipStrings_QtGui[27214]
#define sipNameNr_isFrameFormat 27228
#define sipName_isFrameFormat &sipStrings_QtGui[27228]
#define sipNameNr_isImageFormat 27242
#define sipName_isImageFormat &sipStrings_QtGui[27242]
#define sipNameNr_isLeftToRight 27256
#define sipName_isLeftToRight &sipStrings_QtGui[27256]
#define sipNameNr_isRightToLeft 27270
#define sipName_isRightToLeft &sipStrings_QtGui[27270]
#define sipNameNr_isTableFormat 27284
#define sipName_isTableFormat &sipStrings_QtGui[27284]
#define sipNameNr_isTranslating 27298
#define sipName_isTranslating &sipStrings_QtGui[27298]
#define sipNameNr_isTransparent 27312
#define sipName_isTransparent &sipStrings_QtGui[27312]
#define sipNameNr_isUpdateEvent 27326
#define sipName_isUpdateEvent &sipStrings_QtGui[27326]
#define sipNameNr_itemFromIndex 27340
#define sipName_itemFromIndex &sipStrings_QtGui[27340]
#define sipNameNr_itemPrototype 27354
#define sipName_itemPrototype &sipStrings_QtGui[27354]
#define sipNameNr_keyPressEvent 27368
#define sipName_keyPressEvent &sipStrings_QtGui[27368]
#define sipNameNr_lastTimestamp 27382
#define sipName_lastTimestamp &sipStrings_QtGui[27382]
#define sipNameNr_lavenderblush 27396
#define sipName_lavenderblush &sipStrings_QtGui[27396]
#define sipNameNr_lengthSquared 27410
#define sipName_lengthSquared &sipStrings_QtGui[27410]
#define sipNameNr_letterSpacing 27424
#define sipName_letterSpacing &sipStrings_QtGui[27424]
#define sipNameNr_lightnessSize 27438
#define sipName_lightnessSize &sipStrings_QtGui[27438]
#define sipNameNr_lightseagreen 27452
#define sipName_lightseagreen &sipStrings_QtGui[27452]
#define sipNameNr_lineThickness 27466
#define sipName_lineThickness &sipStrings_QtGui[27466]
#define sipNameNr_localeChanged 27480
#define sipName_localeChanged &sipStrings_QtGui[27480]
#define sipNameNr_mapFromGlobal 27494
#define sipName_mapFromGlobal &sipStrings_QtGui[27494]
#define sipNameNr_marginsPixels 27508
#define sipName_marginsPixels &sipStrings_QtGui[27508]
#define sipNameNr_marginsPoints 27522
#define sipName_marginsPoints &sipStrings_QtGui[27522]
#define sipNameNr_maximumHeight 27536
#define sipName_maximumHeight &sipStrings_QtGui[27536]
#define sipNameNr_maximumPoints 27550
#define sipName_maximumPoints &sipStrings_QtGui[27550]
#define sipNameNr_minimumHeight 27564
#define sipName_minimumHeight &sipStrings_QtGui[27564]
#define sipNameNr_ownsClipboard 27578
#define sipName_ownsClipboard &sipStrings_QtGui[27578]
#define sipNameNr_ownsSelection 27592
#define sipName_ownsSelection &sipStrings_QtGui[27592]
#define sipNameNr_palegoldenrod 27606
#define sipName_palegoldenrod &sipStrings_QtGui[27606]
#define sipNameNr_paleturquoise 27620
#define sipName_paleturquoise &sipStrings_QtGui[27620]
#define sipNameNr_palevioletred 27634
#define sipName_palevioletred &sipStrings_QtGui[27634]
#define sipNameNr_preeditString 27648
#define sipName_preeditString &sipStrings_QtGui[27648]
#define sipNameNr_premultiplied 22378
#define sipName_premultiplied &sipStrings_QtGui[22378]
#define sipNameNr_pressPosition 27662
#define sipName_pressPosition &sipStrings_QtGui[27662]
#define sipNameNr_primaryScreen 27676
#define sipName_primaryScreen &sipStrings_QtGui[27676]
#define sipNameNr_propertyCount 27690
#define sipName_propertyCount &sipStrings_QtGui[27690]
#define sipNameNr_qFuzzyCompare 27704
#define sipName_qFuzzyCompare &sipStrings_QtGui[27704]
#define sipNameNr_redBufferSize 27718
#define sipName_redBufferSize &sipStrings_QtGui[27718]
#define sipNameNr_redoAvailable 27732
#define sipName_redoAvailable &sipStrings_QtGui[27732]
#define sipNameNr_removeColumns 27746
#define sipName_removeColumns &sipStrings_QtGui[27746]
#define sipNameNr_requestPhase2 27760
#define sipName_requestPhase2 &sipStrings_QtGui[27760]
#define sipNameNr_requestUpdate 27774
#define sipName_requestUpdate &sipStrings_QtGui[27774]
#define sipNameNr_rootDirectory 27788
#define sipName_rootDirectory &sipStrings_QtGui[27788]
#define sipNameNr_rotateRadians 27802
#define sipName_rotateRadians &sipStrings_QtGui[27802]
#define sipNameNr_rotatedVector 27816
#define sipName_rotatedVector &sipStrings_QtGui[27816]
#define sipNameNr_scaledToWidth 27830
#define sipName_scaledToWidth &sipStrings_QtGui[27830]
#define sipNameNr_scenePosition 27844
#define sipName_scenePosition &sipStrings_QtGui[27844]
#define sipNameNr_screenChanged 27858
#define sipName_screenChanged &sipStrings_QtGui[27858]
#define sipNameNr_screenRemoved 27872
#define sipName_screenRemoved &sipStrings_QtGui[27872]
#define sipNameNr_setAnchorHref 27886
#define sipName_setAnchorHref &sipStrings_QtGui[27886]
#define sipNameNr_setAutoRepeat 27900
#define sipName_setAutoRepeat &sipStrings_QtGui[27900]
#define sipNameNr_setBackground 27914
#define sipName_setBackground &sipStrings_QtGui[27914]
#define sipNameNr_setCacheLimit 27928
#define sipName_setCacheLimit &sipStrings_QtGui[27928]
#define sipNameNr_setCharFormat 27942
#define sipName_setCharFormat &sipStrings_QtGui[27942]
#define sipNameNr_setCheckState 27956
#define sipName_setCheckState &sipStrings_QtGui[27956]
#define sipNameNr_setClipRegion 27970
#define sipName_setClipRegion &sipStrings_QtGui[27970]
#define sipNameNr_setColorCount 27984
#define sipName_setColorCount &sipStrings_QtGui[27984]
#define sipNameNr_setColorGroup 27998
#define sipName_setColorGroup &sipStrings_QtGui[27998]
#define sipNameNr_setColorSpace 28012
#define sipName_setColorSpace &sipStrings_QtGui[28012]
#define sipNameNr_setColorTable 28026
#define sipName_setColorTable &sipStrings_QtGui[28026]
#define sipNameNr_setContentPos 28040
#define sipName_setContentPos &sipStrings_QtGui[28040]
#define sipNameNr_setDashOffset 28054
#define sipName_setDashOffset &sipStrings_QtGui[28054]
#define sipNameNr_setDragCursor 28068
#define sipName_setDragCursor &sipStrings_QtGui[28068]
#define sipNameNr_setDropAction 28082
#define sipName_setDropAction &sipStrings_QtGui[28082]
#define sipNameNr_setFixedPitch 28096
#define sipName_setFixedPitch &sipStrings_QtGui[28096]
#define sipNameNr_setFocalPoint 28110
#define sipName_setFocalPoint &sipStrings_QtGui[28110]
#define sipNameNr_setFontFamily 28124
#define sipName_setFontFamily &sipStrings_QtGui[28124]
#define sipNameNr_setFontItalic 28138
#define sipName_setFontItalic &sipStrings_QtGui[28138]
#define sipNameNr_setFontWeight 28152
#define sipName_setFontWeight &sipStrings_QtGui[28152]
#define sipNameNr_setForeground 28166
#define sipName_setForeground &sipStrings_QtGui[28166]
#define sipNameNr_setHeaderData 28180
#define sipName_setHeaderData &sipStrings_QtGui[28180]
#define sipNameNr_setLeftBorder 28194
#define sipName_setLeftBorder &sipStrings_QtGui[28194]
#define sipNameNr_setLeftMargin 28208
#define sipName_setLeftMargin &sipStrings_QtGui[28208]
#define sipNameNr_setLineHeight 28222
#define sipName_setLineHeight &sipStrings_QtGui[28222]
#define sipNameNr_setMiterLimit 28236
#define sipName_setMiterLimit &sipStrings_QtGui[28236]
#define sipNameNr_setNamedColor 28250
#define sipName_setNamedColor &sipStrings_QtGui[28250]
#define sipNameNr_setNumColumns 28264
#define sipName_setNumColumns &sipStrings_QtGui[28264]
#define sipNameNr_setObjectType 28278
#define sipName_setObjectType &sipStrings_QtGui[28278]
#define sipNameNr_setPageLayout 28292
#define sipName_setPageLayout &sipStrings_QtGui[28292]
#define sipNameNr_setPageRanges 28306
#define sipName_setPageRanges &sipStrings_QtGui[28306]
#define sipNameNr_setPdfVersion 28320
#define sipName_setPdfVersion &sipStrings_QtGui[28320]
#define sipNameNr_setPixelColor 28334
#define sipName_setPixelColor &sipStrings_QtGui[28334]
#define sipNameNr_setPointSizeF 28348
#define sipName_setPointSizeF &sipStrings_QtGui[28348]
#define sipNameNr_setRenderHint 28362
#define sipName_setRenderHint &sipStrings_QtGui[28362]
#define sipNameNr_setResolution 28376
#define sipName_setResolution &sipStrings_QtGui[28376]
#define sipNameNr_setScaledSize 28390
#define sipName_setScaledSize &sipStrings_QtGui[28390]
#define sipNameNr_setSelectable 28404
#define sipName_setSelectable &sipStrings_QtGui[28404]
#define sipNameNr_setTextFormat 28418
#define sipName_setTextFormat &sipStrings_QtGui[28418]
#define sipNameNr_setTextIndent 28432
#define sipName_setTextIndent &sipStrings_QtGui[28432]
#define sipNameNr_setTextOption 28446
#define sipName_setTextOption &sipStrings_QtGui[28446]
#define sipNameNr_setToIdentity 28460
#define sipName_setToIdentity &sipStrings_QtGui[28460]
#define sipNameNr_setTopPadding 28474
#define sipName_setTopPadding &sipStrings_QtGui[28474]
#define sipNameNr_setUrlHandler 22394
#define sipName_setUrlHandler &sipStrings_QtGui[22394]
#define sipNameNr_setVisibility 28488
#define sipName_setVisibility &sipStrings_QtGui[28488]
#define sipNameNr_setWindowIcon 28502
#define sipName_setWindowIcon &sipStrings_QtGui[28502]
#define sipNameNr_showMaximized 28516
#define sipName_showMaximized &sipStrings_QtGui[28516]
#define sipNameNr_showMinimized 28530
#define sipName_showMinimized &sipStrings_QtGui[28530]
#define sipNameNr_sizeIncrement 28544
#define sipName_sizeIncrement &sipStrings_QtGui[28544]
#define sipNameNr_standardSizes 28558
#define sipName_standardSizes &sipStrings_QtGui[28558]
#define sipNameNr_startDragTime 28572
#define sipName_startDragTime &sipStrings_QtGui[28572]
#define sipNameNr_styleStrategy 28586
#define sipName_styleStrategy &sipStrings_QtGui[28586]
#define sipNameNr_substitutions 28600
#define sipName_substitutions &sipStrings_QtGui[28600]
#define sipNameNr_targetChanged 28614
#define sipName_targetChanged &sipStrings_QtGui[28614]
#define sipNameNr_textAlignment 28628
#define sipName_textAlignment &sipStrings_QtGui[28628]
#define sipNameNr_textDirection 28642
#define sipName_textDirection &sipStrings_QtGui[28642]
#define sipNameNr_toBlockFormat 28656
#define sipName_toBlockFormat &sipStrings_QtGui[28656]
#define sipNameNr_toEulerAngles 28670
#define sipName_toEulerAngles &sipStrings_QtGui[28670]
#define sipNameNr_toExtendedRgb 28684
#define sipName_toExtendedRgb &sipStrings_QtGui[28684]
#define sipNameNr_toFillPolygon 28698
#define sipName_toFillPolygon &sipStrings_QtGui[28698]
#define sipNameNr_toFrameFormat 28712
#define sipName_toFrameFormat &sipStrings_QtGui[28712]
#define sipNameNr_toImageFormat 28726
#define sipName_toImageFormat &sipStrings_QtGui[28726]
#define sipNameNr_toPixelFormat 28740
#define sipName_toPixelFormat &sipStrings_QtGui[28740]
#define sipNameNr_toTableFormat 28754
#define sipName_toTableFormat &sipStrings_QtGui[28754]
#define sipNameNr_transformMode 28768
#define sipName_transformMode &sipStrings_QtGui[28768]
#define sipNameNr_undoAvailable 28782
#define sipName_undoAvailable &sipStrings_QtGui[28782]
#define sipNameNr_writingSystem 28796
#define sipName_writingSystem &sipStrings_QtGui[28796]
#define sipNameNr_AfricanField 28810
#define sipName_AfricanField &sipStrings_QtGui[28810]
#define sipNameNr_AlchemistLab 28823
#define sipName_AlchemistLab &sipStrings_QtGui[28823]
#define sipNameNr_AllLowercase 28836
#define sipName_AllLowercase &sipStrings_QtGui[28836]
#define sipNameNr_AllUppercase 28849
#define sipName_AllUppercase &sipStrings_QtGui[28849]
#define sipNameNr_AncestorMode 8512
#define sipName_AncestorMode &sipStrings_QtGui[8512]
#define sipNameNr_Antialiasing 9724
#define sipName_Antialiasing &sipStrings_QtGui[9724]
#define sipNameNr_AquaGuidance 28862
#define sipName_AquaGuidance &sipStrings_QtGui[28862]
#define sipNameNr_CoreGraphics 28875
#define sipName_CoreGraphics &sipStrings_QtGui[28875]
#define sipNameNr_CrystalRiver 28888
#define sipName_CrystalRiver &sipStrings_QtGui[28888]
#define sipNameNr_DebugContext 28901
#define sipName_DebugContext &sipStrings_QtGui[28901]
#define sipNameNr_DelimiterTab 28914
#define sipName_DelimiterTab &sipStrings_QtGui[28914]
#define sipNameNr_DirtyOpacity 28927
#define sipName_DirtyOpacity &sipStrings_QtGui[28927]
#define sipNameNr_DoubleBuffer 28940
#define sipName_DoubleBuffer &sipStrings_QtGui[28940]
#define sipNameNr_EnvelopePrc1 28953
#define sipName_EnvelopePrc1 &sipStrings_QtGui[28953]
#define sipNameNr_EnvelopePrc2 28966
#define sipName_EnvelopePrc2 &sipStrings_QtGui[28966]
#define sipNameNr_EnvelopePrc3 28979
#define sipName_EnvelopePrc3 &sipStrings_QtGui[28979]
#define sipNameNr_EnvelopePrc4 28992
#define sipName_EnvelopePrc4 &sipStrings_QtGui[28992]
#define sipNameNr_EnvelopePrc5 29005
#define sipName_EnvelopePrc5 &sipStrings_QtGui[29005]
#define sipNameNr_EnvelopePrc6 29018
#define sipName_EnvelopePrc6 &sipStrings_QtGui[29018]
#define sipNameNr_EnvelopePrc7 29031
#define sipName_EnvelopePrc7 &sipStrings_QtGui[29031]
#define sipNameNr_EnvelopePrc8 29044
#define sipName_EnvelopePrc8 &sipStrings_QtGui[29044]
#define sipNameNr_EnvelopePrc9 29057
#define sipName_EnvelopePrc9 &sipStrings_QtGui[29057]
#define sipNameNr_EnvelopeYou4 29070
#define sipName_EnvelopeYou4 &sipStrings_QtGui[29070]
#define sipNameNr_FabledSunset 29083
#define sipName_FabledSunset &sipStrings_QtGui[29083]
#define sipNameNr_FarawayRiver 29096
#define sipName_FarawayRiver &sipStrings_QtGui[29096]
#define sipNameNr_FileIconRole 29109
#define sipName_FileIconRole &sipStrings_QtGui[29109]
#define sipNameNr_FileNameRole 29122
#define sipName_FileNameRole &sipStrings_QtGui[29122]
#define sipNameNr_FilePathRole 29135
#define sipName_FilePathRole &sipStrings_QtGui[29135]
#define sipNameNr_FindBackward 29148
#define sipName_FindBackward &sipStrings_QtGui[29148]
#define sipNameNr_FindPrevious 29161
#define sipName_FindPrevious &sipStrings_QtGui[29161]
#define sipNameNr_FontFamilies 6703
#define sipName_FontFamilies &sipStrings_QtGui[6703]
#define sipNameNr_FontOverline 21963
#define sipName_FontOverline &sipStrings_QtGui[21963]
#define sipNameNr_ForceOutline 29174
#define sipName_ForceOutline &sipStrings_QtGui[29174]
#define sipNameNr_FormatOption 3337
#define sipName_FormatOption &sipStrings_QtGui[3337]
#define sipNameNr_Format_BGR30 29187
#define sipName_Format_BGR30 &sipStrings_QtGui[29187]
#define sipNameNr_Format_RGB16 29200
#define sipName_Format_RGB16 &sipStrings_QtGui[29200]
#define sipNameNr_Format_RGB30 29213
#define sipName_Format_RGB30 &sipStrings_QtGui[29213]
#define sipNameNr_Format_RGB32 29226
#define sipName_Format_RGB32 &sipStrings_QtGui[29226]
#define sipNameNr_FramePadding 29239
#define sipName_FramePadding &sipStrings_QtGui[29239]
#define sipNameNr_FrozenDreams 29252
#define sipName_FrozenDreams &sipStrings_QtGui[29252]
#define sipNameNr_FullPageMode 29265
#define sipName_FullPageMode &sipStrings_QtGui[29265]
#define sipNameNr_GlyphRunFlag 6247
#define sipName_GlyphRunFlag &sipStrings_QtGui[6247]
#define sipNameNr_GrassShampoo 29278
#define sipName_GrassShampoo &sipStrings_QtGui[29278]
#define sipNameNr_HappyUnicorn 29291
#define sipName_HappyUnicorn &sipStrings_QtGui[29291]
#define sipNameNr_HeadingLevel 21995
#define sipName_HeadingLevel &sipStrings_QtGui[21995]
#define sipNameNr_HealthyWater 29304
#define sipName_HealthyWater &sipStrings_QtGui[29304]
#define sipNameNr_HelpContents 29317
#define sipName_HelpContents &sipStrings_QtGui[29317]
#define sipNameNr_HiddenJaguar 29330
#define sipName_HiddenJaguar &sipStrings_QtGui[29330]
#define sipNameNr_HighPriority 29343
#define sipName_HighPriority &sipStrings_QtGui[29343]
#define sipNameNr_HtmlResource 29356
#define sipName_HtmlResource &sipStrings_QtGui[29356]
#define sipNameNr_IgnoresAlpha 29369
#define sipName_IgnoresAlpha &sipStrings_QtGui[29369]
#define sipNameNr_ImageAltText 29382
#define sipName_ImageAltText &sipStrings_QtGui[29382]
#define sipNameNr_ImageQuality 29395
#define sipName_ImageQuality &sipStrings_QtGui[29395]
#define sipNameNr_Imperial8x10 29408
#define sipName_Imperial8x10 &sipStrings_QtGui[29408]
#define sipNameNr_Imperial9x11 29421
#define sipName_Imperial9x11 &sipStrings_QtGui[29421]
#define sipNameNr_Imperial9x12 29434
#define sipName_Imperial9x12 &sipStrings_QtGui[29434]
#define sipNameNr_Intermediate 29447
#define sipName_Intermediate &sipStrings_QtGui[29447]
#define sipNameNr_LadogaBottom 29460
#define sipName_LadogaBottom &sipStrings_QtGui[29460]
#define sipNameNr_LastPageSize 29473
#define sipName_LastPageSize &sipStrings_QtGui[29473]
#define sipNameNr_LittleEndian 29486
#define sipName_LittleEndian &sipStrings_QtGui[29486]
#define sipNameNr_MetalSurface 29499
#define sipName_MetalSurface &sipStrings_QtGui[29499]
#define sipNameNr_MorningSalad 29512
#define sipName_MorningSalad &sipStrings_QtGui[29512]
#define sipNameNr_MountainRock 29525
#define sipName_MountainRock &sipStrings_QtGui[29525]
#define sipNameNr_NColorGroups 29538
#define sipName_NColorGroups &sipStrings_QtGui[29538]
#define sipNameNr_NewRetrowave 29551
#define sipName_NewRetrowave &sipStrings_QtGui[29551]
#define sipNameNr_NorthMiracle 29564
#define sipName_NorthMiracle &sipStrings_QtGui[29564]
#define sipNameNr_PaintContext 126
#define sipName_PaintContext &sipStrings_QtGui[126]
#define sipNameNr_PainterPaths 29577
#define sipName_PainterPaths &sipStrings_QtGui[29577]
#define sipNameNr_PartialMatch 29590
#define sipName_PartialMatch &sipStrings_QtGui[29590]
#define sipNameNr_PatternBrush 29603
#define sipName_PatternBrush &sipStrings_QtGui[29603]
#define sipNameNr_PdmNumColors 29616
#define sipName_PdmNumColors &sipStrings_QtGui[29616]
#define sipNameNr_PerfectWhite 29629
#define sipName_PerfectWhite &sipStrings_QtGui[29629]
#define sipNameNr_PhoenixStart 29642
#define sipName_PhoenixStart &sipStrings_QtGui[29642]
#define sipNameNr_PoliteRumors 29655
#define sipName_PoliteRumors &sipStrings_QtGui[29655]
#define sipNameNr_PolylineMode 29668
#define sipName_PolylineMode &sipStrings_QtGui[29668]
#define sipNameNr_PortableText 29681
#define sipName_PortableText &sipStrings_QtGui[29681]
#define sipNameNr_PreferBitmap 29694
#define sipName_PreferBitmap &sipStrings_QtGui[29694]
#define sipNameNr_PreferDevice 29707
#define sipName_PreferDevice &sipStrings_QtGui[29707]
#define sipNameNr_PremiumWhite 29720
#define sipName_PremiumWhite &sipStrings_QtGui[29720]
#define sipNameNr_PreviousCell 29733
#define sipName_PreviousCell &sipStrings_QtGui[29733]
#define sipNameNr_PreviousWord 12593
#define sipName_PreviousWord &sipStrings_QtGui[12593]
#define sipNameNr_QActionEvent 29746
#define sipName_QActionEvent &sipStrings_QtGui[29746]
#define sipNameNr_QActionGroup 29759
#define sipName_QActionGroup &sipStrings_QtGui[29759]
#define sipNameNr_QColor__Spec 29772
#define sipName_QColor__Spec &sipStrings_QtGui[29772]
#define sipNameNr_QExposeEvent 29785
#define sipName_QExposeEvent &sipStrings_QtGui[29785]
#define sipNameNr_QFont__Style 29798
#define sipName_QFont__Style &sipStrings_QtGui[29798]
#define sipNameNr_QFontMetrics 29811
#define sipName_QFontMetrics &sipStrings_QtGui[29811]
#define sipNameNr_QIcon__State 29824
#define sipName_QIcon__State &sipStrings_QtGui[29824]
#define sipNameNr_QImageReader 29837
#define sipName_QImageReader &sipStrings_QtGui[29837]
#define sipNameNr_QImageWriter 29850
#define sipName_QImageWriter &sipStrings_QtGui[29850]
#define sipNameNr_QInputDevice 29863
#define sipName_QInputDevice &sipStrings_QtGui[29863]
#define sipNameNr_QInputMethod 29876
#define sipName_QInputMethod &sipStrings_QtGui[29876]
#define sipNameNr_QKeySequence 29889
#define sipName_QKeySequence &sipStrings_QtGui[29889]
#define sipNameNr_29902 29902
#define sipName_29902 &sipStrings_QtGui[29902]
#define sipNameNr_29915 29915
#define sipName_29915 &sipStrings_QtGui[29915]
#define sipNameNr_QPaintDevice 29928
#define sipName_QPaintDevice &sipStrings_QtGui[29928]
#define sipNameNr_QPaintEngine 29941
#define sipName_QPaintEngine &sipStrings_QtGui[29941]
#define sipNameNr_QPainterPath 29954
#define sipName_QPainterPath &sipStrings_QtGui[29954]
#define sipNameNr_QPixelFormat 29967
#define sipName_QPixelFormat &sipStrings_QtGui[29967]
#define sipNameNr_QPixmapCache 29980
#define sipName_QPixmapCache &sipStrings_QtGui[29980]
#define sipNameNr_QResizeEvent 29993
#define sipName_QResizeEvent &sipStrings_QtGui[29993]
#define sipNameNr_QScrollEvent 30006
#define sipName_QScrollEvent &sipStrings_QtGui[30006]
#define sipNameNr_QTabletEvent 30019
#define sipName_QTabletEvent &sipStrings_QtGui[30019]
#define sipNameNr_QUndoCommand 30032
#define sipName_QUndoCommand &sipStrings_QtGui[30032]
#define sipNameNr_RedSalvation 30045
#define sipName_RedSalvation &sipStrings_QtGui[30045]
#define sipNameNr_RepeatSpread 30058
#define sipName_RepeatSpread &sipStrings_QtGui[30058]
#define sipNameNr_ResourceType 3847
#define sipName_ResourceType &sipStrings_QtGui[3847]
#define sipNameNr_RestartNever 30071
#define sipName_RestartNever &sipStrings_QtGui[30071]
#define sipNameNr_SaltMountain 30084
#define sipName_SaltMountain &sipStrings_QtGui[30084]
#define sipNameNr_SemiExpanded 30097
#define sipName_SemiExpanded &sipStrings_QtGui[30097]
#define sipNameNr_SingleBuffer 30110
#define sipName_SingleBuffer &sipStrings_QtGui[30110]
#define sipNameNr_SingleHeight 30123
#define sipName_SingleHeight &sipStrings_QtGui[30123]
#define sipNameNr_SoftLipstick 30136
#define sipName_SoftLipstick &sipStrings_QtGui[30136]
#define sipNameNr_SpringWarmth 30149
#define sipName_SpringWarmth &sipStrings_QtGui[30149]
#define sipNameNr_StandardMode 30162
#define sipName_StandardMode &sipStrings_QtGui[30162]
#define sipNameNr_StartOfBlock 12612
#define sipName_StartOfBlock &sipStrings_QtGui[12612]
#define sipNameNr_StyleOblique 30175
#define sipName_StyleOblique &sipStrings_QtGui[30175]
#define sipNameNr_SunnyMorning 30188
#define sipName_SunnyMorning &sipStrings_QtGui[30188]
#define sipNameNr_SurfaceClass 7315
#define sipName_SurfaceClass &sipStrings_QtGui[7315]
#define sipNameNr_SwapBehavior 3366
#define sipName_SwapBehavior &sipStrings_QtGui[3366]
#define sipNameNr_SweetDessert 30201
#define sipName_SweetDessert &sipStrings_QtGui[30201]
#define sipNameNr_TabPositions 22187
#define sipName_TabPositions &sipStrings_QtGui[22187]
#define sipNameNr_TableColumns 30214
#define sipName_TableColumns &sipStrings_QtGui[30214]
#define sipNameNr_TabloidExtra 30227
#define sipName_TabloidExtra &sipStrings_QtGui[30227]
#define sipNameNr_TeenNotebook 30240
#define sipName_TeenNotebook &sipStrings_QtGui[30240]
#define sipNameNr_TripleBuffer 30253
#define sipName_TripleBuffer &sipStrings_QtGui[30253]
#define sipNameNr_UnknownError 30266
#define sipName_UnknownError &sipStrings_QtGui[30266]
#define sipNameNr_UnsignedByte 30279
#define sipName_UnsignedByte &sipStrings_QtGui[30279]
#define sipNameNr_UserProperty 30292
#define sipName_UserProperty &sipStrings_QtGui[30292]
#define sipNameNr_UserResource 30305
#define sipName_UserResource &sipStrings_QtGui[30305]
#define sipNameNr_WrapAnywhere 30318
#define sipName_WrapAnywhere &sipStrings_QtGui[30318]
#define sipNameNr_YoungPassion 30331
#define sipName_YoungPassion &sipStrings_QtGui[30331]
#define sipNameNr___contains__ 30344
#define sipName___contains__ &sipStrings_QtGui[30344]
#define sipNameNr___itruediv__ 30357
#define sipName___itruediv__ &sipStrings_QtGui[30357]
#define sipNameNr_angleBetween 30370
#define sipName_angleBetween &sipStrings_QtGui[30370]
#define sipNameNr_antiquewhite 30383
#define sipName_antiquewhite &sipStrings_QtGui[30383]
#define sipNameNr_appendColumn 30396
#define sipName_appendColumn &sipStrings_QtGui[30396]
#define sipNameNr_atBlockStart 30409
#define sipName_atBlockStart &sipStrings_QtGui[30409]
#define sipNameNr_bitsPerPixel 30422
#define sipName_bitsPerPixel &sipStrings_QtGui[30422]
#define sipNameNr_blockRemoved 30435
#define sipName_blockRemoved &sipStrings_QtGui[30435]
#define sipNameNr_boolProperty 30448
#define sipName_boolProperty &sipStrings_QtGui[30448]
#define sipNameNr_bottomBorder 30461
#define sipName_bottomBorder &sipStrings_QtGui[30461]
#define sipNameNr_bottomMargin 30474
#define sipName_bottomMargin &sipStrings_QtGui[30474]
#define sipNameNr_boundingRect 30487
#define sipName_boundingRect &sipStrings_QtGui[30487]
#define sipNameNr_bytesPerLine 30500
#define sipName_bytesPerLine &sipStrings_QtGui[30500]
#define sipNameNr_cacheEnabled 30513
#define sipName_cacheEnabled &sipStrings_QtGui[30513]
#define sipNameNr_canFetchMore 30526
#define sipName_canFetchMore &sipStrings_QtGui[30526]
#define sipNameNr_capabilities 30539
#define sipName_capabilities &sipStrings_QtGui[30539]
#define sipNameNr_centerRadius 30552
#define sipName_centerRadius &sipStrings_QtGui[30552]
#define sipNameNr_channelCount 30565
#define sipName_channelCount &sipStrings_QtGui[30565]
#define sipNameNr_cleanChanged 30578
#define sipName_cleanChanged &sipStrings_QtGui[30578]
#define sipNameNr_clearFormats 30591
#define sipName_clearFormats &sipStrings_QtGui[30591]
#define sipNameNr_closeSubpath 30604
#define sipName_closeSubpath &sipStrings_QtGui[30604]
#define sipNameNr_columnNumber 30617
#define sipName_columnNumber &sipStrings_QtGui[30617]
#define sipNameNr_commitString 30630
#define sipName_commitString &sipStrings_QtGui[30630]
#define sipNameNr_createObject 30643
#define sipName_createObject &sipStrings_QtGui[30643]
#define sipNameNr_createStroke 30656
#define sipName_createStroke &sipStrings_QtGui[30656]
#define sipNameNr_crossProduct 30669
#define sipName_crossProduct &sipStrings_QtGui[30669]
#define sipNameNr_currentBlock 30682
#define sipName_currentBlock &sipStrings_QtGui[30682]
#define sipNameNr_currentFrame 30695
#define sipName_currentFrame &sipStrings_QtGui[30695]
#define sipNameNr_currentImage 30708
#define sipName_currentImage &sipStrings_QtGui[30708]
#define sipNameNr_currentTable 30721
#define sipName_currentTable &sipStrings_QtGui[30721]
#define sipNameNr_darkseagreen 30734
#define sipName_darkseagreen &sipStrings_QtGui[30734]
#define sipNameNr_defaultDepth 30747
#define sipName_defaultDepth &sipStrings_QtGui[30747]
#define sipNameNr_documentSize 30760
#define sipName_documentSize &sipStrings_QtGui[30760]
#define sipNameNr_drawContents 30773
#define sipName_drawContents &sipStrings_QtGui[30773]
#define sipNameNr_drawGlyphRun 30786
#define sipName_drawGlyphRun &sipStrings_QtGui[30786]
#define sipNameNr_drawPolyline 30799
#define sipName_drawPolyline &sipStrings_QtGui[30799]
#define sipNameNr_drawTextItem 30812
#define sipName_drawTextItem &sipStrings_QtGui[30812]
#define sipNameNr_dropMimeData 30825
#define sipName_dropMimeData &sipStrings_QtGui[30825]
#define sipNameNr_elementCount 30838
#define sipName_elementCount &sipStrings_QtGui[30838]
#define sipNameNr_endEditBlock 30851
#define sipName_endEditBlock &sipStrings_QtGui[30851]
#define sipNameNr_focusInEvent 30864
#define sipName_focusInEvent &sipStrings_QtGui[30864]
#define sipNameNr_fontFamilies 30877
#define sipName_fontFamilies &sipStrings_QtGui[30877]
#define sipNameNr_fontOverline 30890
#define sipName_fontOverline &sipStrings_QtGui[30890]
#define sipNameNr_frameChanged 30903
#define sipName_frameChanged &sipStrings_QtGui[30903]
#define sipNameNr_frameMargins 30916
#define sipName_frameMargins &sipStrings_QtGui[30916]
#define sipNameNr_fromMarkdown 30929
#define sipName_fromMarkdown &sipStrings_QtGui[30929]
#define sipNameNr_glyphIndexes 30942
#define sipName_glyphIndexes &sipStrings_QtGui[30942]
#define sipNameNr_grabPosition 30955
#define sipName_grabPosition &sipStrings_QtGui[30955]
#define sipNameNr_hasExtension 30968
#define sipName_hasExtension &sipStrings_QtGui[30968]
#define sipNameNr_hasSelection 30981
#define sipName_hasSelection &sipStrings_QtGui[30981]
#define sipNameNr_hasThemeIcon 30994
#define sipName_hasThemeIcon &sipStrings_QtGui[30994]
#define sipNameNr_headingLevel 31007
#define sipName_headingLevel &sipStrings_QtGui[31007]
#define sipNameNr_iconProvider 31020
#define sipName_iconProvider &sipStrings_QtGui[31020]
#define sipNameNr_indexChanged 31033
#define sipName_indexChanged &sipStrings_QtGui[31033]
#define sipNameNr_insertColumn 31046
#define sipName_insertColumn &sipStrings_QtGui[31046]
#define sipNameNr_invertPixels 31059
#define sipName_invertPixels &sipStrings_QtGui[31059]
#define sipNameNr_invokeAction 31072
#define sipName_invokeAction &sipStrings_QtGui[31072]
#define sipNameNr_isAncestorOf 31085
#define sipName_isAncestorOf &sipStrings_QtGui[31085]
#define sipNameNr_isAutoRepeat 31098
#define sipName_isAutoRepeat &sipStrings_QtGui[31098]
#define sipNameNr_isBeginEvent 31111
#define sipName_isBeginEvent &sipStrings_QtGui[31111]
#define sipNameNr_isCharFormat 31124
#define sipName_isCharFormat &sipStrings_QtGui[31124]
#define sipNameNr_isFixedPitch 31137
#define sipName_isFixedPitch &sipStrings_QtGui[31137]
#define sipNameNr_isInvertible 31150
#define sipName_isInvertible &sipStrings_QtGui[31150]
#define sipNameNr_isListFormat 31163
#define sipName_isListFormat &sipStrings_QtGui[31163]
#define sipNameNr_isSelectable 31176
#define sipName_isSelectable &sipStrings_QtGui[31176]
#define sipNameNr_isValidColor 31189
#define sipName_isValidColor &sipStrings_QtGui[31189]
#define sipNameNr_lastModified 31202
#define sipName_lastModified &sipStrings_QtGui[31202]
#define sipNameNr_lastPosition 31215
#define sipName_lastPosition &sipStrings_QtGui[31215]
#define sipNameNr_lemonchiffon 31228
#define sipName_lemonchiffon &sipStrings_QtGui[31228]
#define sipNameNr_lightskyblue 31241
#define sipName_lightskyblue &sipStrings_QtGui[31241]
#define sipNameNr_listToString 31254
#define sipName_listToString &sipStrings_QtGui[31254]
#define sipNameNr_loadFromData 31267
#define sipName_loadFromData &sipStrings_QtGui[31267]
#define sipNameNr_loadFromFile 31280
#define sipName_loadFromFile &sipStrings_QtGui[31280]
#define sipNameNr_loadResource 31293
#define sipName_loadResource &sipStrings_QtGui[31293]
#define sipNameNr_majorVersion 31306
#define sipName_majorVersion &sipStrings_QtGui[31306]
#define sipNameNr_manufacturer 31319
#define sipName_manufacturer &sipStrings_QtGui[31319]
#define sipNameNr_mapToPolygon 31332
#define sipName_mapToPolygon &sipStrings_QtGui[31332]
#define sipNameNr_maxCharWidth 31345
#define sipName_maxCharWidth &sipStrings_QtGui[31345]
#define sipNameNr_maximumWidth 31358
#define sipName_maximumWidth &sipStrings_QtGui[31358]
#define sipNameNr_mediumorchid 31371
#define sipName_mediumorchid &sipStrings_QtGui[31371]
#define sipNameNr_mediumpurple 31384
#define sipName_mediumpurple &sipStrings_QtGui[31384]
#define sipNameNr_midnightblue 31397
#define sipName_midnightblue &sipStrings_QtGui[31397]
#define sipNameNr_minimumWidth 31410
#define sipName_minimumWidth &sipStrings_QtGui[31410]
#define sipNameNr_minorVersion 31423
#define sipName_minorVersion &sipStrings_QtGui[31423]
#define sipNameNr_mouseButtons 31436
#define sipName_mouseButtons &sipStrings_QtGui[31436]
#define sipNameNr_movePosition 31449
#define sipName_movePosition &sipStrings_QtGui[31449]
#define sipNameNr_normalMatrix 31462
#define sipName_normalMatrix &sipStrings_QtGui[31462]
#define sipNameNr_numberPrefix 31475
#define sipName_numberPrefix &sipStrings_QtGui[31475]
#define sipNameNr_numberSuffix 31488
#define sipName_numberSuffix &sipStrings_QtGui[31488]
#define sipNameNr_pathForGlyph 31501
#define sipName_pathForGlyph &sipStrings_QtGui[31501]
#define sipNameNr_physicalDpiX 31514
#define sipName_physicalDpiX &sipStrings_QtGui[31514]
#define sipNameNr_physicalDpiY 31527
#define sipName_physicalDpiY &sipStrings_QtGui[31527]
#define sipNameNr_physicalSize 31540
#define sipName_physicalSize &sipStrings_QtGui[31540]
#define sipNameNr_platformName 31553
#define sipName_platformName &sipStrings_QtGui[31553]
#define sipNameNr_qPremultiply 31566
#define sipName_qPremultiply &sipStrings_QtGui[31566]
#define sipNameNr_quadToSquare 31579
#define sipName_quadToSquare &sipStrings_QtGui[31579]
#define sipNameNr_removeAction 31592
#define sipName_removeAction &sipStrings_QtGui[31592]
#define sipNameNr_removeColumn 31605
#define sipName_removeColumn &sipStrings_QtGui[31605]
#define sipNameNr_resetEnabled 31618
#define sipName_resetEnabled &sipStrings_QtGui[31618]
#define sipNameNr_rightBearing 31631
#define sipName_rightBearing &sipStrings_QtGui[31631]
#define sipNameNr_rightPadding 31644
#define sipName_rightPadding &sipStrings_QtGui[31644]
#define sipNameNr_scaledPixmap 31657
#define sipName_scaledPixmap &sipStrings_QtGui[31657]
#define sipNameNr_selectedText 31670
#define sipName_selectedText &sipStrings_QtGui[31670]
#define sipNameNr_selectionEnd 31683
#define sipName_selectionEnd &sipStrings_QtGui[31683]
#define sipNameNr_serialNumber 31696
#define sipName_serialNumber &sipStrings_QtGui[31696]
#define sipNameNr_setAlignment 31709
#define sipName_setAlignment &sipStrings_QtGui[31709]
#define sipNameNr_setCacheMode 31722
#define sipName_setCacheMode &sipStrings_QtGui[31722]
#define sipNameNr_setCheckable 31735
#define sipName_setCheckable &sipStrings_QtGui[31735]
#define sipNameNr_setExclusive 31748
#define sipName_setExclusive &sipStrings_QtGui[31748]
#define sipNameNr_setFinalStop 31761
#define sipName_setFinalStop &sipStrings_QtGui[31761]
#define sipNameNr_setJoinStyle 31774
#define sipName_setJoinStyle &sipStrings_QtGui[31774]
#define sipNameNr_setLineCount 31787
#define sipName_setLineCount &sipStrings_QtGui[31787]
#define sipNameNr_setLineWidth 31800
#define sipName_setLineWidth &sipStrings_QtGui[31800]
#define sipNameNr_setPixelSize 31813
#define sipName_setPixelSize &sipStrings_QtGui[31813]
#define sipNameNr_setPlainText 31826
#define sipName_setPlainText &sipStrings_QtGui[31826]
#define sipNameNr_setPointSize 31839
#define sipName_setPointSize &sipStrings_QtGui[31839]
#define sipNameNr_setPositions 31852
#define sipName_setPositions &sipStrings_QtGui[31852]
#define sipNameNr_setPrimaries 31865
#define sipName_setPrimaries &sipStrings_QtGui[31865]
#define sipNameNr_setSeparator 31878
#define sipName_setSeparator &sipStrings_QtGui[31878]
#define sipNameNr_setShortcuts 31891
#define sipName_setShortcuts &sipStrings_QtGui[31891]
#define sipNameNr_setStatusTip 31904
#define sipName_setStatusTip &sipStrings_QtGui[31904]
#define sipNameNr_setStrikeOut 31917
#define sipName_setStrikeOut &sipStrings_QtGui[31917]
#define sipNameNr_setStyleHint 31930
#define sipName_setStyleHint &sipStrings_QtGui[31930]
#define sipNameNr_setStyleName 31943
#define sipName_setStyleName &sipStrings_QtGui[31943]
#define sipNameNr_setTextWidth 31956
#define sipName_setTextWidth &sipStrings_QtGui[31956]
#define sipNameNr_setThemeName 31969
#define sipName_setThemeName &sipStrings_QtGui[31969]
#define sipNameNr_setTopBorder 31982
#define sipName_setTopBorder &sipStrings_QtGui[31982]
#define sipNameNr_setTopMargin 31995
#define sipName_setTopMargin &sipStrings_QtGui[31995]
#define sipNameNr_setTransform 24438
#define sipName_setTransform &sipStrings_QtGui[24438]
#define sipNameNr_setUnderline 32008
#define sipName_setUnderline &sipStrings_QtGui[32008]
#define sipNameNr_setUndoLimit 32021
#define sipName_setUndoLimit &sipStrings_QtGui[32021]
#define sipNameNr_setUserState 32034
#define sipName_setUserState &sipStrings_QtGui[32034]
#define sipNameNr_setWhatsThis 32047
#define sipName_setWhatsThis &sipStrings_QtGui[32047]
#define sipNameNr_shareContext 32060
#define sipName_shareContext &sipStrings_QtGui[32060]
#define sipNameNr_sortChildren 32073
#define sipName_sortChildren &sipStrings_QtGui[32073]
#define sipNameNr_squareToQuad 32086
#define sipName_squareToQuad &sipStrings_QtGui[32086]
#define sipNameNr_stateChanged 32099
#define sipName_stateChanged &sipStrings_QtGui[32099]
#define sipNameNr_strikeOutPos 32112
#define sipName_strikeOutPos &sipStrings_QtGui[32112]
#define sipNameNr_surfaceClass 32125
#define sipName_surfaceClass &sipStrings_QtGui[32125]
#define sipNameNr_swapBehavior 32138
#define sipName_swapBehavior &sipStrings_QtGui[32138]
#define sipNameNr_swapInterval 32151
#define sipName_swapInterval &sipStrings_QtGui[32151]
#define sipNameNr_tabPositions 32164
#define sipName_tabPositions &sipStrings_QtGui[32164]
#define sipNameNr_textPosition 32177
#define sipName_textPosition &sipStrings_QtGui[32177]
#define sipNameNr_textureImage 32190
#define sipName_textureImage &sipStrings_QtGui[32190]
#define sipNameNr_toCharFormat 32203
#define sipName_toCharFormat &sipStrings_QtGui[32203]
#define sipNameNr_toListFormat 32216
#define sipName_toListFormat &sipStrings_QtGui[32216]
#define sipNameNr_underlinePos 32229
#define sipName_underlinePos &sipStrings_QtGui[32229]
#define sipNameNr_viewportSize 32242
#define sipName_viewportSize &sipStrings_QtGui[32242]
#define sipNameNr_widthChanged 32255
#define sipName_widthChanged &sipStrings_QtGui[32255]
#define sipNameNr_windowStates 32268
#define sipName_windowStates &sipStrings_QtGui[32268]
#define sipNameNr_AboutQtRole 32281
#define sipName_AboutQtRole &sipStrings_QtGui[32281]
#define sipNameNr_AboveTheSky 32293
#define sipName_AboveTheSky &sipStrings_QtGui[32293]
#define sipNameNr_ActionEvent 9431
#define sipName_ActionEvent &sipStrings_QtGui[9431]
#define sipNameNr_AlignBottom 32305
#define sipName_AlignBottom &sipStrings_QtGui[32305]
#define sipNameNr_AlignMiddle 32317
#define sipName_AlignMiddle &sipStrings_QtGui[32317]
#define sipNameNr_AlignNormal 32329
#define sipName_AlignNormal &sipStrings_QtGui[32329]
#define sipNameNr_AllFeatures 32341
#define sipName_AllFeatures &sipStrings_QtGui[32341]
#define sipNameNr_AtBeginning 32353
#define sipName_AtBeginning &sipStrings_QtGui[32353]
#define sipNameNr_AwesomePine 32365
#define sipName_AwesomePine &sipStrings_QtGui[32365]
#define sipNameNr_BlockFormat 17855
#define sipName_BlockFormat &sipStrings_QtGui[17855]
#define sipNameNr_BlockIndent 32377
#define sipName_BlockIndent &sipStrings_QtGui[32377]
#define sipNameNr_BlockMarker 32389
#define sipName_BlockMarker &sipStrings_QtGui[32389]
#define sipNameNr_BorderStyle 2752
#define sipName_BorderStyle &sipStrings_QtGui[2752]
#define sipNameNr_BrushStroke 32401
#define sipName_BrushStroke &sipStrings_QtGui[32401]
#define sipNameNr_CleanMirror 32413
#define sipName_CleanMirror &sipStrings_QtGui[32413]
#define sipNameNr_CloudyApple 32425
#define sipName_CloudyApple &sipStrings_QtGui[32425]
#define sipNameNr_CochitiLake 32437
#define sipName_CochitiLake &sipStrings_QtGui[32437]
#define sipNameNr_ColdEvening 32449
#define sipName_ColdEvening &sipStrings_QtGui[32449]
#define sipNameNr_ContextMenu 2051
#define sipName_ContextMenu &sipStrings_QtGui[2051]
#define sipNameNr_CoreProfile 32461
#define sipName_CoreProfile &sipStrings_QtGui[32461]
#define sipNameNr_Crystalline 32473
#define sipName_Crystalline &sipStrings_QtGui[32473]
#define sipNameNr_DarkMagenta 32485
#define sipName_DarkMagenta &sipStrings_QtGui[32485]
#define sipNameNr_DashDotLine 32497
#define sipName_DashDotLine &sipStrings_QtGui[32497]
#define sipNameNr_Description 5905
#define sipName_Description &sipStrings_QtGui[5905]
#define sipNameNr_DeviceError 32509
#define sipName_DeviceError &sipStrings_QtGui[32509]
#define sipNameNr_DirtyBeauty 32521
#define sipName_DirtyBeauty &sipStrings_QtGui[32521]
#define sipNameNr_DocumentUrl 32533
#define sipName_DocumentUrl &sipStrings_QtGui[32533]
#define sipNameNr_ElementType 4889
#define sipName_ElementType &sipStrings_QtGui[4889]
#define sipNameNr_EnvelopeC65 32545
#define sipName_EnvelopeC65 &sipStrings_QtGui[32545]
#define sipNameNr_ExtendedRgb 28686
#define sipName_ExtendedRgb &sipStrings_QtGui[28686]
#define sipNameNr_FebruaryInk 32557
#define sipName_FebruaryInk &sipStrings_QtGui[32557]
#define sipNameNr_FixedHeight 32569
#define sipName_FixedHeight &sipStrings_QtGui[32569]
#define sipNameNr_FixedLength 32581
#define sipName_FixedLength &sipStrings_QtGui[32581]
#define sipNameNr_FlyingLemon 32593
#define sipName_FlyingLemon &sipStrings_QtGui[32593]
#define sipNameNr_FontKerning 24784
#define sipName_FontKerning &sipStrings_QtGui[24784]
#define sipNameNr_FontStretch 22924
#define sipName_FontStretch &sipStrings_QtGui[22924]
#define sipNameNr_FormatRange 5680
#define sipName_FormatRange &sipStrings_QtGui[5680]
#define sipNameNr_Format_Mono 32605
#define sipName_Format_Mono &sipStrings_QtGui[32605]
#define sipNameNr_FrameBorder 32617
#define sipName_FrameBorder &sipStrings_QtGui[32617]
#define sipNameNr_FrameFormat 17872
#define sipName_FrameFormat &sipStrings_QtGui[17872]
#define sipNameNr_FrameHeight 32629
#define sipName_FrameHeight &sipStrings_QtGui[32629]
#define sipNameNr_FrameMargin 32641
#define sipName_FrameMargin &sipStrings_QtGui[32641]
#define sipNameNr_FrozenBerry 32653
#define sipName_FrozenBerry &sipStrings_QtGui[32653]
#define sipNameNr_GagarinView 32665
#define sipName_GagarinView &sipStrings_QtGui[32665]
#define sipNameNr_GeneralFont 32677
#define sipName_GeneralFont &sipStrings_QtGui[32677]
#define sipNameNr_HappyFisher 32689
#define sipName_HappyFisher &sipStrings_QtGui[32689]
#define sipNameNr_HeavenPeach 32701
#define sipName_HeavenPeach &sipStrings_QtGui[32701]
#define sipNameNr_ImageHeight 32713
#define sipName_ImageHeight &sipStrings_QtGui[32713]
#define sipNameNr_ImageObject 32725
#define sipName_ImageObject &sipStrings_QtGui[32725]
#define sipNameNr_ImageOption 3135
#define sipName_ImageOption &sipStrings_QtGui[3135]
#define sipNameNr_Imperial7x9 32737
#define sipName_Imperial7x9 &sipStrings_QtGui[32737]
#define sipNameNr_LetterExtra 32749
#define sipName_LetterExtra &sipStrings_QtGui[32749]
#define sipNameNr_LetterSmall 32761
#define sipName_LetterSmall &sipStrings_QtGui[32761]
#define sipNameNr_LinkVisited 32773
#define sipName_LinkVisited &sipStrings_QtGui[32773]
#define sipNameNr_ListDecimal 32785
#define sipName_ListDecimal &sipStrings_QtGui[32785]
#define sipNameNr_LogicalMode 32797
#define sipName_LogicalMode &sipStrings_QtGui[32797]
#define sipNameNr_LowPriority 32809
#define sipName_LowPriority &sipStrings_QtGui[32809]
#define sipNameNr_MalibuBeach 32821
#define sipName_MalibuBeach &sipStrings_QtGui[32821]
#define sipNameNr_MaskedBrush 32833
#define sipName_MaskedBrush &sipStrings_QtGui[32833]
#define sipNameNr_MorpheusDen 32845
#define sipName_MorpheusDen &sipStrings_QtGui[32845]
#define sipNameNr_NColorRoles 32857
#define sipName_NColorRoles &sipStrings_QtGui[32857]
#define sipNameNr_NoAntialias 32869
#define sipName_NoAntialias &sipStrings_QtGui[32869]
#define sipNameNr_NoUnderline 32881
#define sipName_NoUnderline &sipStrings_QtGui[32881]
#define sipNameNr_NorseBeauty 32893
#define sipName_NorseBeauty &sipStrings_QtGui[32893]
#define sipNameNr_ObjectIndex 24904
#define sipName_ObjectIndex &sipStrings_QtGui[24904]
#define sipNameNr_ObjectTypes 5655
#define sipName_ObjectTypes &sipStrings_QtGui[5655]
#define sipNameNr_OddEvenMode 32905
#define sipName_OddEvenMode &sipStrings_QtGui[32905]
#define sipNameNr_OrangeJuice 32917
#define sipName_OrangeJuice &sipStrings_QtGui[32917]
#define sipNameNr_Orientation 5555
#define sipName_Orientation &sipStrings_QtGui[5555]
#define sipNameNr_PaintBuffer 32929
#define sipName_PaintBuffer &sipStrings_QtGui[32929]
#define sipNameNr_PdmHeightMM 32941
#define sipName_PdmHeightMM &sipStrings_QtGui[32941]
#define sipNameNr_PerfectBlue 32953
#define sipName_PerfectBlue &sipStrings_QtGui[32953]
#define sipNameNr_PixelScroll 32965
#define sipName_PixelScroll &sipStrings_QtGui[32965]
#define sipNameNr_PointerType 3251
#define sipName_PointerType &sipStrings_QtGui[3251]
#define sipNameNr_PreferMatch 32977
#define sipName_PreferMatch &sipStrings_QtGui[32977]
#define sipNameNr_Preferences 32989
#define sipName_Preferences &sipStrings_QtGui[32989]
#define sipNameNr_PremiumDark 33001
#define sipName_PremiumDark &sipStrings_QtGui[33001]
#define sipNameNr_PreviousRow 33013
#define sipName_PreviousRow &sipStrings_QtGui[33013]
#define sipNameNr_ProPhotoRgb 33025
#define sipName_ProPhotoRgb &sipStrings_QtGui[33025]
#define sipNameNr_PyQt6_QtGui 33037
#define sipName_PyQt6_QtGui &sipStrings_QtGui[33037]
#define sipNameNr_QCloseEvent 33049
#define sipName_QCloseEvent &sipStrings_QtGui[33049]
#define sipNameNr_QColorSpace 33061
#define sipName_QColorSpace &sipStrings_QtGui[33061]
#define sipNameNr_QEnterEvent 33073
#define sipName_QEnterEvent &sipStrings_QtGui[33073]
#define sipNameNr_QEventPoint 33085
#define sipName_QEventPoint &sipStrings_QtGui[33085]
#define sipNameNr_QFocusEvent 33097
#define sipName_QFocusEvent &sipStrings_QtGui[33097]
#define sipNameNr_QHoverEvent 33109
#define sipName_QHoverEvent &sipStrings_QtGui[33109]
#define sipNameNr_QIcon__Mode 33121
#define sipName_QIcon__Mode &sipStrings_QtGui[33121]
#define sipNameNr_QIconEngine 33133
#define sipName_QIconEngine &sipStrings_QtGui[33133]
#define sipNameNr_QInputEvent 33145
#define sipName_QInputEvent &sipStrings_QtGui[33145]
#define sipNameNr_QMouseEvent 33157
#define sipName_QMouseEvent &sipStrings_QtGui[33157]
#define sipNameNr_QPageLayout 33169
#define sipName_QPageLayout &sipStrings_QtGui[33169]
#define sipNameNr_QPageRanges 33181
#define sipName_QPageRanges &sipStrings_QtGui[33181]
#define sipNameNr_QPaintEvent 33193
#define sipName_QPaintEvent &sipStrings_QtGui[33193]
#define sipNameNr_QQuaternion 33205
#define sipName_QQuaternion &sipStrings_QtGui[33205]
#define sipNameNr_QStaticText 33217
#define sipName_QStaticText &sipStrings_QtGui[33217]
#define sipNameNr_QStyleHints 33229
#define sipName_QStyleHints &sipStrings_QtGui[33229]
#define sipNameNr_QTextCursor 33241
#define sipName_QTextCursor &sipStrings_QtGui[33241]
#define sipNameNr_QTextFormat 33253
#define sipName_QTextFormat &sipStrings_QtGui[33253]
#define sipNameNr_QTextLayout 33265
#define sipName_QTextLayout &sipStrings_QtGui[33265]
#define sipNameNr_QTextLength 33277
#define sipName_QTextLength &sipStrings_QtGui[33277]
#define sipNameNr_QTextObject 33289
#define sipName_QTextObject &sipStrings_QtGui[33289]
#define sipNameNr_QTextOption 33301
#define sipName_QTextOption &sipStrings_QtGui[33301]
#define sipNameNr_QTouchEvent 33313
#define sipName_QTouchEvent &sipStrings_QtGui[33313]
#define sipNameNr_QWheelEvent 33325
#define sipName_QWheelEvent &sipStrings_QtGui[33325]
#define sipNameNr_RestartHint 3280
#define sipName_RestartHint &sipStrings_QtGui[3280]
#define sipNameNr_RightToLeft 25039
#define sipName_RightToLeft &sipStrings_QtGui[25039]
#define sipNameNr_RipeMalinka 33337
#define sipName_RipeMalinka &sipStrings_QtGui[33337]
#define sipNameNr_RoyalGarden 33349
#define sipName_RoyalGarden &sipStrings_QtGui[33349]
#define sipNameNr_ScrollState 4915
#define sipName_ScrollState &sipStrings_QtGui[4915]
#define sipNameNr_SmartIndigo 33361
#define sipName_SmartIndigo &sipStrings_QtGui[33361]
#define sipNameNr_SmilingRain 33373
#define sipName_SmilingRain &sipStrings_QtGui[33373]
#define sipNameNr_SoftCherish 33385
#define sipName_SoftCherish &sipStrings_QtGui[33385]
#define sipNameNr_SpacingType 5430
#define sipName_SpacingType &sipStrings_QtGui[5430]
#define sipNameNr_StandardKey 4811
#define sipName_StandardKey &sipStrings_QtGui[4811]
#define sipNameNr_StartOfLine 15097
#define sipName_StartOfLine &sipStrings_QtGui[15097]
#define sipNameNr_StartOfWord 14809
#define sipName_StartOfWord &sipStrings_QtGui[14809]
#define sipNameNr_StrongBliss 33397
#define sipName_StrongBliss &sipStrings_QtGui[33397]
#define sipNameNr_StrongStick 33409
#define sipName_StrongStick &sipStrings_QtGui[33409]
#define sipNameNr_StyleItalic 33421
#define sipName_StyleItalic &sipStrings_QtGui[33421]
#define sipNameNr_StyleNormal 33433
#define sipName_StyleNormal &sipStrings_QtGui[33433]
#define sipNameNr_SummerGames 33445
#define sipName_SummerGames &sipStrings_QtGui[33445]
#define sipNameNr_SurfaceType 8359
#define sipName_SurfaceType &sipStrings_QtGui[8359]
#define sipNameNr_SweetPeriod 33457
#define sipName_SweetPeriod &sipStrings_QtGui[33457]
#define sipNameNr_TableObject 33469
#define sipName_TableObject &sipStrings_QtGui[33469]
#define sipNameNr_TextOutline 25069
#define sipName_TextOutline &sipStrings_QtGui[25069]
#define sipNameNr_TextToolTip 33481
#define sipName_TextToolTip &sipStrings_QtGui[33481]
#define sipNameNr_ToolTipBase 33493
#define sipName_ToolTipBase &sipStrings_QtGui[33493]
#define sipNameNr_ToolTipText 33505
#define sipName_ToolTipText &sipStrings_QtGui[33505]
#define sipNameNr_TouchScreen 33517
#define sipName_TouchScreen &sipStrings_QtGui[33517]
#define sipNameNr_Transparent 27314
#define sipName_Transparent &sipStrings_QtGui[27314]
#define sipNameNr_TxTranslate 33529
#define sipName_TxTranslate &sipStrings_QtGui[33529]
#define sipNameNr_Unstretched 33541
#define sipName_Unstretched &sipStrings_QtGui[33541]
#define sipNameNr_WindingMode 33553
#define sipName_WindingMode &sipStrings_QtGui[33553]
#define sipNameNr_ZeusMiracle 33565
#define sipName_ZeusMiracle &sipStrings_QtGui[33565]
#define sipNameNr___delitem__ 33577
#define sipName___delitem__ &sipStrings_QtGui[33577]
#define sipNameNr___getitem__ 33589
#define sipName___getitem__ &sipStrings_QtGui[33589]
#define sipNameNr___imatmul__ 33601
#define sipName___imatmul__ &sipStrings_QtGui[33601]
#define sipNameNr___setitem__ 33613
#define sipName___setitem__ &sipStrings_QtGui[33613]
#define sipNameNr___truediv__ 33625
#define sipName___truediv__ &sipStrings_QtGui[33625]
#define sipNameNr_actionGroup 33637
#define sipName_actionGroup &sipStrings_QtGui[33637]
#define sipNameNr_activeStack 33649
#define sipName_activeStack &sipStrings_QtGui[33649]
#define sipNameNr_addResource 33661
#define sipName_addResource &sipStrings_QtGui[33661]
#define sipNameNr_anchorNames 33673
#define sipName_anchorNames &sipStrings_QtGui[33673]
#define sipNameNr_beginLayout 33685
#define sipName_beginLayout &sipStrings_QtGui[33685]
#define sipNameNr_blockFormat 33697
#define sipName_blockFormat &sipStrings_QtGui[33697]
#define sipNameNr_blockNumber 33709
#define sipName_blockNumber &sipStrings_QtGui[33709]
#define sipNameNr_borderBrush 33721
#define sipName_borderBrush &sipStrings_QtGui[33721]
#define sipNameNr_borderStyle 33733
#define sipName_borderStyle &sipStrings_QtGui[33733]
#define sipNameNr_brushOrigin 33745
#define sipName_brushOrigin &sipStrings_QtGui[33745]
#define sipNameNr_buttonCount 33757
#define sipName_buttonCount &sipStrings_QtGui[33757]
#define sipNameNr_cellPadding 33769
#define sipName_cellPadding &sipStrings_QtGui[33769]
#define sipNameNr_cellSpacing 33781
#define sipName_cellSpacing &sipStrings_QtGui[33781]
#define sipNameNr_characterAt 33793
#define sipName_characterAt &sipStrings_QtGui[33793]
#define sipNameNr_childFrames 33805
#define sipName_childFrames &sipStrings_QtGui[33805]
#define sipNameNr_cleanupInfo 33817
#define sipName_cleanupInfo &sipStrings_QtGui[33817]
#define sipNameNr_clearLayout 33829
#define sipName_clearLayout &sipStrings_QtGui[33829]
#define sipNameNr_columnCount 33841
#define sipName_columnCount &sipStrings_QtGui[33841]
#define sipNameNr_compression 33853
#define sipName_compression &sipStrings_QtGui[33853]
#define sipNameNr_connectPath 33865
#define sipName_connectPath &sipStrings_QtGui[33865]
#define sipNameNr_convertedTo 33877
#define sipName_convertedTo &sipStrings_QtGui[33877]
#define sipNameNr_currentList 33889
#define sipName_currentList &sipStrings_QtGui[33889]
#define sipNameNr_customEvent 33901
#define sipName_customEvent &sipStrings_QtGui[33901]
#define sipNameNr_darkmagenta 33913
#define sipName_darkmagenta &sipStrings_QtGui[33913]
#define sipNameNr_dashPattern 33925
#define sipName_dashPattern &sipStrings_QtGui[33925]
#define sipNameNr_dataChanged 33937
#define sipName_dataChanged &sipStrings_QtGui[33937]
#define sipNameNr_deepskyblue 33949
#define sipName_deepskyblue &sipStrings_QtGui[33949]
#define sipNameNr_defaultFont 33961
#define sipName_defaultFont &sipStrings_QtGui[33961]
#define sipNameNr_description 33973
#define sipName_description &sipStrings_QtGui[33973]
#define sipNameNr_determinant 33985
#define sipName_determinant &sipStrings_QtGui[33985]
#define sipNameNr_doneCurrent 33997
#define sipName_doneCurrent &sipStrings_QtGui[33997]
#define sipNameNr_drawEllipse 34009
#define sipName_drawEllipse &sipStrings_QtGui[34009]
#define sipNameNr_drawPicture 34021
#define sipName_drawPicture &sipStrings_QtGui[34021]
#define sipNameNr_drawPolygon 34033
#define sipName_drawPolygon &sipStrings_QtGui[34033]
#define sipNameNr_errorString 34045
#define sipName_errorString &sipStrings_QtGui[34045]
#define sipNameNr_eventFilter 34057
#define sipName_eventFilter &sipStrings_QtGui[34057]
#define sipNameNr_exposeEvent 34069
#define sipName_exposeEvent &sipStrings_QtGui[34069]
#define sipNameNr_fileRenamed 34081
#define sipName_fileRenamed &sipStrings_QtGui[34081]
#define sipNameNr_fingerCount 34093
#define sipName_fingerCount &sipStrings_QtGui[34093]
#define sipNameNr_floralwhite 34105
#define sipName_floralwhite &sipStrings_QtGui[34105]
#define sipNameNr_focalRadius 34117
#define sipName_focalRadius &sipStrings_QtGui[34117]
#define sipNameNr_focusObject 34129
#define sipName_focusObject &sipStrings_QtGui[34129]
#define sipNameNr_focusWindow 34141
#define sipName_focusWindow &sipStrings_QtGui[34141]
#define sipNameNr_fontKerning 34153
#define sipName_fontKerning &sipStrings_QtGui[34153]
#define sipNameNr_fontMetrics 34165
#define sipName_fontMetrics &sipStrings_QtGui[34165]
#define sipNameNr_fontStretch 34177
#define sipName_fontStretch &sipStrings_QtGui[34177]
#define sipNameNr_forestgreen 34189
#define sipName_forestgreen &sipStrings_QtGui[34189]
#define sipNameNr_formatIndex 34201
#define sipName_formatIndex &sipStrings_QtGui[34201]
#define sipNameNr_frameFormat 34213
#define sipName_frameFormat &sipStrings_QtGui[34213]
#define sipNameNr_gestureType 34225
#define sipName_gestureType &sipStrings_QtGui[34225]
#define sipNameNr_greenyellow 34237
#define sipName_greenyellow &sipStrings_QtGui[34237]
#define sipNameNr_hasChildren 34249
#define sipName_hasChildren &sipStrings_QtGui[34249]
#define sipNameNr_hasClipping 34261
#define sipName_hasClipping &sipStrings_QtGui[34261]
#define sipNameNr_hasProperty 34273
#define sipName_hasProperty &sipStrings_QtGui[34273]
#define sipNameNr_imageFormat 34285
#define sipName_imageFormat &sipStrings_QtGui[34285]
#define sipNameNr_indentWidth 34297
#define sipName_indentWidth &sipStrings_QtGui[34297]
#define sipNameNr_inputMethod 34309
#define sipName_inputMethod &sipStrings_QtGui[34309]
#define sipNameNr_insertBlock 34321
#define sipName_insertBlock &sipStrings_QtGui[34321]
#define sipNameNr_insertFrame 34333
#define sipName_insertFrame &sipStrings_QtGui[34333]
#define sipNameNr_insertImage 34345
#define sipName_insertImage &sipStrings_QtGui[34345]
#define sipNameNr_insertTable 34357
#define sipName_insertTable &sipStrings_QtGui[34357]
#define sipNameNr_intProperty 34369
#define sipName_intProperty &sipStrings_QtGui[34369]
#define sipNameNr_intersected 34381
#define sipName_intersected &sipStrings_QtGui[34381]
#define sipNameNr_isAmbiguous 34393
#define sipName_isAmbiguous &sipStrings_QtGui[34393]
#define sipNameNr_isAnimating 34405
#define sipName_isAnimating &sipStrings_QtGui[34405]
#define sipNameNr_isCheckable 34417
#define sipName_isCheckable &sipStrings_QtGui[34417]
#define sipNameNr_isExclusive 34429
#define sipName_isExclusive &sipStrings_QtGui[34429]
#define sipNameNr_isGrayscale 34441
#define sipName_isGrayscale &sipStrings_QtGui[34441]
#define sipNameNr_isLandscape 34453
#define sipName_isLandscape &sipStrings_QtGui[34453]
#define sipNameNr_isSeparator 34465
#define sipName_isSeparator &sipStrings_QtGui[34465]
#define sipNameNr_itemChanged 34477
#define sipName_itemChanged &sipStrings_QtGui[34477]
#define sipNameNr_jumpToFrame 34489
#define sipName_jumpToFrame &sipStrings_QtGui[34489]
#define sipNameNr_jumpToImage 34501
#define sipName_jumpToImage &sipStrings_QtGui[34501]
#define sipNameNr_keyBindings 34513
#define sipName_keyBindings &sipStrings_QtGui[34513]
#define sipNameNr_lastIndexOf 34525
#define sipName_lastIndexOf &sipStrings_QtGui[34525]
#define sipNameNr_leftBearing 34537
#define sipName_leftBearing &sipStrings_QtGui[34537]
#define sipNameNr_leftPadding 34549
#define sipName_leftPadding &sipStrings_QtGui[34549]
#define sipNameNr_lightsalmon 34561
#define sipName_lightsalmon &sipStrings_QtGui[34561]
#define sipNameNr_lightyellow 34573
#define sipName_lightyellow &sipStrings_QtGui[34573]
#define sipNameNr_lineSpacing 34585
#define sipName_lineSpacing &sipStrings_QtGui[34585]
#define sipNameNr_linkVisited 34597
#define sipName_linkVisited &sipStrings_QtGui[34597]
#define sipNameNr_logicalDpiX 34609
#define sipName_logicalDpiX &sipStrings_QtGui[34609]
#define sipNameNr_logicalDpiY 34621
#define sipName_logicalDpiY &sipStrings_QtGui[34621]
#define sipNameNr_magentaSize 34633
#define sipName_magentaSize &sipStrings_QtGui[34633]
#define sipNameNr_makeCurrent 34645
#define sipName_makeCurrent &sipStrings_QtGui[34645]
#define sipNameNr_mapToGlobal 34657
#define sipName_mapToGlobal &sipStrings_QtGui[34657]
#define sipNameNr_matchPolicy 34669
#define sipName_matchPolicy &sipStrings_QtGui[34669]
#define sipNameNr_maximumSize 34681
#define sipName_maximumSize &sipStrings_QtGui[34681]
#define sipNameNr_minimumSize 34693
#define sipName_minimumSize &sipStrings_QtGui[34693]
#define sipNameNr_modalWindow 34705
#define sipName_modalWindow &sipStrings_QtGui[34705]
#define sipNameNr_moveColumns 27748
#define sipName_moveColumns &sipStrings_QtGui[27748]
#define sipNameNr_nameFilters 34717
#define sipName_nameFilters &sipStrings_QtGui[34717]
#define sipNameNr_nativeEvent 34729
#define sipName_nativeEvent &sipStrings_QtGui[34729]
#define sipNameNr_navajowhite 34741
#define sipName_navajowhite &sipStrings_QtGui[34741]
#define sipNameNr_objectIndex 34753
#define sipName_objectIndex &sipStrings_QtGui[34753]
#define sipNameNr_orientation 34765
#define sipName_orientation &sipStrings_QtGui[34765]
#define sipNameNr_overlinePos 34777
#define sipName_overlinePos &sipStrings_QtGui[34777]
#define sipNameNr_paintDevice 34789
#define sipName_paintDevice &sipStrings_QtGui[34789]
#define sipNameNr_paintEngine 34801
#define sipName_paintEngine &sipStrings_QtGui[34801]
#define sipNameNr_paintdevice 34813
#define sipName_paintdevice &sipStrings_QtGui[34813]
#define sipNameNr_parentFrame 34825
#define sipName_parentFrame &sipStrings_QtGui[34825]
#define sipNameNr_penProperty 34837
#define sipName_penProperty &sipStrings_QtGui[34837]
#define sipNameNr_permissions 34849
#define sipName_permissions &sipStrings_QtGui[34849]
#define sipNameNr_perspective 34861
#define sipName_perspective &sipStrings_QtGui[34861]
#define sipNameNr_pixelFormat 34873
#define sipName_pixelFormat &sipStrings_QtGui[34873]
#define sipNameNr_pointerType 34885
#define sipName_pointerType &sipStrings_QtGui[34885]
#define sipNameNr_refreshRate 34897
#define sipName_refreshRate &sipStrings_QtGui[34897]
#define sipNameNr_rehighlight 34909
#define sipName_rehighlight &sipStrings_QtGui[34909]
#define sipNameNr_removeStack 34921
#define sipName_removeStack &sipStrings_QtGui[34921]
#define sipNameNr_renderFlags 34933
#define sipName_renderFlags &sipStrings_QtGui[34933]
#define sipNameNr_renderHints 34945
#define sipName_renderHints &sipStrings_QtGui[34945]
#define sipNameNr_resizeEvent 34957
#define sipName_resizeEvent &sipStrings_QtGui[34957]
#define sipNameNr_restartHint 34969
#define sipName_restartHint &sipStrings_QtGui[34969]
#define sipNameNr_rightBorder 34981
#define sipName_rightBorder &sipStrings_QtGui[34981]
#define sipNameNr_rightMargin 34993
#define sipName_rightMargin &sipStrings_QtGui[34993]
#define sipNameNr_saddlebrown 35005
#define sipName_saddlebrown &sipStrings_QtGui[35005]
#define sipNameNr_saturationF 35017
#define sipName_saturationF &sipStrings_QtGui[35017]
#define sipNameNr_screenAdded 35029
#define sipName_screenAdded &sipStrings_QtGui[35029]
#define sipNameNr_scrollState 35041
#define sipName_scrollState &sipStrings_QtGui[35041]
#define sipNameNr_setAccepted 35053
#define sipName_setAccepted &sipStrings_QtGui[35053]
#define sipNameNr_setBaseSize 35065
#define sipName_setBaseSize &sipStrings_QtGui[35065]
#define sipNameNr_setCapStyle 35077
#define sipName_setCapStyle &sipStrings_QtGui[35077]
#define sipNameNr_setClipPath 35089
#define sipName_setClipPath &sipStrings_QtGui[35089]
#define sipNameNr_setClipRect 35101
#define sipName_setClipRect &sipStrings_QtGui[35101]
#define sipNameNr_setClipping 35113
#define sipName_setClipping &sipStrings_QtGui[35113]
#define sipNameNr_setCosmetic 35125
#define sipName_setCosmetic &sipStrings_QtGui[35125]
#define sipNameNr_setDecimals 35137
#define sipName_setDecimals &sipStrings_QtGui[35137]
#define sipNameNr_setDisabled 35149
#define sipName_setDisabled &sipStrings_QtGui[35149]
#define sipNameNr_setDocument 35161
#define sipName_setDocument &sipStrings_QtGui[35161]
#define sipNameNr_setEditable 35173
#define sipName_setEditable &sipStrings_QtGui[35173]
#define sipNameNr_setFamilies 35185
#define sipName_setFamilies &sipStrings_QtGui[35185]
#define sipNameNr_setFileName 35197
#define sipName_setFileName &sipStrings_QtGui[35197]
#define sipNameNr_setFilePath 35209
#define sipName_setFilePath &sipStrings_QtGui[35209]
#define sipNameNr_setFillRule 35221
#define sipName_setFillRule &sipStrings_QtGui[35221]
#define sipNameNr_setGeometry 35233
#define sipName_setGeometry &sipStrings_QtGui[35233]
#define sipNameNr_setIconText 35245
#define sipName_setIconText &sipStrings_QtGui[35245]
#define sipNameNr_setItemData 35257
#define sipName_setItemData &sipStrings_QtGui[35257]
#define sipNameNr_setMarkdown 35269
#define sipName_setMarkdown &sipStrings_QtGui[35269]
#define sipNameNr_setMenuRole 35281
#define sipName_setMenuRole &sipStrings_QtGui[35281]
#define sipNameNr_setMimeData 35293
#define sipName_setMimeData &sipStrings_QtGui[35293]
#define sipNameNr_setModality 35305
#define sipName_setModality &sipStrings_QtGui[35305]
#define sipNameNr_setModified 35317
#define sipName_setModified &sipStrings_QtGui[35317]
#define sipNameNr_setNotation 35329
#define sipName_setNotation &sipStrings_QtGui[35329]
#define sipNameNr_setObsolete 35341
#define sipName_setObsolete &sipStrings_QtGui[35341]
#define sipNameNr_setOverline 35353
#define sipName_setOverline &sipStrings_QtGui[35353]
#define sipNameNr_setPageSize 35365
#define sipName_setPageSize &sipStrings_QtGui[35365]
#define sipNameNr_setPosition 35377
#define sipName_setPosition &sipStrings_QtGui[35377]
#define sipNameNr_setPriority 35389
#define sipName_setPriority &sipStrings_QtGui[35389]
#define sipNameNr_setProperty 35401
#define sipName_setProperty &sipStrings_QtGui[35401]
#define sipNameNr_setReadOnly 35413
#define sipName_setReadOnly &sipStrings_QtGui[35413]
#define sipNameNr_setRevision 35425
#define sipName_setRevision &sipStrings_QtGui[35425]
#define sipNameNr_setRootPath 35437
#define sipName_setRootPath &sipStrings_QtGui[35437]
#define sipNameNr_setRowCount 35449
#define sipName_setRowCount &sipStrings_QtGui[35449]
#define sipNameNr_setShortcut 35461
#define sipName_setShortcut &sipStrings_QtGui[35461]
#define sipNameNr_setSizeHint 35473
#define sipName_setSizeHint &sipStrings_QtGui[35473]
#define sipNameNr_setSortRole 35485
#define sipName_setSortRole &sipStrings_QtGui[35485]
#define sipNameNr_setTabArray 35497
#define sipName_setTabArray &sipStrings_QtGui[35497]
#define sipNameNr_setUserData 35509
#define sipName_setUserData &sipStrings_QtGui[35509]
#define sipNameNr_setViewport 35521
#define sipName_setViewport &sipStrings_QtGui[35521]
#define sipNameNr_setWrapMode 35533
#define sipName_setWrapMode &sipStrings_QtGui[35533]
#define sipNameNr_sizeInBytes 35545
#define sipName_sizeInBytes &sipStrings_QtGui[35545]
#define sipNameNr_smoothSizes 35557
#define sipName_smoothSizes &sipStrings_QtGui[35557]
#define sipNameNr_springgreen 16303
#define sipName_springgreen &sipStrings_QtGui[16303]
#define sipNameNr_styleString 35569
#define sipName_styleString &sipStrings_QtGui[35569]
#define sipNameNr_substitutes 35581
#define sipName_substitutes &sipStrings_QtGui[35581]
#define sipNameNr_surfaceType 35593
#define sipName_surfaceType &sipStrings_QtGui[35593]
#define sipNameNr_swapBuffers 35605
#define sipName_swapBuffers &sipStrings_QtGui[35605]
#define sipNameNr_tabletEvent 35617
#define sipName_tabletEvent &sipStrings_QtGui[35617]
#define sipNameNr_textFormats 35629
#define sipName_textFormats &sipStrings_QtGui[35629]
#define sipNameNr_textOutline 35641
#define sipName_textOutline &sipStrings_QtGui[35641]
#define sipNameNr_toPlainText 35653
#define sipName_toPlainText &sipStrings_QtGui[35653]
#define sipNameNr_toRangeList 35665
#define sipName_toRangeList &sipStrings_QtGui[35665]
#define sipNameNr_toTransform 18756
#define sipName_toTransform &sipStrings_QtGui[18756]
#define sipNameNr_toolTipBase 35677
#define sipName_toolTipBase &sipStrings_QtGui[35677]
#define sipNameNr_toolTipText 35689
#define sipName_toolTipText &sipStrings_QtGui[35689]
#define sipNameNr_touchPoints 35701
#define sipName_touchPoints &sipStrings_QtGui[35701]
#define sipNameNr_transformed 35713
#define sipName_transformed &sipStrings_QtGui[35713]
#define sipNameNr_unsetCursor 35725
#define sipName_unsetCursor &sipStrings_QtGui[35725]
#define sipNameNr_updateBlock 35737
#define sipName_updateBlock &sipStrings_QtGui[35737]
#define sipNameNr_updateState 35749
#define sipName_updateState &sipStrings_QtGui[35749]
#define sipNameNr_virtualSize 35761
#define sipName_virtualSize &sipStrings_QtGui[35761]
#define sipNameNr_windowState 35773
#define sipName_windowState &sipStrings_QtGui[35773]
#define sipNameNr_wordSpacing 35785
#define sipName_wordSpacing &sipStrings_QtGui[35785]
#define sipNameNr_yellowgreen 35797
#define sipName_yellowgreen &sipStrings_QtGui[35797]
#define sipNameNr_Acceptable 35809
#define sipName_Acceptable &sipStrings_QtGui[35809]
#define sipNameNr_AllDevices 35820
#define sipName_AllDevices &sipStrings_QtGui[35820]
#define sipNameNr_AlphaBlend 35831
#define sipName_AlphaBlend &sipStrings_QtGui[35831]
#define sipNameNr_AlphaUsage 5606
#define sipName_AlphaUsage &sipStrings_QtGui[5606]
#define sipNameNr_AmourAmour 35842
#define sipName_AmourAmour &sipStrings_QtGui[35842]
#define sipNameNr_AnchorHref 27889
#define sipName_AnchorHref &sipStrings_QtGui[27889]
#define sipNameNr_AnchorName 35853
#define sipName_AnchorName &sipStrings_QtGui[35853]
#define sipNameNr_AnyStretch 35864
#define sipName_AnyStretch &sipStrings_QtGui[35864]
#define sipNameNr_AquaSplash 35875
#define sipName_AquaSplash &sipStrings_QtGui[35875]
#define sipNameNr_BlendModes 35886
#define sipName_BlendModes &sipStrings_QtGui[35886]
#define sipNameNr_BrightText 35897
#define sipName_BrightText &sipStrings_QtGui[35897]
#define sipNameNr_ButtonText 35908
#define sipName_ButtonText &sipStrings_QtGui[35908]
#define sipNameNr_Capability 5506
#define sipName_Capability &sipStrings_QtGui[5506]
#define sipNameNr_Capitalize 35919
#define sipName_Capitalize &sipStrings_QtGui[35919]
#define sipNameNr_CharFormat 10062
#define sipName_CharFormat &sipStrings_QtGui[10062]
#define sipNameNr_ColorGroup 9558
#define sipName_ColorGroup &sipStrings_QtGui[9558]
#define sipNameNr_ColorModel 5631
#define sipName_ColorModel &sipStrings_QtGui[5631]
#define sipNameNr_ConvexMode 35930
#define sipName_ConvexMode &sipStrings_QtGui[35930]
#define sipNameNr_CursorMode 6465
#define sipName_CursorMode &sipStrings_QtGui[6465]
#define sipNameNr_DarkYellow 35941
#define sipName_DarkYellow &sipStrings_QtGui[35941]
#define sipNameNr_Decorative 35952
#define sipName_Decorative &sipStrings_QtGui[35952]
#define sipNameNr_DeepRelief 35963
#define sipName_DeepRelief &sipStrings_QtGui[35963]
#define sipNameNr_DenseWater 35974
#define sipName_DenseWater &sipStrings_QtGui[35974]
#define sipNameNr_DesertHump 35985
#define sipName_DesertHump &sipStrings_QtGui[35985]
#define sipNameNr_Devanagari 35996
#define sipName_Devanagari &sipStrings_QtGui[35996]
#define sipNameNr_DeviceType 5531
#define sipName_DeviceType &sipStrings_QtGui[5531]
#define sipNameNr_DirtyBrush 36007
#define sipName_DirtyBrush &sipStrings_QtGui[36007]
#define sipNameNr_DirtyHints 36018
#define sipName_DirtyHints &sipStrings_QtGui[36018]
#define sipNameNr_DustyGrass 36029
#define sipName_DustyGrass &sipStrings_QtGui[36029]
#define sipNameNr_EndOfBlock 17618
#define sipName_EndOfBlock &sipStrings_QtGui[17618]
#define sipNameNr_Endianness 36040
#define sipName_Endianness &sipStrings_QtGui[36040]
#define sipNameNr_Envelope10 36051
#define sipName_Envelope10 &sipStrings_QtGui[36051]
#define sipNameNr_Envelope11 36062
#define sipName_Envelope11 &sipStrings_QtGui[36062]
#define sipNameNr_Envelope12 36073
#define sipName_Envelope12 &sipStrings_QtGui[36073]
#define sipNameNr_Envelope14 36084
#define sipName_Envelope14 &sipStrings_QtGui[36084]
#define sipNameNr_EnvelopeB4 36095
#define sipName_EnvelopeB4 &sipStrings_QtGui[36095]
#define sipNameNr_EnvelopeB5 36106
#define sipName_EnvelopeB5 &sipStrings_QtGui[36106]
#define sipNameNr_EnvelopeB6 36117
#define sipName_EnvelopeB6 &sipStrings_QtGui[36117]
#define sipNameNr_EnvelopeC0 36128
#define sipName_EnvelopeC0 &sipStrings_QtGui[36128]
#define sipNameNr_EnvelopeC1 36139
#define sipName_EnvelopeC1 &sipStrings_QtGui[36139]
#define sipNameNr_EnvelopeC2 36150
#define sipName_EnvelopeC2 &sipStrings_QtGui[36150]
#define sipNameNr_EnvelopeC3 36161
#define sipName_EnvelopeC3 &sipStrings_QtGui[36161]
#define sipNameNr_EnvelopeC4 36172
#define sipName_EnvelopeC4 &sipStrings_QtGui[36172]
#define sipNameNr_EnvelopeC5 36183
#define sipName_EnvelopeC5 &sipStrings_QtGui[36183]
#define sipNameNr_EnvelopeC6 36194
#define sipName_EnvelopeC6 &sipStrings_QtGui[36194]
#define sipNameNr_EnvelopeC7 36205
#define sipName_EnvelopeC7 &sipStrings_QtGui[36205]
#define sipNameNr_EnvelopeDL 36216
#define sipName_EnvelopeDL &sipStrings_QtGui[36216]
#define sipNameNr_ExactMatch 36227
#define sipName_ExactMatch &sipStrings_QtGui[36227]
#define sipNameNr_ExtraLight 36238
#define sipName_ExtraLight &sipStrings_QtGui[36238]
#define sipNameNr_FindBuffer 14552
#define sipName_FindBuffer &sipStrings_QtGui[14552]
#define sipNameNr_FloatRight 36249
#define sipName_FloatRight &sipStrings_QtGui[36249]
#define sipNameNr_FontItalic 28141
#define sipName_FontItalic &sipStrings_QtGui[28141]
#define sipNameNr_FontWeight 28155
#define sipName_FontWeight &sipStrings_QtGui[28155]
#define sipNameNr_ForestInei 36260
#define sipName_ForestInei &sipStrings_QtGui[36260]
#define sipNameNr_FormatType 6441
#define sipName_FormatType &sipStrings_QtGui[6441]
#define sipNameNr_FrameWidth 36271
#define sipName_FrameWidth &sipStrings_QtGui[36271]
#define sipNameNr_FreshOasis 36282
#define sipName_FreshOasis &sipStrings_QtGui[36282]
#define sipNameNr_FrozenHeat 36293
#define sipName_FrozenHeat &sipStrings_QtGui[36293]
#define sipNameNr_FruitBlend 36304
#define sipName_FruitBlend &sipStrings_QtGui[36304]
#define sipNameNr_FullScreen 19131
#define sipName_FullScreen &sipStrings_QtGui[19131]
#define sipNameNr_FuzzyMatch 36315
#define sipName_FuzzyMatch &sipStrings_QtGui[36315]
#define sipNameNr_GentleCare 36326
#define sipName_GentleCare &sipStrings_QtGui[36326]
#define sipNameNr_GlassWater 36337
#define sipName_GlassWater &sipStrings_QtGui[36337]
#define sipNameNr_GreatWhale 36348
#define sipName_GreatWhale &sipStrings_QtGui[36348]
#define sipNameNr_GrownEarly 36359
#define sipName_GrownEarly &sipStrings_QtGui[36359]
#define sipNameNr_HighFlight 36370
#define sipName_HighFlight &sipStrings_QtGui[36370]
#define sipNameNr_ImageTitle 36381
#define sipName_ImageTitle &sipStrings_QtGui[36381]
#define sipNameNr_ImageWidth 36392
#define sipName_ImageWidth &sipStrings_QtGui[36392]
#define sipNameNr_InvertMode 12766
#define sipName_InvertMode &sipStrings_QtGui[12766]
#define sipNameNr_InvertRgba 36403
#define sipName_InvertRgba &sipStrings_QtGui[36403]
#define sipNameNr_IsNullHook 36414
#define sipName_IsNullHook &sipStrings_QtGui[36414]
#define sipNameNr_JapanBlush 36425
#define sipName_JapanBlush &sipStrings_QtGui[36425]
#define sipNameNr_JuicyPeach 36436
#define sipName_JuicyPeach &sipStrings_QtGui[36436]
#define sipNameNr_KeepAnchor 36447
#define sipName_KeepAnchor &sipStrings_QtGui[36447]
#define sipNameNr_LayoutFlag 9579
#define sipName_LayoutFlag &sipStrings_QtGui[9579]
#define sipNameNr_LeCocktail 36458
#define sipName_LeCocktail &sipStrings_QtGui[36458]
#define sipNameNr_LegalExtra 36469
#define sipName_LegalExtra &sipStrings_QtGui[36469]
#define sipNameNr_LetterPlus 36480
#define sipName_LetterPlus &sipStrings_QtGui[36480]
#define sipNameNr_LilyMeadow 36491
#define sipName_LilyMeadow &sipStrings_QtGui[36491]
#define sipNameNr_LineHeight 28225
#define sipName_LineHeight &sipStrings_QtGui[28225]
#define sipNameNr_ListCircle 36502
#define sipName_ListCircle &sipStrings_QtGui[36502]
#define sipNameNr_ListFormat 20285
#define sipName_ListFormat &sipStrings_QtGui[20285]
#define sipNameNr_ListIndent 36513
#define sipName_ListIndent &sipStrings_QtGui[36513]
#define sipNameNr_ListSquare 36524
#define sipName_ListSquare &sipStrings_QtGui[36524]
#define sipNameNr_MacPrinter 36535
#define sipName_MacPrinter &sipStrings_QtGui[36535]
#define sipNameNr_ManualWrap 36546
#define sipName_ManualWrap &sipStrings_QtGui[36546]
#define sipNameNr_MarbleWall 36557
#define sipName_MarbleWall &sipStrings_QtGui[36557]
#define sipNameNr_MarkerType 3397
#define sipName_MarkerType &sipStrings_QtGui[3397]
#define sipNameNr_Millimeter 36568
#define sipName_Millimeter &sipStrings_QtGui[36568]
#define sipNameNr_MixedHopes 36579
#define sipName_MixedHopes &sipStrings_QtGui[36579]
#define sipNameNr_MoveAnchor 36590
#define sipName_MoveAnchor &sipStrings_QtGui[36590]
#define sipNameNr_MovieState 12880
#define sipName_MovieState &sipStrings_QtGui[12880]
#define sipNameNr_NameFormat 12709
#define sipName_NameFormat &sipStrings_QtGui[12709]
#define sipNameNr_NativeText 36601
#define sipName_NativeText &sipStrings_QtGui[36601]
#define sipNameNr_NightParty 36612
#define sipName_NightParty &sipStrings_QtGui[36612]
#define sipNameNr_NoGradient 36623
#define sipName_NoGradient &sipStrings_QtGui[36623]
#define sipNameNr_NotRunning 36634
#define sipName_NotRunning &sipStrings_QtGui[36634]
#define sipNameNr_NumPresets 36645
#define sipName_NumPresets &sipStrings_QtGui[36645]
#define sipNameNr_ObjectMode 36656
#define sipName_ObjectMode &sipStrings_QtGui[36656]
#define sipNameNr_ObjectType 28281
#define sipName_ObjectType &sipStrings_QtGui[28281]
#define sipNameNr_OldEnglish 36667
#define sipName_OldEnglish &sipStrings_QtGui[36667]
#define sipNameNr_OpaqueHint 36678
#define sipName_OpaqueHint &sipStrings_QtGui[36678]
#define sipNameNr_OutlinePen 36689
#define sipName_OutlinePen &sipStrings_QtGui[36689]
#define sipNameNr_PageSizeId 8294
#define sipName_PageSizeId &sipStrings_QtGui[8294]
#define sipNameNr_PartyBliss 36700
#define sipName_PartyBliss &sipStrings_QtGui[36700]
#define sipNameNr_PdfVersion 2693
#define sipName_PdfVersion &sipStrings_QtGui[2693]
#define sipNameNr_PdmWidthMM 36711
#define sipName_PdmWidthMM &sipStrings_QtGui[36711]
#define sipNameNr_PorterDuff 36722
#define sipName_PorterDuff &sipStrings_QtGui[36722]
#define sipNameNr_QClipboard 36733
#define sipName_QClipboard &sipStrings_QtGui[36733]
#define sipNameNr_QDropEvent 36744
#define sipName_QDropEvent &sipStrings_QtGui[36744]
#define sipNameNr_QHelpEvent 36755
#define sipName_QHelpEvent &sipStrings_QtGui[36755]
#define sipNameNr_QHideEvent 36766
#define sipName_QHideEvent &sipStrings_QtGui[36766]
#define sipNameNr_QMatrix2x2 36777
#define sipName_QMatrix2x2 &sipStrings_QtGui[36777]
#define sipNameNr_QMatrix2x3 36788
#define sipName_QMatrix2x3 &sipStrings_QtGui[36788]
#define sipNameNr_QMatrix2x4 36799
#define sipName_QMatrix2x4 &sipStrings_QtGui[36799]
#define sipNameNr_QMatrix3x2 36810
#define sipName_QMatrix3x2 &sipStrings_QtGui[36810]
#define sipNameNr_QMatrix3x3 36821
#define sipName_QMatrix3x3 &sipStrings_QtGui[36821]
#define sipNameNr_QMatrix3x4 36832
#define sipName_QMatrix3x4 &sipStrings_QtGui[36832]
#define sipNameNr_QMatrix4x2 36843
#define sipName_QMatrix4x2 &sipStrings_QtGui[36843]
#define sipNameNr_QMatrix4x3 36854
#define sipName_QMatrix4x3 &sipStrings_QtGui[36854]
#define sipNameNr_QMatrix4x4 36865
#define sipName_QMatrix4x4 &sipStrings_QtGui[36865]
#define sipNameNr_QMoveEvent 36876
#define sipName_QMoveEvent &sipStrings_QtGui[36876]
#define sipNameNr_QPdfWriter 36887
#define sipName_QPdfWriter &sipStrings_QtGui[36887]
#define sipNameNr_QShowEvent 36898
#define sipName_QShowEvent &sipStrings_QtGui[36898]
#define sipNameNr_QTextBlock 36909
#define sipName_QTextBlock &sipStrings_QtGui[36909]
#define sipNameNr_QTextFrame 36920
#define sipName_QTextFrame &sipStrings_QtGui[36920]
#define sipNameNr_QTextTable 36931
#define sipName_QTextTable &sipStrings_QtGui[36931]
#define sipNameNr_QTransform 36942
#define sipName_QTransform &sipStrings_QtGui[36942]
#define sipNameNr_QUndoGroup 36953
#define sipName_QUndoGroup &sipStrings_QtGui[36953]
#define sipNameNr_QUndoStack 36964
#define sipName_QUndoStack &sipStrings_QtGui[36964]
#define sipNameNr_QValidator 36975
#define sipName_QValidator &sipStrings_QtGui[36975]
#define sipNameNr_RegionType 11174
#define sipName_RegionType &sipStrings_QtGui[11174]
#define sipNameNr_RenderFlag 8470
#define sipName_RenderFlag &sipStrings_QtGui[8470]
#define sipNameNr_RenderHint 9537
#define sipName_RenderHint &sipStrings_QtGui[9537]
#define sipNameNr_SRgbLinear 36986
#define sipName_SRgbLinear &sipStrings_QtGui[36986]
#define sipNameNr_SandStrike 36997
#define sipName_SandStrike &sipStrings_QtGui[36997]
#define sipNameNr_ScaledSize 28393
#define sipName_ScaledSize &sipStrings_QtGui[28393]
#define sipNameNr_ShadyWater 37008
#define sipName_ShadyWater &sipStrings_QtGui[37008]
#define sipNameNr_SharpBlues 37019
#define sipName_SharpBlues &sipStrings_QtGui[37019]
#define sipNameNr_ShyRainbow 37030
#define sipName_ShyRainbow &sipStrings_QtGui[37030]
#define sipNameNr_SolidStone 37041
#define sipName_SolidStone &sipStrings_QtGui[37041]
#define sipNameNr_SpaceShift 37052
#define sipName_SpaceShift &sipStrings_QtGui[37052]
#define sipNameNr_Stationary 37063
#define sipName_Stationary &sipStrings_QtGui[37063]
#define sipNameNr_SupremeSky 37074
#define sipName_SupremeSky &sipStrings_QtGui[37074]
#define sipNameNr_SystemFont 4760
#define sipName_SystemFont &sipStrings_QtGui[4760]
#define sipNameNr_TextFormat 28421
#define sipName_TextFormat &sipStrings_QtGui[28421]
#define sipNameNr_TextIndent 28435
#define sipName_TextIndent &sipStrings_QtGui[28435]
#define sipNameNr_TrueSunset 37085
#define sipName_TrueSunset &sipStrings_QtGui[37085]
#define sipNameNr_TypeWriter 37096
#define sipName_TypeWriter &sipStrings_QtGui[37096]
#define sipNameNr_UnknownKey 37107
#define sipName_UnknownKey &sipStrings_QtGui[37107]
#define sipNameNr_UserFormat 37118
#define sipName_UserFormat &sipStrings_QtGui[37118]
#define sipNameNr_UserObject 37129
#define sipName_UserObject &sipStrings_QtGui[37129]
#define sipNameNr_Vietnamese 37140
#define sipName_Vietnamese &sipStrings_QtGui[37140]
#define sipNameNr_Visibility 10754
#define sipName_Visibility &sipStrings_QtGui[10754]
#define sipNameNr_WideMatrix 37151
#define sipName_WideMatrix &sipStrings_QtGui[37151]
#define sipNameNr_WindowText 37162
#define sipName_WindowText &sipStrings_QtGui[37162]
#define sipNameNr_WinterNeva 37173
#define sipName_WinterNeva &sipStrings_QtGui[37173]
#define sipNameNr_WitchDance 37184
#define sipName_WitchDance &sipStrings_QtGui[37184]
#define sipNameNr_YoungGrass 37195
#define sipName_YoungGrass &sipStrings_QtGui[37195]
#define sipNameNr___lshift__ 37206
#define sipName___lshift__ &sipStrings_QtGui[37206]
#define sipNameNr___matmul__ 37217
#define sipName___matmul__ &sipStrings_QtGui[37217]
#define sipNameNr___rshift__ 37228
#define sipName___rshift__ &sipStrings_QtGui[37228]
#define sipNameNr_actionText 37239
#define sipName_actionText &sipStrings_QtGui[37239]
#define sipNameNr_actualSize 37250
#define sipName_actualSize &sipStrings_QtGui[37250]
#define sipNameNr_addEllipse 37261
#define sipName_addEllipse &sipStrings_QtGui[37261]
#define sipNameNr_addPolygon 37272
#define sipName_addPolygon &sipStrings_QtGui[37272]
#define sipNameNr_adjustSize 37283
#define sipName_adjustSize &sipStrings_QtGui[37283]
#define sipNameNr_allFormats 37294
#define sipName_allFormats &sipStrings_QtGui[37294]
#define sipNameNr_allWindows 37305
#define sipName_allWindows &sipStrings_QtGui[37305]
#define sipNameNr_alphaUsage 37316
#define sipName_alphaUsage &sipStrings_QtGui[37316]
#define sipNameNr_anchorHref 37327
#define sipName_anchorHref &sipStrings_QtGui[37327]
#define sipNameNr_angleDelta 37338
#define sipName_angleDelta &sipStrings_QtGui[37338]
#define sipNameNr_answerRect 37349
#define sipName_answerRect &sipStrings_QtGui[37349]
#define sipNameNr_appendRows 37360
#define sipName_appendRows &sipStrings_QtGui[37360]
#define sipNameNr_aquamarine 18485
#define sipName_aquamarine &sipStrings_QtGui[18485]
#define sipNameNr_areSharing 37371
#define sipName_areSharing &sipStrings_QtGui[37371]
#define sipNameNr_atBlockEnd 37382
#define sipName_atBlockEnd &sipStrings_QtGui[37382]
#define sipNameNr_attributes 37393
#define sipName_attributes &sipStrings_QtGui[37393]
#define sipNameNr_autoRepeat 37404
#define sipName_autoRepeat &sipStrings_QtGui[37404]
#define sipNameNr_background 37415
#define sipName_background &sipStrings_QtGui[37415]
#define sipNameNr_beginMacro 37426
#define sipName_beginMacro &sipStrings_QtGui[37426]
#define sipNameNr_beginPaint 37437
#define sipName_beginPaint &sipStrings_QtGui[37437]
#define sipNameNr_blockCount 37448
#define sipName_blockCount &sipStrings_QtGui[37448]
#define sipNameNr_blueviolet 37459
#define sipName_blueviolet &sipStrings_QtGui[37459]
#define sipNameNr_brightText 37470
#define sipName_brightText &sipStrings_QtGui[37470]
#define sipNameNr_buttonText 37481
#define sipName_buttonText &sipStrings_QtGui[37481]
#define sipNameNr_cacheLimit 37492
#define sipName_cacheLimit &sipStrings_QtGui[37492]
#define sipNameNr_charFormat 37503
#define sipName_charFormat &sipStrings_QtGui[37503]
#define sipNameNr_chartreuse 37514
#define sipName_chartreuse &sipStrings_QtGui[37514]
#define sipNameNr_checkState 37525
#define sipName_checkState &sipStrings_QtGui[37525]
#define sipNameNr_childCount 37536
#define sipName_childCount &sipStrings_QtGui[37536]
#define sipNameNr_childEvent 37547
#define sipName_childEvent &sipStrings_QtGui[37547]
#define sipNameNr_cleanIndex 37558
#define sipName_cleanIndex &sipStrings_QtGui[37558]
#define sipNameNr_clipRegion 37569
#define sipName_clipRegion &sipStrings_QtGui[37569]
#define sipNameNr_closeEvent 37580
#define sipName_closeEvent &sipStrings_QtGui[37580]
#define sipNameNr_colorCount 37591
#define sipName_colorCount &sipStrings_QtGui[37591]
#define sipNameNr_colorModel 37602
#define sipName_colorModel &sipStrings_QtGui[37602]
#define sipNameNr_colorNames 37613
#define sipName_colorNames &sipStrings_QtGui[37613]
#define sipNameNr_colorSpace 37624
#define sipName_colorSpace &sipStrings_QtGui[37624]
#define sipNameNr_colorTable 37635
#define sipName_colorTable &sipStrings_QtGui[37635]
#define sipNameNr_columnSpan 37646
#define sipName_columnSpan &sipStrings_QtGui[37646]
#define sipNameNr_conjugated 37657
#define sipName_conjugated &sipStrings_QtGui[37657]
#define sipNameNr_contentPos 37668
#define sipName_contentPos &sipStrings_QtGui[37668]
#define sipNameNr_copyDataTo 37679
#define sipName_copyDataTo &sipStrings_QtGui[37679]
#define sipNameNr_createLine 37690
#define sipName_createLine &sipStrings_QtGui[37690]
#define sipNameNr_createList 37701
#define sipName_createList &sipStrings_QtGui[37701]
#define sipNameNr_darkorange 37712
#define sipName_darkorange &sipStrings_QtGui[37712]
#define sipNameNr_darkorchid 37723
#define sipName_darkorchid &sipStrings_QtGui[37723]
#define sipNameNr_darksalmon 37734
#define sipName_darksalmon &sipStrings_QtGui[37734]
#define sipNameNr_darkviolet 37745
#define sipName_darkviolet &sipStrings_QtGui[37745]
#define sipNameNr_dashOffset 37756
#define sipName_dashOffset &sipStrings_QtGui[37756]
#define sipNameNr_deleteChar 37767
#define sipName_deleteChar &sipStrings_QtGui[37767]
#define sipNameNr_deviceType 37778
#define sipName_deviceType &sipStrings_QtGui[37778]
#define sipNameNr_dodgerblue 37789
#define sipName_dodgerblue &sipStrings_QtGui[37789]
#define sipNameNr_dotProduct 37800
#define sipName_dotProduct &sipStrings_QtGui[37800]
#define sipNameNr_dragCursor 37811
#define sipName_dragCursor &sipStrings_QtGui[37811]
#define sipNameNr_drawCursor 37822
#define sipName_drawCursor &sipStrings_QtGui[37822]
#define sipNameNr_drawObject 37833
#define sipName_drawObject &sipStrings_QtGui[37833]
#define sipNameNr_drawPixmap 37844
#define sipName_drawPixmap &sipStrings_QtGui[37844]
#define sipNameNr_drawPoints 37855
#define sipName_drawPoints &sipStrings_QtGui[37855]
#define sipNameNr_dropAction 37866
#define sipName_dropAction &sipStrings_QtGui[37866]
#define sipNameNr_elidedText 37877
#define sipName_elidedText &sipStrings_QtGui[37877]
#define sipNameNr_exactMatch 37888
#define sipName_exactMatch &sipStrings_QtGui[37888]
#define sipNameNr_extensions 37899
#define sipName_extensions &sipStrings_QtGui[37899]
#define sipNameNr_familyName 37910
#define sipName_familyName &sipStrings_QtGui[37910]
#define sipNameNr_firstBlock 37921
#define sipName_firstBlock &sipStrings_QtGui[37921]
#define sipNameNr_fixedPitch 37932
#define sipName_fixedPitch &sipStrings_QtGui[37932]
#define sipNameNr_focalPoint 37943
#define sipName_focalPoint &sipStrings_QtGui[37943]
#define sipNameNr_fontFamily 37954
#define sipName_fontFamily &sipStrings_QtGui[37954]
#define sipNameNr_fontItalic 37965
#define sipName_fontItalic &sipStrings_QtGui[37965]
#define sipNameNr_fontWeight 37976
#define sipName_fontWeight &sipStrings_QtGui[37976]
#define sipNameNr_foreground 37987
#define sipName_foreground &sipStrings_QtGui[37987]
#define sipNameNr_frameCount 37998
#define sipName_frameCount &sipStrings_QtGui[37998]
#define sipNameNr_fromArgb32 38009
#define sipName_fromArgb32 &sipStrings_QtGui[38009]
#define sipNameNr_fromPixmap 38020
#define sipName_fromPixmap &sipStrings_QtGui[38020]
#define sipNameNr_fromRgba64 38031
#define sipName_fromRgba64 &sipStrings_QtGui[38031]
#define sipNameNr_fromString 38042
#define sipName_fromString &sipStrings_QtGui[38042]
#define sipNameNr_ghostwhite 38053
#define sipName_ghostwhite &sipStrings_QtGui[38053]
#define sipNameNr_grabWindow 38064
#define sipName_grabWindow &sipStrings_QtGui[38064]
#define sipNameNr_hasFeature 38075
#define sipName_hasFeature &sipStrings_QtGui[38075]
#define sipNameNr_headerData 38086
#define sipName_headerData &sipStrings_QtGui[38086]
#define sipNameNr_horizontal 38097
#define sipName_horizontal &sipStrings_QtGui[38097]
#define sipNameNr_iccProfile 38108
#define sipName_iccProfile &sipStrings_QtGui[38108]
#define sipNameNr_idealWidth 38119
#define sipName_idealWidth &sipStrings_QtGui[38119]
#define sipNameNr_imageCount 38130
#define sipName_imageCount &sipStrings_QtGui[38130]
#define sipNameNr_inFontUcs4 38141
#define sipName_inFontUcs4 &sipStrings_QtGui[38141]
#define sipNameNr_initialize 38152
#define sipName_initialize &sipStrings_QtGui[38152]
#define sipNameNr_insertHtml 38163
#define sipName_insertHtml &sipStrings_QtGui[38163]
#define sipNameNr_insertList 38174
#define sipName_insertList &sipStrings_QtGui[38174]
#define sipNameNr_insertRows 38185
#define sipName_insertRows &sipStrings_QtGui[38185]
#define sipNameNr_insertText 38196
#define sipName_insertText &sipStrings_QtGui[38196]
#define sipNameNr_intersects 38207
#define sipName_intersects &sipStrings_QtGui[38207]
#define sipNameNr_invertible 38218
#define sipName_invertible &sipStrings_QtGui[38218]
#define sipNameNr_isAccepted 38229
#define sipName_isAccepted &sipStrings_QtGui[38229]
#define sipNameNr_isBrushSet 38240
#define sipName_isBrushSet &sipStrings_QtGui[38240]
#define sipNameNr_isCosmetic 38251
#define sipName_isCosmetic &sipStrings_QtGui[38251]
#define sipNameNr_isDetached 38262
#define sipName_isDetached &sipStrings_QtGui[38262]
#define sipNameNr_isEditable 38273
#define sipName_isEditable &sipStrings_QtGui[38273]
#define sipNameNr_isEndEvent 38284
#define sipName_isEndEvent &sipStrings_QtGui[38284]
#define sipNameNr_isIdentity 38295
#define sipName_isIdentity &sipStrings_QtGui[38295]
#define sipNameNr_isModified 38306
#define sipName_isModified &sipStrings_QtGui[38306]
#define sipNameNr_isObsolete 38317
#define sipName_isObsolete &sipStrings_QtGui[38317]
#define sipNameNr_isOpenGLES 38328
#define sipName_isOpenGLES &sipStrings_QtGui[38328]
#define sipNameNr_isPortrait 38339
#define sipName_isPortrait &sipStrings_QtGui[38339]
#define sipNameNr_isReadOnly 38350
#define sipName_isReadOnly &sipStrings_QtGui[38350]
#define sipNameNr_isRotating 38361
#define sipName_isRotating &sipStrings_QtGui[38361]
#define sipNameNr_isScalable 38372
#define sipName_isScalable &sipStrings_QtGui[38372]
#define sipNameNr_isTopLevel 38383
#define sipName_isTopLevel &sipStrings_QtGui[38383]
#define sipNameNr_itemNumber 38394
#define sipName_itemNumber &sipStrings_QtGui[38394]
#define sipNameNr_leftBorder 38405
#define sipName_leftBorder &sipStrings_QtGui[38405]
#define sipNameNr_leftMargin 38416
#define sipName_leftMargin &sipStrings_QtGui[38416]
#define sipNameNr_lightcoral 38427
#define sipName_lightcoral &sipStrings_QtGui[38427]
#define sipNameNr_lightgreen 38438
#define sipName_lightgreen &sipStrings_QtGui[38438]
#define sipNameNr_lightnessF 38449
#define sipName_lightnessF &sipStrings_QtGui[38449]
#define sipNameNr_lineHeight 38460
#define sipName_lineHeight &sipStrings_QtGui[38460]
#define sipNameNr_lineNumber 38471
#define sipName_lineNumber &sipStrings_QtGui[38471]
#define sipNameNr_mapBetween 38482
#define sipName_mapBetween &sipStrings_QtGui[38482]
#define sipNameNr_mediumblue 38493
#define sipName_mediumblue &sipStrings_QtGui[38493]
#define sipNameNr_mergeCells 38504
#define sipName_mergeCells &sipStrings_QtGui[38504]
#define sipNameNr_minMargins 38515
#define sipName_minMargins &sipStrings_QtGui[38515]
#define sipNameNr_miterLimit 38526
#define sipName_miterLimit &sipStrings_QtGui[38526]
#define sipNameNr_myComputer 38537
#define sipName_myComputer &sipStrings_QtGui[38537]
#define sipNameNr_normalized 38548
#define sipName_normalized &sipStrings_QtGui[38548]
#define sipNameNr_objectType 38559
#define sipName_objectType &sipStrings_QtGui[38559]
#define sipNameNr_pageLayout 38570
#define sipName_pageLayout &sipStrings_QtGui[38570]
#define sipNameNr_pageRanges 38581
#define sipName_pageRanges &sipStrings_QtGui[38581]
#define sipNameNr_paintEvent 38592
#define sipName_paintEvent &sipStrings_QtGui[38592]
#define sipNameNr_papayawhip 38603
#define sipName_papayawhip &sipStrings_QtGui[38603]
#define sipNameNr_pdfVersion 38614
#define sipName_pdfVersion &sipStrings_QtGui[38614]
#define sipNameNr_pixelColor 38625
#define sipName_pixelColor &sipStrings_QtGui[38625]
#define sipNameNr_pixelDelta 38636
#define sipName_pixelDelta &sipStrings_QtGui[38636]
#define sipNameNr_pixelIndex 38647
#define sipName_pixelIndex &sipStrings_QtGui[38647]
#define sipNameNr_pointCount 38658
#define sipName_pointCount &sipStrings_QtGui[38658]
#define sipNameNr_pointSizeF 38669
#define sipName_pointSizeF &sipStrings_QtGui[38669]
#define sipNameNr_pointSizes 38680
#define sipName_pointSizes &sipStrings_QtGui[38680]
#define sipNameNr_powderblue 38691
#define sipName_powderblue &sipStrings_QtGui[38691]
#define sipNameNr_properties 38702
#define sipName_properties &sipStrings_QtGui[38702]
#define sipNameNr_quadToQuad 38713
#define sipName_quadToQuad &sipStrings_QtGui[38713]
#define sipNameNr_rectPixels 38724
#define sipName_rectPixels &sipStrings_QtGui[38724]
#define sipNameNr_rectPoints 38735
#define sipName_rectPoints &sipStrings_QtGui[38735]
#define sipNameNr_removeItem 38746
#define sipName_removeItem &sipStrings_QtGui[38746]
#define sipNameNr_removeRows 38757
#define sipName_removeRows &sipStrings_QtGui[38757]
#define sipNameNr_resetClean 38768
#define sipName_resetClean &sipStrings_QtGui[38768]
#define sipNameNr_resolution 38779
#define sipName_resolution &sipStrings_QtGui[38779]
#define sipNameNr_rgbSwapped 38790
#define sipName_rgbSwapped &sipStrings_QtGui[38790]
#define sipNameNr_rotationTo 38801
#define sipName_rotationTo &sipStrings_QtGui[38801]
#define sipNameNr_sandybrown 38812
#define sipName_sandybrown &sipStrings_QtGui[38812]
#define sipNameNr_saturation 38823
#define sipName_saturation &sipStrings_QtGui[38823]
#define sipNameNr_scaledSize 38834
#define sipName_scaledSize &sipStrings_QtGui[38834]
#define sipNameNr_selections 38845
#define sipName_selections &sipStrings_QtGui[38845]
#define sipNameNr_sequenceId 38856
#define sipName_sequenceId &sipStrings_QtGui[38856]
#define sipNameNr_sessionKey 38867
#define sipName_sessionKey &sipStrings_QtGui[38867]
#define sipNameNr_setBaseUrl 38878
#define sipName_setBaseUrl &sipStrings_QtGui[38878]
#define sipNameNr_setChecked 38889
#define sipName_setChecked &sipStrings_QtGui[38889]
#define sipNameNr_setColorAt 38900
#define sipName_setColorAt &sipStrings_QtGui[38900]
#define sipNameNr_setColumns 38911
#define sipName_setColumns &sipStrings_QtGui[38911]
#define sipNameNr_setContext 38922
#define sipName_setContext &sipStrings_QtGui[38922]
#define sipNameNr_setCreator 38933
#define sipName_setCreator &sipStrings_QtGui[38933]
#define sipNameNr_setDescent 38944
#define sipName_setDescent &sipStrings_QtGui[38944]
#define sipNameNr_setEnabled 31620
#define sipName_setEnabled &sipStrings_QtGui[31620]
#define sipNameNr_setFormats 38955
#define sipName_setFormats &sipStrings_QtGui[38955]
#define sipNameNr_setHotSpot 38966
#define sipName_setHotSpot &sipStrings_QtGui[38966]
#define sipNameNr_setKerning 38977
#define sipName_setKerning &sipStrings_QtGui[38977]
#define sipNameNr_setMargins 38988
#define sipName_setMargins &sipStrings_QtGui[38988]
#define sipNameNr_setOpacity 38999
#define sipName_setOpacity &sipStrings_QtGui[38999]
#define sipNameNr_setOptions 39010
#define sipName_setOptions &sipStrings_QtGui[39010]
#define sipNameNr_setPadding 39021
#define sipName_setPadding &sipStrings_QtGui[39021]
#define sipNameNr_setPalette 39032
#define sipName_setPalette &sipStrings_QtGui[39032]
#define sipNameNr_setProfile 39043
#define sipName_setProfile &sipStrings_QtGui[39043]
#define sipNameNr_setQuality 39054
#define sipName_setQuality &sipStrings_QtGui[39054]
#define sipNameNr_setRawFont 39065
#define sipName_setRawFont &sipStrings_QtGui[39065]
#define sipNameNr_setSamples 39076
#define sipName_setSamples &sipStrings_QtGui[39076]
#define sipNameNr_setStretch 39087
#define sipName_setStretch &sipStrings_QtGui[39087]
#define sipNameNr_setSubType 39098
#define sipName_setSubType &sipStrings_QtGui[39098]
#define sipNameNr_setTexture 39109
#define sipName_setTexture &sipStrings_QtGui[39109]
#define sipNameNr_setToolTip 39120
#define sipName_setToolTip &sipStrings_QtGui[39120]
#define sipNameNr_setVersion 39131
#define sipName_setVersion &sipStrings_QtGui[39131]
#define sipNameNr_setVisible 39142
#define sipName_setVisible &sipStrings_QtGui[39142]
#define sipNameNr_shareGroup 39153
#define sipName_shareGroup &sipStrings_QtGui[39153]
#define sipNameNr_shortcutId 39164
#define sipName_shortcutId &sipStrings_QtGui[39164]
#define sipNameNr_showNormal 39175
#define sipName_showNormal &sipStrings_QtGui[39175]
#define sipNameNr_simplified 39186
#define sipName_simplified &sipStrings_QtGui[39186]
#define sipNameNr_sizePixels 39197
#define sipName_sizePixels &sipStrings_QtGui[39197]
#define sipNameNr_sizePoints 39208
#define sipName_sizePoints &sipStrings_QtGui[39208]
#define sipNameNr_sourceLeft 39219
#define sipName_sourceLeft &sipStrings_QtGui[39219]
#define sipNameNr_strokePath 39230
#define sipName_strokePath &sipStrings_QtGui[39230]
#define sipNameNr_styleHints 39241
#define sipName_styleHints &sipStrings_QtGui[39241]
#define sipNameNr_substitute 39252
#define sipName_substitute &sipStrings_QtGui[39252]
#define sipNameNr_subtracted 39263
#define sipName_subtracted &sipStrings_QtGui[39263]
#define sipNameNr_systemFont 39274
#define sipName_systemFont &sipStrings_QtGui[39274]
#define sipNameNr_takeColumn 39285
#define sipName_takeColumn &sipStrings_QtGui[39285]
#define sipNameNr_testOption 39296
#define sipName_testOption &sipStrings_QtGui[39296]
#define sipNameNr_textFormat 39307
#define sipName_textFormat &sipStrings_QtGui[39307]
#define sipNameNr_textIndent 39318
#define sipName_textIndent &sipStrings_QtGui[39318]
#define sipNameNr_textLength 39329
#define sipName_textLength &sipStrings_QtGui[39329]
#define sipNameNr_textOption 39340
#define sipName_textOption &sipStrings_QtGui[39340]
#define sipNameNr_timerEvent 39351
#define sipName_timerEvent &sipStrings_QtGui[39351]
#define sipNameNr_toMarkdown 39362
#define sipName_toMarkdown &sipStrings_QtGui[39362]
#define sipNameNr_toPolygonF 39373
#define sipName_toPolygonF &sipStrings_QtGui[39373]
#define sipNameNr_toReversed 39384
#define sipName_toReversed &sipStrings_QtGui[39384]
#define sipNameNr_toVector2D 39395
#define sipName_toVector2D &sipStrings_QtGui[39395]
#define sipNameNr_toVector3D 39406
#define sipName_toVector3D &sipStrings_QtGui[39406]
#define sipNameNr_toVector4D 39417
#define sipName_toVector4D &sipStrings_QtGui[39417]
#define sipNameNr_topLevelAt 39428
#define sipName_topLevelAt &sipStrings_QtGui[39428]
#define sipNameNr_topPadding 39439
#define sipName_topPadding &sipStrings_QtGui[39439]
#define sipNameNr_touchEvent 39450
#define sipName_touchEvent &sipStrings_QtGui[39450]
#define sipNameNr_translated 39461
#define sipName_translated &sipStrings_QtGui[39461]
#define sipNameNr_transposed 39472
#define sipName_transposed &sipStrings_QtGui[39472]
#define sipNameNr_trueMatrix 39483
#define sipName_trueMatrix &sipStrings_QtGui[39483]
#define sipNameNr_unitsPerEm 39494
#define sipName_unitsPerEm &sipStrings_QtGui[39494]
#define sipNameNr_visibility 39505
#define sipName_visibility &sipStrings_QtGui[39505]
#define sipNameNr_wheelEvent 39516
#define sipName_wheelEvent &sipStrings_QtGui[39516]
#define sipNameNr_whitesmoke 39527
#define sipName_whitesmoke &sipStrings_QtGui[39527]
#define sipNameNr_windowIcon 39538
#define sipName_windowIcon &sipStrings_QtGui[39538]
#define sipNameNr_windowText 39549
#define sipName_windowText &sipStrings_QtGui[39549]
#define sipNameNr_yellowSize 39560
#define sipName_yellowSize &sipStrings_QtGui[39560]
#define sipNameNr_AboutRole 39571
#define sipName_AboutRole &sipStrings_QtGui[39571]
#define sipNameNr_AngelCare 39581
#define sipName_AngelCare &sipStrings_QtGui[39581]
#define sipNameNr_Animation 17115
#define sipName_Animation &sipStrings_QtGui[17115]
#define sipNameNr_Attribute 3166
#define sipName_Attribute &sipStrings_QtGui[3166]
#define sipNameNr_Backspace 39591
#define sipName_Backspace &sipStrings_QtGui[39591]
#define sipNameNr_BigEndian 39601
#define sipName_BigEndian &sipStrings_QtGui[39601]
#define sipNameNr_ByteOrder 6322
#define sipName_ByteOrder &sipStrings_QtGui[6322]
#define sipNameNr_CacheMode 15297
#define sipName_CacheMode &sipStrings_QtGui[15297]
#define sipNameNr_CacheNone 39611
#define sipName_CacheNone &sipStrings_QtGui[39611]
#define sipNameNr_CenterTab 39621
#define sipName_CenterTab &sipStrings_QtGui[39621]
#define sipNameNr_ChildCare 39631
#define sipName_ChildCare &sipStrings_QtGui[39631]
#define sipNameNr_Clipboard 27582
#define sipName_Clipboard &sipStrings_QtGui[27582]
#define sipNameNr_ColorRole 11155
#define sipName_ColorRole &sipStrings_QtGui[11155]
#define sipNameNr_Condensed 22626
#define sipName_Condensed &sipStrings_QtGui[22626]
#define sipNameNr_DarkGreen 39641
#define sipName_DarkGreen &sipStrings_QtGui[39641]
#define sipNameNr_DirtyFlag 6298
#define sipName_DirtyFlag &sipStrings_QtGui[6298]
#define sipNameNr_DirtyFont 39651
#define sipName_DirtyFont &sipStrings_QtGui[39651]
#define sipNameNr_DisplayP3 39661
#define sipName_DisplayP3 &sipStrings_QtGui[39661]
#define sipNameNr_EndOfLine 19582
#define sipName_EndOfLine &sipStrings_QtGui[19582]
#define sipNameNr_EndOfWord 19598
#define sipName_EndOfWord &sipStrings_QtGui[19598]
#define sipNameNr_Envelope9 39671
#define sipName_Envelope9 &sipStrings_QtGui[39671]
#define sipNameNr_Exclusive 31751
#define sipName_Exclusive &sipStrings_QtGui[31751]
#define sipNameNr_Executive 39681
#define sipName_Executive &sipStrings_QtGui[39681]
#define sipNameNr_ExtraBold 39691
#define sipName_ExtraBold &sipStrings_QtGui[39691]
#define sipNameNr_FanFoldUS 39701
#define sipName_FanFoldUS &sipStrings_QtGui[39701]
#define sipNameNr_FixedFont 39711
#define sipName_FixedFont &sipStrings_QtGui[39711]
#define sipNameNr_FloatLeft 39721
#define sipName_FloatLeft &sipStrings_QtGui[39721]
#define sipNameNr_FreshMilk 39731
#define sipName_FreshMilk &sipStrings_QtGui[39731]
#define sipNameNr_Grayscale 9065
#define sipName_Grayscale &sipStrings_QtGui[9065]
#define sipNameNr_HappyAcid 39741
#define sipName_HappyAcid &sipStrings_QtGui[39741]
#define sipNameNr_HeavyRain 39751
#define sipName_HeavyRain &sipStrings_QtGui[39751]
#define sipNameNr_Helvetica 39761
#define sipName_Helvetica &sipStrings_QtGui[39761]
#define sipNameNr_Highlight 39771
#define sipName_Highlight &sipStrings_QtGui[39771]
#define sipNameNr_ImageName 39781
#define sipName_ImageName &sipStrings_QtGui[39781]
#define sipNameNr_InvertRgb 39791
#define sipName_InvertRgb &sipStrings_QtGui[39791]
#define sipNameNr_JuicyCake 39801
#define sipName_JuicyCake &sipStrings_QtGui[39801]
#define sipNameNr_JungleDay 39811
#define sipName_JungleDay &sipStrings_QtGui[39811]
#define sipNameNr_KindSteel 39821
#define sipName_KindSteel &sipStrings_QtGui[39821]
#define sipNameNr_Landscape 34455
#define sipName_Landscape &sipStrings_QtGui[34455]
#define sipNameNr_LemonGate 39831
#define sipName_LemonGate &sipStrings_QtGui[39831]
#define sipNameNr_LightBlue 39841
#define sipName_LightBlue &sipStrings_QtGui[39841]
#define sipNameNr_LightGray 39851
#define sipName_LightGray &sipStrings_QtGui[39851]
#define sipNameNr_ListStyle 39861
#define sipName_ListStyle &sipStrings_QtGui[39861]
#define sipNameNr_MagicLake 39871
#define sipName_MagicLake &sipStrings_QtGui[39871]
#define sipNameNr_Malayalam 39881
#define sipName_Malayalam &sipStrings_QtGui[39881]
#define sipNameNr_MarsParty 39891
#define sipName_MarsParty &sipStrings_QtGui[39891]
#define sipNameNr_Maximized 22286
#define sipName_Maximized &sipStrings_QtGui[22286]
#define sipNameNr_MeanFruit 39901
#define sipName_MeanFruit &sipStrings_QtGui[39901]
#define sipNameNr_MindCrawl 39911
#define sipName_MindCrawl &sipStrings_QtGui[39911]
#define sipNameNr_Minimized 28534
#define sipName_Minimized &sipStrings_QtGui[28534]
#define sipNameNr_MixedCase 39921
#define sipName_MixedCase &sipStrings_QtGui[39921]
#define sipNameNr_Monospace 39931
#define sipName_Monospace &sipStrings_QtGui[39931]
#define sipNameNr_NextBlock 39941
#define sipName_NextBlock &sipStrings_QtGui[39941]
#define sipNameNr_NextChild 39951
#define sipName_NextChild &sipStrings_QtGui[39951]
#define sipNameNr_NightCall 39961
#define sipName_NightCall &sipStrings_QtGui[39961]
#define sipNameNr_NightFade 39971
#define sipName_NightFade &sipStrings_QtGui[39971]
#define sipNameNr_NoProfile 39981
#define sipName_NoProfile &sipStrings_QtGui[39981]
#define sipNameNr_Offscreen 39991
#define sipName_Offscreen &sipStrings_QtGui[39991]
#define sipNameNr_PadSpread 40001
#define sipName_PadSpread &sipStrings_QtGui[40001]
#define sipNameNr_PdmHeight 40011
#define sipName_PdmHeight &sipStrings_QtGui[40011]
#define sipNameNr_PlumPlate 40021
#define sipName_PlumPlate &sipStrings_QtGui[40021]
#define sipNameNr_Prc32KBig 40031
#define sipName_Prc32KBig &sipStrings_QtGui[40031]
#define sipNameNr_Primaries 7249
#define sipName_Primaries &sipStrings_QtGui[7249]
#define sipNameNr_QFontInfo 40041
#define sipName_QFontInfo &sipStrings_QtGui[40041]
#define sipNameNr_QGlyphRun 40051
#define sipName_QGlyphRun &sipStrings_QtGui[40051]
#define sipNameNr_QGradient 40061
#define sipName_QGradient &sipStrings_QtGui[40061]
#define sipNameNr_QKeyEvent 40071
#define sipName_QKeyEvent &sipStrings_QtGui[40071]
#define sipNameNr_QPageSize 40081
#define sipName_QPageSize &sipStrings_QtGui[40081]
#define sipNameNr_QPolygonF 40091
#define sipName_QPolygonF &sipStrings_QtGui[40091]
#define sipNameNr_QShortcut 40101
#define sipName_QShortcut &sipStrings_QtGui[40101]
#define sipNameNr_QTextItem 40111
#define sipName_QTextItem &sipStrings_QtGui[40111]
#define sipNameNr_QTextLine 40121
#define sipName_QTextLine &sipStrings_QtGui[40121]
#define sipNameNr_QTextList 40131
#define sipName_QTextList &sipStrings_QtGui[40131]
#define sipNameNr_QVector2D 40141
#define sipName_QVector2D &sipStrings_QtGui[40141]
#define sipNameNr_QVector3D 40151
#define sipName_QVector3D &sipStrings_QtGui[40151]
#define sipNameNr_QVector4D 40161
#define sipName_QVector4D &sipStrings_QtGui[40161]
#define sipNameNr_QuickDraw 40171
#define sipName_QuickDraw &sipStrings_QtGui[40171]
#define sipNameNr_Rectangle 7663
#define sipName_Rectangle &sipStrings_QtGui[7663]
#define sipNameNr_RedoStack 40181
#define sipName_RedoStack &sipStrings_QtGui[40181]
#define sipNameNr_RichMetal 40191
#define sipName_RichMetal &sipStrings_QtGui[40191]
#define sipNameNr_RiverCity 40201
#define sipName_RiverCity &sipStrings_QtGui[40201]
#define sipNameNr_SansSerif 40211
#define sipName_SansSerif &sipStrings_QtGui[40211]
#define sipNameNr_SeaStrike 40221
#define sipName_SeaStrike &sipStrings_QtGui[40221]
#define sipNameNr_SelectAll 40231
#define sipName_SelectAll &sipStrings_QtGui[40231]
#define sipNameNr_Selection 331
#define sipName_Selection &sipStrings_QtGui[331]
#define sipNameNr_SkipWords 40241
#define sipName_SkipWords &sipStrings_QtGui[40241]
#define sipNameNr_SkyGlider 40251
#define sipName_SkyGlider &sipStrings_QtGui[40251]
#define sipNameNr_SmallCaps 40261
#define sipName_SmallCaps &sipStrings_QtGui[40261]
#define sipNameNr_SnowAgain 40271
#define sipName_SnowAgain &sipStrings_QtGui[40271]
#define sipNameNr_SoftGrass 40281
#define sipName_SoftGrass &sipStrings_QtGui[40281]
#define sipNameNr_SpikyNaga 40291
#define sipName_SpikyNaga &sipStrings_QtGui[40291]
#define sipNameNr_Statement 40301
#define sipName_Statement &sipStrings_QtGui[40301]
#define sipNameNr_StrikeOut 18860
#define sipName_StrikeOut &sipStrings_QtGui[18860]
#define sipNameNr_StyleHint 17789
#define sipName_StyleHint &sipStrings_QtGui[17789]
#define sipNameNr_SunVeggie 40311
#define sipName_SunVeggie &sipStrings_QtGui[40311]
#define sipNameNr_TeenParty 40321
#define sipName_TeenParty &sipStrings_QtGui[40321]
#define sipNameNr_TitleFont 40331
#define sipName_TitleFont &sipStrings_QtGui[40331]
#define sipNameNr_TxProject 40341
#define sipName_TxProject &sipStrings_QtGui[40341]
#define sipNameNr_Unchecked 40351
#define sipName_Unchecked &sipStrings_QtGui[40351]
#define sipNameNr_Underline 11275
#define sipName_Underline &sipStrings_QtGui[11275]
#define sipNameNr_UndoStack 36965
#define sipName_UndoStack &sipStrings_QtGui[36965]
#define sipNameNr_UsesAlpha 40361
#define sipName_UsesAlpha &sipStrings_QtGui[40361]
#define sipNameNr_WarmFlame 40371
#define sipName_WarmFlame &sipStrings_QtGui[40371]
#define sipNameNr_WhatsThis 32050
#define sipName_WhatsThis &sipStrings_QtGui[32050]
#define sipNameNr_WildApple 40381
#define sipName_WildApple &sipStrings_QtGui[40381]
#define sipNameNr_WordRight 40391
#define sipName_WordRight &sipStrings_QtGui[40391]
#define sipNameNr_YUVLayout 6346
#define sipName_YUVLayout &sipStrings_QtGui[6346]
#define sipNameNr_ZPosition 40401
#define sipName_ZPosition &sipStrings_QtGui[40401]
#define sipNameNr___enter__ 40411
#define sipName___enter__ &sipStrings_QtGui[40411]
#define sipNameNr_activated 40421
#define sipName_activated &sipStrings_QtGui[40421]
#define sipNameNr_addAction 40431
#define sipName_addAction &sipStrings_QtGui[40431]
#define sipNameNr_addPixmap 40441
#define sipName_addPixmap &sipStrings_QtGui[40441]
#define sipNameNr_addRegion 40451
#define sipName_addRegion &sipStrings_QtGui[40451]
#define sipNameNr_aliceblue 40461
#define sipName_aliceblue &sipStrings_QtGui[40461]
#define sipNameNr_alignment 40471
#define sipName_alignment &sipStrings_QtGui[40471]
#define sipNameNr_alphaSize 40481
#define sipName_alphaSize &sipStrings_QtGui[40481]
#define sipNameNr_ambiguous 40491
#define sipName_ambiguous &sipStrings_QtGui[40491]
#define sipNameNr_appendRow 40501
#define sipName_appendRow &sipStrings_QtGui[40501]
#define sipNameNr_arcMoveTo 40511
#define sipName_arcMoveTo &sipStrings_QtGui[40511]
#define sipNameNr_blackSize 40521
#define sipName_blackSize &sipStrings_QtGui[40521]
#define sipNameNr_blockList 40531
#define sipName_blockList &sipStrings_QtGui[40531]
#define sipNameNr_burlywood 40541
#define sipName_burlywood &sipStrings_QtGui[40541]
#define sipNameNr_byteOrder 40551
#define sipName_byteOrder &sipStrings_QtGui[40551]
#define sipNameNr_cacheMode 40561
#define sipName_cacheMode &sipStrings_QtGui[40561]
#define sipNameNr_cadetblue 40571
#define sipName_cadetblue &sipStrings_QtGui[40571]
#define sipNameNr_capHeight 40581
#define sipName_capHeight &sipStrings_QtGui[40581]
#define sipNameNr_chocolate 40591
#define sipName_chocolate &sipStrings_QtGui[40591]
#define sipNameNr_clearData 40601
#define sipName_clearData &sipStrings_QtGui[40601]
#define sipNameNr_clipTight 40611
#define sipName_clipTight &sipStrings_QtGui[40611]
#define sipNameNr_clipboard 40621
#define sipName_clipboard &sipStrings_QtGui[40621]
#define sipNameNr_component 40631
#define sipName_component &sipStrings_QtGui[40631]
#define sipNameNr_constBits 40641
#define sipName_constBits &sipStrings_QtGui[40641]
#define sipNameNr_convertTo 40651
#define sipName_convertTo &sipStrings_QtGui[40651]
#define sipNameNr_cursorToX 40661
#define sipName_cursorToX &sipStrings_QtGui[40661]
#define sipNameNr_darkgreen 40671
#define sipName_darkgreen &sipStrings_QtGui[40671]
#define sipNameNr_darkkhaki 40681
#define sipName_darkkhaki &sipStrings_QtGui[40681]
#define sipNameNr_delimiter 40691
#define sipName_delimiter &sipStrings_QtGui[40691]
#define sipNameNr_drawChord 40701
#define sipName_drawChord &sipStrings_QtGui[40701]
#define sipNameNr_drawImage 40711
#define sipName_drawImage &sipStrings_QtGui[40711]
#define sipNameNr_drawLines 40721
#define sipName_drawLines &sipStrings_QtGui[40721]
#define sipNameNr_drawPoint 40731
#define sipName_drawPoint &sipStrings_QtGui[40731]
#define sipNameNr_drawRects 40741
#define sipName_drawRects &sipStrings_QtGui[40741]
#define sipNameNr_elementAt 40751
#define sipName_elementAt &sipStrings_QtGui[40751]
#define sipNameNr_endLayout 40761
#define sipName_endLayout &sipStrings_QtGui[40761]
#define sipNameNr_eraseRect 40771
#define sipName_eraseRect &sipStrings_QtGui[40771]
#define sipNameNr_fetchMore 40781
#define sipName_fetchMore &sipStrings_QtGui[40781]
#define sipNameNr_finalStop 40791
#define sipName_finalStop &sipStrings_QtGui[40791]
#define sipNameNr_findBlock 40801
#define sipName_findBlock &sipStrings_QtGui[40801]
#define sipNameNr_findItems 40811
#define sipName_findItems &sipStrings_QtGui[40811]
#define sipNameNr_firebrick 40821
#define sipName_firebrick &sipStrings_QtGui[40821]
#define sipNameNr_firstPage 40831
#define sipName_firstPage &sipStrings_QtGui[40831]
#define sipNameNr_fontTable 40841
#define sipName_fontTable &sipStrings_QtGui[40841]
#define sipNameNr_frameRect 40851
#define sipName_frameRect &sipStrings_QtGui[40851]
#define sipNameNr_fromCmykF 40861
#define sipName_fromCmykF &sipStrings_QtGui[40861]
#define sipNameNr_fromImage 40871
#define sipName_fromImage &sipStrings_QtGui[40871]
#define sipNameNr_fromScale 40881
#define sipName_fromScale &sipStrings_QtGui[40881]
#define sipNameNr_fromTheme 40891
#define sipName_fromTheme &sipStrings_QtGui[40891]
#define sipNameNr_fromWinId 40901
#define sipName_fromWinId &sipStrings_QtGui[40901]
#define sipNameNr_gainsboro 40911
#define sipName_gainsboro &sipStrings_QtGui[40911]
#define sipNameNr_globalPos 40921
#define sipName_globalPos &sipStrings_QtGui[40921]
#define sipNameNr_glyphRuns 40931
#define sipName_glyphRuns &sipStrings_QtGui[40931]
#define sipNameNr_goldenrod 26742
#define sipName_goldenrod &sipStrings_QtGui[26742]
#define sipNameNr_greenSize 40941
#define sipName_greenSize &sipStrings_QtGui[40941]
#define sipNameNr_hideEvent 40951
#define sipName_hideEvent &sipStrings_QtGui[40951]
#define sipNameNr_highlight 34911
#define sipName_highlight &sipStrings_QtGui[34911]
#define sipNameNr_indianred 40961
#define sipName_indianred &sipStrings_QtGui[40961]
#define sipNameNr_insertRow 40971
#define sipName_insertRow &sipStrings_QtGui[40971]
#define sipNameNr_isChecked 40981
#define sipName_isChecked &sipStrings_QtGui[40981]
#define sipNameNr_isCurveTo 40991
#define sipName_isCurveTo &sipStrings_QtGui[40991]
#define sipNameNr_isEnabled 41001
#define sipName_isEnabled &sipStrings_QtGui[41001]
#define sipNameNr_isExposed 41011
#define sipName_isExposed &sipStrings_QtGui[41011]
#define sipNameNr_isQBitmap 41021
#define sipName_isQBitmap &sipStrings_QtGui[41021]
#define sipNameNr_isScaling 41031
#define sipName_isScaling &sipStrings_QtGui[41031]
#define sipNameNr_isVisible 41041
#define sipName_isVisible &sipStrings_QtGui[41041]
#define sipNameNr_joinStyle 41051
#define sipName_joinStyle &sipStrings_QtGui[41051]
#define sipNameNr_lastBlock 41061
#define sipName_lastBlock &sipStrings_QtGui[41061]
#define sipNameNr_lastError 41071
#define sipName_lastError &sipStrings_QtGui[41071]
#define sipNameNr_lawngreen 41081
#define sipName_lawngreen &sipStrings_QtGui[41081]
#define sipNameNr_lightblue 41091
#define sipName_lightblue &sipStrings_QtGui[41091]
#define sipNameNr_lightcyan 41101
#define sipName_lightcyan &sipStrings_QtGui[41101]
#define sipNameNr_lightgray 41111
#define sipName_lightgray &sipStrings_QtGui[41111]
#define sipNameNr_lightgrey 41121
#define sipName_lightgrey &sipStrings_QtGui[41121]
#define sipNameNr_lightness 41131
#define sipName_lightness &sipStrings_QtGui[41131]
#define sipNameNr_lightpink 41141
#define sipName_lightpink &sipStrings_QtGui[41141]
#define sipNameNr_limegreen 41151
#define sipName_limegreen &sipStrings_QtGui[41151]
#define sipNameNr_lineCount 41161
#define sipName_lineCount &sipStrings_QtGui[41161]
#define sipNameNr_lineWidth 41171
#define sipName_lineWidth &sipStrings_QtGui[41171]
#define sipNameNr_loopCount 41181
#define sipName_loopCount &sipStrings_QtGui[41181]
#define sipNameNr_lostFocus 41191
#define sipName_lostFocus &sipStrings_QtGui[41191]
#define sipNameNr_mapVector 41201
#define sipName_mapVector &sipStrings_QtGui[41201]
#define sipNameNr_mergeWith 41211
#define sipName_mergeWith &sipStrings_QtGui[41211]
#define sipNameNr_mimeTypes 41221
#define sipName_mimeTypes &sipStrings_QtGui[41221]
#define sipNameNr_mintcream 41231
#define sipName_mintcream &sipStrings_QtGui[41231]
#define sipNameNr_mistyrose 41241
#define sipName_mistyrose &sipStrings_QtGui[41241]
#define sipNameNr_modifiers 41251
#define sipName_modifiers &sipStrings_QtGui[41251]
#define sipNameNr_moveEvent 41261
#define sipName_moveEvent &sipStrings_QtGui[41261]
#define sipNameNr_nearPlane 41271
#define sipName_nearPlane &sipStrings_QtGui[41271]
#define sipNameNr_normalize 41281
#define sipName_normalize &sipStrings_QtGui[41281]
#define sipNameNr_numericId 41291
#define sipName_numericId &sipStrings_QtGui[41291]
#define sipNameNr_olivedrab 41301
#define sipName_olivedrab &sipStrings_QtGui[41301]
#define sipNameNr_operation 41311
#define sipName_operation &sipStrings_QtGui[41311]
#define sipNameNr_orangered 41321
#define sipName_orangered &sipStrings_QtGui[41321]
#define sipNameNr_pageCount 41331
#define sipName_pageCount &sipStrings_QtGui[41331]
#define sipNameNr_paintRect 41341
#define sipName_paintRect &sipStrings_QtGui[41341]
#define sipNameNr_palegreen 41351
#define sipName_palegreen &sipStrings_QtGui[41351]
#define sipNameNr_peachpuff 41361
#define sipName_peachpuff &sipStrings_QtGui[41361]
#define sipNameNr_pixelSize 41371
#define sipName_pixelSize &sipStrings_QtGui[41371]
#define sipNameNr_pointById 41381
#define sipName_pointById &sipStrings_QtGui[41381]
#define sipNameNr_pointSize 41391
#define sipName_pointSize &sipStrings_QtGui[41391]
#define sipNameNr_positions 41401
#define sipName_positions &sipStrings_QtGui[41401]
#define sipNameNr_primaries 41411
#define sipName_primaries &sipStrings_QtGui[41411]
#define sipNameNr_putPoints 41421
#define sipName_putPoints &sipStrings_QtGui[41421]
#define sipNameNr_rectCount 41431
#define sipName_rectCount &sipStrings_QtGui[41431]
#define sipNameNr_removeRow 41441
#define sipName_removeRow &sipStrings_QtGui[41441]
#define sipNameNr_roleNames 41451
#define sipName_roleNames &sipStrings_QtGui[41451]
#define sipNameNr_rootFrame 41461
#define sipName_rootFrame &sipStrings_QtGui[41461]
#define sipNameNr_rosybrown 41471
#define sipName_rosybrown &sipStrings_QtGui[41471]
#define sipNameNr_royalblue 41481
#define sipName_royalblue &sipStrings_QtGui[41481]
#define sipNameNr_seatNames 41491
#define sipName_seatNames &sipStrings_QtGui[41491]
#define sipNameNr_selection 41501
#define sipName_selection &sipStrings_QtGui[41501]
#define sipNameNr_sessionId 41511
#define sipName_sessionId &sipStrings_QtGui[41511]
#define sipNameNr_setActive 41521
#define sipName_setActive &sipStrings_QtGui[41521]
#define sipNameNr_setAlphaF 41531
#define sipName_setAlphaF &sipStrings_QtGui[41531]
#define sipNameNr_setAnchor 41541
#define sipName_setAnchor &sipStrings_QtGui[41541]
#define sipNameNr_setAscent 41551
#define sipName_setAscent &sipStrings_QtGui[41551]
#define sipNameNr_setBorder 41561
#define sipName_setBorder &sipStrings_QtGui[41561]
#define sipNameNr_setBottom 41571
#define sipName_setBottom &sipStrings_QtGui[41571]
#define sipNameNr_setCenter 41581
#define sipName_setCenter &sipStrings_QtGui[41581]
#define sipNameNr_setColumn 41591
#define sipName_setColumn &sipStrings_QtGui[41591]
#define sipNameNr_setCursor 35727
#define sipName_setCursor &sipStrings_QtGui[35727]
#define sipNameNr_setDevice 41601
#define sipName_setDevice &sipStrings_QtGui[41601]
#define sipNameNr_setFamily 41611
#define sipName_setFamily &sipStrings_QtGui[41611]
#define sipNameNr_setFilter 41621
#define sipName_setFilter &sipStrings_QtGui[41621]
#define sipNameNr_setFormat 41631
#define sipName_setFormat &sipStrings_QtGui[41631]
#define sipNameNr_setGreenF 41641
#define sipName_setGreenF &sipStrings_QtGui[41641]
#define sipNameNr_setHeight 41651
#define sipName_setHeight &sipStrings_QtGui[41651]
#define sipNameNr_setIndent 41661
#define sipName_setIndent &sipStrings_QtGui[41661]
#define sipNameNr_setIsMask 41671
#define sipName_setIsMask &sipStrings_QtGui[41671]
#define sipNameNr_setItalic 41681
#define sipName_setItalic &sipStrings_QtGui[41681]
#define sipNameNr_setLocale 41691
#define sipName_setLocale &sipStrings_QtGui[41691]
#define sipNameNr_setMargin 41701
#define sipName_setMargin &sipStrings_QtGui[41701]
#define sipNameNr_setMarker 41711
#define sipName_setMarker &sipStrings_QtGui[41711]
#define sipNameNr_setMatrix 41721
#define sipName_setMatrix &sipStrings_QtGui[41721]
#define sipNameNr_setOffset 41731
#define sipName_setOffset &sipStrings_QtGui[41731]
#define sipNameNr_setOption 41741
#define sipName_setOption &sipStrings_QtGui[41741]
#define sipNameNr_setParent 41751
#define sipName_setParent &sipStrings_QtGui[41751]
#define sipNameNr_setPaused 41761
#define sipName_setPaused &sipStrings_QtGui[41761]
#define sipNameNr_setPixmap 41771
#define sipName_setPixmap &sipStrings_QtGui[41771]
#define sipNameNr_setPoints 41781
#define sipName_setPoints &sipStrings_QtGui[41781]
#define sipNameNr_setRadius 41791
#define sipName_setRadius &sipStrings_QtGui[41791]
#define sipNameNr_setRgba64 41801
#define sipName_setRgba64 &sipStrings_QtGui[41801]
#define sipNameNr_setScalar 41811
#define sipName_setScalar &sipStrings_QtGui[41811]
#define sipNameNr_setScreen 41821
#define sipName_setScreen &sipStrings_QtGui[41821]
#define sipNameNr_setSpread 41831
#define sipName_setSpread &sipStrings_QtGui[41831]
#define sipNameNr_setStereo 41841
#define sipName_setStereo &sipStrings_QtGui[41841]
#define sipNameNr_setVector 41851
#define sipName_setVector &sipStrings_QtGui[41851]
#define sipNameNr_setWeight 41861
#define sipName_setWeight &sipStrings_QtGui[41861]
#define sipNameNr_setWidthF 41871
#define sipName_setWidthF &sipStrings_QtGui[41871]
#define sipNameNr_setWindow 41881
#define sipName_setWindow &sipStrings_QtGui[41881]
#define sipNameNr_shortcuts 41891
#define sipName_shortcuts &sipStrings_QtGui[41891]
#define sipNameNr_showEvent 41901
#define sipName_showEvent &sipStrings_QtGui[41901]
#define sipNameNr_slateblue 21342
#define sipName_slateblue &sipStrings_QtGui[21342]
#define sipNameNr_slategray 24081
#define sipName_slategray &sipStrings_QtGui[24081]
#define sipNameNr_slategrey 24096
#define sipName_slategrey &sipStrings_QtGui[24096]
#define sipNameNr_sourceTop 41911
#define sipName_sourceTop &sipStrings_QtGui[41911]
#define sipNameNr_splitCell 41921
#define sipName_splitCell &sipStrings_QtGui[41921]
#define sipNameNr_statusTip 41931
#define sipName_statusTip &sipStrings_QtGui[41931]
#define sipNameNr_steelblue 24111
#define sipName_steelblue &sipStrings_QtGui[24111]
#define sipNameNr_strikeOut 41941
#define sipName_strikeOut &sipStrings_QtGui[41941]
#define sipNameNr_styleHint 41951
#define sipName_styleHint &sipStrings_QtGui[41951]
#define sipNameNr_styleName 41961
#define sipName_styleName &sipStrings_QtGui[41961]
#define sipNameNr_takeChild 41971
#define sipName_takeChild &sipStrings_QtGui[41971]
#define sipNameNr_textStart 41981
#define sipName_textStart &sipStrings_QtGui[41981]
#define sipNameNr_textWidth 41991
#define sipName_textWidth &sipStrings_QtGui[41991]
#define sipNameNr_themeName 42001
#define sipName_themeName &sipStrings_QtGui[42001]
#define sipNameNr_timestamp 42011
#define sipName_timestamp &sipStrings_QtGui[42011]
#define sipNameNr_toPolygon 42021
#define sipName_toPolygon &sipStrings_QtGui[42021]
#define sipNameNr_toRawText 42031
#define sipName_toRawText &sipStrings_QtGui[42031]
#define sipNameNr_topBorder 42041
#define sipName_topBorder &sipStrings_QtGui[42041]
#define sipNameNr_topMargin 42051
#define sipName_topMargin &sipStrings_QtGui[42051]
#define sipNameNr_transform 42061
#define sipName_transform &sipStrings_QtGui[42061]
#define sipNameNr_translate 42071
#define sipName_translate &sipStrings_QtGui[42071]
#define sipNameNr_triggered 42081
#define sipName_triggered &sipStrings_QtGui[42081]
#define sipNameNr_turquoise 21358
#define sipName_turquoise &sipStrings_QtGui[21358]
#define sipNameNr_underline 42091
#define sipName_underline &sipStrings_QtGui[42091]
#define sipNameNr_undoLimit 42101
#define sipName_undoLimit &sipStrings_QtGui[42101]
#define sipNameNr_unproject 42111
#define sipName_unproject &sipStrings_QtGui[42111]
#define sipNameNr_userState 42121
#define sipName_userState &sipStrings_QtGui[42121]
#define sipNameNr_whatsThis 42131
#define sipName_whatsThis &sipStrings_QtGui[42131]
#define sipNameNr_windowsId 42141
#define sipName_windowsId &sipStrings_QtGui[42141]
#define sipNameNr_xToCursor 42151
#define sipName_xToCursor &sipStrings_QtGui[42151]
#define sipNameNr_yuvLayout 42161
#define sipName_yuvLayout &sipStrings_QtGui[42161]
#define sipNameNr_AdobeRgb 42171
#define sipName_AdobeRgb &sipStrings_QtGui[42171]
#define sipNameNr_Airbrush 42180
#define sipName_Airbrush &sipStrings_QtGui[42180]
#define sipNameNr_AlignTop 42189
#define sipName_AlignTop &sipStrings_QtGui[42189]
#define sipNameNr_AllDirty 42198
#define sipName_AllDirty &sipStrings_QtGui[42198]
#define sipNameNr_AmyCrisp 42207
#define sipName_AmyCrisp &sipStrings_QtGui[42207]
#define sipNameNr_AnyStyle 42216
#define sipName_AnyStyle &sipStrings_QtGui[42216]
#define sipNameNr_Armenian 42225
#define sipName_Armenian &sipStrings_QtGui[42225]
#define sipNameNr_BigMango 42234
#define sipName_BigMango &sipStrings_QtGui[42234]
#define sipNameNr_BlackSea 42243
#define sipName_BlackSea &sipStrings_QtGui[42243]
#define sipNameNr_Blessing 42252
#define sipName_Blessing &sipStrings_QtGui[42252]
#define sipNameNr_CacheAll 42261
#define sipName_CacheAll &sipStrings_QtGui[42261]
#define sipNameNr_ClipRect 16864
#define sipName_ClipRect &sipStrings_QtGui[16864]
#define sipNameNr_Computer 38539
#define sipName_Computer &sipStrings_QtGui[38539]
#define sipNameNr_CssFloat 42270
#define sipName_CssFloat &sipStrings_QtGui[42270]
#define sipNameNr_CssMedia 42279
#define sipName_CssMedia &sipStrings_QtGui[42279]
#define sipNameNr_Cyrillic 42288
#define sipName_Cyrillic &sipStrings_QtGui[42288]
#define sipNameNr_DarkBlue 42297
#define sipName_DarkBlue &sipStrings_QtGui[42297]
#define sipNameNr_DarkCyan 42306
#define sipName_DarkCyan &sipStrings_QtGui[42306]
#define sipNameNr_DarkGray 42315
#define sipName_DarkGray &sipStrings_QtGui[42315]
#define sipNameNr_DciP3D65 42324
#define sipName_DciP3D65 &sipStrings_QtGui[42324]
#define sipNameNr_DeepBlue 42333
#define sipName_DeepBlue &sipStrings_QtGui[42333]
#define sipNameNr_DemiBold 42342
#define sipName_DemiBold &sipStrings_QtGui[42342]
#define sipNameNr_Deselect 42351
#define sipName_Deselect &sipStrings_QtGui[42351]
#define sipNameNr_Direct2D 42360
#define sipName_Direct2D &sipStrings_QtGui[42360]
#define sipNameNr_Direct3D 42369
#define sipName_Direct3D &sipStrings_QtGui[42369]
#define sipNameNr_DirtyPen 42378
#define sipName_DirtyPen &sipStrings_QtGui[42378]
#define sipNameNr_Disabled 35152
#define sipName_Disabled &sipStrings_QtGui[35152]
#define sipNameNr_Document 8164
#define sipName_Document &sipStrings_QtGui[8164]
#define sipNameNr_Expanded 25539
#define sipName_Expanded &sipStrings_QtGui[25539]
#define sipNameNr_FindFlag 6419
#define sipName_FindFlag &sipStrings_QtGui[6419]
#define sipNameNr_FindNext 42387
#define sipName_FindNext &sipStrings_QtGui[42387]
#define sipNameNr_Georgian 42396
#define sipName_Georgian &sipStrings_QtGui[42396]
#define sipNameNr_Gujarati 42405
#define sipName_Gujarati &sipStrings_QtGui[42405]
#define sipNameNr_Gurmukhi 42414
#define sipName_Gurmukhi &sipStrings_QtGui[42414]
#define sipNameNr_IconType 593
#define sipName_IconType &sipStrings_QtGui[593]
#define sipNameNr_Inactive 42423
#define sipName_Inactive &sipStrings_QtGui[42423]
#define sipNameNr_IsAnchor 42432
#define sipName_IsAnchor &sipStrings_QtGui[42432]
#define sipNameNr_ItemType 6395
#define sipName_ItemType &sipStrings_QtGui[6395]
#define sipNameNr_Japanese 42441
#define sipName_Japanese &sipStrings_QtGui[42441]
#define sipNameNr_Keyboard 21679
#define sipName_Keyboard &sipStrings_QtGui[21679]
#define sipNameNr_LadyLips 42450
#define sipName_LadyLips &sipStrings_QtGui[42450]
#define sipNameNr_Language 14722
#define sipName_Language &sipStrings_QtGui[14722]
#define sipNameNr_ListDisc 42459
#define sipName_ListDisc &sipStrings_QtGui[42459]
#define sipNameNr_LoveKiss 42468
#define sipName_LoveKiss &sipStrings_QtGui[42468]
#define sipNameNr_MagicRay 42477
#define sipName_MagicRay &sipStrings_QtGui[42477]
#define sipNameNr_MenuRole 15172
#define sipName_MenuRole &sipStrings_QtGui[15172]
#define sipNameNr_Midlight 42486
#define sipName_Midlight &sipStrings_QtGui[42486]
#define sipNameNr_MoleHall 42495
#define sipName_MoleHall &sipStrings_QtGui[42495]
#define sipNameNr_MoveMode 8384
#define sipName_MoveMode &sipStrings_QtGui[8384]
#define sipNameNr_NearMoon 42504
#define sipName_NearMoon &sipStrings_QtGui[42504]
#define sipNameNr_NextCell 42513
#define sipName_NextCell &sipStrings_QtGui[42513]
#define sipNameNr_NextWord 22882
#define sipName_NextWord &sipStrings_QtGui[22882]
#define sipNameNr_NightSky 42522
#define sipName_NightSky &sipStrings_QtGui[42522]
#define sipNameNr_NoMarker 42531
#define sipName_NoMarker &sipStrings_QtGui[42531]
#define sipNameNr_NoObject 42540
#define sipName_NoObject &sipStrings_QtGui[42540]
#define sipNameNr_Notation 4098
#define sipName_Notation &sipStrings_QtGui[4098]
#define sipNameNr_OpenGLES 38330
#define sipName_OpenGLES &sipStrings_QtGui[38330]
#define sipNameNr_Overline 21967
#define sipName_Overline &sipStrings_QtGui[21967]
#define sipNameNr_PaloAlto 42549
#define sipName_PaloAlto &sipStrings_QtGui[42549]
#define sipNameNr_PdmDepth 42558
#define sipName_PdmDepth &sipStrings_QtGui[42558]
#define sipNameNr_PdmWidth 42567
#define sipName_PdmWidth &sipStrings_QtGui[42567]
#define sipNameNr_PlumBath 42576
#define sipName_PlumBath &sipStrings_QtGui[42576]
#define sipNameNr_Portrait 38341
#define sipName_Portrait &sipStrings_QtGui[38341]
#define sipNameNr_Position 3795
#define sipName_Position &sipStrings_QtGui[3795]
#define sipNameNr_Postcard 22582
#define sipName_Postcard &sipStrings_QtGui[22582]
#define sipNameNr_Pressure 13224
#define sipName_Pressure &sipStrings_QtGui[13224]
#define sipNameNr_Priority 15190
#define sipName_Priority &sipStrings_QtGui[15190]
#define sipNameNr_Property 8450
#define sipName_Property &sipStrings_QtGui[8450]
#define sipNameNr_QPainter 42585
#define sipName_QPainter &sipStrings_QtGui[42585]
#define sipNameNr_QPalette 42594
#define sipName_QPalette &sipStrings_QtGui[42594]
#define sipNameNr_QPicture 42603
#define sipName_QPicture &sipStrings_QtGui[42603]
#define sipNameNr_QPolygon 42612
#define sipName_QPolygon &sipStrings_QtGui[42612]
#define sipNameNr_QRawFont 42621
#define sipName_QRawFont &sipStrings_QtGui[42621]
#define sipNameNr_QSurface 42630
#define sipName_QSurface &sipStrings_QtGui[42630]
#define sipNameNr_QuitRole 42639
#define sipName_QuitRole &sipStrings_QtGui[42639]
#define sipNameNr_RareWind 42648
#define sipName_RareWind &sipStrings_QtGui[42648]
#define sipNameNr_Released 42657
#define sipName_Released &sipStrings_QtGui[42657]
#define sipNameNr_RightTab 42666
#define sipName_RightTab &sipStrings_QtGui[42666]
#define sipNameNr_Rotation 42675
#define sipName_Rotation &sipStrings_QtGui[42675]
#define sipNameNr_Seashore 42684
#define sipName_Seashore &sipStrings_QtGui[42684]
#define sipNameNr_Selected 42693
#define sipName_Selected &sipStrings_QtGui[42693]
#define sipNameNr_StarWine 42702
#define sipName_StarWine &sipStrings_QtGui[42702]
#define sipNameNr_TouchPad 42711
#define sipName_TouchPad &sipStrings_QtGui[42711]
#define sipNameNr_Trailing 42720
#define sipName_Trailing &sipStrings_QtGui[42720]
#define sipNameNr_Trashcan 42729
#define sipName_Trashcan &sipStrings_QtGui[42729]
#define sipNameNr_TxRotate 42738
#define sipName_TxRotate &sipStrings_QtGui[42738]
#define sipNameNr_UserType 42747
#define sipName_UserType &sipStrings_QtGui[42747]
#define sipNameNr_Velocity 17026
#define sipName_Velocity &sipStrings_QtGui[17026]
#define sipNameNr_Windowed 42756
#define sipName_Windowed &sipStrings_QtGui[42756]
#define sipNameNr_WordLeft 42765
#define sipName_WordLeft &sipStrings_QtGui[42765]
#define sipNameNr_WordWrap 42774
#define sipName_WordWrap &sipStrings_QtGui[42774]
#define sipNameNr_WrapMode 8494
#define sipName_WrapMode &sipStrings_QtGui[8494]
#define sipNameNr_YUV420SP 42783
#define sipName_YUV420SP &sipStrings_QtGui[42783]
#define sipNameNr___bool__ 42792
#define sipName___bool__ &sipStrings_QtGui[42792]
#define sipNameNr___exit__ 42801
#define sipName___exit__ &sipStrings_QtGui[42801]
#define sipNameNr___hash__ 42810
#define sipName___hash__ &sipStrings_QtGui[42810]
#define sipNameNr___iadd__ 42819
#define sipName___iadd__ &sipStrings_QtGui[42819]
#define sipNameNr___iand__ 42828
#define sipName___iand__ &sipStrings_QtGui[42828]
#define sipNameNr___imul__ 42837
#define sipName___imul__ &sipStrings_QtGui[42837]
#define sipNameNr___isub__ 42846
#define sipName___isub__ &sipStrings_QtGui[42846]
#define sipNameNr___ixor__ 42855
#define sipName___ixor__ &sipStrings_QtGui[42855]
#define sipNameNr___repr__ 42864
#define sipName___repr__ &sipStrings_QtGui[42864]
#define sipNameNr_accepted 42873
#define sipName_accepted &sipStrings_QtGui[42873]
#define sipNameNr_activate 42882
#define sipName_activate &sipStrings_QtGui[42882]
#define sipNameNr_addRange 42891
#define sipName_addRange &sipStrings_QtGui[42891]
#define sipNameNr_addStack 42900
#define sipName_addStack &sipStrings_QtGui[42900]
#define sipNameNr_anchorAt 42909
#define sipName_anchorAt &sipStrings_QtGui[42909]
#define sipNameNr_baseSize 42918
#define sipName_baseSize &sipStrings_QtGui[42918]
#define sipNameNr_behavior 42927
#define sipName_behavior &sipStrings_QtGui[42927]
#define sipNameNr_blueSize 42936
#define sipName_blueSize &sipStrings_QtGui[42936]
#define sipNameNr_cacheKey 42945
#define sipName_cacheKey &sipStrings_QtGui[42945]
#define sipNameNr_canWrite 6923
#define sipName_canWrite &sipStrings_QtGui[6923]
#define sipNameNr_capStyle 42954
#define sipName_capStyle &sipStrings_QtGui[42954]
#define sipNameNr_capacity 42963
#define sipName_capacity &sipStrings_QtGui[42963]
#define sipNameNr_clipPath 42972
#define sipName_clipPath &sipStrings_QtGui[42972]
#define sipNameNr_clipRect 42981
#define sipName_clipRect &sipStrings_QtGui[42981]
#define sipNameNr_contains 42990
#define sipName_contains &sipStrings_QtGui[42990]
#define sipNameNr_cornsilk 42999
#define sipName_cornsilk &sipStrings_QtGui[42999]
#define sipNameNr_cyanSize 43008
#define sipName_cyanSize &sipStrings_QtGui[43008]
#define sipNameNr_darkblue 43017
#define sipName_darkblue &sipStrings_QtGui[43017]
#define sipNameNr_darkcyan 43026
#define sipName_darkcyan &sipStrings_QtGui[43026]
#define sipNameNr_darkgray 43035
#define sipName_darkgray &sipStrings_QtGui[43035]
#define sipNameNr_darkgrey 43044
#define sipName_darkgrey &sipStrings_QtGui[43044]
#define sipNameNr_decimals 43053
#define sipName_decimals &sipStrings_QtGui[43053]
#define sipNameNr_deeppink 43062
#define sipName_deeppink &sipStrings_QtGui[43062]
#define sipNameNr_document 43071
#define sipName_document &sipStrings_QtGui[43071]
#define sipNameNr_drawLine 43080
#define sipName_drawLine &sipStrings_QtGui[43080]
#define sipNameNr_drawPath 43089
#define sipName_drawPath &sipStrings_QtGui[43089]
#define sipNameNr_drawRect 43098
#define sipName_drawRect &sipStrings_QtGui[43098]
#define sipNameNr_drawText 43107
#define sipName_drawText &sipStrings_QtGui[43107]
#define sipNameNr_endMacro 43116
#define sipName_endMacro &sipStrings_QtGui[43116]
#define sipNameNr_endPaint 43125
#define sipName_endPaint &sipStrings_QtGui[43125]
#define sipNameNr_families 43134
#define sipName_families &sipStrings_QtGui[43134]
#define sipNameNr_farPlane 43143
#define sipName_farPlane &sipStrings_QtGui[43143]
#define sipNameNr_features 43152
#define sipName_features &sipStrings_QtGui[43152]
#define sipNameNr_fileIcon 43161
#define sipName_fileIcon &sipStrings_QtGui[43161]
#define sipNameNr_fileInfo 43170
#define sipName_fileInfo &sipStrings_QtGui[43170]
#define sipNameNr_fileName 43179
#define sipName_fileName &sipStrings_QtGui[43179]
#define sipNameNr_filePath 43188
#define sipName_filePath &sipStrings_QtGui[43188]
#define sipNameNr_fillPath 43197
#define sipName_fillPath &sipStrings_QtGui[43197]
#define sipNameNr_fillRect 43206
#define sipName_fillRect &sipStrings_QtGui[43206]
#define sipNameNr_fillRule 43215
#define sipName_fillRule &sipStrings_QtGui[43215]
#define sipNameNr_finished 43224
#define sipName_finished &sipStrings_QtGui[43224]
#define sipNameNr_fontInfo 43233
#define sipName_fontInfo &sipStrings_QtGui[43233]
#define sipNameNr_formatAt 43242
#define sipName_formatAt &sipStrings_QtGui[43242]
#define sipNameNr_fragment 43251
#define sipName_fragment &sipStrings_QtGui[43251]
#define sipNameNr_fromAxes 43260
#define sipName_fromAxes &sipStrings_QtGui[43260]
#define sipNameNr_fromCmyk 43269
#define sipName_fromCmyk &sipStrings_QtGui[43269]
#define sipNameNr_fromData 43278
#define sipName_fromData &sipStrings_QtGui[43278]
#define sipNameNr_fromFont 43287
#define sipName_fromFont &sipStrings_QtGui[43287]
#define sipNameNr_fromHslF 43296
#define sipName_fromHslF &sipStrings_QtGui[43296]
#define sipNameNr_fromHsvF 43305
#define sipName_fromHsvF &sipStrings_QtGui[43305]
#define sipNameNr_fromHtml 43314
#define sipName_fromHtml &sipStrings_QtGui[43314]
#define sipNameNr_fromRgbF 43323
#define sipName_fromRgbF &sipStrings_QtGui[43323]
#define sipNameNr_fromRgba 43332
#define sipName_fromRgba &sipStrings_QtGui[43332]
#define sipNameNr_fullRect 43341
#define sipName_fullRect &sipStrings_QtGui[43341]
#define sipNameNr_geometry 43350
#define sipName_geometry &sipStrings_QtGui[43350]
#define sipNameNr_getCmykF 43359
#define sipName_getCmykF &sipStrings_QtGui[43359]
#define sipNameNr_gotFocus 43368
#define sipName_gotFocus &sipStrings_QtGui[43368]
#define sipNameNr_gradient 43377
#define sipName_gradient &sipStrings_QtGui[43377]
#define sipNameNr_hasAlpha 43386
#define sipName_hasAlpha &sipStrings_QtGui[43386]
#define sipNameNr_heightMM 43395
#define sipName_heightMM &sipStrings_QtGui[43395]
#define sipNameNr_honeydew 43404
#define sipName_honeydew &sipStrings_QtGui[43404]
#define sipNameNr_iconName 43413
#define sipName_iconName &sipStrings_QtGui[43413]
#define sipNameNr_iconText 43422
#define sipName_iconText &sipStrings_QtGui[43422]
#define sipNameNr_inverted 43431
#define sipName_inverted &sipStrings_QtGui[43431]
#define sipNameNr_isActive 43440
#define sipName_isActive &sipStrings_QtGui[43440]
#define sipNameNr_isAffine 43449
#define sipName_isAffine &sipStrings_QtGui[43449]
#define sipNameNr_isAnchor 43458
#define sipName_isAnchor &sipStrings_QtGui[43458]
#define sipNameNr_isClosed 43467
#define sipName_isClosed &sipStrings_QtGui[43467]
#define sipNameNr_isCopyOf 43476
#define sipName_isCopyOf &sipStrings_QtGui[43476]
#define sipNameNr_isLineTo 43485
#define sipName_isLineTo &sipStrings_QtGui[43485]
#define sipNameNr_isMoveTo 43494
#define sipName_isMoveTo &sipStrings_QtGui[43494]
#define sipNameNr_isOpaque 43503
#define sipName_isOpaque &sipStrings_QtGui[43503]
#define sipNameNr_isPhase2 43512
#define sipName_isPhase2 &sipStrings_QtGui[43512]
#define sipNameNr_itemData 43521
#define sipName_itemData &sipStrings_QtGui[43521]
#define sipNameNr_itemText 43530
#define sipName_itemText &sipStrings_QtGui[43530]
#define sipNameNr_iterator 9602
#define sipName_iterator &sipStrings_QtGui[9602]
#define sipNameNr_lastPage 43539
#define sipName_lastPage &sipStrings_QtGui[43539]
#define sipNameNr_lavender 43548
#define sipName_lavender &sipStrings_QtGui[43548]
#define sipNameNr_magentaF 43557
#define sipName_magentaF &sipStrings_QtGui[43557]
#define sipNameNr_maxWidth 43566
#define sipName_maxWidth &sipStrings_QtGui[43566]
#define sipNameNr_menuRole 43575
#define sipName_menuRole &sipStrings_QtGui[43575]
#define sipNameNr_midlight 43584
#define sipName_midlight &sipStrings_QtGui[43584]
#define sipNameNr_mimeData 43593
#define sipName_mimeData &sipStrings_QtGui[43593]
#define sipNameNr_mimeType 43602
#define sipName_mimeType &sipStrings_QtGui[43602]
#define sipNameNr_mirrored 43611
#define sipName_mirrored &sipStrings_QtGui[43611]
#define sipNameNr_mnemonic 2935
#define sipName_mnemonic &sipStrings_QtGui[2935]
#define sipNameNr_moccasin 43620
#define sipName_moccasin &sipStrings_QtGui[43620]
#define sipNameNr_modality 43629
#define sipName_modality &sipStrings_QtGui[43629]
#define sipNameNr_moveRows 38759
#define sipName_moveRows &sipStrings_QtGui[38759]
#define sipNameNr_notation 43638
#define sipName_notation &sipStrings_QtGui[43638]
#define sipNameNr_oldState 43647
#define sipName_oldState &sipStrings_QtGui[43647]
#define sipNameNr_openFile 43656
#define sipName_openFile &sipStrings_QtGui[43656]
#define sipNameNr_optimize 43665
#define sipName_optimize &sipStrings_QtGui[43665]
#define sipNameNr_overline 43674
#define sipName_overline &sipStrings_QtGui[43674]
#define sipNameNr_pageSize 43683
#define sipName_pageSize &sipStrings_QtGui[43683]
#define sipNameNr_position 43692
#define sipName_position &sipStrings_QtGui[43692]
#define sipNameNr_pressure 43701
#define sipName_pressure &sipStrings_QtGui[43701]
#define sipNameNr_previous 43710
#define sipName_previous &sipStrings_QtGui[43710]
#define sipNameNr_priority 43719
#define sipName_priority &sipStrings_QtGui[43719]
#define sipNameNr_property 43728
#define sipName_property &sipStrings_QtGui[43728]
#define sipNameNr_rawValue 43737
#define sipName_rawValue &sipStrings_QtGui[43737]
#define sipNameNr_redoText 43746
#define sipName_redoText &sipStrings_QtGui[43746]
#define sipNameNr_resource 43755
#define sipName_resource &sipStrings_QtGui[43755]
#define sipNameNr_revision 43764
#define sipName_revision &sipStrings_QtGui[43764]
#define sipNameNr_rootPath 43773
#define sipName_rootPath &sipStrings_QtGui[43773]
#define sipNameNr_rotation 43782
#define sipName_rotation &sipStrings_QtGui[43782]
#define sipNameNr_rowCount 43791
#define sipName_rowCount &sipStrings_QtGui[43791]
#define sipNameNr_rowStart 43800
#define sipName_rowStart &sipStrings_QtGui[43800]
#define sipNameNr_scanLine 43809
#define sipName_scanLine &sipStrings_QtGui[43809]
#define sipNameNr_screenAt 43818
#define sipName_screenAt &sipStrings_QtGui[43818]
#define sipNameNr_seagreen 24172
#define sipName_seagreen &sipStrings_QtGui[24172]
#define sipNameNr_seashell 43827
#define sipName_seashell &sipStrings_QtGui[43827]
#define sipNameNr_seatName 43836
#define sipName_seatName &sipStrings_QtGui[43836]
#define sipNameNr_setAlpha 43845
#define sipName_setAlpha &sipStrings_QtGui[43845]
#define sipNameNr_setAngle 43854
#define sipName_setAngle &sipStrings_QtGui[43854]
#define sipNameNr_setBlueF 43863
#define sipName_setBlueF &sipStrings_QtGui[43863]
#define sipNameNr_setBrush 43872
#define sipName_setBrush &sipStrings_QtGui[43872]
#define sipNameNr_setChild 43881
#define sipName_setChild &sipStrings_QtGui[43881]
#define sipNameNr_setClean 38770
#define sipName_setClean &sipStrings_QtGui[38770]
#define sipNameNr_setCmykF 43890
#define sipName_setCmykF &sipStrings_QtGui[43890]
#define sipNameNr_setColor 43899
#define sipName_setColor &sipStrings_QtGui[43899]
#define sipNameNr_setFlags 43908
#define sipName_setFlags &sipStrings_QtGui[43908]
#define sipNameNr_setGreen 43917
#define sipName_setGreen &sipStrings_QtGui[43917]
#define sipNameNr_setImage 43926
#define sipName_setImage &sipStrings_QtGui[43926]
#define sipNameNr_setIndex 43935
#define sipName_setIndex &sipStrings_QtGui[43935]
#define sipNameNr_setPixel 43944
#define sipName_setPixel &sipStrings_QtGui[43944]
#define sipNameNr_setPoint 43953
#define sipName_setPoint &sipStrings_QtGui[43953]
#define sipNameNr_setRange 43962
#define sipName_setRange &sipStrings_QtGui[43962]
#define sipNameNr_setRects 43971
#define sipName_setRects &sipStrings_QtGui[43971]
#define sipNameNr_setShape 43980
#define sipName_setShape &sipStrings_QtGui[43980]
#define sipNameNr_setSpeed 43989
#define sipName_setSpeed &sipStrings_QtGui[43989]
#define sipNameNr_setStart 43998
#define sipName_setStart &sipStrings_QtGui[43998]
#define sipNameNr_setStops 44007
#define sipName_setStops &sipStrings_QtGui[44007]
#define sipNameNr_setStyle 44016
#define sipName_setStyle &sipStrings_QtGui[44016]
#define sipNameNr_setTitle 44025
#define sipName_setTitle &sipStrings_QtGui[44025]
#define sipNameNr_setUnits 44034
#define sipName_setUnits &sipStrings_QtGui[44034]
#define sipNameNr_setValue 44043
#define sipName_setValue &sipStrings_QtGui[44043]
#define sipNameNr_setWidth 44052
#define sipName_setWidth &sipStrings_QtGui[44052]
#define sipNameNr_shortcut 44061
#define sipName_shortcut &sipStrings_QtGui[44061]
#define sipNameNr_sizeHint 44070
#define sipName_sizeHint &sipStrings_QtGui[44070]
#define sipNameNr_sortRole 44079
#define sipName_sortRole &sipStrings_QtGui[44079]
#define sipNameNr_startPos 44088
#define sipName_startPos &sipStrings_QtGui[44088]
#define sipNameNr_strategy 44097
#define sipName_strategy &sipStrings_QtGui[44097]
#define sipNameNr_systemId 44106
#define sipName_systemId &sipStrings_QtGui[44106]
#define sipNameNr_tabArray 44115
#define sipName_tabArray &sipStrings_QtGui[44115]
#define sipNameNr_tabStops 44124
#define sipName_tabStops &sipStrings_QtGui[44124]
#define sipNameNr_takeItem 44133
#define sipName_takeItem &sipStrings_QtGui[44133]
#define sipNameNr_textKeys 44142
#define sipName_textKeys &sipStrings_QtGui[44142]
#define sipNameNr_textList 44151
#define sipName_textList &sipStrings_QtGui[44151]
#define sipNameNr_timeHeld 44160
#define sipName_timeHeld &sipStrings_QtGui[44160]
#define sipNameNr_toArgb32 44169
#define sipName_toArgb32 &sipStrings_QtGui[44169]
#define sipNameNr_toPointF 44178
#define sipName_toPointF &sipStrings_QtGui[44178]
#define sipNameNr_toString 44187
#define sipName_toString &sipStrings_QtGui[44187]
#define sipNameNr_undoText 44196
#define sipName_undoText &sipStrings_QtGui[44196]
#define sipNameNr_uniqueId 44205
#define sipName_uniqueId &sipStrings_QtGui[44205]
#define sipNameNr_userData 44214
#define sipName_userData &sipStrings_QtGui[44214]
#define sipNameNr_validate 44223
#define sipName_validate &sipStrings_QtGui[44223]
#define sipNameNr_velocity 44232
#define sipName_velocity &sipStrings_QtGui[44232]
#define sipNameNr_vertical 44241
#define sipName_vertical &sipStrings_QtGui[44241]
#define sipNameNr_viewport 44250
#define sipName_viewport &sipStrings_QtGui[44250]
#define sipNameNr_wrapMode 44259
#define sipName_wrapMode &sipStrings_QtGui[44259]
#define sipNameNr_xChanged 31037
#define sipName_xChanged &sipStrings_QtGui[31037]
#define sipNameNr_yChanged 1990
#define sipName_yChanged &sipStrings_QtGui[1990]
#define sipNameNr_A3Extra 44268
#define sipName_A3Extra &sipStrings_QtGui[44268]
#define sipNameNr_A4Extra 44276
#define sipName_A4Extra &sipStrings_QtGui[44276]
#define sipNameNr_A4Small 44284
#define sipName_A4Small &sipStrings_QtGui[44284]
#define sipNameNr_A5Extra 44292
#define sipName_A5Extra &sipStrings_QtGui[44292]
#define sipNameNr_B5Extra 44300
#define sipName_B5Extra &sipStrings_QtGui[44300]
#define sipNameNr_Bengali 44308
#define sipName_Bengali &sipStrings_QtGui[44308]
#define sipNameNr_Blitter 44316
#define sipName_Blitter &sipStrings_QtGui[44316]
#define sipNameNr_Checked 38892
#define sipName_Checked &sipStrings_QtGui[38892]
#define sipNameNr_Comm10E 44324
#define sipName_Comm10E &sipStrings_QtGui[44324]
#define sipNameNr_Courier 44332
#define sipName_Courier &sipStrings_QtGui[44332]
#define sipNameNr_Current 34001
#define sipName_Current &sipStrings_QtGui[34001]
#define sipNameNr_Cursive 44340
#define sipName_Cursive &sipStrings_QtGui[44340]
#define sipNameNr_DarkRed 44348
#define sipName_DarkRed &sipStrings_QtGui[44348]
#define sipNameNr_Desktop 44356
#define sipName_Desktop &sipStrings_QtGui[44356]
#define sipNameNr_DotLine 22553
#define sipName_DotLine &sipStrings_QtGui[22553]
#define sipNameNr_Element 8319
#define sipName_Element &sipStrings_QtGui[8319]
#define sipNameNr_Ellipse 34013
#define sipName_Ellipse &sipStrings_QtGui[34013]
#define sipNameNr_Fantasy 44364
#define sipName_Fantasy &sipStrings_QtGui[44364]
#define sipNameNr_FlyHigh 44372
#define sipName_FlyHigh &sipStrings_QtGui[44372]
#define sipNameNr_Forward 44380
#define sipName_Forward &sipStrings_QtGui[44380]
#define sipNameNr_Generic 44388
#define sipName_Generic &sipStrings_QtGui[44388]
#define sipNameNr_HexArgb 44396
#define sipName_HexArgb &sipStrings_QtGui[44396]
#define sipNameNr_Indexed 44404
#define sipName_Indexed &sipStrings_QtGui[44404]
#define sipNameNr_Invalid 22658
#define sipName_Invalid &sipStrings_QtGui[22658]
#define sipNameNr_Kannada 44412
#define sipName_Kannada &sipStrings_QtGui[44412]
#define sipNameNr_Leading 44420
#define sipName_Leading &sipStrings_QtGui[44420]
#define sipNameNr_LeftTab 44428
#define sipName_LeftTab &sipStrings_QtGui[44428]
#define sipNameNr_LibGLES 44436
#define sipName_LibGLES &sipStrings_QtGui[44436]
#define sipNameNr_Magenta 32489
#define sipName_Magenta &sipStrings_QtGui[32489]
#define sipNameNr_MaxUser 44444
#define sipName_MaxUser &sipStrings_QtGui[44444]
#define sipNameNr_Myanmar 44452
#define sipName_Myanmar &sipStrings_QtGui[44452]
#define sipNameNr_Network 44460
#define sipName_Network &sipStrings_QtGui[44460]
#define sipNameNr_NewLife 44468
#define sipName_NewLife &sipStrings_QtGui[44468]
#define sipNameNr_NewYork 44476
#define sipName_NewYork &sipStrings_QtGui[44476]
#define sipNameNr_NextRow 44484
#define sipName_NextRow &sipStrings_QtGui[44484]
#define sipNameNr_NoMatch 44492
#define sipName_NoMatch &sipStrings_QtGui[44492]
#define sipNameNr_OpenGL2 44500
#define sipName_OpenGL2 &sipStrings_QtGui[44500]
#define sipNameNr_OverSun 44508
#define sipName_OverSun &sipStrings_QtGui[44508]
#define sipNameNr_PdmDpiX 44516
#define sipName_PdmDpiX &sipStrings_QtGui[44516]
#define sipNameNr_PdmDpiY 44524
#define sipName_PdmDpiY &sipStrings_QtGui[44524]
#define sipNameNr_Picture 34025
#define sipName_Picture &sipStrings_QtGui[34025]
#define sipNameNr_Pressed 44532
#define sipName_Pressed &sipStrings_QtGui[44532]
#define sipNameNr_QAction 44540
#define sipName_QAction &sipStrings_QtGui[44540]
#define sipNameNr_QBitmap 41023
#define sipName_QBitmap &sipStrings_QtGui[41023]
#define sipNameNr_QCursor 44548
#define sipName_QCursor &sipStrings_QtGui[44548]
#define sipNameNr_QPixmap 44556
#define sipName_QPixmap &sipStrings_QtGui[44556]
#define sipNameNr_QRegion 44564
#define sipName_QRegion &sipStrings_QtGui[44564]
#define sipNameNr_QRgba64 44572
#define sipName_QRgba64 &sipStrings_QtGui[44572]
#define sipNameNr_QScreen 44580
#define sipName_QScreen &sipStrings_QtGui[44580]
#define sipNameNr_QWindow 44588
#define sipName_QWindow &sipStrings_QtGui[44588]
#define sipNameNr_Quality 26002
#define sipName_Quality &sipStrings_QtGui[26002]
#define sipNameNr_Refresh 44596
#define sipName_Refresh &sipStrings_QtGui[44596]
#define sipNameNr_Replace 44604
#define sipName_Replace &sipStrings_QtGui[44604]
#define sipNameNr_Running 17944
#define sipName_Running &sipStrings_QtGui[17944]
#define sipNameNr_SeaLord 44612
#define sipName_SeaLord &sipStrings_QtGui[44612]
#define sipNameNr_Sinhala 44620
#define sipName_Sinhala &sipStrings_QtGui[44620]
#define sipNameNr_Stretch 22928
#define sipName_Stretch &sipStrings_QtGui[22928]
#define sipNameNr_SubType 39101
#define sipName_SubType &sipStrings_QtGui[39101]
#define sipNameNr_TabType 9666
#define sipName_TabType &sipStrings_QtGui[9666]
#define sipNameNr_Tabloid 44628
#define sipName_Tabloid &sipStrings_QtGui[44628]
#define sipNameNr_Tibetan 44636
#define sipName_Tibetan &sipStrings_QtGui[44636]
#define sipNameNr_Trigger 44644
#define sipName_Trigger &sipStrings_QtGui[44644]
#define sipNameNr_TxScale 44652
#define sipName_TxScale &sipStrings_QtGui[44652]
#define sipNameNr_TxShear 44660
#define sipName_TxShear &sipStrings_QtGui[44660]
#define sipNameNr_Unknown 44668
#define sipName_Unknown &sipStrings_QtGui[44668]
#define sipNameNr_Updated 26310
#define sipName_Updated &sipStrings_QtGui[26310]
#define sipNameNr_Windows 22336
#define sipName_Windows &sipStrings_QtGui[22336]
#define sipNameNr_YUV420P 44676
#define sipName_YUV420P &sipStrings_QtGui[44676]
#define sipNameNr_ZoomOut 44684
#define sipName_ZoomOut &sipStrings_QtGui[44684]
#define sipNameNr___add__ 44692
#define sipName___add__ &sipStrings_QtGui[44692]
#define sipNameNr___and__ 44700
#define sipName___and__ &sipStrings_QtGui[44700]
#define sipNameNr___int__ 44708
#define sipName___int__ &sipStrings_QtGui[44708]
#define sipNameNr___ior__ 44716
#define sipName___ior__ &sipStrings_QtGui[44716]
#define sipNameNr___len__ 44724
#define sipName___len__ &sipStrings_QtGui[44724]
#define sipNameNr___mul__ 44732
#define sipName___mul__ &sipStrings_QtGui[44732]
#define sipNameNr___neg__ 44740
#define sipName___neg__ &sipStrings_QtGui[44740]
#define sipNameNr___sub__ 44748
#define sipName___sub__ &sipStrings_QtGui[44748]
#define sipNameNr___xor__ 44756
#define sipName___xor__ &sipStrings_QtGui[44756]
#define sipNameNr_actions 44764
#define sipName_actions &sipStrings_QtGui[44764]
#define sipNameNr_addFile 44772
#define sipName_addFile &sipStrings_QtGui[44772]
#define sipNameNr_addPage 44780
#define sipName_addPage &sipStrings_QtGui[44780]
#define sipNameNr_addPath 44788
#define sipName_addPath &sipStrings_QtGui[44788]
#define sipNameNr_addRect 44796
#define sipName_addRect &sipStrings_QtGui[44796]
#define sipNameNr_addText 44804
#define sipName_addText &sipStrings_QtGui[44804]
#define sipNameNr_adjoint 44812
#define sipName_adjoint &sipStrings_QtGui[44812]
#define sipNameNr_allGray 44820
#define sipName_allGray &sipStrings_QtGui[44820]
#define sipNameNr_atStart 44828
#define sipName_atStart &sipStrings_QtGui[44828]
#define sipNameNr_autorep 44836
#define sipName_autorep &sipStrings_QtGui[44836]
#define sipNameNr_baseUrl 44844
#define sipName_baseUrl &sipStrings_QtGui[44844]
#define sipNameNr_buttons 44852
#define sipName_buttons &sipStrings_QtGui[44852]
#define sipNameNr_canRead 44860
#define sipName_canRead &sipStrings_QtGui[44860]
#define sipNameNr_canRedo 44868
#define sipName_canRedo &sipStrings_QtGui[44868]
#define sipNameNr_canUndo 44876
#define sipName_canUndo &sipStrings_QtGui[44876]
#define sipNameNr_changed 44884
#define sipName_changed &sipStrings_QtGui[44884]
#define sipNameNr_checked 40353
#define sipName_checked &sipStrings_QtGui[40353]
#define sipNameNr_cleanup 44892
#define sipName_cleanup &sipStrings_QtGui[44892]
#define sipNameNr_columns 44900
#define sipName_columns &sipStrings_QtGui[44900]
#define sipNameNr_combine 44908
#define sipName_combine &sipStrings_QtGui[44908]
#define sipNameNr_command 44916
#define sipName_command &sipStrings_QtGui[44916]
#define sipNameNr_context 44924
#define sipName_context &sipStrings_QtGui[44924]
#define sipNameNr_creator 44932
#define sipName_creator &sipStrings_QtGui[44932]
#define sipNameNr_crimson 44940
#define sipName_crimson &sipStrings_QtGui[44940]
#define sipNameNr_cubicTo 44948
#define sipName_cubicTo &sipStrings_QtGui[44948]
#define sipNameNr_darkred 44956
#define sipName_darkred &sipStrings_QtGui[44956]
#define sipNameNr_descent 44964
#define sipName_descent &sipStrings_QtGui[44964]
#define sipNameNr_destroy 44972
#define sipName_destroy &sipStrings_QtGui[44972]
#define sipNameNr_devType 44980
#define sipName_devType &sipStrings_QtGui[44980]
#define sipNameNr_devices 44988
#define sipName_devices &sipStrings_QtGui[44988]
#define sipNameNr_dimgray 44996
#define sipName_dimgray &sipStrings_QtGui[44996]
#define sipNameNr_dimgrey 45004
#define sipName_dimgrey &sipStrings_QtGui[45004]
#define sipNameNr_drawArc 45012
#define sipName_drawArc &sipStrings_QtGui[45012]
#define sipNameNr_drawPie 45020
#define sipName_drawPie &sipStrings_QtGui[45020]
#define sipNameNr_enabled 45028
#define sipName_enabled &sipStrings_QtGui[45028]
#define sipNameNr_exposed 45036
#define sipName_exposed &sipStrings_QtGui[45036]
#define sipNameNr_fontDpi 45044
#define sipName_fontDpi &sipStrings_QtGui[45044]
#define sipNameNr_formats 45052
#define sipName_formats &sipStrings_QtGui[45052]
#define sipNameNr_fromHsl 45060
#define sipName_fromHsl &sipStrings_QtGui[45060]
#define sipNameNr_fromHsv 45068
#define sipName_fromHsv &sipStrings_QtGui[45068]
#define sipNameNr_fromRgb 45076
#define sipName_fromRgb &sipStrings_QtGui[45076]
#define sipNameNr_frustum 45084
#define sipName_frustum &sipStrings_QtGui[45084]
#define sipNameNr_fuchsia 45092
#define sipName_fuchsia &sipStrings_QtGui[45092]
#define sipNameNr_getAxes 45100
#define sipName_getAxes &sipStrings_QtGui[45100]
#define sipNameNr_getCmyk 45108
#define sipName_getCmyk &sipStrings_QtGui[45108]
#define sipNameNr_getHslF 45116
#define sipName_getHslF &sipStrings_QtGui[45116]
#define sipNameNr_getHsvF 45124
#define sipName_getHsvF &sipStrings_QtGui[45124]
#define sipNameNr_getRgbF 45132
#define sipName_getRgbF &sipStrings_QtGui[45132]
#define sipNameNr_globalX 45140
#define sipName_globalX &sipStrings_QtGui[45140]
#define sipNameNr_globalY 45148
#define sipName_globalY &sipStrings_QtGui[45148]
#define sipNameNr_hitTest 45156
#define sipName_hitTest &sipStrings_QtGui[45156]
#define sipNameNr_hotSpot 45164
#define sipName_hotSpot &sipStrings_QtGui[45164]
#define sipNameNr_hotpink 45172
#define sipName_hotpink &sipStrings_QtGui[45172]
#define sipNameNr_hovered 45180
#define sipName_hovered &sipStrings_QtGui[45180]
#define sipNameNr_hslHueF 45188
#define sipName_hslHueF &sipStrings_QtGui[45188]
#define sipNameNr_hsvHueF 45196
#define sipName_hsvHueF &sipStrings_QtGui[45196]
#define sipNameNr_hueSize 45204
#define sipName_hueSize &sipStrings_QtGui[45204]
#define sipNameNr_imageAt 45212
#define sipName_imageAt &sipStrings_QtGui[45212]
#define sipNameNr_indexOf 45220
#define sipName_indexOf &sipStrings_QtGui[45220]
#define sipNameNr_isClean 45228
#define sipName_isClean &sipStrings_QtGui[45228]
#define sipNameNr_isEmpty 45236
#define sipName_isEmpty &sipStrings_QtGui[45236]
#define sipNameNr_isEqual 45244
#define sipName_isEqual &sipStrings_QtGui[45244]
#define sipNameNr_isModal 45252
#define sipName_isModal &sipStrings_QtGui[45252]
#define sipNameNr_isSolid 45260
#define sipName_isSolid &sipStrings_QtGui[45260]
#define sipNameNr_isValid 45268
#define sipName_isValid &sipStrings_QtGui[45268]
#define sipNameNr_kerning 45276
#define sipName_kerning &sipStrings_QtGui[45276]
#define sipNameNr_leading 45284
#define sipName_leading &sipStrings_QtGui[45284]
#define sipNameNr_lighter 12978
#define sipName_lighter &sipStrings_QtGui[12978]
#define sipNameNr_magenta 33917
#define sipName_magenta &sipStrings_QtGui[33917]
#define sipNameNr_mapRect 45292
#define sipName_mapRect &sipStrings_QtGui[45292]
#define sipNameNr_margins 45300
#define sipName_margins &sipStrings_QtGui[45300]
#define sipNameNr_matches 45308
#define sipName_matches &sipStrings_QtGui[45308]
#define sipNameNr_newPage 45316
#define sipName_newPage &sipStrings_QtGui[45316]
#define sipNameNr_oldPosF 45324
#define sipName_oldPosF &sipStrings_QtGui[45324]
#define sipNameNr_oldSize 45332
#define sipName_oldSize &sipStrings_QtGui[45332]
#define sipNameNr_oldlace 45340
#define sipName_oldlace &sipStrings_QtGui[45340]
#define sipNameNr_opacity 45348
#define sipName_opacity &sipStrings_QtGui[45348]
#define sipNameNr_openUrl 45356
#define sipName_openUrl &sipStrings_QtGui[45356]
#define sipNameNr_options 45364
#define sipName_options &sipStrings_QtGui[45364]
#define sipNameNr_padding 45372
#define sipName_padding &sipStrings_QtGui[45372]
#define sipNameNr_painter 45380
#define sipName_painter &sipStrings_QtGui[45380]
#define sipNameNr_palette 45388
#define sipName_palette &sipStrings_QtGui[45388]
#define sipNameNr_prepare 45396
#define sipName_prepare &sipStrings_QtGui[45396]
#define sipNameNr_prepend 45404
#define sipName_prepend &sipStrings_QtGui[45404]
#define sipNameNr_profile 45412
#define sipName_profile &sipStrings_QtGui[45412]
#define sipNameNr_project 42113
#define sipName_project &sipStrings_QtGui[42113]
#define sipNameNr_qRgba64 45420
#define sipName_qRgba64 &sipStrings_QtGui[45420]
#define sipNameNr_quality 45428
#define sipName_quality &sipStrings_QtGui[45428]
#define sipNameNr_queries 45436
#define sipName_queries &sipStrings_QtGui[45436]
#define sipNameNr_rawFont 45444
#define sipName_rawFont &sipStrings_QtGui[45444]
#define sipNameNr_redSize 45452
#define sipName_redSize &sipStrings_QtGui[45452]
#define sipNameNr_release 45460
#define sipName_release &sipStrings_QtGui[45460]
#define sipNameNr_replace 45468
#define sipName_replace &sipStrings_QtGui[45468]
#define sipNameNr_reserve 45476
#define sipName_reserve &sipStrings_QtGui[45476]
#define sipNameNr_resized 45484
#define sipName_resized &sipStrings_QtGui[45484]
#define sipNameNr_resolve 45492
#define sipName_resolve &sipStrings_QtGui[45492]
#define sipNameNr_restore 45500
#define sipName_restore &sipStrings_QtGui[45500]
#define sipNameNr_rgbSwap 45508
#define sipName_rgbSwap &sipStrings_QtGui[45508]
#define sipNameNr_rowSpan 45516
#define sipName_rowSpan &sipStrings_QtGui[45516]
#define sipNameNr_samples 45524
#define sipName_samples &sipStrings_QtGui[45524]
#define sipNameNr_scaling 45532
#define sipName_scaling &sipStrings_QtGui[45532]
#define sipNameNr_screens 45540
#define sipName_screens &sipStrings_QtGui[45540]
#define sipNameNr_setBlue 45548
#define sipName_setBlue &sipStrings_QtGui[45548]
#define sipNameNr_setBold 45556
#define sipName_setBold &sipStrings_QtGui[45556]
#define sipNameNr_setCmyk 45564
#define sipName_setCmyk &sipStrings_QtGui[45564]
#define sipNameNr_setData 45572
#define sipName_setData &sipStrings_QtGui[45572]
#define sipNameNr_setFlag 45580
#define sipName_setFlag &sipStrings_QtGui[45580]
#define sipNameNr_setFont 45588
#define sipName_setFont &sipStrings_QtGui[45588]
#define sipNameNr_setHslF 45596
#define sipName_setHslF &sipStrings_QtGui[45596]
#define sipNameNr_setHsvF 45604
#define sipName_setHsvF &sipStrings_QtGui[45604]
#define sipNameNr_setHtml 45612
#define sipName_setHtml &sipStrings_QtGui[45612]
#define sipNameNr_setIcon 45620
#define sipName_setIcon &sipStrings_QtGui[45620]
#define sipNameNr_setItem 45628
#define sipName_setItem &sipStrings_QtGui[45628]
#define sipNameNr_setKeys 45636
#define sipName_setKeys &sipStrings_QtGui[45636]
#define sipNameNr_setMask 45644
#define sipName_setMask &sipStrings_QtGui[45644]
#define sipNameNr_setMenu 45652
#define sipName_setMenu &sipStrings_QtGui[45652]
#define sipNameNr_setMode 45660
#define sipName_setMode &sipStrings_QtGui[45660]
#define sipNameNr_setName 45668
#define sipName_setName &sipStrings_QtGui[45668]
#define sipNameNr_setRedF 45676
#define sipName_setRedF &sipStrings_QtGui[45676]
#define sipNameNr_setRgbF 45684
#define sipName_setRgbF &sipStrings_QtGui[45684]
#define sipNameNr_setRgba 45692
#define sipName_setRgba &sipStrings_QtGui[45692]
#define sipNameNr_setTabs 45700
#define sipName_setTabs &sipStrings_QtGui[45700]
#define sipNameNr_setText 45708
#define sipName_setText &sipStrings_QtGui[45708]
#define sipNameNr_sibling 45716
#define sipName_sibling &sipStrings_QtGui[45716]
#define sipNameNr_skyblue 31246
#define sipName_skyblue &sipStrings_QtGui[31246]
#define sipNameNr_started 45724
#define sipName_started &sipStrings_QtGui[45724]
#define sipNameNr_stretch 45732
#define sipName_stretch &sipStrings_QtGui[45732]
#define sipNameNr_subEnum 45740
#define sipName_subEnum &sipStrings_QtGui[45740]
#define sipNameNr_subType 45748
#define sipName_subType &sipStrings_QtGui[45748]
#define sipNameNr_surface 45756
#define sipName_surface &sipStrings_QtGui[45756]
#define sipNameNr_takeRow 45764
#define sipName_takeRow &sipStrings_QtGui[45764]
#define sipNameNr_texture 45772
#define sipName_texture &sipStrings_QtGui[45772]
#define sipNameNr_thistle 45780
#define sipName_thistle &sipStrings_QtGui[45780]
#define sipNameNr_toImage 45788
#define sipName_toImage &sipStrings_QtGui[45788]
#define sipNameNr_toPoint 45796
#define sipName_toPoint &sipStrings_QtGui[45796]
#define sipNameNr_toRgb16 45804
#define sipName_toRgb16 &sipStrings_QtGui[45804]
#define sipNameNr_toggled 45812
#define sipName_toggled &sipStrings_QtGui[45812]
#define sipNameNr_toolTip 45820
#define sipName_toolTip &sipStrings_QtGui[45820]
#define sipNameNr_trigger 45828
#define sipName_trigger &sipStrings_QtGui[45828]
#define sipNameNr_updated 45836
#define sipName_updated &sipStrings_QtGui[45836]
#define sipNameNr_version 45844
#define sipName_version &sipStrings_QtGui[45844]
#define sipNameNr_widthMM 45852
#define sipName_widthMM &sipStrings_QtGui[45852]
#define sipNameNr_xHeight 45860
#define sipName_xHeight &sipStrings_QtGui[45860]
#define sipNameNr_yellowF 45868
#define sipName_yellowF &sipStrings_QtGui[45868]
#define sipNameNr_A4Plus 45876
#define sipName_A4Plus &sipStrings_QtGui[45876]
#define sipNameNr_Action 9499
#define sipName_Action &sipStrings_QtGui[9499]
#define sipNameNr_Active 24339
#define sipName_Active &sipStrings_QtGui[24339]
#define sipNameNr_AddTab 45883
#define sipName_AddTab &sipStrings_QtGui[45883]
#define sipNameNr_Arabic 45890
#define sipName_Arabic &sipStrings_QtGui[45890]
#define sipNameNr_Button 45897
#define sipName_Button &sipStrings_QtGui[45897]
#define sipNameNr_Cancel 45904
#define sipName_Cancel &sipStrings_QtGui[45904]
#define sipNameNr_Cicero 45911
#define sipName_Cicero &sipStrings_QtGui[45911]
#define sipNameNr_Color0 45918
#define sipName_Color0 &sipStrings_QtGui[45918]
#define sipNameNr_Color1 45925
#define sipName_Color1 &sipStrings_QtGui[45925]
#define sipNameNr_Cursor 9112
#define sipName_Cursor &sipStrings_QtGui[9112]
#define sipNameNr_Custom 45932
#define sipName_Custom &sipStrings_QtGui[45932]
#define sipNameNr_Delete 45939
#define sipName_Delete &sipStrings_QtGui[45939]
#define sipNameNr_Eraser 45946
#define sipName_Eraser &sipStrings_QtGui[45946]
#define sipNameNr_Finger 45953
#define sipName_Finger &sipStrings_QtGui[45953]
#define sipNameNr_Folder 45960
#define sipName_Folder &sipStrings_QtGui[45960]
#define sipNameNr_Format 3198
#define sipName_Format &sipStrings_QtGui[3198]
#define sipNameNr_Hebrew 45967
#define sipName_Hebrew &sipStrings_QtGui[45967]
#define sipNameNr_HexRgb 45974
#define sipName_HexRgb &sipStrings_QtGui[45974]
#define sipNameNr_Hidden 45981
#define sipName_Hidden &sipStrings_QtGui[45981]
#define sipNameNr_InFlow 45988
#define sipName_InFlow &sipStrings_QtGui[45988]
#define sipNameNr_Italic 28145
#define sipName_Italic &sipStrings_QtGui[28145]
#define sipNameNr_JisB10 45995
#define sipName_JisB10 &sipStrings_QtGui[45995]
#define sipNameNr_Korean 46002
#define sipName_Korean &sipStrings_QtGui[46002]
#define sipNameNr_Ledger 46009
#define sipName_Ledger &sipStrings_QtGui[46009]
#define sipNameNr_Letter 46016
#define sipName_Letter &sipStrings_QtGui[46016]
#define sipNameNr_Linear 36990
#define sipName_Linear &sipStrings_QtGui[36990]
#define sipNameNr_Medium 46023
#define sipName_Medium &sipStrings_QtGui[46023]
#define sipNameNr_NoMove 46030
#define sipName_NoMove &sipStrings_QtGui[46030]
#define sipNameNr_NoRole 46037
#define sipName_NoRole &sipStrings_QtGui[46037]
#define sipNameNr_NoWrap 46044
#define sipName_NoWrap &sipStrings_QtGui[46044]
#define sipNameNr_Normal 32334
#define sipName_Normal &sipStrings_QtGui[32334]
#define sipNameNr_OldHat 46051
#define sipName_OldHat &sipStrings_QtGui[46051]
#define sipNameNr_OpenGL 7942
#define sipName_OpenGL &sipStrings_QtGui[7942]
#define sipNameNr_OpenVG 46058
#define sipName_OpenVG &sipStrings_QtGui[46058]
#define sipNameNr_Option 983
#define sipName_Option &sipStrings_QtGui[983]
#define sipNameNr_Paused 41764
#define sipName_Paused &sipStrings_QtGui[41764]
#define sipNameNr_Prc16K 46065
#define sipName_Prc16K &sipStrings_QtGui[46065]
#define sipNameNr_Prc32K 46072
#define sipName_Prc32K &sipStrings_QtGui[46072]
#define sipNameNr_Preset 15228
#define sipName_Preset &sipStrings_QtGui[15228]
#define sipNameNr_QBrush 46079
#define sipName_QBrush &sipStrings_QtGui[46079]
#define sipNameNr_QColor 46086
#define sipName_QColor &sipStrings_QtGui[46086]
#define sipNameNr_QImage 46093
#define sipName_QImage &sipStrings_QtGui[46093]
#define sipNameNr_QMovie 46100
#define sipName_QMovie &sipStrings_QtGui[46100]
#define sipNameNr_Quarto 46107
#define sipName_Quarto &sipStrings_QtGui[46107]
#define sipNameNr_Raster 46114
#define sipName_Raster &sipStrings_QtGui[46114]
#define sipNameNr_Reason 4712
#define sipName_Reason &sipStrings_QtGui[4712]
#define sipNameNr_SaveAs 46121
#define sipName_SaveAs &sipStrings_QtGui[46121]
#define sipNameNr_Scroll 32970
#define sipName_Scroll &sipStrings_QtGui[32970]
#define sipNameNr_Shadow 46128
#define sipName_Shadow &sipStrings_QtGui[46128]
#define sipNameNr_Spread 15246
#define sipName_Spread &sipStrings_QtGui[15246]
#define sipNameNr_Stacks 8408
#define sipName_Stacks &sipStrings_QtGui[8408]
#define sipNameNr_Stylus 46135
#define sipName_Stylus &sipStrings_QtGui[46135]
#define sipNameNr_SuperA 46142
#define sipName_SuperA &sipStrings_QtGui[46142]
#define sipNameNr_SuperB 46149
#define sipName_SuperB &sipStrings_QtGui[46149]
#define sipNameNr_Symbol 46156
#define sipName_Symbol &sipStrings_QtGui[46156]
#define sipNameNr_Syriac 46163
#define sipName_Syriac &sipStrings_QtGui[46163]
#define sipNameNr_System 3111
#define sipName_System &sipStrings_QtGui[3111]
#define sipNameNr_Telugu 46170
#define sipName_Telugu &sipStrings_QtGui[46170]
#define sipNameNr_Thaana 46177
#define sipName_Thaana &sipStrings_QtGui[46177]
#define sipNameNr_TxNone 46184
#define sipName_TxNone &sipStrings_QtGui[46184]
#define sipNameNr_Weight 26059
#define sipName_Weight &sipStrings_QtGui[26059]
#define sipNameNr_Window 12922
#define sipName_Window &sipStrings_QtGui[12922]
#define sipNameNr_YUV411 46191
#define sipName_YUV411 &sipStrings_QtGui[46191]
#define sipNameNr_YUV422 46198
#define sipName_YUV422 &sipStrings_QtGui[46198]
#define sipNameNr_YUV444 46205
#define sipName_YUV444 &sipStrings_QtGui[46205]
#define sipNameNr_Yellow 35945
#define sipName_Yellow &sipStrings_QtGui[35945]
#define sipNameNr_ZoomIn 46212
#define sipName_ZoomIn &sipStrings_QtGui[46212]
#define sipNameNr___eq__ 46219
#define sipName___eq__ &sipStrings_QtGui[46219]
#define sipNameNr___ge__ 46226
#define sipName___ge__ &sipStrings_QtGui[46226]
#define sipNameNr___gt__ 46233
#define sipName___gt__ &sipStrings_QtGui[46233]
#define sipNameNr___le__ 46240
#define sipName___le__ &sipStrings_QtGui[46240]
#define sipNameNr___lt__ 46247
#define sipName___lt__ &sipStrings_QtGui[46247]
#define sipNameNr___ne__ 46254
#define sipName___ne__ &sipStrings_QtGui[46254]
#define sipNameNr___or__ 46261
#define sipName___or__ &sipStrings_QtGui[46261]
#define sipNameNr_accept 46268
#define sipName_accept &sipStrings_QtGui[46268]
#define sipNameNr_action 7482
#define sipName_action &sipStrings_QtGui[7482]
#define sipNameNr_active 42425
#define sipName_active &sipStrings_QtGui[42425]
#define sipNameNr_alpha8 46275
#define sipName_alpha8 &sipStrings_QtGui[46275]
#define sipNameNr_alphaF 46282
#define sipName_alphaF &sipStrings_QtGui[46282]
#define sipNameNr_anchor 46289
#define sipName_anchor &sipStrings_QtGui[46289]
#define sipNameNr_append 46296
#define sipName_append &sipStrings_QtGui[46296]
#define sipNameNr_ascent 46303
#define sipName_ascent &sipStrings_QtGui[46303]
#define sipNameNr_before 46310
#define sipName_before &sipStrings_QtGui[46310]
#define sipNameNr_bisque 46317
#define sipName_bisque &sipStrings_QtGui[46317]
#define sipNameNr_bitmap 46324
#define sipName_bitmap &sipStrings_QtGui[46324]
#define sipNameNr_blackF 46331
#define sipName_blackF &sipStrings_QtGui[46331]
#define sipNameNr_border 46338
#define sipName_border &sipStrings_QtGui[46338]
#define sipNameNr_bottom 46345
#define sipName_bottom &sipStrings_QtGui[46345]
#define sipNameNr_button 46352
#define sipName_button &sipStrings_QtGui[46352]
#define sipNameNr_cancel 46359
#define sipName_cancel &sipStrings_QtGui[46359]
#define sipNameNr_cellAt 46366
#define sipName_cellAt &sipStrings_QtGui[46366]
#define sipNameNr_center 46373
#define sipName_center &sipStrings_QtGui[46373]
#define sipNameNr_closed 46380
#define sipName_closed &sipStrings_QtGui[46380]
#define sipNameNr_column 46387
#define sipName_column &sipStrings_QtGui[46387]
#define sipNameNr_commit 46394
#define sipName_commit &sipStrings_QtGui[46394]
#define sipNameNr_create 46401
#define sipName_create &sipStrings_QtGui[46401]
#define sipNameNr_cursor 46408
#define sipName_cursor &sipStrings_QtGui[46408]
#define sipNameNr_darker 46415
#define sipName_darker &sipStrings_QtGui[46415]
#define sipNameNr_detach 46422
#define sipName_detach &sipStrings_QtGui[46422]
#define sipNameNr_device 34818
#define sipName_device &sipStrings_QtGui[34818]
#define sipNameNr_factor 46429
#define sipName_factor &sipStrings_QtGui[46429]
#define sipNameNr_family 46436
#define sipName_family &sipStrings_QtGui[46436]
#define sipNameNr_filter 46443
#define sipName_filter &sipStrings_QtGui[46443]
#define sipNameNr_format 46450
#define sipName_format &sipStrings_QtGui[46450]
#define sipNameNr_getHsl 46457
#define sipName_getHsl &sipStrings_QtGui[46457]
#define sipNameNr_getHsv 46464
#define sipName_getHsv &sipStrings_QtGui[46464]
#define sipNameNr_getRgb 46471
#define sipName_getRgb &sipStrings_QtGui[46471]
#define sipNameNr_green8 46478
#define sipName_green8 &sipStrings_QtGui[46478]
#define sipNameNr_greenF 46485
#define sipName_greenF &sipStrings_QtGui[46485]
#define sipNameNr_height 46492
#define sipName_height &sipStrings_QtGui[46492]
#define sipNameNr_hslHue 46499
#define sipName_hslHue &sipStrings_QtGui[46499]
#define sipNameNr_hsvHue 46506
#define sipName_hsvHue &sipStrings_QtGui[46506]
#define sipNameNr_ignore 46513
#define sipName_ignore &sipStrings_QtGui[46513]
#define sipNameNr_inFont 46520
#define sipName_inFont &sipStrings_QtGui[46520]
#define sipNameNr_indent 46527
#define sipName_indent &sipStrings_QtGui[46527]
#define sipNameNr_indigo 46534
#define sipName_indigo &sipStrings_QtGui[46534]
#define sipNameNr_insert 46541
#define sipName_insert &sipStrings_QtGui[46541]
#define sipNameNr_isMask 46548
#define sipName_isMask &sipStrings_QtGui[46548]
#define sipNameNr_isNull 46555
#define sipName_isNull &sipStrings_QtGui[46555]
#define sipNameNr_italic 46562
#define sipName_italic &sipStrings_QtGui[46562]
#define sipNameNr_layout 46569
#define sipName_layout &sipStrings_QtGui[46569]
#define sipNameNr_length 46576
#define sipName_length &sipStrings_QtGui[46576]
#define sipNameNr_lineAt 46583
#define sipName_lineAt &sipStrings_QtGui[46583]
#define sipNameNr_lineTo 46590
#define sipName_lineTo &sipStrings_QtGui[46590]
#define sipNameNr_locale 46597
#define sipName_locale &sipStrings_QtGui[46597]
#define sipNameNr_lookAt 46604
#define sipName_lookAt &sipStrings_QtGui[46604]
#define sipNameNr_margin 46611
#define sipName_margin &sipStrings_QtGui[46611]
#define sipNameNr_marker 46618
#define sipName_marker &sipStrings_QtGui[46618]
#define sipNameNr_maroon 46625
#define sipName_maroon &sipStrings_QtGui[46625]
#define sipNameNr_matrix 46632
#define sipName_matrix &sipStrings_QtGui[46632]
#define sipNameNr_member 46639
#define sipName_member &sipStrings_QtGui[46639]
#define sipNameNr_metric 46646
#define sipName_metric &sipStrings_QtGui[46646]
#define sipNameNr_mirror 46653
#define sipName_mirror &sipStrings_QtGui[46653]
#define sipNameNr_moveTo 46660
#define sipName_moveTo &sipStrings_QtGui[46660]
#define sipNameNr_normal 46667
#define sipName_normal &sipStrings_QtGui[46667]
#define sipNameNr_notify 46674
#define sipName_notify &sipStrings_QtGui[46674]
#define sipNameNr_object 46681
#define sipName_object &sipStrings_QtGui[46681]
#define sipNameNr_offset 46688
#define sipName_offset &sipStrings_QtGui[46688]
#define sipNameNr_oldPos 46695
#define sipName_oldPos &sipStrings_QtGui[46695]
#define sipNameNr_option 46702
#define sipName_option &sipStrings_QtGui[46702]
#define sipNameNr_orange 37716
#define sipName_orange &sipStrings_QtGui[37716]
#define sipNameNr_orchid 31377
#define sipName_orchid &sipStrings_QtGui[31377]
#define sipNameNr_parent 27319
#define sipName_parent &sipStrings_QtGui[27319]
#define sipNameNr_pixmap 46709
#define sipName_pixmap &sipStrings_QtGui[46709]
#define sipNameNr_points 46716
#define sipName_points &sipStrings_QtGui[46716]
#define sipNameNr_prefix 46723
#define sipName_prefix &sipStrings_QtGui[46723]
#define sipNameNr_purple 31390
#define sipName_purple &sipStrings_QtGui[31390]
#define sipNameNr_qAlpha 46730
#define sipName_qAlpha &sipStrings_QtGui[46730]
#define sipNameNr_qGreen 46737
#define sipName_qGreen &sipStrings_QtGui[46737]
#define sipNameNr_quadTo 46744
#define sipName_quadTo &sipStrings_QtGui[46744]
#define sipNameNr_radius 46751
#define sipName_radius &sipStrings_QtGui[46751]
#define sipNameNr_raise_ 46758
#define sipName_raise_ &sipStrings_QtGui[46758]
#define sipNameNr_reason 46765
#define sipName_reason &sipStrings_QtGui[46765]
#define sipNameNr_region 46772
#define sipName_region &sipStrings_QtGui[46772]
#define sipNameNr_remove 46779
#define sipName_remove &sipStrings_QtGui[46779]
#define sipNameNr_resize 46786
#define sipName_resize &sipStrings_QtGui[46786]
#define sipNameNr_revert 46793
#define sipName_revert &sipStrings_QtGui[46793]
#define sipNameNr_rgba64 46800
#define sipName_rgba64 &sipStrings_QtGui[46800]
#define sipNameNr_rotate 46807
#define sipName_rotate &sipStrings_QtGui[46807]
#define sipNameNr_rowEnd 46814
#define sipName_rowEnd &sipStrings_QtGui[46814]
#define sipNameNr_salmon 34566
#define sipName_salmon &sipStrings_QtGui[34566]
#define sipNameNr_scalar 46821
#define sipName_scalar &sipStrings_QtGui[46821]
#define sipNameNr_scaleX 46828
#define sipName_scaleX &sipStrings_QtGui[46828]
#define sipNameNr_scaleY 46835
#define sipName_scaleY &sipStrings_QtGui[46835]
#define sipNameNr_scaled 46842
#define sipName_scaled &sipStrings_QtGui[46842]
#define sipNameNr_screen 39994
#define sipName_screen &sipStrings_QtGui[39994]
#define sipNameNr_scroll 46849
#define sipName_scroll &sipStrings_QtGui[46849]
#define sipNameNr_select 42353
#define sipName_select &sipStrings_QtGui[42353]
#define sipNameNr_setHsl 46856
#define sipName_setHsl &sipStrings_QtGui[46856]
#define sipNameNr_setHsv 46863
#define sipName_setHsv &sipStrings_QtGui[46863]
#define sipNameNr_setKey 46870
#define sipName_setKey &sipStrings_QtGui[46870]
#define sipNameNr_setPen 46877
#define sipName_setPen &sipStrings_QtGui[46877]
#define sipNameNr_setPos 46884
#define sipName_setPos &sipStrings_QtGui[46884]
#define sipNameNr_setRed 46891
#define sipName_setRed &sipStrings_QtGui[46891]
#define sipNameNr_setRgb 46898
#define sipName_setRgb &sipStrings_QtGui[46898]
#define sipNameNr_setRow 46905
#define sipName_setRow &sipStrings_QtGui[46905]
#define sipNameNr_setTop 46912
#define sipName_setTop &sipStrings_QtGui[46912]
#define sipNameNr_shadow 46919
#define sipName_shadow &sipStrings_QtGui[46919]
#define sipNameNr_shares 46926
#define sipName_shares &sipStrings_QtGui[46926]
#define sipNameNr_sienna 46933
#define sipName_sienna &sipStrings_QtGui[46933]
#define sipNameNr_silver 46940
#define sipName_silver &sipStrings_QtGui[46940]
#define sipNameNr_source 13188
#define sipName_source &sipStrings_QtGui[13188]
#define sipNameNr_spread 46947
#define sipName_spread &sipStrings_QtGui[46947]
#define sipNameNr_stacks 46954
#define sipName_stacks &sipStrings_QtGui[46954]
#define sipNameNr_stereo 46961
#define sipName_stereo &sipStrings_QtGui[46961]
#define sipNameNr_styles 46968
#define sipName_styles &sipStrings_QtGui[46968]
#define sipNameNr_submit 46975
#define sipName_submit &sipStrings_QtGui[46975]
#define sipNameNr_target 46982
#define sipName_target &sipStrings_QtGui[46982]
#define sipNameNr_toCmyk 46989
#define sipName_toCmyk &sipStrings_QtGui[46989]
#define sipNameNr_toHtml 46996
#define sipName_toHtml &sipStrings_QtGui[46996]
#define sipNameNr_toggle 47003
#define sipName_toggle &sipStrings_QtGui[47003]
#define sipNameNr_tomato 47010
#define sipName_tomato &sipStrings_QtGui[47010]
#define sipNameNr_united 47017
#define sipName_united &sipStrings_QtGui[47017]
#define sipNameNr_update 47024
#define sipName_update &sipStrings_QtGui[47024]
#define sipNameNr_valueF 47031
#define sipName_valueF &sipStrings_QtGui[47031]
#define sipNameNr_vector 47038
#define sipName_vector &sipStrings_QtGui[47038]
#define sipNameNr_violet 37463
#define sipName_violet &sipStrings_QtGui[37463]
#define sipNameNr_weight 47045
#define sipName_weight &sipStrings_QtGui[47045]
#define sipNameNr_widthF 47052
#define sipName_widthF &sipStrings_QtGui[47052]
#define sipNameNr_window 47059
#define sipName_window &sipStrings_QtGui[47059]
#define sipNameNr_yellow 10024
#define sipName_yellow &sipStrings_QtGui[10024]
#define sipNameNr_Alpha 16435
#define sipName_Alpha &sipStrings_QtGui[16435]
#define sipNameNr_AnsiA 47066
#define sipName_AnsiA &sipStrings_QtGui[47066]
#define sipNameNr_AnsiB 47072
#define sipName_AnsiB &sipStrings_QtGui[47072]
#define sipNameNr_AnsiC 47078
#define sipName_AnsiC &sipStrings_QtGui[47078]
#define sipNameNr_AnsiD 47084
#define sipName_AnsiD &sipStrings_QtGui[47084]
#define sipNameNr_AnsiE 47090
#define sipName_AnsiE &sipStrings_QtGui[47090]
#define sipNameNr_ArchA 47096
#define sipName_ArchA &sipStrings_QtGui[47096]
#define sipNameNr_ArchB 47102
#define sipName_ArchB &sipStrings_QtGui[47102]
#define sipNameNr_ArchC 47108
#define sipName_ArchC &sipStrings_QtGui[47108]
#define sipNameNr_ArchD 47114
#define sipName_ArchD &sipStrings_QtGui[47114]
#define sipNameNr_ArchE 47120
#define sipName_ArchE &sipStrings_QtGui[47120]
#define sipNameNr_AtEnd 47126
#define sipName_AtEnd &sipStrings_QtGui[47126]
#define sipNameNr_Black 47132
#define sipName_Black &sipStrings_QtGui[47132]
#define sipNameNr_Click 47138
#define sipName_Click &sipStrings_QtGui[47138]
#define sipNameNr_Close 47144
#define sipName_Close &sipStrings_QtGui[47144]
#define sipNameNr_Didot 47150
#define sipName_Didot &sipStrings_QtGui[47150]
#define sipNameNr_Drive 47156
#define sipName_Drive &sipStrings_QtGui[47156]
#define sipNameNr_Folio 47162
#define sipName_Folio &sipStrings_QtGui[47162]
#define sipNameNr_Gamma 13588
#define sipName_Gamma &sipStrings_QtGui[13588]
#define sipNameNr_Greek 47168
#define sipName_Greek &sipStrings_QtGui[47168]
#define sipNameNr_Green 39645
#define sipName_Green &sipStrings_QtGui[39645]
#define sipNameNr_Hover 47174
#define sipName_Hover &sipStrings_QtGui[47174]
#define sipNameNr_JisB0 47180
#define sipName_JisB0 &sipStrings_QtGui[47180]
#define sipNameNr_JisB1 47186
#define sipName_JisB1 &sipStrings_QtGui[47186]
#define sipNameNr_JisB2 47192
#define sipName_JisB2 &sipStrings_QtGui[47192]
#define sipNameNr_JisB3 47198
#define sipName_JisB3 &sipStrings_QtGui[47198]
#define sipNameNr_JisB4 47204
#define sipName_JisB4 &sipStrings_QtGui[47204]
#define sipNameNr_JisB5 47210
#define sipName_JisB5 &sipStrings_QtGui[47210]
#define sipNameNr_JisB6 47216
#define sipName_JisB6 &sipStrings_QtGui[47216]
#define sipNameNr_JisB7 47222
#define sipName_JisB7 &sipStrings_QtGui[47222]
#define sipNameNr_JisB8 47228
#define sipName_JisB8 &sipStrings_QtGui[47228]
#define sipNameNr_JisB9 47234
#define sipName_JisB9 &sipStrings_QtGui[47234]
#define sipNameNr_Khmer 47240
#define sipName_Khmer &sipStrings_QtGui[47240]
#define sipNameNr_Latin 47246
#define sipName_Latin &sipStrings_QtGui[47246]
#define sipNameNr_Legal 12410
#define sipName_Legal &sipStrings_QtGui[12410]
#define sipNameNr_LibGL 47252
#define sipName_LibGL &sipStrings_QtGui[47252]
#define sipNameNr_Light 4557
#define sipName_Light &sipStrings_QtGui[4557]
#define sipNameNr_Mouse 47258
#define sipName_Mouse &sipStrings_QtGui[47258]
#define sipNameNr_None_ 47264
#define sipName_None_ &sipStrings_QtGui[47264]
#define sipNameNr_Ogham 47270
#define sipName_Ogham &sipStrings_QtGui[47270]
#define sipNameNr_Oriya 47276
#define sipName_Oriya &sipStrings_QtGui[47276]
#define sipNameNr_Other 47282
#define sipName_Other &sipStrings_QtGui[47282]
#define sipNameNr_Paste 47288
#define sipName_Paste &sipStrings_QtGui[47288]
#define sipNameNr_Point 20898
#define sipName_Point &sipStrings_QtGui[20898]
#define sipNameNr_Print 47294
#define sipName_Print &sipStrings_QtGui[47294]
#define sipNameNr_QDrag 47300
#define sipName_QDrag &sipStrings_QtGui[47300]
#define sipNameNr_QFont 47306
#define sipName_QFont &sipStrings_QtGui[47306]
#define sipNameNr_QIcon 47312
#define sipName_QIcon &sipStrings_QtGui[47312]
#define sipNameNr_QMenu 47318
#define sipName_QMenu &sipStrings_QtGui[47318]
#define sipNameNr_Range 5686
#define sipName_Range &sipStrings_QtGui[5686]
#define sipNameNr_Right 27264
#define sipName_Right &sipStrings_QtGui[27264]
#define sipNameNr_Roles 6230
#define sipName_Roles &sipStrings_QtGui[6230]
#define sipNameNr_Runic 47324
#define sipName_Runic &sipStrings_QtGui[47324]
#define sipNameNr_Serif 40215
#define sipName_Serif &sipStrings_QtGui[40215]
#define sipNameNr_Start 18660
#define sipName_Start &sipStrings_QtGui[18660]
#define sipNameNr_State 4921
#define sipName_State &sipStrings_QtGui[4921]
#define sipNameNr_Style 1865
#define sipName_Style &sipStrings_QtGui[1865]
#define sipNameNr_Tamil 47330
#define sipName_Tamil &sipStrings_QtGui[47330]
#define sipNameNr_Times 47336
#define sipName_Times &sipStrings_QtGui[47336]
#define sipNameNr_White 29636
#define sipName_White &sipStrings_QtGui[29636]
#define sipNameNr_XTilt 47342
#define sipName_XTilt &sipStrings_QtGui[47342]
#define sipNameNr_YTilt 47348
#define sipName_YTilt &sipStrings_QtGui[47348]
#define sipNameNr_alert 47354
#define sipName_alert &sipStrings_QtGui[47354]
#define sipNameNr_alpha 47360
#define sipName_alpha &sipStrings_QtGui[47360]
#define sipNameNr_angle 7667
#define sipName_angle &sipStrings_QtGui[7667]
#define sipNameNr_arcTo 47366
#define sipName_arcTo &sipStrings_QtGui[47366]
#define sipNameNr_atEnd 47372
#define sipName_atEnd &sipStrings_QtGui[47372]
#define sipNameNr_azure 47378
#define sipName_azure &sipStrings_QtGui[47378]
#define sipNameNr_begin 47384
#define sipName_begin &sipStrings_QtGui[47384]
#define sipNameNr_beige 47390
#define sipName_beige &sipStrings_QtGui[47390]
#define sipNameNr_black 47396
#define sipName_black &sipStrings_QtGui[47396]
#define sipNameNr_block 47402
#define sipName_block &sipStrings_QtGui[47402]
#define sipNameNr_blue8 47408
#define sipName_blue8 &sipStrings_QtGui[47408]
#define sipNameNr_blueF 47414
#define sipName_blueF &sipStrings_QtGui[47414]
#define sipNameNr_brown 35011
#define sipName_brown &sipStrings_QtGui[35011]
#define sipNameNr_brush 42183
#define sipName_brush &sipStrings_QtGui[42183]
#define sipNameNr_buddy 47420
#define sipName_buddy &sipStrings_QtGui[47420]
#define sipNameNr_child 47426
#define sipName_child &sipStrings_QtGui[47426]
#define sipNameNr_clear 47432
#define sipName_clear &sipStrings_QtGui[47432]
#define sipNameNr_clone 47438
#define sipName_clone &sipStrings_QtGui[47438]
#define sipNameNr_close 47444
#define sipName_close &sipStrings_QtGui[47444]
#define sipNameNr_color 47450
#define sipName_color &sipStrings_QtGui[47450]
#define sipNameNr_coral 38432
#define sipName_coral &sipStrings_QtGui[38432]
#define sipNameNr_count 47456
#define sipName_count &sipStrings_QtGui[47456]
#define sipNameNr_cyanF 47462
#define sipName_cyanF &sipStrings_QtGui[47462]
#define sipNameNr_delim 47468
#define sipName_delim &sipStrings_QtGui[47468]
#define sipNameNr_delta 47474
#define sipName_delta &sipStrings_QtGui[47474]
#define sipNameNr_depth 47480
#define sipName_depth &sipStrings_QtGui[47480]
#define sipNameNr_error 47486
#define sipName_error &sipStrings_QtGui[47486]
#define sipNameNr_event 47492
#define sipName_event &sipStrings_QtGui[47492]
#define sipNameNr_first 47498
#define sipName_first &sipStrings_QtGui[47498]
#define sipNameNr_fixup 47504
#define sipName_fixup &sipStrings_QtGui[47504]
#define sipNameNr_flags 47510
#define sipName_flags &sipStrings_QtGui[47510]
#define sipNameNr_flush 47516
#define sipName_flush &sipStrings_QtGui[47516]
#define sipNameNr_from_ 47522
#define sipName_from_ &sipStrings_QtGui[47522]
#define sipNameNr_gamma 47528
#define sipName_gamma &sipStrings_QtGui[47528]
#define sipNameNr_green 16309
#define sipName_green &sipStrings_QtGui[16309]
#define sipNameNr_hints 47534
#define sipName_hints &sipStrings_QtGui[47534]
#define sipNameNr_hover 47540
#define sipName_hover &sipStrings_QtGui[47540]
#define sipNameNr_image 47546
#define sipName_image &sipStrings_QtGui[47546]
#define sipNameNr_index 47552
#define sipName_index &sipStrings_QtGui[47552]
#define sipNameNr_isDir 47558
#define sipName_isDir &sipStrings_QtGui[47558]
#define sipNameNr_ivory 47564
#define sipName_ivory &sipStrings_QtGui[47564]
#define sipNameNr_khaki 40685
#define sipName_khaki &sipStrings_QtGui[40685]
#define sipNameNr_light 34915
#define sipName_light &sipStrings_QtGui[34915]
#define sipNameNr_linen 47570
#define sipName_linen &sipStrings_QtGui[47570]
#define sipNameNr_lower 47576
#define sipName_lower &sipStrings_QtGui[47576]
#define sipNameNr_match 47582
#define sipName_match &sipStrings_QtGui[47582]
#define sipNameNr_merge 47588
#define sipName_merge &sipStrings_QtGui[47588]
#define sipNameNr_mkdir 47594
#define sipName_mkdir &sipStrings_QtGui[47594]
#define sipNameNr_model 47600
#define sipName_model &sipStrings_QtGui[47600]
#define sipNameNr_nlerp 47606
#define sipName_nlerp &sipStrings_QtGui[47606]
#define sipNameNr_olive 47612
#define sipName_olive &sipStrings_QtGui[47612]
#define sipNameNr_order 8585
#define sipName_order &sipStrings_QtGui[8585]
#define sipNameNr_ortho 47618
#define sipName_ortho &sipStrings_QtGui[47618]
#define sipNameNr_paint 47624
#define sipName_paint &sipStrings_QtGui[47624]
#define sipNameNr_phase 47630
#define sipName_phase &sipStrings_QtGui[47630]
#define sipNameNr_pixel 47636
#define sipName_pixel &sipStrings_QtGui[47636]
#define sipNameNr_point 47642
#define sipName_point &sipStrings_QtGui[47642]
#define sipNameNr_print 47648
#define sipName_print &sipStrings_QtGui[47648]
#define sipNameNr_qBlue 47654
#define sipName_qBlue &sipStrings_QtGui[47654]
#define sipNameNr_qGray 47660
#define sipName_qGray &sipStrings_QtGui[47660]
#define sipNameNr_qRgba 47666
#define sipName_qRgba &sipStrings_QtGui[47666]
#define sipNameNr_reset 15229
#define sipName_reset &sipStrings_QtGui[15229]
#define sipNameNr_rmdir 47672
#define sipName_rmdir &sipStrings_QtGui[47672]
#define sipNameNr_scale 9069
#define sipName_scale &sipStrings_QtGui[9069]
#define sipNameNr_shape 47678
#define sipName_shape &sipStrings_QtGui[47678]
#define sipNameNr_shear 47684
#define sipName_shear &sipStrings_QtGui[47684]
#define sipNameNr_slerp 47690
#define sipName_slerp &sipStrings_QtGui[47690]
#define sipNameNr_speed 47696
#define sipName_speed &sipStrings_QtGui[47696]
#define sipNameNr_start 47702
#define sipName_start &sipStrings_QtGui[47702]
#define sipNameNr_state 21842
#define sipName_state &sipStrings_QtGui[21842]
#define sipNameNr_stops 47708
#define sipName_stops &sipStrings_QtGui[47708]
#define sipNameNr_style 47714
#define sipName_style &sipStrings_QtGui[47714]
#define sipNameNr_title 47720
#define sipName_title &sipStrings_QtGui[47720]
#define sipNameNr_toHsl 47726
#define sipName_toHsl &sipStrings_QtGui[47726]
#define sipNameNr_toHsv 47732
#define sipName_toHsv &sipStrings_QtGui[47732]
#define sipNameNr_toRgb 33031
#define sipName_toRgb &sipStrings_QtGui[33031]
#define sipNameNr_units 47738
#define sipName_units &sipStrings_QtGui[47738]
#define sipNameNr_valid 22660
#define sipName_valid &sipStrings_QtGui[22660]
#define sipNameNr_value 47744
#define sipName_value &sipStrings_QtGui[47744]
#define sipNameNr_wheat 47750
#define sipName_wheat &sipStrings_QtGui[47750]
#define sipNameNr_white 30390
#define sipName_white &sipStrings_QtGui[30390]
#define sipNameNr_width 47756
#define sipName_width &sipStrings_QtGui[47756]
#define sipNameNr_winId 47762
#define sipName_winId &sipStrings_QtGui[47762]
#define sipNameNr_write 47768
#define sipName_write &sipStrings_QtGui[47768]
#define sipNameNr_xTilt 47774
#define sipName_xTilt &sipStrings_QtGui[47774]
#define sipNameNr_xored 47780
#define sipName_xored &sipStrings_QtGui[47780]
#define sipNameNr_yTilt 47786
#define sipName_yTilt &sipStrings_QtGui[47786]
#define sipNameNr_Area 24971
#define sipName_Area &sipStrings_QtGui[24971]
#define sipNameNr_Back 47792
#define sipName_Back &sipStrings_QtGui[47792]
#define sipNameNr_Base 25389
#define sipName_Base &sipStrings_QtGui[25389]
#define sipNameNr_Blue 32960
#define sipName_Blue &sipStrings_QtGui[32960]
#define sipNameNr_Bold 39696
#define sipName_Bold &sipStrings_QtGui[39696]
#define sipNameNr_CMYK 47797
#define sipName_CMYK &sipStrings_QtGui[47797]
#define sipNameNr_Cmyk 18593
#define sipName_Cmyk &sipStrings_QtGui[18593]
#define sipNameNr_Copy 47802
#define sipName_Copy &sipStrings_QtGui[47802]
#define sipNameNr_Cyan 42310
#define sipName_Cyan &sipStrings_QtGui[42310]
#define sipNameNr_Dark 33008
#define sipName_Dark &sipStrings_QtGui[33008]
#define sipNameNr_Down 47807
#define sipName_Down &sipStrings_QtGui[47807]
#define sipNameNr_Edge 20275
#define sipName_Edge &sipStrings_QtGui[20275]
#define sipNameNr_File 31288
#define sipName_File &sipStrings_QtGui[31288]
#define sipNameNr_Find 47812
#define sipName_Find &sipStrings_QtGui[47812]
#define sipNameNr_Flag 4264
#define sipName_Flag &sipStrings_QtGui[4264]
#define sipNameNr_Gray 39856
#define sipName_Gray &sipStrings_QtGui[39856]
#define sipNameNr_IMC1 47817
#define sipName_IMC1 &sipStrings_QtGui[47817]
#define sipNameNr_IMC2 47822
#define sipName_IMC2 &sipStrings_QtGui[47822]
#define sipNameNr_IMC3 47827
#define sipName_IMC3 &sipStrings_QtGui[47827]
#define sipNameNr_IMC4 47832
#define sipName_IMC4 &sipStrings_QtGui[47832]
#define sipNameNr_Inch 11880
#define sipName_Inch &sipStrings_QtGui[11880]
#define sipNameNr_Left 25046
#define sipName_Left &sipStrings_QtGui[25046]
#define sipNameNr_Link 47837
#define sipName_Link &sipStrings_QtGui[47837]
#define sipNameNr_Mode 2729
#define sipName_Mode &sipStrings_QtGui[2729]
#define sipNameNr_NV12 47842
#define sipName_NV12 &sipStrings_QtGui[47842]
#define sipNameNr_NV21 47847
#define sipName_NV21 &sipStrings_QtGui[47847]
#define sipNameNr_Name 5208
#define sipName_Name &sipStrings_QtGui[5208]
#define sipNameNr_Nega 47852
#define sipName_Nega &sipStrings_QtGui[47852]
#define sipNameNr_Note 47857
#define sipName_Note &sipStrings_QtGui[47857]
#define sipNameNr_Open 47862
#define sipName_Open &sipStrings_QtGui[47862]
#define sipNameNr_Pica 47867
#define sipName_Pica &sipStrings_QtGui[47867]
#define sipNameNr_Puck 47872
#define sipName_Puck &sipStrings_QtGui[47872]
#define sipNameNr_QPen 47877
#define sipName_QPen &sipStrings_QtGui[47877]
#define sipNameNr_Quit 47882
#define sipName_Quit &sipStrings_QtGui[47882]
#define sipNameNr_Redo 44871
#define sipName_Redo &sipStrings_QtGui[44871]
#define sipNameNr_Ruby 47887
#define sipName_Ruby &sipStrings_QtGui[47887]
#define sipNameNr_SRgb 47892
#define sipName_SRgb &sipStrings_QtGui[47892]
#define sipNameNr_Save 47897
#define sipName_Save &sipStrings_QtGui[47897]
#define sipNameNr_Size 8762
#define sipName_Size &sipStrings_QtGui[8762]
#define sipNameNr_Spec 29780
#define sipName_Spec &sipStrings_QtGui[29780]
#define sipNameNr_Text 9900
#define sipName_Text &sipStrings_QtGui[9900]
#define sipNameNr_Thai 47902
#define sipName_Thai &sipStrings_QtGui[47902]
#define sipNameNr_Thin 47907
#define sipName_Thin &sipStrings_QtGui[47907]
#define sipNameNr_Type 297
#define sipName_Type &sipStrings_QtGui[297]
#define sipNameNr_UYVY 47912
#define sipName_UYVY &sipStrings_QtGui[47912]
#define sipNameNr_Undo 44879
#define sipName_Undo &sipStrings_QtGui[44879]
#define sipNameNr_Unit 15356
#define sipName_Unit &sipStrings_QtGui[15356]
#define sipNameNr_User 44447
#define sipName_User &sipStrings_QtGui[44447]
#define sipNameNr_YUYV 47917
#define sipName_YUYV &sipStrings_QtGui[47917]
#define sipNameNr_YV12 47922
#define sipName_YV12 &sipStrings_QtGui[47922]
#define sipNameNr_aqua 47927
#define sipName_aqua &sipStrings_QtGui[47927]
#define sipNameNr_axis 47932
#define sipName_axis &sipStrings_QtGui[47932]
#define sipNameNr_base 26075
#define sipName_base &sipStrings_QtGui[26075]
#define sipNameNr_bits 47937
#define sipName_bits &sipStrings_QtGui[47937]
#define sipNameNr_blue 21347
#define sipName_blue &sipStrings_QtGui[21347]
#define sipNameNr_bold 47942
#define sipName_bold &sipStrings_QtGui[47942]
#define sipNameNr_clip 47947
#define sipName_clip &sipStrings_QtGui[47947]
#define sipNameNr_copy 47952
#define sipName_copy &sipStrings_QtGui[47952]
#define sipNameNr_cyan 41106
#define sipName_cyan &sipStrings_QtGui[41106]
#define sipNameNr_dark 47957
#define sipName_dark &sipStrings_QtGui[47957]
#define sipNameNr_data 7806
#define sipName_data &sipStrings_QtGui[7806]
#define sipNameNr_draw 47962
#define sipName_draw &sipStrings_QtGui[47962]
#define sipNameNr_edge 47967
#define sipName_edge &sipStrings_QtGui[47967]
#define sipNameNr_exec 47972
#define sipName_exec &sipStrings_QtGui[47972]
#define sipNameNr_file 561
#define sipName_file &sipStrings_QtGui[561]
#define sipNameNr_fill 47977
#define sipName_fill &sipStrings_QtGui[47977]
#define sipNameNr_find 47982
#define sipName_find &sipStrings_QtGui[47982]
#define sipNameNr_font 47987
#define sipName_font &sipStrings_QtGui[47987]
#define sipNameNr_from 47992
#define sipName_from &sipStrings_QtGui[47992]
#define sipNameNr_gold 47997
#define sipName_gold &sipStrings_QtGui[47997]
#define sipNameNr_gray 24086
#define sipName_gray &sipStrings_QtGui[24086]
#define sipNameNr_grey 24101
#define sipName_grey &sipStrings_QtGui[24101]
#define sipNameNr_hide 48002
#define sipName_hide &sipStrings_QtGui[48002]
#define sipNameNr_hotX 48007
#define sipName_hotX &sipStrings_QtGui[48007]
#define sipNameNr_hotY 48012
#define sipName_hotY &sipStrings_QtGui[48012]
#define sipNameNr_href 48017
#define sipName_href &sipStrings_QtGui[48017]
#define sipNameNr_hueF 48022
#define sipName_hueF &sipStrings_QtGui[48022]
#define sipNameNr_icon 48027
#define sipName_icon &sipStrings_QtGui[48027]
#define sipNameNr_item 48032
#define sipName_item &sipStrings_QtGui[48032]
#define sipNameNr_join 48037
#define sipName_join &sipStrings_QtGui[48037]
#define sipNameNr_key2 48042
#define sipName_key2 &sipStrings_QtGui[48042]
#define sipNameNr_key3 48047
#define sipName_key3 &sipStrings_QtGui[48047]
#define sipNameNr_key4 48052
#define sipName_key4 &sipStrings_QtGui[48052]
#define sipNameNr_keys 48057
#define sipName_keys &sipStrings_QtGui[48057]
#define sipNameNr_last 48062
#define sipName_last &sipStrings_QtGui[48062]
#define sipNameNr_lime 48067
#define sipName_lime &sipStrings_QtGui[48067]
#define sipNameNr_link 48072
#define sipName_link &sipStrings_QtGui[48072]
#define sipNameNr_load 48077
#define sipName_load &sipStrings_QtGui[48077]
#define sipNameNr_mask 48082
#define sipName_mask &sipStrings_QtGui[48082]
#define sipNameNr_menu 48087
#define sipName_menu &sipStrings_QtGui[48087]
#define sipNameNr_mode 48092
#define sipName_mode &sipStrings_QtGui[48092]
#define sipNameNr_name 48097
#define sipName_name &sipStrings_QtGui[48097]
#define sipNameNr_navy 48102
#define sipName_navy &sipStrings_QtGui[48102]
#define sipNameNr_next 48107
#define sipName_next &sipStrings_QtGui[48107]
#define sipNameNr_peru 48112
#define sipName_peru &sipStrings_QtGui[48112]
#define sipNameNr_pink 41146
#define sipName_pink &sipStrings_QtGui[41146]
#define sipNameNr_play 48117
#define sipName_play &sipStrings_QtGui[48117]
#define sipNameNr_plum 48122
#define sipName_plum &sipStrings_QtGui[48122]
#define sipNameNr_push 48127
#define sipName_push &sipStrings_QtGui[48127]
#define sipNameNr_qRed 48132
#define sipName_qRed &sipStrings_QtGui[48132]
#define sipNameNr_qRgb 48137
#define sipName_qRgb &sipStrings_QtGui[48137]
#define sipNameNr_read 15248
#define sipName_read &sipStrings_QtGui[15248]
#define sipNameNr_rect 48142
#define sipName_rect &sipStrings_QtGui[48142]
#define sipNameNr_red8 48147
#define sipName_red8 &sipStrings_QtGui[48147]
#define sipNameNr_redF 48152
#define sipName_redF &sipStrings_QtGui[48152]
#define sipNameNr_redo 48157
#define sipName_redo &sipStrings_QtGui[48157]
#define sipNameNr_rgba 48162
#define sipName_rgba &sipStrings_QtGui[48162]
#define sipNameNr_role 48167
#define sipName_role &sipStrings_QtGui[48167]
#define sipNameNr_rows 48172
#define sipName_rows &sipStrings_QtGui[48172]
#define sipNameNr_save 48177
#define sipName_save &sipStrings_QtGui[48177]
#define sipNameNr_setW 48182
#define sipName_setW &sipStrings_QtGui[48182]
#define sipNameNr_setX 48187
#define sipName_setX &sipStrings_QtGui[48187]
#define sipNameNr_setY 48192
#define sipName_setY &sipStrings_QtGui[48192]
#define sipNameNr_setZ 48197
#define sipName_setZ &sipStrings_QtGui[48197]
#define sipNameNr_show 48202
#define sipName_show &sipStrings_QtGui[48202]
#define sipNameNr_size 17048
#define sipName_size &sipStrings_QtGui[17048]
#define sipNameNr_snow 48207
#define sipName_snow &sipStrings_QtGui[48207]
#define sipNameNr_sort 48212
#define sipName_sort &sipStrings_QtGui[48212]
#define sipNameNr_span 48217
#define sipName_span &sipStrings_QtGui[48217]
#define sipNameNr_spec 48222
#define sipName_spec &sipStrings_QtGui[48222]
#define sipNameNr_stop 48227
#define sipName_stop &sipStrings_QtGui[48227]
#define sipNameNr_swap 48232
#define sipName_swap &sipStrings_QtGui[48232]
#define sipNameNr_sync 48237
#define sipName_sync &sipStrings_QtGui[48237]
#define sipNameNr_tabs 48242
#define sipName_tabs &sipStrings_QtGui[48242]
#define sipNameNr_teal 48247
#define sipName_teal &sipStrings_QtGui[48247]
#define sipNameNr_text 134
#define sipName_text &sipStrings_QtGui[134]
#define sipNameNr_type 18950
#define sipName_type &sipStrings_QtGui[18950]
#define sipNameNr_undo 48252
#define sipName_undo &sipStrings_QtGui[48252]
#define sipNameNr_A10 48257
#define sipName_A10 &sipStrings_QtGui[48257]
#define sipNameNr_All 14925
#define sipName_All &sipStrings_QtGui[14925]
#define sipNameNr_Any 48261
#define sipName_Any &sipStrings_QtGui[48261]
#define sipNameNr_B10 45998
#define sipName_B10 &sipStrings_QtGui[45998]
#define sipNameNr_BGR 48265
#define sipName_BGR &sipStrings_QtGui[48265]
#define sipNameNr_C5E 48269
#define sipName_C5E &sipStrings_QtGui[48269]
#define sipNameNr_Cut 48273
#define sipName_Cut &sipStrings_QtGui[48273]
#define sipNameNr_DLE 48277
#define sipName_DLE &sipStrings_QtGui[48277]
#define sipNameNr_End 31692
#define sipName_End &sipStrings_QtGui[31692]
#define sipNameNr_HSL 48281
#define sipName_HSL &sipStrings_QtGui[48281]
#define sipNameNr_HSV 48285
#define sipName_HSV &sipStrings_QtGui[48285]
#define sipNameNr_Hsl 21700
#define sipName_Hsl &sipStrings_QtGui[21700]
#define sipNameNr_Hsv 21716
#define sipName_Hsv &sipStrings_QtGui[21716]
#define sipNameNr_Key 4819
#define sipName_Key &sipStrings_QtGui[4819]
#define sipNameNr_Lao 48289
#define sipName_Lao &sipStrings_QtGui[48289]
#define sipNameNr_Mid 48293
#define sipName_Mid &sipStrings_QtGui[48293]
#define sipNameNr_New 48297
#define sipName_New &sipStrings_QtGui[48297]
#define sipNameNr_Nko 48301
#define sipName_Nko &sipStrings_QtGui[48301]
#define sipNameNr_Off 48305
#define sipName_Off &sipStrings_QtGui[48305]
#define sipNameNr_Pdf 48309
#define sipName_Pdf &sipStrings_QtGui[48309]
#define sipNameNr_Pen 36696
#define sipName_Pen &sipStrings_QtGui[36696]
#define sipNameNr_RGB 48313
#define sipName_RGB &sipStrings_QtGui[48313]
#define sipNameNr_Red 44352
#define sipName_Red &sipStrings_QtGui[44352]
#define sipNameNr_Rgb 28694
#define sipName_Rgb &sipStrings_QtGui[28694]
#define sipNameNr_SVG 48317
#define sipName_SVG &sipStrings_QtGui[48317]
#define sipNameNr_Svg 9460
#define sipName_Svg &sipStrings_QtGui[9460]
#define sipNameNr_Tab 17914
#define sipName_Tab &sipStrings_QtGui[17914]
#define sipNameNr_X11 48321
#define sipName_X11 &sipStrings_QtGui[48321]
#define sipNameNr_Y16 48325
#define sipName_Y16 &sipStrings_QtGui[48325]
#define sipNameNr_YUV 48329
#define sipName_YUV &sipStrings_QtGui[48329]
#define sipNameNr_add 48333
#define sipName_add &sipStrings_QtGui[48333]
#define sipNameNr_cap 48337
#define sipName_cap &sipStrings_QtGui[48337]
#define sipNameNr_end 35838
#define sipName_end &sipStrings_QtGui[35838]
#define sipNameNr_hue 48341
#define sipName_hue &sipStrings_QtGui[48341]
#define sipNameNr_key 48345
#define sipName_key &sipStrings_QtGui[48345]
#define sipNameNr_m11 48349
#define sipName_m11 &sipStrings_QtGui[48349]
#define sipNameNr_m12 48353
#define sipName_m12 &sipStrings_QtGui[48353]
#define sipNameNr_m13 48357
#define sipName_m13 &sipStrings_QtGui[48357]
#define sipNameNr_m21 48361
#define sipName_m21 &sipStrings_QtGui[48361]
#define sipNameNr_m22 48365
#define sipName_m22 &sipStrings_QtGui[48365]
#define sipNameNr_m23 48369
#define sipName_m23 &sipStrings_QtGui[48369]
#define sipNameNr_m31 48373
#define sipName_m31 &sipStrings_QtGui[48373]
#define sipNameNr_m32 48377
#define sipName_m32 &sipStrings_QtGui[48377]
#define sipNameNr_m33 48381
#define sipName_m33 &sipStrings_QtGui[48381]
#define sipNameNr_map 20948
#define sipName_map &sipStrings_QtGui[20948]
#define sipNameNr_mid 48385
#define sipName_mid &sipStrings_QtGui[48385]
#define sipNameNr_pen 47863
#define sipName_pen &sipStrings_QtGui[47863]
#define sipNameNr_pos 48389
#define sipName_pos &sipStrings_QtGui[48389]
#define sipNameNr_red 16167
#define sipName_red &sipStrings_QtGui[16167]
#define sipNameNr_rgb 44400
#define sipName_rgb &sipStrings_QtGui[44400]
#define sipNameNr_row 48393
#define sipName_row &sipStrings_QtGui[48393]
#define sipNameNr_tan 44640
#define sipName_tan &sipStrings_QtGui[44640]
#define sipNameNr_tip 48397
#define sipName_tip &sipStrings_QtGui[48397]
#define sipNameNr_top 1515
#define sipName_top &sipStrings_QtGui[1515]
#define sipNameNr_url 48401
#define sipName_url &sipStrings_QtGui[48401]
#define sipNameNr_A0 48405
#define sipName_A0 &sipStrings_QtGui[48405]
#define sipNameNr_A1 48408
#define sipName_A1 &sipStrings_QtGui[48408]
#define sipNameNr_A2 48411
#define sipName_A2 &sipStrings_QtGui[48411]
#define sipNameNr_A3 48414
#define sipName_A3 &sipStrings_QtGui[48414]
#define sipNameNr_A4 48417
#define sipName_A4 &sipStrings_QtGui[48417]
#define sipNameNr_A5 48420
#define sipName_A5 &sipStrings_QtGui[48420]
#define sipNameNr_A6 48423
#define sipName_A6 &sipStrings_QtGui[48423]
#define sipNameNr_A7 48426
#define sipName_A7 &sipStrings_QtGui[48426]
#define sipNameNr_A8 48429
#define sipName_A8 &sipStrings_QtGui[48429]
#define sipNameNr_A9 48432
#define sipName_A9 &sipStrings_QtGui[48432]
#define sipNameNr_B0 47183
#define sipName_B0 &sipStrings_QtGui[47183]
#define sipNameNr_B1 47189
#define sipName_B1 &sipStrings_QtGui[47189]
#define sipNameNr_B2 47195
#define sipName_B2 &sipStrings_QtGui[47195]
#define sipNameNr_B3 47201
#define sipName_B3 &sipStrings_QtGui[47201]
#define sipNameNr_B4 36103
#define sipName_B4 &sipStrings_QtGui[36103]
#define sipNameNr_B5 36114
#define sipName_B5 &sipStrings_QtGui[36114]
#define sipNameNr_B6 36125
#define sipName_B6 &sipStrings_QtGui[36125]
#define sipNameNr_B7 47225
#define sipName_B7 &sipStrings_QtGui[47225]
#define sipNameNr_B8 47231
#define sipName_B8 &sipStrings_QtGui[47231]
#define sipNameNr_B9 47237
#define sipName_B9 &sipStrings_QtGui[47237]
#define sipNameNr_On 48435
#define sipName_On &sipStrings_QtGui[48435]
#define sipNameNr_Qt 48438
#define sipName_Qt &sipStrings_QtGui[48438]
#define sipNameNr_Up 48441
#define sipName_Up &sipStrings_QtGui[48441]
#define sipNameNr_Y8 48444
#define sipName_Y8 &sipStrings_QtGui[48444]
#define sipNameNr_at 3202
#define sipName_at &sipStrings_QtGui[3202]
#define sipNameNr_dx 48447
#define sipName_dx &sipStrings_QtGui[48447]
#define sipNameNr_dy 47423
#define sipName_dy &sipStrings_QtGui[47423]
#define sipNameNr_id 14782
#define sipName_id &sipStrings_QtGui[14782]
#define sipNameNr_on 338
#define sipName_on &sipStrings_QtGui[338]
#define sipNameNr_sh 4320
#define sipName_sh &sipStrings_QtGui[4320]
#define sipNameNr_sw 48450
#define sipName_sw &sipStrings_QtGui[48450]
#define sipNameNr_sx 48453
#define sipName_sx &sipStrings_QtGui[48453]
#define sipNameNr_sy 44369
#define sipName_sy &sipStrings_QtGui[44369]
#define sipNameNr_to 22948
#define sipName_to &sipStrings_QtGui[22948]
#define sipNameNr_n 339
#define sipName_n &sipStrings_QtGui[339]
#define sipNameNr_w 10029
#define sipName_w &sipStrings_QtGui[10029]
#define sipNameNr_x 10701
#define sipName_x &sipStrings_QtGui[10701]
#define sipNameNr_y 780
#define sipName_y &sipStrings_QtGui[780]
#define sipNameNr_z 48456
#define sipName_z &sipStrings_QtGui[48456]

#define sipMalloc                   sipAPI_QtGui->api_malloc
#define sipFree                     sipAPI_QtGui->api_free
#define sipBuildResult              sipAPI_QtGui->api_build_result
#define sipCallMethod               sipAPI_QtGui->api_call_method
#define sipCallProcedureMethod      sipAPI_QtGui->api_call_procedure_method
#define sipCallErrorHandler         sipAPI_QtGui->api_call_error_handler
#define sipParseResultEx            sipAPI_QtGui->api_parse_result_ex
#define sipParseResult              sipAPI_QtGui->api_parse_result
#define sipParseArgs                sipAPI_QtGui->api_parse_args
#define sipParseKwdArgs             sipAPI_QtGui->api_parse_kwd_args
#define sipParsePair                sipAPI_QtGui->api_parse_pair
#define sipInstanceDestroyed        sipAPI_QtGui->api_instance_destroyed
#define sipInstanceDestroyedEx      sipAPI_QtGui->api_instance_destroyed_ex
#define sipConvertFromSequenceIndex sipAPI_QtGui->api_convert_from_sequence_index
#define sipConvertFromSliceObject   sipAPI_QtGui->api_convert_from_slice_object
#define sipConvertFromVoidPtr       sipAPI_QtGui->api_convert_from_void_ptr
#define sipConvertToVoidPtr         sipAPI_QtGui->api_convert_to_void_ptr
#define sipAddException             sipAPI_QtGui->api_add_exception
#define sipNoFunction               sipAPI_QtGui->api_no_function
#define sipNoMethod                 sipAPI_QtGui->api_no_method
#define sipAbstractMethod           sipAPI_QtGui->api_abstract_method
#define sipBadClass                 sipAPI_QtGui->api_bad_class
#define sipBadCatcherResult         sipAPI_QtGui->api_bad_catcher_result
#define sipBadCallableArg           sipAPI_QtGui->api_bad_callable_arg
#define sipBadOperatorArg           sipAPI_QtGui->api_bad_operator_arg
#define sipTrace                    sipAPI_QtGui->api_trace
#define sipTransferBack             sipAPI_QtGui->api_transfer_back
#define sipTransferTo               sipAPI_QtGui->api_transfer_to
#define sipSimpleWrapper_Type       sipAPI_QtGui->api_simplewrapper_type
#define sipWrapper_Type             sipAPI_QtGui->api_wrapper_type
#define sipWrapperType_Type         sipAPI_QtGui->api_wrappertype_type
#define sipVoidPtr_Type             sipAPI_QtGui->api_voidptr_type
#define sipGetPyObject              sipAPI_QtGui->api_get_pyobject
#define sipGetAddress               sipAPI_QtGui->api_get_address
#define sipGetMixinAddress          sipAPI_QtGui->api_get_mixin_address
#define sipGetCppPtr                sipAPI_QtGui->api_get_cpp_ptr
#define sipGetComplexCppPtr         sipAPI_QtGui->api_get_complex_cpp_ptr
#define sipCallHook                 sipAPI_QtGui->api_call_hook
#define sipEndThread                sipAPI_QtGui->api_end_thread
#define sipRaiseUnknownException    sipAPI_QtGui->api_raise_unknown_exception
#define sipRaiseTypeException       sipAPI_QtGui->api_raise_type_exception
#define sipBadLengthForSlice        sipAPI_QtGui->api_bad_length_for_slice
#define sipAddTypeInstance          sipAPI_QtGui->api_add_type_instance
#define sipPySlotExtend             sipAPI_QtGui->api_pyslot_extend
#define sipAddDelayedDtor           sipAPI_QtGui->api_add_delayed_dtor
#define sipCanConvertToType         sipAPI_QtGui->api_can_convert_to_type
#define sipConvertToType            sipAPI_QtGui->api_convert_to_type
#define sipForceConvertToType       sipAPI_QtGui->api_force_convert_to_type
#define sipConvertToEnum            sipAPI_QtGui->api_convert_to_enum
#define sipConvertToBool            sipAPI_QtGui->api_convert_to_bool
#define sipReleaseType              sipAPI_QtGui->api_release_type
#define sipConvertFromType          sipAPI_QtGui->api_convert_from_type
#define sipConvertFromNewType       sipAPI_QtGui->api_convert_from_new_type
#define sipConvertFromNewPyType     sipAPI_QtGui->api_convert_from_new_pytype
#define sipConvertFromEnum          sipAPI_QtGui->api_convert_from_enum
#define sipGetState                 sipAPI_QtGui->api_get_state
#define sipExportSymbol             sipAPI_QtGui->api_export_symbol
#define sipImportSymbol             sipAPI_QtGui->api_import_symbol
#define sipFindType                 sipAPI_QtGui->api_find_type
#define sipBytes_AsChar             sipAPI_QtGui->api_bytes_as_char
#define sipBytes_AsString           sipAPI_QtGui->api_bytes_as_string
#define sipString_AsASCIIChar       sipAPI_QtGui->api_string_as_ascii_char
#define sipString_AsASCIIString     sipAPI_QtGui->api_string_as_ascii_string
#define sipString_AsLatin1Char      sipAPI_QtGui->api_string_as_latin1_char
#define sipString_AsLatin1String    sipAPI_QtGui->api_string_as_latin1_string
#define sipString_AsUTF8Char        sipAPI_QtGui->api_string_as_utf8_char
#define sipString_AsUTF8String      sipAPI_QtGui->api_string_as_utf8_string
#define sipUnicode_AsWChar          sipAPI_QtGui->api_unicode_as_wchar
#define sipUnicode_AsWString        sipAPI_QtGui->api_unicode_as_wstring
#define sipConvertFromConstVoidPtr  sipAPI_QtGui->api_convert_from_const_void_ptr
#define sipConvertFromVoidPtrAndSize    sipAPI_QtGui->api_convert_from_void_ptr_and_size
#define sipConvertFromConstVoidPtrAndSize   sipAPI_QtGui->api_convert_from_const_void_ptr_and_size
#define sipWrappedTypeName(wt)      ((wt)->wt_td->td_cname)
#define sipDeprecated               sipAPI_QtGui->api_deprecated
#define sipGetReference             sipAPI_QtGui->api_get_reference
#define sipKeepReference            sipAPI_QtGui->api_keep_reference
#define sipRegisterProxyResolver    sipAPI_QtGui->api_register_proxy_resolver
#define sipRegisterPyType           sipAPI_QtGui->api_register_py_type
#define sipTypeFromPyTypeObject     sipAPI_QtGui->api_type_from_py_type_object
#define sipTypeScope                sipAPI_QtGui->api_type_scope
#define sipResolveTypedef           sipAPI_QtGui->api_resolve_typedef
#define sipRegisterAttributeGetter  sipAPI_QtGui->api_register_attribute_getter
#define sipEnableAutoconversion     sipAPI_QtGui->api_enable_autoconversion
#define sipInitMixin                sipAPI_QtGui->api_init_mixin
#define sipExportModule             sipAPI_QtGui->api_export_module
#define sipInitModule               sipAPI_QtGui->api_init_module
#define sipGetInterpreter           sipAPI_QtGui->api_get_interpreter
#define sipSetTypeUserData          sipAPI_QtGui->api_set_type_user_data
#define sipGetTypeUserData          sipAPI_QtGui->api_get_type_user_data
#define sipPyTypeDict               sipAPI_QtGui->api_py_type_dict
#define sipPyTypeName               sipAPI_QtGui->api_py_type_name
#define sipGetCFunction             sipAPI_QtGui->api_get_c_function
#define sipGetMethod                sipAPI_QtGui->api_get_method
#define sipFromMethod               sipAPI_QtGui->api_from_method
#define sipGetDate                  sipAPI_QtGui->api_get_date
#define sipFromDate                 sipAPI_QtGui->api_from_date
#define sipGetDateTime              sipAPI_QtGui->api_get_datetime
#define sipFromDateTime             sipAPI_QtGui->api_from_datetime
#define sipGetTime                  sipAPI_QtGui->api_get_time
#define sipFromTime                 sipAPI_QtGui->api_from_time
#define sipIsUserType               sipAPI_QtGui->api_is_user_type
#define sipCheckPluginForType       sipAPI_QtGui->api_check_plugin_for_type
#define sipUnicodeNew               sipAPI_QtGui->api_unicode_new
#define sipUnicodeWrite             sipAPI_QtGui->api_unicode_write
#define sipUnicodeData              sipAPI_QtGui->api_unicode_data
#define sipGetBufferInfo            sipAPI_QtGui->api_get_buffer_info
#define sipReleaseBufferInfo        sipAPI_QtGui->api_release_buffer_info
#define sipIsOwnedByPython          sipAPI_QtGui->api_is_owned_by_python
#define sipIsDerivedClass           sipAPI_QtGui->api_is_derived_class
#define sipGetUserObject            sipAPI_QtGui->api_get_user_object
#define sipSetUserObject            sipAPI_QtGui->api_set_user_object
#define sipRegisterEventHandler     sipAPI_QtGui->api_register_event_handler
#define sipConvertToArray           sipAPI_QtGui->api_convert_to_array
#define sipConvertToTypedArray      sipAPI_QtGui->api_convert_to_typed_array
#define sipEnableGC                 sipAPI_QtGui->api_enable_gc
#define sipPrintObject              sipAPI_QtGui->api_print_object
#define sipLong_AsChar              sipAPI_QtGui->api_long_as_char
#define sipLong_AsSignedChar        sipAPI_QtGui->api_long_as_signed_char
#define sipLong_AsUnsignedChar      sipAPI_QtGui->api_long_as_unsigned_char
#define sipLong_AsShort             sipAPI_QtGui->api_long_as_short
#define sipLong_AsUnsignedShort     sipAPI_QtGui->api_long_as_unsigned_short
#define sipLong_AsInt               sipAPI_QtGui->api_long_as_int
#define sipLong_AsUnsignedInt       sipAPI_QtGui->api_long_as_unsigned_int
#define sipLong_AsLong              sipAPI_QtGui->api_long_as_long
#define sipLong_AsUnsignedLong      sipAPI_QtGui->api_long_as_unsigned_long
#define sipLong_AsLongLong          sipAPI_QtGui->api_long_as_long_long
#define sipLong_AsUnsignedLongLong  sipAPI_QtGui->api_long_as_unsigned_long_long
#define sipLong_AsSizeT             sipAPI_QtGui->api_long_as_size_t
#define sipVisitWrappers            sipAPI_QtGui->api_visit_wrappers
#define sipRegisterExitNotifier     sipAPI_QtGui->api_register_exit_notifier
#define sipNextExceptionHandler     sipAPI_QtGui->api_next_exception_handler
#define sipIsEnumFlag               sipAPI_QtGui->api_is_enum_flag
#define sipConvertToTypeUS          sipAPI_QtGui->api_convert_to_type_us
#define sipForceConvertToTypeUS     sipAPI_QtGui->api_force_convert_to_type_us
#define sipReleaseTypeUS            sipAPI_QtGui->api_release_type_us
#define sipIsPyMethod               sipAPI_QtGui->api_is_py_method_12_8

/* The strings used by this module. */
extern const char sipStrings_QtGui[];

#define sipType_QAbstractFileIconProvider sipExportedTypes_QtGui[0]

#define sipType_QAbstractFileIconProvider_Option sipExportedTypes_QtGui[2]

#define sipType_QAbstractFileIconProvider_IconType sipExportedTypes_QtGui[1]

extern sipClassTypeDef sipTypeDef_QtGui_QAbstractFileIconProvider;

#define sipType_QAbstractTextDocumentLayout sipExportedTypes_QtGui[3]

extern sipClassTypeDef sipTypeDef_QtGui_QAbstractTextDocumentLayout;

#define sipType_QAbstractTextDocumentLayout_Selection sipExportedTypes_QtGui[5]

extern sipClassTypeDef sipTypeDef_QtGui_QAbstractTextDocumentLayout_Selection;

#define sipType_QAbstractTextDocumentLayout_PaintContext sipExportedTypes_QtGui[4]

extern sipClassTypeDef sipTypeDef_QtGui_QAbstractTextDocumentLayout_PaintContext;

#define sipType_QTextObjectInterface sipExportedTypes_QtGui[319]

extern sipClassTypeDef sipTypeDef_QtGui_QTextObjectInterface;

#define sipType_QMenu sipExportedTypes_QtGui[163]

#define sipType_QAction sipExportedTypes_QtGui[6]

#define sipType_QAction_Priority sipExportedTypes_QtGui[9]

#define sipType_QAction_MenuRole sipExportedTypes_QtGui[8]

#define sipType_QAction_ActionEvent sipExportedTypes_QtGui[7]

extern sipClassTypeDef sipTypeDef_QtGui_QAction;

#define sipType_QActionGroup sipExportedTypes_QtGui[11]

#define sipType_QActionGroup_ExclusionPolicy sipExportedTypes_QtGui[12]

extern sipClassTypeDef sipTypeDef_QtGui_QActionGroup;

#define sipType_QBackingStore sipExportedTypes_QtGui[13]

extern sipClassTypeDef sipTypeDef_QtGui_QBackingStore;

#define sipType_QPaintDevice sipExportedTypes_QtGui[186]

#define sipType_QPaintDevice_PaintDeviceMetric sipExportedTypes_QtGui[187]

extern sipClassTypeDef sipTypeDef_QtGui_QPaintDevice;

#define sipType_QPixmap sipExportedTypes_QtGui[219]

extern sipClassTypeDef sipTypeDef_QtGui_QPixmap;

#define sipType_QBitmap sipExportedTypes_QtGui[14]

extern sipClassTypeDef sipTypeDef_QtGui_QBitmap;

#define sipType_QColor sipExportedTypes_QtGui[19]

#define sipType_QColor_NameFormat sipExportedTypes_QtGui[20]

#define sipType_QColor_Spec sipExportedTypes_QtGui[21]

extern sipClassTypeDef sipTypeDef_QtGui_QColor;

#define sipType_QColorConstants sipExportedTypes_QtGui[22]

extern sipClassTypeDef sipTypeDef_QtGui_QColorConstants;

#define sipType_QColorConstants_Svg sipExportedTypes_QtGui[23]

extern sipClassTypeDef sipTypeDef_QtGui_QColorConstants_Svg;

#define sipType_QBrush sipExportedTypes_QtGui[15]

extern sipClassTypeDef sipTypeDef_QtGui_QBrush;

#define sipType_QGradient sipExportedTypes_QtGui[86]

#define sipType_QGradient_Preset sipExportedTypes_QtGui[88]

#define sipType_QGradient_Spread sipExportedTypes_QtGui[89]

#define sipType_QGradient_Type sipExportedTypes_QtGui[90]

#define sipType_QGradient_CoordinateMode sipExportedTypes_QtGui[87]

extern sipClassTypeDef sipTypeDef_QtGui_QGradient;

#define sipType_QLinearGradient sipExportedTypes_QtGui[128]

extern sipClassTypeDef sipTypeDef_QtGui_QLinearGradient;

#define sipType_QRadialGradient sipExportedTypes_QtGui[231]

extern sipClassTypeDef sipTypeDef_QtGui_QRadialGradient;

#define sipType_QConicalGradient sipExportedTypes_QtGui[29]

extern sipClassTypeDef sipTypeDef_QtGui_QConicalGradient;

#define sipType_QClipboard sipExportedTypes_QtGui[16]

#define sipType_QClipboard_Mode sipExportedTypes_QtGui[17]

extern sipClassTypeDef sipTypeDef_QtGui_QClipboard;

#define sipType_QColorSpace sipExportedTypes_QtGui[24]

#define sipType_QColorSpace_TransferFunction sipExportedTypes_QtGui[27]

#define sipType_QColorSpace_Primaries sipExportedTypes_QtGui[26]

#define sipType_QColorSpace_NamedColorSpace sipExportedTypes_QtGui[25]

extern sipClassTypeDef sipTypeDef_QtGui_QColorSpace;

#define sipType_QColorTransform sipExportedTypes_QtGui[28]

extern sipClassTypeDef sipTypeDef_QtGui_QColorTransform;

#define sipType_QCursor sipExportedTypes_QtGui[32]

extern sipClassTypeDef sipTypeDef_QtGui_QCursor;

#define sipType_QDesktopServices sipExportedTypes_QtGui[33]

extern sipClassTypeDef sipTypeDef_QtGui_QDesktopServices;

#define sipType_QDrag sipExportedTypes_QtGui[36]

extern sipClassTypeDef sipTypeDef_QtGui_QDrag;

#define sipType_QInputEvent sipExportedTypes_QtGui[115]

extern sipClassTypeDef sipTypeDef_QtGui_QInputEvent;

#define sipType_QKeyEvent sipExportedTypes_QtGui[123]

extern sipClassTypeDef sipTypeDef_QtGui_QKeyEvent;

#define sipType_QFocusEvent sipExportedTypes_QtGui[68]

extern sipClassTypeDef sipTypeDef_QtGui_QFocusEvent;

#define sipType_QPaintEvent sipExportedTypes_QtGui[195]

extern sipClassTypeDef sipTypeDef_QtGui_QPaintEvent;

#define sipType_QMoveEvent sipExportedTypes_QtGui[165]

extern sipClassTypeDef sipTypeDef_QtGui_QMoveEvent;

#define sipType_QResizeEvent sipExportedTypes_QtGui[239]

extern sipClassTypeDef sipTypeDef_QtGui_QResizeEvent;

#define sipType_QCloseEvent sipExportedTypes_QtGui[18]

extern sipClassTypeDef sipTypeDef_QtGui_QCloseEvent;

#define sipType_QIconDragEvent sipExportedTypes_QtGui[98]

extern sipClassTypeDef sipTypeDef_QtGui_QIconDragEvent;

#define sipType_QShowEvent sipExportedTypes_QtGui[250]

extern sipClassTypeDef sipTypeDef_QtGui_QShowEvent;

#define sipType_QHideEvent sipExportedTypes_QtGui[93]

extern sipClassTypeDef sipTypeDef_QtGui_QHideEvent;

#define sipType_QContextMenuEvent sipExportedTypes_QtGui[30]

#define sipType_QContextMenuEvent_Reason sipExportedTypes_QtGui[31]

extern sipClassTypeDef sipTypeDef_QtGui_QContextMenuEvent;

#define sipType_QInputMethodEvent sipExportedTypes_QtGui[118]

#define sipType_QInputMethodEvent_AttributeType sipExportedTypes_QtGui[120]

extern sipClassTypeDef sipTypeDef_QtGui_QInputMethodEvent;

#define sipType_QInputMethodEvent_Attribute sipExportedTypes_QtGui[119]

extern sipClassTypeDef sipTypeDef_QtGui_QInputMethodEvent_Attribute;

#define sipType_QInputMethodQueryEvent sipExportedTypes_QtGui[121]

extern sipClassTypeDef sipTypeDef_QtGui_QInputMethodQueryEvent;

#define sipType_QDropEvent sipExportedTypes_QtGui[40]

extern sipClassTypeDef sipTypeDef_QtGui_QDropEvent;

#define sipType_QDragMoveEvent sipExportedTypes_QtGui[39]

extern sipClassTypeDef sipTypeDef_QtGui_QDragMoveEvent;

#define sipType_QDragEnterEvent sipExportedTypes_QtGui[37]

extern sipClassTypeDef sipTypeDef_QtGui_QDragEnterEvent;

#define sipType_QDragLeaveEvent sipExportedTypes_QtGui[38]

extern sipClassTypeDef sipTypeDef_QtGui_QDragLeaveEvent;

#define sipType_QHelpEvent sipExportedTypes_QtGui[92]

extern sipClassTypeDef sipTypeDef_QtGui_QHelpEvent;

#define sipType_QStatusTipEvent sipExportedTypes_QtGui[257]

extern sipClassTypeDef sipTypeDef_QtGui_QStatusTipEvent;

#define sipType_QWhatsThisClickedEvent sipExportedTypes_QtGui[340]

extern sipClassTypeDef sipTypeDef_QtGui_QWhatsThisClickedEvent;

#define sipType_QActionEvent sipExportedTypes_QtGui[10]

extern sipClassTypeDef sipTypeDef_QtGui_QActionEvent;

#define sipType_QFileOpenEvent sipExportedTypes_QtGui[45]

extern sipClassTypeDef sipTypeDef_QtGui_QFileOpenEvent;

#define sipType_QShortcutEvent sipExportedTypes_QtGui[249]

extern sipClassTypeDef sipTypeDef_QtGui_QShortcutEvent;

#define sipType_QWindowStateChangeEvent sipExportedTypes_QtGui[345]

extern sipClassTypeDef sipTypeDef_QtGui_QWindowStateChangeEvent;

#define sipType_QExposeEvent sipExportedTypes_QtGui[44]

extern sipClassTypeDef sipTypeDef_QtGui_QExposeEvent;

#define sipType_QScrollPrepareEvent sipExportedTypes_QtGui[244]

extern sipClassTypeDef sipTypeDef_QtGui_QScrollPrepareEvent;

#define sipType_QScrollEvent sipExportedTypes_QtGui[242]

#define sipType_QScrollEvent_ScrollState sipExportedTypes_QtGui[243]

extern sipClassTypeDef sipTypeDef_QtGui_QScrollEvent;

#define sipType_QPlatformSurfaceEvent sipExportedTypes_QtGui[222]

#define sipType_QPlatformSurfaceEvent_SurfaceEventType sipExportedTypes_QtGui[223]

extern sipClassTypeDef sipTypeDef_QtGui_QPlatformSurfaceEvent;

#define sipType_QPointerEvent sipExportedTypes_QtGui[224]

extern sipClassTypeDef sipTypeDef_QtGui_QPointerEvent;

#define sipType_QSinglePointEvent sipExportedTypes_QtGui[251]

extern sipClassTypeDef sipTypeDef_QtGui_QSinglePointEvent;

#define sipType_QEnterEvent sipExportedTypes_QtGui[41]

extern sipClassTypeDef sipTypeDef_QtGui_QEnterEvent;

#define sipType_QMouseEvent sipExportedTypes_QtGui[164]

extern sipClassTypeDef sipTypeDef_QtGui_QMouseEvent;

#define sipType_QHoverEvent sipExportedTypes_QtGui[94]

extern sipClassTypeDef sipTypeDef_QtGui_QHoverEvent;

#define sipType_QWheelEvent sipExportedTypes_QtGui[341]

extern sipClassTypeDef sipTypeDef_QtGui_QWheelEvent;

#define sipType_QTabletEvent sipExportedTypes_QtGui[268]

extern sipClassTypeDef sipTypeDef_QtGui_QTabletEvent;

#define sipType_QNativeGestureEvent sipExportedTypes_QtGui[169]

extern sipClassTypeDef sipTypeDef_QtGui_QNativeGestureEvent;

#define sipType_QTouchEvent sipExportedTypes_QtGui[329]

extern sipClassTypeDef sipTypeDef_QtGui_QTouchEvent;

#define sipType_QEventPoint sipExportedTypes_QtGui[42]

#define sipType_QEventPoint_State sipExportedTypes_QtGui[43]

extern sipClassTypeDef sipTypeDef_QtGui_QEventPoint;

#define sipType_QFileSystemModel sipExportedTypes_QtGui[46]

#define sipType_QFileSystemModel_Option sipExportedTypes_QtGui[47]

#define sipType_QFileSystemModel_Roles sipExportedTypes_QtGui[48]

extern sipClassTypeDef sipTypeDef_QtGui_QFileSystemModel;

#define sipType_QFont sipExportedTypes_QtGui[69]

#define sipType_QFont_HintingPreference sipExportedTypes_QtGui[71]

#define sipType_QFont_SpacingType sipExportedTypes_QtGui[72]

#define sipType_QFont_Capitalization sipExportedTypes_QtGui[70]

#define sipType_QFont_Stretch sipExportedTypes_QtGui[73]

#define sipType_QFont_Style sipExportedTypes_QtGui[74]

#define sipType_QFont_Weight sipExportedTypes_QtGui[77]

#define sipType_QFont_StyleStrategy sipExportedTypes_QtGui[76]

#define sipType_QFont_StyleHint sipExportedTypes_QtGui[75]

extern sipClassTypeDef sipTypeDef_QtGui_QFont;

#define sipType_QFontDatabase sipExportedTypes_QtGui[78]

#define sipType_QFontDatabase_SystemFont sipExportedTypes_QtGui[79]

#define sipType_QFontDatabase_WritingSystem sipExportedTypes_QtGui[80]

extern sipClassTypeDef sipTypeDef_QtGui_QFontDatabase;

#define sipType_QFontInfo sipExportedTypes_QtGui[81]

extern sipClassTypeDef sipTypeDef_QtGui_QFontInfo;

#define sipType_QFontMetrics sipExportedTypes_QtGui[82]

extern sipClassTypeDef sipTypeDef_QtGui_QFontMetrics;

#define sipType_QFontMetricsF sipExportedTypes_QtGui[83]

extern sipClassTypeDef sipTypeDef_QtGui_QFontMetricsF;

#define sipType_QMatrix4x3 sipExportedTypes_QtGui[161]

extern sipClassTypeDef sipTypeDef_QtGui_QMatrix4x3;

#define sipType_QMatrix4x2 sipExportedTypes_QtGui[160]

extern sipClassTypeDef sipTypeDef_QtGui_QMatrix4x2;

#define sipType_QMatrix3x4 sipExportedTypes_QtGui[159]

extern sipClassTypeDef sipTypeDef_QtGui_QMatrix3x4;

#define sipType_QMatrix3x3 sipExportedTypes_QtGui[158]

extern sipClassTypeDef sipTypeDef_QtGui_QMatrix3x3;

#define sipType_QMatrix3x2 sipExportedTypes_QtGui[157]

extern sipClassTypeDef sipTypeDef_QtGui_QMatrix3x2;

#define sipType_QMatrix2x4 sipExportedTypes_QtGui[156]

extern sipClassTypeDef sipTypeDef_QtGui_QMatrix2x4;

#define sipType_QMatrix2x3 sipExportedTypes_QtGui[155]

extern sipClassTypeDef sipTypeDef_QtGui_QMatrix2x3;

#define sipType_QMatrix2x2 sipExportedTypes_QtGui[154]

extern sipClassTypeDef sipTypeDef_QtGui_QMatrix2x2;

#define sipType_QGlyphRun sipExportedTypes_QtGui[84]

#define sipType_QGlyphRun_GlyphRunFlag sipExportedTypes_QtGui[85]

extern sipClassTypeDef sipTypeDef_QtGui_QGlyphRun;

#define sipType_QGuiApplication sipExportedTypes_QtGui[91]

extern sipClassTypeDef sipTypeDef_QtGui_QGuiApplication;

#define sipType_QIcon sipExportedTypes_QtGui[95]

#define sipType_QIcon_State sipExportedTypes_QtGui[97]

#define sipType_QIcon_Mode sipExportedTypes_QtGui[96]

extern sipClassTypeDef sipTypeDef_QtGui_QIcon;

#define sipType_QIconEngine sipExportedTypes_QtGui[99]

#define sipType_QIconEngine_IconEngineHook sipExportedTypes_QtGui[100]

extern sipClassTypeDef sipTypeDef_QtGui_QIconEngine;

#define sipType_QIconEngine_ScaledPixmapArgument sipExportedTypes_QtGui[101]

extern sipClassTypeDef sipTypeDef_QtGui_QIconEngine_ScaledPixmapArgument;

#define sipType_QImage sipExportedTypes_QtGui[102]

#define sipType_QImage_Format sipExportedTypes_QtGui[103]

#define sipType_QImage_InvertMode sipExportedTypes_QtGui[104]

extern sipClassTypeDef sipTypeDef_QtGui_QImage;

#define sipType_QImageIOHandler sipExportedTypes_QtGui[105]

#define sipType_QImageIOHandler_Transformation sipExportedTypes_QtGui[107]

#define sipType_QImageIOHandler_ImageOption sipExportedTypes_QtGui[106]

extern sipClassTypeDef sipTypeDef_QtGui_QImageIOHandler;

#define sipType_QImageReader sipExportedTypes_QtGui[108]

#define sipType_QImageReader_ImageReaderError sipExportedTypes_QtGui[109]

extern sipClassTypeDef sipTypeDef_QtGui_QImageReader;

#define sipType_QImageWriter sipExportedTypes_QtGui[110]

#define sipType_QImageWriter_ImageWriterError sipExportedTypes_QtGui[111]

extern sipClassTypeDef sipTypeDef_QtGui_QImageWriter;

#define sipType_QInputDevice sipExportedTypes_QtGui[112]

#define sipType_QInputDevice_Capability sipExportedTypes_QtGui[113]

#define sipType_QInputDevice_DeviceType sipExportedTypes_QtGui[114]

extern sipClassTypeDef sipTypeDef_QtGui_QInputDevice;

#define sipType_QInputMethod sipExportedTypes_QtGui[116]

#define sipType_QInputMethod_Action sipExportedTypes_QtGui[117]

extern sipClassTypeDef sipTypeDef_QtGui_QInputMethod;

#define sipType_QKeySequence sipExportedTypes_QtGui[124]

#define sipType_QKeySequence_StandardKey sipExportedTypes_QtGui[127]

#define sipType_QKeySequence_SequenceMatch sipExportedTypes_QtGui[126]

#define sipType_QKeySequence_SequenceFormat sipExportedTypes_QtGui[125]

extern sipClassTypeDef sipTypeDef_QtGui_QKeySequence;

#define sipType_QMatrix4x4 sipExportedTypes_QtGui[162]

extern sipClassTypeDef sipTypeDef_QtGui_QMatrix4x4;

#define sipType_QMovie sipExportedTypes_QtGui[166]

#define sipType_QMovie_CacheMode sipExportedTypes_QtGui[167]

#define sipType_QMovie_MovieState sipExportedTypes_QtGui[168]

extern sipClassTypeDef sipTypeDef_QtGui_QMovie;

#define sipType_QSurface sipExportedTypes_QtGui[259]

#define sipType_QSurface_SurfaceType sipExportedTypes_QtGui[261]

#define sipType_QSurface_SurfaceClass sipExportedTypes_QtGui[260]

extern sipClassTypeDef sipTypeDef_QtGui_QSurface;

#define sipType_QOffscreenSurface sipExportedTypes_QtGui[170]

extern sipClassTypeDef sipTypeDef_QtGui_QOffscreenSurface;

#define sipType_QOpenGLContextGroup sipExportedTypes_QtGui[173]

extern sipClassTypeDef sipTypeDef_QtGui_QOpenGLContextGroup;

#define sipType_QOpenGLContext sipExportedTypes_QtGui[171]

#define sipType_QOpenGLContext_OpenGLModuleType sipExportedTypes_QtGui[172]

extern sipClassTypeDef sipTypeDef_QtGui_QOpenGLContext;

#define sipType_QPagedPaintDevice sipExportedTypes_QtGui[184]

#define sipType_QPagedPaintDevice_PdfVersion sipExportedTypes_QtGui[185]

extern sipClassTypeDef sipTypeDef_QtGui_QPagedPaintDevice;

#define sipType_QPageLayout sipExportedTypes_QtGui[174]

#define sipType_QPageLayout_Mode sipExportedTypes_QtGui[175]

#define sipType_QPageLayout_Orientation sipExportedTypes_QtGui[176]

#define sipType_QPageLayout_Unit sipExportedTypes_QtGui[177]

extern sipClassTypeDef sipTypeDef_QtGui_QPageLayout;

#define sipType_QPageRanges sipExportedTypes_QtGui[178]

extern sipClassTypeDef sipTypeDef_QtGui_QPageRanges;

#define sipType_QPageRanges_Range sipExportedTypes_QtGui[179]

extern sipClassTypeDef sipTypeDef_QtGui_QPageRanges_Range;

#define sipType_QPageSize sipExportedTypes_QtGui[180]

#define sipType_QPageSize_SizeMatchPolicy sipExportedTypes_QtGui[182]

#define sipType_QPageSize_Unit sipExportedTypes_QtGui[183]

#define sipType_QPageSize_PageSizeId sipExportedTypes_QtGui[181]

extern sipClassTypeDef sipTypeDef_QtGui_QPageSize;

#define sipType_QWindow sipExportedTypes_QtGui[342]

#define sipType_QWindow_Visibility sipExportedTypes_QtGui[344]

#define sipType_QWindow_AncestorMode sipExportedTypes_QtGui[343]

extern sipClassTypeDef sipTypeDef_QtGui_QWindow;

#define sipType_QPaintDeviceWindow sipExportedTypes_QtGui[188]

extern sipClassTypeDef sipTypeDef_QtGui_QPaintDeviceWindow;

#define sipType_QTextItem sipExportedTypes_QtGui[305]

#define sipType_QTextItem_RenderFlag sipExportedTypes_QtGui[306]

extern sipClassTypeDef sipTypeDef_QtGui_QTextItem;

#define sipType_QPaintEngine sipExportedTypes_QtGui[189]

#define sipType_QPaintEngine_Type sipExportedTypes_QtGui[193]

#define sipType_QPaintEngine_PolygonDrawMode sipExportedTypes_QtGui[192]

#define sipType_QPaintEngine_DirtyFlag sipExportedTypes_QtGui[190]

#define sipType_QPaintEngine_PaintEngineFeature sipExportedTypes_QtGui[191]

extern sipClassTypeDef sipTypeDef_QtGui_QPaintEngine;

#define sipType_QPaintEngineState sipExportedTypes_QtGui[194]

extern sipClassTypeDef sipTypeDef_QtGui_QPaintEngineState;

#define sipType_QPainter sipExportedTypes_QtGui[196]

#define sipType_QPainter_PixmapFragmentHint sipExportedTypes_QtGui[199]

#define sipType_QPainter_CompositionMode sipExportedTypes_QtGui[197]

#define sipType_QPainter_RenderHint sipExportedTypes_QtGui[200]

extern sipClassTypeDef sipTypeDef_QtGui_QPainter;

#define sipType_QPainter_PixmapFragment sipExportedTypes_QtGui[198]

extern sipClassTypeDef sipTypeDef_QtGui_QPainter_PixmapFragment;

#define sipType_QPainterPath sipExportedTypes_QtGui[201]

#define sipType_QPainterPath_ElementType sipExportedTypes_QtGui[203]

extern sipClassTypeDef sipTypeDef_QtGui_QPainterPath;

#define sipType_QPainterPath_Element sipExportedTypes_QtGui[202]

extern sipClassTypeDef sipTypeDef_QtGui_QPainterPath_Element;

#define sipType_QPainterPathStroker sipExportedTypes_QtGui[204]

extern sipClassTypeDef sipTypeDef_QtGui_QPainterPathStroker;

#define sipType_QPalette sipExportedTypes_QtGui[205]

#define sipType_QPalette_ColorRole sipExportedTypes_QtGui[207]

#define sipType_QPalette_ColorGroup sipExportedTypes_QtGui[206]

extern sipClassTypeDef sipTypeDef_QtGui_QPalette;

#define sipType_QPdfWriter sipExportedTypes_QtGui[208]

extern sipClassTypeDef sipTypeDef_QtGui_QPdfWriter;

#define sipType_QPen sipExportedTypes_QtGui[209]

extern sipClassTypeDef sipTypeDef_QtGui_QPen;

#define sipType_QPicture sipExportedTypes_QtGui[210]

extern sipClassTypeDef sipTypeDef_QtGui_QPicture;

#define sipType_QPixelFormat sipExportedTypes_QtGui[211]

#define sipType_QPixelFormat_ByteOrder sipExportedTypes_QtGui[215]

#define sipType_QPixelFormat_YUVLayout sipExportedTypes_QtGui[218]

#define sipType_QPixelFormat_TypeInterpretation sipExportedTypes_QtGui[217]

#define sipType_QPixelFormat_AlphaPremultiplied sipExportedTypes_QtGui[213]

#define sipType_QPixelFormat_AlphaPosition sipExportedTypes_QtGui[212]

#define sipType_QPixelFormat_AlphaUsage sipExportedTypes_QtGui[214]

#define sipType_QPixelFormat_ColorModel sipExportedTypes_QtGui[216]

extern sipClassTypeDef sipTypeDef_QtGui_QPixelFormat;

#define sipType_QPixmapCache sipExportedTypes_QtGui[220]

extern sipClassTypeDef sipTypeDef_QtGui_QPixmapCache;

#define sipType_QPixmapCache_Key sipExportedTypes_QtGui[221]

extern sipClassTypeDef sipTypeDef_QtGui_QPixmapCache_Key;

#define sipType_QPointingDeviceUniqueId sipExportedTypes_QtGui[227]

extern sipClassTypeDef sipTypeDef_QtGui_QPointingDeviceUniqueId;

#define sipType_QPointingDevice sipExportedTypes_QtGui[225]

#define sipType_QPointingDevice_PointerType sipExportedTypes_QtGui[226]

extern sipClassTypeDef sipTypeDef_QtGui_QPointingDevice;

#define sipType_QPolygon sipExportedTypes_QtGui[228]

extern sipClassTypeDef sipTypeDef_QtGui_QPolygon;

#define sipType_QPolygonF sipExportedTypes_QtGui[229]

extern sipClassTypeDef sipTypeDef_QtGui_QPolygonF;

#define sipType_QQuaternion sipExportedTypes_QtGui[230]

extern sipClassTypeDef sipTypeDef_QtGui_QQuaternion;

#define sipType_QRasterWindow sipExportedTypes_QtGui[232]

extern sipClassTypeDef sipTypeDef_QtGui_QRasterWindow;

#define sipType_QRawFont sipExportedTypes_QtGui[233]

#define sipType_QRawFont_LayoutFlag sipExportedTypes_QtGui[235]

#define sipType_QRawFont_AntialiasingType sipExportedTypes_QtGui[234]

extern sipClassTypeDef sipTypeDef_QtGui_QRawFont;

#define sipType_QRegion sipExportedTypes_QtGui[236]

#define sipType_QRegion_RegionType sipExportedTypes_QtGui[237]

extern sipClassTypeDef sipTypeDef_QtGui_QRegion;

#define sipType_QRgba64 sipExportedTypes_QtGui[240]

extern sipClassTypeDef sipTypeDef_QtGui_QRgba64;

#define sipType_QScreen sipExportedTypes_QtGui[241]

extern sipClassTypeDef sipTypeDef_QtGui_QScreen;

#define sipType_QSessionManager sipExportedTypes_QtGui[245]

#define sipType_QSessionManager_RestartHint sipExportedTypes_QtGui[246]

extern sipClassTypeDef sipTypeDef_QtGui_QSessionManager;

#define sipType_QShortcut sipExportedTypes_QtGui[248]

extern sipClassTypeDef sipTypeDef_QtGui_QShortcut;

#define sipType_QStandardItemModel sipExportedTypes_QtGui[254]

extern sipClassTypeDef sipTypeDef_QtGui_QStandardItemModel;

#define sipType_QStandardItem sipExportedTypes_QtGui[252]

#define sipType_QStandardItem_ItemType sipExportedTypes_QtGui[253]

extern sipClassTypeDef sipTypeDef_QtGui_QStandardItem;

#define sipType_QStaticText sipExportedTypes_QtGui[255]

#define sipType_QStaticText_PerformanceHint sipExportedTypes_QtGui[256]

extern sipClassTypeDef sipTypeDef_QtGui_QStaticText;

#define sipType_QStyleHints sipExportedTypes_QtGui[258]

extern sipClassTypeDef sipTypeDef_QtGui_QStyleHints;

#define sipType_QSurfaceFormat sipExportedTypes_QtGui[262]

#define sipType_QSurfaceFormat_OpenGLContextProfile sipExportedTypes_QtGui[264]

#define sipType_QSurfaceFormat_RenderableType sipExportedTypes_QtGui[265]

#define sipType_QSurfaceFormat_SwapBehavior sipExportedTypes_QtGui[266]

#define sipType_QSurfaceFormat_FormatOption sipExportedTypes_QtGui[263]

extern sipClassTypeDef sipTypeDef_QtGui_QSurfaceFormat;

#define sipType_QSyntaxHighlighter sipExportedTypes_QtGui[267]

extern sipClassTypeDef sipTypeDef_QtGui_QSyntaxHighlighter;

#define sipType_QTextCursor sipExportedTypes_QtGui[280]

#define sipType_QTextCursor_SelectionType sipExportedTypes_QtGui[283]

#define sipType_QTextCursor_MoveOperation sipExportedTypes_QtGui[282]

#define sipType_QTextCursor_MoveMode sipExportedTypes_QtGui[281]

extern sipClassTypeDef sipTypeDef_QtGui_QTextCursor;


extern sipClassTypeDef sipTypeDef_QtGui_Qt;

#define sipType_QTextDocument sipExportedTypes_QtGui[284]

#define sipType_QTextDocument_MarkdownFeature sipExportedTypes_QtGui[286]

#define sipType_QTextDocument_Stacks sipExportedTypes_QtGui[289]

#define sipType_QTextDocument_ResourceType sipExportedTypes_QtGui[288]

#define sipType_QTextDocument_FindFlag sipExportedTypes_QtGui[285]

#define sipType_QTextDocument_MetaInformation sipExportedTypes_QtGui[287]

extern sipClassTypeDef sipTypeDef_QtGui_QTextDocument;

#define sipType_QTextDocumentFragment sipExportedTypes_QtGui[290]

extern sipClassTypeDef sipTypeDef_QtGui_QTextDocumentFragment;

#define sipType_QTextDocumentWriter sipExportedTypes_QtGui[291]

extern sipClassTypeDef sipTypeDef_QtGui_QTextDocumentWriter;

#define sipType_QTextLength sipExportedTypes_QtGui[310]

#define sipType_QTextLength_Type sipExportedTypes_QtGui[311]

extern sipClassTypeDef sipTypeDef_QtGui_QTextLength;

#define sipType_QTextFormat sipExportedTypes_QtGui[292]

#define sipType_QTextFormat_Property sipExportedTypes_QtGui[296]

#define sipType_QTextFormat_PageBreakFlag sipExportedTypes_QtGui[295]

#define sipType_QTextFormat_ObjectTypes sipExportedTypes_QtGui[294]

#define sipType_QTextFormat_FormatType sipExportedTypes_QtGui[293]

extern sipClassTypeDef sipTypeDef_QtGui_QTextFormat;

#define sipType_QTextCharFormat sipExportedTypes_QtGui[276]

#define sipType_QTextCharFormat_FontPropertiesInheritanceBehavior sipExportedTypes_QtGui[277]

#define sipType_QTextCharFormat_UnderlineStyle sipExportedTypes_QtGui[278]

#define sipType_QTextCharFormat_VerticalAlignment sipExportedTypes_QtGui[279]

extern sipClassTypeDef sipTypeDef_QtGui_QTextCharFormat;

#define sipType_QTextBlockFormat sipExportedTypes_QtGui[271]

#define sipType_QTextBlockFormat_MarkerType sipExportedTypes_QtGui[273]

#define sipType_QTextBlockFormat_LineHeightTypes sipExportedTypes_QtGui[272]

extern sipClassTypeDef sipTypeDef_QtGui_QTextBlockFormat;

#define sipType_QTextListFormat sipExportedTypes_QtGui[316]

#define sipType_QTextListFormat_Style sipExportedTypes_QtGui[317]

extern sipClassTypeDef sipTypeDef_QtGui_QTextListFormat;

#define sipType_QTextImageFormat sipExportedTypes_QtGui[303]

extern sipClassTypeDef sipTypeDef_QtGui_QTextImageFormat;

#define sipType_QTextFrameFormat sipExportedTypes_QtGui[300]

#define sipType_QTextFrameFormat_BorderStyle sipExportedTypes_QtGui[301]

#define sipType_QTextFrameFormat_Position sipExportedTypes_QtGui[302]

extern sipClassTypeDef sipTypeDef_QtGui_QTextFrameFormat;

#define sipType_QTextTableFormat sipExportedTypes_QtGui[328]

extern sipClassTypeDef sipTypeDef_QtGui_QTextTableFormat;

#define sipType_QTextTableCellFormat sipExportedTypes_QtGui[327]

extern sipClassTypeDef sipTypeDef_QtGui_QTextTableCellFormat;

#define sipType_QTextInlineObject sipExportedTypes_QtGui[304]

extern sipClassTypeDef sipTypeDef_QtGui_QTextInlineObject;

#define sipType_QTextLayout sipExportedTypes_QtGui[307]

#define sipType_QTextLayout_CursorMode sipExportedTypes_QtGui[308]

extern sipClassTypeDef sipTypeDef_QtGui_QTextLayout;

#define sipType_QTextLayout_FormatRange sipExportedTypes_QtGui[309]

extern sipClassTypeDef sipTypeDef_QtGui_QTextLayout_FormatRange;

#define sipType_QTextLine sipExportedTypes_QtGui[312]

#define sipType_QTextLine_CursorPosition sipExportedTypes_QtGui[313]

#define sipType_QTextLine_Edge sipExportedTypes_QtGui[314]

extern sipClassTypeDef sipTypeDef_QtGui_QTextLine;

#define sipType_QTextObject sipExportedTypes_QtGui[318]

extern sipClassTypeDef sipTypeDef_QtGui_QTextObject;

#define sipType_QTextBlockGroup sipExportedTypes_QtGui[274]

extern sipClassTypeDef sipTypeDef_QtGui_QTextBlockGroup;

#define sipType_QTextList sipExportedTypes_QtGui[315]

extern sipClassTypeDef sipTypeDef_QtGui_QTextList;

#define sipType_QTextFrame sipExportedTypes_QtGui[298]

extern sipClassTypeDef sipTypeDef_QtGui_QTextFrame;

#define sipType_QTextFrame_iterator sipExportedTypes_QtGui[299]

extern sipClassTypeDef sipTypeDef_QtGui_QTextFrame_iterator;

#define sipType_QTextBlock sipExportedTypes_QtGui[269]

extern sipClassTypeDef sipTypeDef_QtGui_QTextBlock;

#define sipType_QTextBlock_iterator sipExportedTypes_QtGui[270]

extern sipClassTypeDef sipTypeDef_QtGui_QTextBlock_iterator;

#define sipType_QTextFragment sipExportedTypes_QtGui[297]

extern sipClassTypeDef sipTypeDef_QtGui_QTextFragment;

#define sipType_QTextBlockUserData sipExportedTypes_QtGui[275]

extern sipClassTypeDef sipTypeDef_QtGui_QTextBlockUserData;

#define sipType_QTextOption sipExportedTypes_QtGui[320]

#define sipType_QTextOption_TabType sipExportedTypes_QtGui[323]

#define sipType_QTextOption_Flag sipExportedTypes_QtGui[321]

#define sipType_QTextOption_WrapMode sipExportedTypes_QtGui[324]

extern sipClassTypeDef sipTypeDef_QtGui_QTextOption;

#define sipType_QTextOption_Tab sipExportedTypes_QtGui[322]

extern sipClassTypeDef sipTypeDef_QtGui_QTextOption_Tab;

#define sipType_QTextTableCell sipExportedTypes_QtGui[326]

extern sipClassTypeDef sipTypeDef_QtGui_QTextTableCell;

#define sipType_QTextTable sipExportedTypes_QtGui[325]

extern sipClassTypeDef sipTypeDef_QtGui_QTextTable;

#define sipType_QTransform sipExportedTypes_QtGui[330]

#define sipType_QTransform_TransformationType sipExportedTypes_QtGui[331]

extern sipClassTypeDef sipTypeDef_QtGui_QTransform;

#define sipType_QUndoGroup sipExportedTypes_QtGui[333]

extern sipClassTypeDef sipTypeDef_QtGui_QUndoGroup;

#define sipType_QUndoCommand sipExportedTypes_QtGui[332]

extern sipClassTypeDef sipTypeDef_QtGui_QUndoCommand;

#define sipType_QUndoStack sipExportedTypes_QtGui[334]

extern sipClassTypeDef sipTypeDef_QtGui_QUndoStack;

#define sipType_QValidator sipExportedTypes_QtGui[335]

#define sipType_QValidator_State sipExportedTypes_QtGui[336]

extern sipClassTypeDef sipTypeDef_QtGui_QValidator;

#define sipType_QIntValidator sipExportedTypes_QtGui[122]

extern sipClassTypeDef sipTypeDef_QtGui_QIntValidator;

#define sipType_QDoubleValidator sipExportedTypes_QtGui[34]

#define sipType_QDoubleValidator_Notation sipExportedTypes_QtGui[35]

extern sipClassTypeDef sipTypeDef_QtGui_QDoubleValidator;

#define sipType_QRegularExpressionValidator sipExportedTypes_QtGui[238]

extern sipClassTypeDef sipTypeDef_QtGui_QRegularExpressionValidator;

#define sipType_QVector2D sipExportedTypes_QtGui[337]

extern sipClassTypeDef sipTypeDef_QtGui_QVector2D;

#define sipType_QVector3D sipExportedTypes_QtGui[338]

extern sipClassTypeDef sipTypeDef_QtGui_QVector3D;

#define sipType_QVector4D sipExportedTypes_QtGui[339]

extern sipClassTypeDef sipTypeDef_QtGui_QVector4D;

#define sipType_QList_0101QUndoStack sipExportedTypes_QtGui[151]

extern sipMappedTypeDef sipTypeDef_QtGui_QList_0101QUndoStack;

#define sipType_QList_0101QTextFrame sipExportedTypes_QtGui[147]

extern sipMappedTypeDef sipTypeDef_QtGui_QList_0101QTextFrame;

#define sipType_QList_0100QTextBlock sipExportedTypes_QtGui[145]

extern sipMappedTypeDef sipTypeDef_QtGui_QList_0100QTextBlock;

#define sipType_QList_0100QGlyphRun sipExportedTypes_QtGui[133]

extern sipMappedTypeDef sipTypeDef_QtGui_QList_0100QGlyphRun;

#define sipType_QList_0100QTextLayout_FormatRange sipExportedTypes_QtGui[148]

extern sipMappedTypeDef sipTypeDef_QtGui_QList_0100QTextLayout_FormatRange;

#define sipType_QList_0100QTextOption_Tab sipExportedTypes_QtGui[150]

extern sipMappedTypeDef sipTypeDef_QtGui_QList_0100QTextOption_Tab;

#define sipType_QList_0100QTextLength sipExportedTypes_QtGui[149]

extern sipMappedTypeDef sipTypeDef_QtGui_QList_0100QTextLength;

#define sipType_QList_0100QTextFormat sipExportedTypes_QtGui[146]

extern sipMappedTypeDef sipTypeDef_QtGui_QList_0100QTextFormat;

#define sipType_QList_0101QStandardItem sipExportedTypes_QtGui[144]

extern sipMappedTypeDef sipTypeDef_QtGui_QList_0101QStandardItem;

#define sipType_QList_0100QRect sipExportedTypes_QtGui[141]

extern sipMappedTypeDef sipTypeDef_QtGui_QList_0100QRect;

#define sipType_QList_0100QPoint sipExportedTypes_QtGui[139]

extern sipMappedTypeDef sipTypeDef_QtGui_QList_0100QPoint;

#define sipType_QList_0100QPolygonF sipExportedTypes_QtGui[140]

extern sipMappedTypeDef sipTypeDef_QtGui_QList_0100QPolygonF;

#define sipType_QList_0100QPageRanges_Range sipExportedTypes_QtGui[138]

extern sipMappedTypeDef sipTypeDef_QtGui_QList_0100QPageRanges_Range;

#define sipType_QSet_0100QByteArray sipExportedTypes_QtGui[247]

extern sipMappedTypeDef sipTypeDef_QtGui_QSet_0100QByteArray;

#define sipType_QList_0101QOpenGLContext sipExportedTypes_QtGui[137]

extern sipMappedTypeDef sipTypeDef_QtGui_QList_0101QOpenGLContext;

#define sipType_QList_0111QInputDevice sipExportedTypes_QtGui[134]

extern sipMappedTypeDef sipTypeDef_QtGui_QList_0111QInputDevice;

#define sipType_QList_0100QSize sipExportedTypes_QtGui[143]

extern sipMappedTypeDef sipTypeDef_QtGui_QList_0100QSize;

#define sipType_QList_0101QScreen sipExportedTypes_QtGui[142]

extern sipMappedTypeDef sipTypeDef_QtGui_QList_0101QScreen;

#define sipType_QList_0100QEventPoint sipExportedTypes_QtGui[131]

extern sipMappedTypeDef sipTypeDef_QtGui_QList_0100QEventPoint;

#define sipType_QList_0100QInputMethodEvent_Attribute sipExportedTypes_QtGui[135]

extern sipMappedTypeDef sipTypeDef_QtGui_QList_0100QInputMethodEvent_Attribute;

#define sipType_QList_0101QAction sipExportedTypes_QtGui[130]

extern sipMappedTypeDef sipTypeDef_QtGui_QList_0101QAction;

#define sipType_QList_0100QKeySequence sipExportedTypes_QtGui[136]

extern sipMappedTypeDef sipTypeDef_QtGui_QList_0100QKeySequence;

#define sipType_QList_0100QAbstractTextDocumentLayout_Selection sipExportedTypes_QtGui[129]

extern sipMappedTypeDef sipTypeDef_QtGui_QList_0100QAbstractTextDocumentLayout_Selection;

#define sipType_QList_0101QWindow sipExportedTypes_QtGui[152]

extern sipMappedTypeDef sipTypeDef_QtGui_QList_0101QWindow;

#define sipType_QFlags_0100QTextOption_Flag sipExportedTypes_QtGui[67]

extern sipMappedTypeDef sipTypeDef_QtGui_QFlags_0100QTextOption_Flag;

#define sipType_QFlags_0100QTextItem_RenderFlag sipExportedTypes_QtGui[66]

extern sipMappedTypeDef sipTypeDef_QtGui_QFlags_0100QTextItem_RenderFlag;

#define sipType_QFlags_0100QTextFormat_PageBreakFlag sipExportedTypes_QtGui[65]

extern sipMappedTypeDef sipTypeDef_QtGui_QFlags_0100QTextFormat_PageBreakFlag;

#define sipType_QFlags_0100QTextDocument_MarkdownFeature sipExportedTypes_QtGui[64]

extern sipMappedTypeDef sipTypeDef_QtGui_QFlags_0100QTextDocument_MarkdownFeature;

#define sipType_QFlags_0100QTextDocument_FindFlag sipExportedTypes_QtGui[63]

extern sipMappedTypeDef sipTypeDef_QtGui_QFlags_0100QTextDocument_FindFlag;

#define sipType_QFlags_0100QSurfaceFormat_FormatOption sipExportedTypes_QtGui[62]

extern sipMappedTypeDef sipTypeDef_QtGui_QFlags_0100QSurfaceFormat_FormatOption;

#define sipType_QFlags_0100QRawFont_LayoutFlag sipExportedTypes_QtGui[61]

extern sipMappedTypeDef sipTypeDef_QtGui_QFlags_0100QRawFont_LayoutFlag;

#define sipType_QFlags_0100QPointingDevice_PointerType sipExportedTypes_QtGui[60]

extern sipMappedTypeDef sipTypeDef_QtGui_QFlags_0100QPointingDevice_PointerType;

#define sipType_QFlags_0100QPainter_RenderHint sipExportedTypes_QtGui[59]

extern sipMappedTypeDef sipTypeDef_QtGui_QFlags_0100QPainter_RenderHint;

#define sipType_QFlags_0100QPainter_PixmapFragmentHint sipExportedTypes_QtGui[58]

extern sipMappedTypeDef sipTypeDef_QtGui_QFlags_0100QPainter_PixmapFragmentHint;

#define sipType_QFlags_0100QPaintEngine_PaintEngineFeature sipExportedTypes_QtGui[57]

extern sipMappedTypeDef sipTypeDef_QtGui_QFlags_0100QPaintEngine_PaintEngineFeature;

#define sipType_QFlags_0100QPaintEngine_DirtyFlag sipExportedTypes_QtGui[56]

extern sipMappedTypeDef sipTypeDef_QtGui_QFlags_0100QPaintEngine_DirtyFlag;

#define sipType_QFlags_0100QInputDevice_DeviceType sipExportedTypes_QtGui[55]

extern sipMappedTypeDef sipTypeDef_QtGui_QFlags_0100QInputDevice_DeviceType;

#define sipType_QFlags_0100QInputDevice_Capability sipExportedTypes_QtGui[54]

extern sipMappedTypeDef sipTypeDef_QtGui_QFlags_0100QInputDevice_Capability;

#define sipType_QFlags_0100QImageIOHandler_Transformation sipExportedTypes_QtGui[53]

extern sipMappedTypeDef sipTypeDef_QtGui_QFlags_0100QImageIOHandler_Transformation;

#define sipType_QList_0600std_pair_2400_0100QColor sipExportedTypes_QtGui[153]

extern sipMappedTypeDef sipTypeDef_QtGui_QList_0600std_pair_2400_0100QColor;

#define sipType_QFlags_0100QGlyphRun_GlyphRunFlag sipExportedTypes_QtGui[52]

extern sipMappedTypeDef sipTypeDef_QtGui_QFlags_0100QGlyphRun_GlyphRunFlag;

#define sipType_QFlags_0100QFileSystemModel_Option sipExportedTypes_QtGui[51]

extern sipMappedTypeDef sipTypeDef_QtGui_QFlags_0100QFileSystemModel_Option;

#define sipType_QFlags_0100QEventPoint_State sipExportedTypes_QtGui[50]

extern sipMappedTypeDef sipTypeDef_QtGui_QFlags_0100QEventPoint_State;

#define sipType_QFlags_0100QAbstractFileIconProvider_Option sipExportedTypes_QtGui[49]

extern sipMappedTypeDef sipTypeDef_QtGui_QFlags_0100QAbstractFileIconProvider_Option;

#define sipType_QList_0100QFontDatabase_WritingSystem sipExportedTypes_QtGui[132]

extern sipMappedTypeDef sipTypeDef_QtGui_QList_0100QFontDatabase_WritingSystem;

/* The SIP API, this module's API and the APIs of any imported modules. */
extern const sipAPIDef *sipAPI_QtGui;
extern sipExportedModuleDef sipModuleAPI_QtGui;
extern sipTypeDef *sipExportedTypes_QtGui[];

#if !defined(sipType_Qt)
#define sipType_Qt sipImportedTypes_QtGui_QtCore[62].it_td
#endif

#define sipType_Qt_HighDpiScaleFactorRoundingPolicy sipImportedTypes_QtGui_QtCore[76].it_td

#define sipType_Qt_TabFocusBehavior sipImportedTypes_QtGui_QtCore[93].it_td

#define sipType_Qt_MouseEventSource sipImportedTypes_QtGui_QtCore[82].it_td

#define sipType_Qt_ScrollPhase sipImportedTypes_QtGui_QtCore[89].it_td

#define sipType_Qt_NativeGestureType sipImportedTypes_QtGui_QtCore[83].it_td

#define sipType_Qt_ApplicationState sipImportedTypes_QtGui_QtCore[63].it_td

#define sipType_Qt_HitTestAccuracy sipImportedTypes_QtGui_QtCore[77].it_td

#define sipType_Qt_WhiteSpaceMode sipImportedTypes_QtGui_QtCore[97].it_td

#define sipType_Qt_ScreenOrientation sipImportedTypes_QtGui_QtCore[88].it_td

#define sipType_Qt_CursorMoveStyle sipImportedTypes_QtGui_QtCore[70].it_td

#define sipType_Qt_SizeMode sipImportedTypes_QtGui_QtCore[91].it_td

#define sipType_Qt_Axis sipImportedTypes_QtGui_QtCore[65].it_td

#define sipType_Qt_MaskMode sipImportedTypes_QtGui_QtCore[80].it_td

#define sipType_Qt_WindowModality sipImportedTypes_QtGui_QtCore[98].it_td

#define sipType_Qt_CheckState sipImportedTypes_QtGui_QtCore[68].it_td

#define sipType_Qt_DropAction sipImportedTypes_QtGui_QtCore[72].it_td

#define sipType_Qt_LayoutDirection sipImportedTypes_QtGui_QtCore[79].it_td

#define sipType_Qt_InputMethodQuery sipImportedTypes_QtGui_QtCore[78].it_td

#define sipType_Qt_FocusReason sipImportedTypes_QtGui_QtCore[74].it_td

#define sipType_Qt_TransformationMode sipImportedTypes_QtGui_QtCore[96].it_td

#define sipType_Qt_ClipOperation sipImportedTypes_QtGui_QtCore[69].it_td

#define sipType_Qt_FillRule sipImportedTypes_QtGui_QtCore[73].it_td

#define sipType_Qt_ShortcutContext sipImportedTypes_QtGui_QtCore[90].it_td

#define sipType_Qt_AspectRatioMode sipImportedTypes_QtGui_QtCore[64].it_td

#define sipType_Qt_TextFormat sipImportedTypes_QtGui_QtCore[95].it_td

#define sipType_Qt_CursorShape sipImportedTypes_QtGui_QtCore[71].it_td

#define sipType_Qt_BrushStyle sipImportedTypes_QtGui_QtCore[67].it_td

#define sipType_Qt_PenJoinStyle sipImportedTypes_QtGui_QtCore[86].it_td

#define sipType_Qt_PenCapStyle sipImportedTypes_QtGui_QtCore[85].it_td

#define sipType_Qt_PenStyle sipImportedTypes_QtGui_QtCore[87].it_td

#define sipType_Qt_BGMode sipImportedTypes_QtGui_QtCore[66].it_td

#define sipType_Qt_WindowState sipImportedTypes_QtGui_QtCore[99].it_td

#define sipType_Qt_WindowType sipImportedTypes_QtGui_QtCore[100].it_td

#define sipType_Qt_TextElideMode sipImportedTypes_QtGui_QtCore[94].it_td

#define sipType_Qt_SortOrder sipImportedTypes_QtGui_QtCore[92].it_td

#define sipType_Qt_Orientation sipImportedTypes_QtGui_QtCore[84].it_td

#define sipType_Qt_MouseButton sipImportedTypes_QtGui_QtCore[81].it_td

#define sipType_Qt_GlobalColor sipImportedTypes_QtGui_QtCore[75].it_td

#define sipType_QKeyCombination sipImportedTypes_QtGui_QtCore[30].it_td

#define sipType_QObject sipImportedTypes_QtGui_QtCore[48].it_td

#define sipType_QModelIndex sipImportedTypes_QtGui_QtCore[47].it_td

#define sipType_QAbstractItemModel sipImportedTypes_QtGui_QtCore[0].it_td

#define sipType_QIODevice sipImportedTypes_QtGui_QtCore[29].it_td

#define sipType_QByteArray sipImportedTypes_QtGui_QtCore[2].it_td

#define sipType_QCoreApplication sipImportedTypes_QtGui_QtCore[5].it_td

#define sipType_QEvent sipImportedTypes_QtGui_QtCore[9].it_td

#define sipType_QEvent_Type sipImportedTypes_QtGui_QtCore[10].it_td

#define sipType_QTimerEvent sipImportedTypes_QtGui_QtCore[59].it_td

#define sipType_QChildEvent sipImportedTypes_QtGui_QtCore[4].it_td

#define sipType_QDataStream sipImportedTypes_QtGui_QtCore[6].it_td

#define sipType_QDateTime sipImportedTypes_QtGui_QtCore[7].it_td

#define sipType_QDir sipImportedTypes_QtGui_QtCore[8].it_td

#define sipType_QFile sipImportedTypes_QtGui_QtCore[11].it_td

#define sipType_QFileInfo sipImportedTypes_QtGui_QtCore[12].it_td

#define sipType_QLine sipImportedTypes_QtGui_QtCore[31].it_td

#define sipType_QLineF sipImportedTypes_QtGui_QtCore[32].it_td

#define sipType_QLocale sipImportedTypes_QtGui_QtCore[41].it_td

#define sipType_QMargins sipImportedTypes_QtGui_QtCore[43].it_td

#define sipType_QMarginsF sipImportedTypes_QtGui_QtCore[44].it_td

#define sipType_QMetaMethod sipImportedTypes_QtGui_QtCore[45].it_td

#define sipType_QMimeData sipImportedTypes_QtGui_QtCore[46].it_td

#define sipType_QPoint sipImportedTypes_QtGui_QtCore[49].it_td

#define sipType_QPointF sipImportedTypes_QtGui_QtCore[50].it_td

#define sipType_QRect sipImportedTypes_QtGui_QtCore[51].it_td

#define sipType_QRectF sipImportedTypes_QtGui_QtCore[52].it_td

#define sipType_QRegularExpression sipImportedTypes_QtGui_QtCore[53].it_td

#define sipType_QSize sipImportedTypes_QtGui_QtCore[54].it_td

#define sipType_QSizeF sipImportedTypes_QtGui_QtCore[55].it_td

#define sipType_QUrl sipImportedTypes_QtGui_QtCore[60].it_td

#define sipType_QVariant sipImportedTypes_QtGui_QtCore[61].it_td

#define sipType_QList_0100QPointF sipImportedTypes_QtGui_QtCore[36].it_td

#define sipType_QHash_1800_0100QByteArray sipImportedTypes_QtGui_QtCore[28].it_td

#define sipType_QMap_1800_0100QVariant sipImportedTypes_QtGui_QtCore[42].it_td

#define sipType_QList_0100QByteArray sipImportedTypes_QtGui_QtCore[33].it_td

#define sipType_QFlags_0100Qt_WindowState sipImportedTypes_QtGui_QtCore[26].it_td

#define sipType_QFlags_0100Qt_WindowType sipImportedTypes_QtGui_QtCore[27].it_td

#define sipType_QFlags_0100Qt_MouseEventFlag sipImportedTypes_QtGui_QtCore[25].it_td

#define sipType_QFlags_0100Qt_MouseButton sipImportedTypes_QtGui_QtCore[24].it_td

#define sipType_QFlags_0100Qt_MatchFlag sipImportedTypes_QtGui_QtCore[23].it_td

#define sipType_QFlags_0100Qt_KeyboardModifier sipImportedTypes_QtGui_QtCore[22].it_td

#define sipType_QFlags_0100Qt_ItemFlag sipImportedTypes_QtGui_QtCore[21].it_td

#define sipType_QFlags_0100Qt_InputMethodQuery sipImportedTypes_QtGui_QtCore[20].it_td

#define sipType_QFlags_0100Qt_ImageConversionFlag sipImportedTypes_QtGui_QtCore[19].it_td

#define sipType_QFlags_0100Qt_Edge sipImportedTypes_QtGui_QtCore[18].it_td

#define sipType_QFlags_0100Qt_DropAction sipImportedTypes_QtGui_QtCore[17].it_td

#define sipType_QFlags_0100Qt_AlignmentFlag sipImportedTypes_QtGui_QtCore[16].it_td

#define sipType_QList_0101QObject sipImportedTypes_QtGui_QtCore[35].it_td

#define sipType_QList_0100QModelIndex sipImportedTypes_QtGui_QtCore[34].it_td

#define sipType_QFlags_0100QIODeviceBase_OpenModeFlag sipImportedTypes_QtGui_QtCore[15].it_td

#define sipType_QFlags_0100QFileDevice_Permission sipImportedTypes_QtGui_QtCore[14].it_td

#define sipType_QFlags_0100QDir_Filter sipImportedTypes_QtGui_QtCore[13].it_td

#define sipType_QStringList sipImportedTypes_QtGui_QtCore[57].it_td

#define sipType_QList_2400 sipImportedTypes_QtGui_QtCore[38].it_td

#define sipType_QList_1600 sipImportedTypes_QtGui_QtCore[40].it_td

#define sipType_QList_1900 sipImportedTypes_QtGui_QtCore[39].it_td

#define sipType_QList_1800 sipImportedTypes_QtGui_QtCore[37].it_td

#define sipType_QChar sipImportedTypes_QtGui_QtCore[3].it_td

#define sipType_QStringView sipImportedTypes_QtGui_QtCore[58].it_td

#define sipType_std_pair_1800_1800 sipImportedTypes_QtGui_QtCore[103].it_td

#define sipType_QString sipImportedTypes_QtGui_QtCore[56].it_td

#define sipType_QAnyStringView sipImportedTypes_QtGui_QtCore[1].it_td

#define sipType_quintptr sipImportedTypes_QtGui_QtCore[102].it_td

#define sipType_qintptr sipImportedTypes_QtGui_QtCore[101].it_td
extern sipImportedTypeDef sipImportedTypes_QtGui_QtCore[];
extern sipImportedVirtErrorHandlerDef sipImportedVirtErrorHandlers_QtGui_QtCore[];

typedef const QMetaObject *(*sip_qt_metaobject_func)(sipSimpleWrapper *,sipTypeDef *);
extern sip_qt_metaobject_func sip_QtGui_qt_metaobject;

typedef int (*sip_qt_metacall_func)(sipSimpleWrapper *,sipTypeDef *,QMetaObject::Call,int,void **);
extern sip_qt_metacall_func sip_QtGui_qt_metacall;

typedef bool (*sip_qt_metacast_func)(sipSimpleWrapper *, const sipTypeDef *, const char *, void **);
extern sip_qt_metacast_func sip_QtGui_qt_metacast;
#line 175 "/home/iurt/rpmbuild/BUILD/PyQt6-6.4.1/sip/QtGui/qfontmetrics.sip"
// Used by QFontMetrics and QFontMetricsF.
int *qtgui_tabarray(PyObject *l);
#line 222 "/home/iurt/rpmbuild/BUILD/PyQt6-6.4.1/sip/QtGui/qguiapplication.sip"
// Imports from QtCore.
typedef void (*pyqt6_qtgui_cleanup_qobjects_t)();
extern pyqt6_qtgui_cleanup_qobjects_t pyqt6_qtgui_cleanup_qobjects;

typedef char **(*pyqt6_qtgui_from_argv_list_t)(PyObject *, int &);
extern pyqt6_qtgui_from_argv_list_t pyqt6_qtgui_from_argv_list;

typedef void (*pyqt6_qtgui_update_argv_list_t)(PyObject *, int, char **);
extern pyqt6_qtgui_update_argv_list_t pyqt6_qtgui_update_argv_list;
#line 336 "/home/iurt/rpmbuild/BUILD/PyQt6-6.4.1/sip/QtGui/qimage.sip"
// Helpers for QImage and QPixmap ctors.
const char **QtGui_ListToArray(PyObject *lst);
void QtGui_DeleteArray(const char **arr);

// Imports from QtCore.
typedef void (*pyqt6_qtgui_err_print_t)();
extern pyqt6_qtgui_err_print_t pyqt6_qtgui_err_print;
#line 192 "/home/iurt/rpmbuild/BUILD/PyQt6-6.4.1/sip/QtGui/qmatrix4x4.sip"
// Helpers for the matrix classes.
typedef float PYQT_FLOAT;

sipErrorState qtgui_matrixParseIndex(PyObject *tup, int nr_rows,
        int nr_columns, int *row, int *column);
sipErrorState qtgui_matrixDataFromSequence(PyObject *seq, int nr_values,
        PYQT_FLOAT *values);
sipErrorState qtgui_matrixDataAsList(int nr_values, const PYQT_FLOAT *values,
        PyObject **list);
#line 157 "/home/iurt/rpmbuild/BUILD/PyQt6-6.4.1/sip/QtGui/qshortcut.sip"
// Imports from QtCore.
typedef sipErrorState (*pyqt6_qtgui_get_connection_parts_t)(PyObject *, QObject *, const char *, bool, QObject **, QByteArray &);
extern pyqt6_qtgui_get_connection_parts_t pyqt6_qtgui_get_connection_parts;
#line 252 "/home/iurt/rpmbuild/BUILD/PyQt6-6.4.1/sip/QtGui/qtextobject.sip"
PyObject *qtgui_wrap_ancestors(QObject *obj, const sipTypeDef *td);
#line 9457 "/home/iurt/rpmbuild/BUILD/PyQt6-6.4.1/build/QtGui/sipAPIQtGui.h"

#endif
